// Font 6*8 for EM6125

struct sFontDescriptor
{
	unsigned char Row[6];
};

typedef struct sFontDescriptor sFontDesc;

sFontDesc Font6x8[128] = 
{
// Char='\0' 
   {
     0x7E,    /*  .%%%%...  */
     0x81,    /*  %....%..  */
     0xBD,    /*  %.%%.%..  */
     0xB5,    /*  %.%%.%..  */
     0x81,    /*  %.%..%..  */
     0x7E,    /*  %.%%.%..  */
              /*  %....%..  */
              /*  .%%%%...  */
   },
// Char='\x01' 
   {
     0x7C,    /*  .%%%....  */
     0xDA,    /*  %%%%%...  */
     0xF2,    /*  %.%.%...  */
     0xDA,    /*  %%%%%...  */
     0x7C,    /*  %%.%%...  */
     0x00,    /*  %...%...  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='\x02' 
   {
     0x7C,    /*  .%%%....  */
     0xD6,    /*  %%%%%...  */
     0xF2,    /*  %.%.%...  */
     0xD6,    /*  %%%%%...  */
     0x7C,    /*  %...%...  */
     0x00,    /*  %%.%%...  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='\x03' 
   {
     0x38,    /*  ........  */
     0x7C,    /*  .%.%....  */
     0x3E,    /*  %%%%%...  */
     0x38,    /*  %%%%%...  */
     0x00,    /*  %%%%%...  */
     0x00,    /*  .%%%....  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='\x04' 
   {
     0x18,    /*  ........  */
     0x3C,    /*  ..%.....  */
     0x7E,    /*  .%%%....  */
     0x3C,    /*  %%%%%...  */
     0x18,    /*  %%%%%...  */
     0x00,    /*  .%%%....  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='\x05' 
   {
     0x38,    /*  .%%%....  */
     0xEA,    /*  .%.%....  */
     0xBE,    /*  %%%%%...  */
     0xEA,    /*  %.%.%...  */
     0x38,    /*  %%%%%...  */
     0x00,    /*  ..%.....  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='\x06' 
   {
     0x38,    /*  ..%.....  */
     0x7A,    /*  .%%%....  */
     0xFE,    /*  %%%%%...  */
     0x7A,    /*  %%%%%...  */
     0x38,    /*  %%%%%...  */
     0x00,    /*  ..%.....  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='\x07' 
   {
     0x00,    /*  ........  */
     0x18,    /*  ........  */
     0x3C,    /*  ..%.....  */
     0x18,    /*  .%%%....  */
     0x00,    /*  .%%%....  */
     0x00,    /*  ..%.....  */
              /*  ........  */
              /*  ........  */
   },
// Char='\x08' 
   {
     0xFF,    /*  %%%%%...  */
     0xE7,    /*  %%%%%...  */
     0xC3,    /*  %%.%%...  */
     0xE7,    /*  %...%...  */
     0xFF,    /*  %...%...  */
     0x00,    /*  %%.%%...  */
              /*  %%%%%...  */
              /*  %%%%%...  */
   },
// Char='\x09' 
   {
     0x00,    /*  ........  */
     0x18,    /*  ........  */
     0x24,    /*  ..%.....  */
     0x18,    /*  .%.%....  */
     0x00,    /*  .%.%....  */
     0x00,    /*  ..%.....  */
              /*  ........  */
              /*  ........  */
   },
// Char='\x0a' 
   {
     0xFF,    /*  %%%%%...  */
     0xE7,    /*  %%%%%...  */
     0xDB,    /*  %%.%%...  */
     0xE7,    /*  %.%.%...  */
     0xFF,    /*  %.%.%...  */
     0x00,    /*  %%.%%...  */
              /*  %%%%%...  */
              /*  %%%%%...  */
   },
// Char='\x0b' 
   {
     0x0C,    /*  ........  */
     0x12,    /*  ..%%%...  */
     0x5C,    /*  ...%%...  */
     0x60,    /*  .%%.%...  */
     0x70,    /*  %.%.....  */
     0x00,    /*  %.%.....  */
              /*  .%......  */
              /*  ........  */
   },
// Char='\x0c' 
   {
     0x64,    /*  .%%%....  */
     0x94,    /*  %...%...  */
     0x9E,    /*  %...%...  */
     0x94,    /*  .%%%....  */
     0x64,    /*  ..%.....  */
     0x00,    /*  %%%%%...  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='\x0d' 
   {
     0x02,    /*  .%%%%...  */
     0xFE,    /*  .%..%...  */
     0xA0,    /*  .%%%%...  */
     0xA0,    /*  .%......  */
     0xE0,    /*  .%......  */
     0x00,    /*  .%......  */
              /*  %%......  */
              /*  ........  */
   },
// Char='\x0e' 
   {
     0x02,    /*  .%%%%...  */
     0xFE,    /*  .%..%...  */
     0xA0,    /*  .%%%%...  */
     0xA4,    /*  .%..%...  */
     0xFC,    /*  .%..%...  */
     0x00,    /*  .%.%%...  */
              /*  %%......  */
              /*  ........  */
   },
// Char='\x0f' 
   {
     0x5A,    /*  ..%.....  */
     0x3C,    /*  %.%.%...  */
     0xE7,    /*  .%%%....  */
     0x3C,    /*  %%.%%...  */
     0x5A,    /*  %%.%%...  */
     0x00,    /*  .%%%....  */
              /*  %.%.%...  */
              /*  ..%.....  */
   },
// Char='\x10' 
   {
     0xFE,    /*  %.......  */
     0x7C,    /*  %%......  */
     0x38,    /*  %%%%....  */
     0x38,    /*  %%%%%...  */
     0x10,    /*  %%%%....  */
     0x00,    /*  %%......  */
              /*  %.......  */
              /*  ........  */
   },
// Char='\x11' 
   {
     0x10,    /*  ....%...  */
     0x38,    /*  ...%%...  */
     0x38,    /*  .%%%%...  */
     0x7C,    /*  %%%%%...  */
     0xFE,    /*  .%%%%...  */
     0x00,    /*  ...%%...  */
              /*  ....%...  */
              /*  ........  */
   },
// Char='\x12' 
   {
     0x28,    /*  ..%.....  */
     0x44,    /*  .%%%....  */
     0xFE,    /*  %.%.%...  */
     0x44,    /*  ..%.....  */
     0x28,    /*  %.%.%...  */
     0x00,    /*  .%%%....  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='\x13' 
   {
     0xFA,    /*  %%.%%...  */
     0xFA,    /*  %%.%%...  */
     0x00,    /*  %%.%%...  */
     0xFA,    /*  %%.%%...  */
     0xFA,    /*  %%.%%...  */
     0x00,    /*  ........  */
              /*  %%.%%...  */
              /*  ........  */
   },
// Char='\x14' 
   {
     0x60,    /*  .%%%%...  */
     0x90,    /*  %.%.%...  */
     0xFE,    /*  %.%.%...  */
     0x80,    /*  .%%.%...  */
     0xFE,    /*  ..%.%...  */
     0x00,    /*  ..%.%...  */
              /*  ..%.%...  */
              /*  ........  */
   },
// Char='\x15' 
   {
     0x00,    /*  ..%%....  */
     0x66,    /*  .%..%...  */
     0x91,    /*  .%.%....  */
     0xA9,    /*  ..%.%...  */
     0x56,    /*  ...%....  */
     0x00,    /*  .%..%...  */
              /*  .%..%...  */
              /*  ..%%....  */
   },
// Char='\x16' 
   {
     0x06,    /*  ........  */
     0x06,    /*  ........  */
     0x06,    /*  ........  */
     0x06,    /*  ........  */
     0x06,    /*  ........  */
     0x06,    /*  %%%%%%..  */
              /*  %%%%%%..  */
              /*  ........  */
   },
// Char='\x17' 
   {
     0x29,    /*  ..%.....  */
     0x45,    /*  .%%%....  */
     0xFF,    /*  %.%.%...  */
     0x45,    /*  ..%.....  */
     0x29,    /*  %.%.%...  */
     0x00,    /*  .%%%....  */
              /*  ..%.....  */
              /*  %%%%%...  */
   },
// Char='\x18' 
   {
     0x10,    /*  ........  */
     0x20,    /*  ..%.....  */
     0x7E,    /*  .%%%....  */
     0x20,    /*  %.%.%...  */
     0x10,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='\x19' 
   {
     0x08,    /*  ........  */
     0x04,    /*  ..%.....  */
     0x7E,    /*  ..%.....  */
     0x04,    /*  ..%.....  */
     0x08,    /*  %.%.%...  */
     0x00,    /*  .%%%....  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='\x1a' 
   {
     0x01,    /*  ........  */
     0x01,    /*  ..%.....  */
     0x54,    /*  ...%....  */
     0x38,    /*  %%%%%...  */
     0x01,    /*  ...%....  */
     0x00,    /*  ..%.....  */
              /*  ........  */
              /*  ........  */
   },
// Char='\x1b' 
   {
     0x01,    /*  ........  */
     0x38,    /*  ..%.....  */
     0x54,    /*  .%......  */
     0x01,    /*  %%%%%...  */
     0x01,    /*  .%......  */
     0x00,    /*  ..%.....  */
              /*  ........  */
              /*  ........  */
   },
// Char='\x1c' 
   {
     0x78,    /*  ........  */
     0x08,    /*  %.......  */
     0x08,    /*  %.......  */
     0x08,    /*  %.......  */
     0x08,    /*  %%%%%...  */
     0x00,    /*  ........  */
              /*  ........  */
              /*  ........  */
   },
// Char='\x1d' 
   {
     0x30,    /*  ........  */
     0x78,    /*  .%.%....  */
     0x30,    /*  %%%%%...  */
     0x78,    /*  %%%%%...  */
     0x30,    /*  .%.%....  */
     0x00,    /*  ........  */
              /*  ........  */
              /*  ........  */
   },
// Char='\x1e' 
   {
     0x0C,    /*  ........  */
     0x1C,    /*  ..%.....  */
     0x7C,    /*  ..%.....  */
     0x1C,    /*  .%%%....  */
     0x0C,    /*  %%%%%...  */
     0x00,    /*  %%%%%...  */
              /*  ........  */
              /*  ........  */
   },
// Char='\x1f' 
   {
     0x60,    /*  ........  */
     0x70,    /*  %%%%%...  */
     0x7C,    /*  %%%%%...  */
     0x70,    /*  .%%%....  */
     0x60,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
              /*  ........  */
              /*  ........  */
   },
// Char=' ' 
   {
     0x00,    /*  ........  */
     0x00,    /*  ........  */
     0x00,    /*  ........  */
     0x00,    /*  ........  */
     0x00,    /*  ........  */
     0x00,    /*  ........  */
              /*  ........  */
              /*  ........  */
   },
// Char='!' 
   {
     0x00,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
     0xFA,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
     0x00,    /*  ........  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='\"' 
   {
     0x00,    /*  .%.%....  */
     0xE0,    /*  .%.%....  */
     0x00,    /*  .%.%....  */
     0xE0,    /*  ........  */
     0x00,    /*  ........  */
     0x00,    /*  ........  */
              /*  ........  */
              /*  ........  */
   },
// Char='#' 
   {
     0x28,    /*  .%.%....  */
     0xFE,    /*  .%.%....  */
     0x28,    /*  %%%%%...  */
     0xFE,    /*  .%.%....  */
     0x20,    /*  %%%%%...  */
     0x00,    /*  .%.%....  */
              /*  .%.%....  */
              /*  ........  */
   },
// Char='$' 
   {
     0x24,    /*  ..%.....  */
     0x54,    /*  .%%%%...  */
     0xFE,    /*  %.%.....  */
     0x54,    /*  .%%%....  */
     0x48,    /*  ..%.%...  */
     0x00,    /*  %%%%....  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='%' 
   {
     0xC4,    /*  %%......  */
     0xC8,    /*  %%..%...  */
     0x10,    /*  ...%....  */
     0x26,    /*  ..%.....  */
     0x46,    /*  .%......  */
     0x00,    /*  %..%%...  */
              /*  ...%%...  */
              /*  ........  */
   },
// Char='&' 
   {
     0x6C,    /*  .%......  */
     0x92,    /*  %.%.....  */
     0x6A,    /*  %.%.....  */
     0x02,    /*  .%......  */
     0x0A,    /*  %.%.%...  */
     0x00,    /*  %..%....  */
              /*  .%%.%...  */
              /*  ........  */
   },
// Char='\'' 
   {
     0x00,    /*  ..%%....  */
     0x10,    /*  ..%%....  */
     0xE0,    /*  ..%.....  */
     0xC0,    /*  .%......  */
     0x00,    /*  ........  */
     0x00,    /*  ........  */
              /*  ........  */
              /*  ........  */
   },
// Char='(' 
   {
     0x00,    /*  ...%....  */
     0x38,    /*  ..%.....  */
     0x44,    /*  .%......  */
     0x82,    /*  .%......  */
     0x00,    /*  .%......  */
     0x00,    /*  ..%.....  */
              /*  ...%....  */
              /*  ........  */
   },
// Char=')' 
   {
     0x00,    /*  .%......  */
     0x82,    /*  ..%.....  */
     0x44,    /*  ...%....  */
     0x38,    /*  ...%....  */
     0x00,    /*  ...%....  */
     0x00,    /*  ..%.....  */
              /*  .%......  */
              /*  ........  */
   },
// Char='*' 
   {
     0x24,    /*  ........  */
     0x18,    /*  ..%.....  */
     0x7E,    /*  %.%.%...  */
     0x18,    /*  .%%%....  */
     0x24,    /*  .%%%....  */
     0x00,    /*  %.%.%...  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='+' 
   {
     0x10,    /*  ........  */
     0x10,    /*  ..%.....  */
     0x7C,    /*  ..%.....  */
     0x10,    /*  %%%%%...  */
     0x10,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
              /*  ........  */
              /*  ........  */
   },
// Char=',' 
   {
     0x00,    /*  ........  */
     0x01,    /*  ........  */
     0x0E,    /*  ........  */
     0x0C,    /*  ........  */
     0x00,    /*  ..%%....  */
     0x00,    /*  ..%%....  */
              /*  ..%.....  */
              /*  .%......  */
   },
// Char='-' 
   {
     0x10,    /*  ........  */
     0x10,    /*  ........  */
     0x10,    /*  ........  */
     0x10,    /*  %%%%%...  */
     0x10,    /*  ........  */
     0x00,    /*  ........  */
              /*  ........  */
              /*  ........  */
   },
// Char='.' 
   {
     0x00,    /*  ........  */
     0x00,    /*  ........  */
     0x06,    /*  ........  */
     0x06,    /*  ........  */
     0x00,    /*  ........  */
     0x00,    /*  ..%%....  */
              /*  ..%%....  */
              /*  ........  */
   },
// Char='/' 
   {
     0x04,    /*  ........  */
     0x08,    /*  ....%...  */
     0x10,    /*  ...%....  */
     0x20,    /*  ..%.....  */
     0x40,    /*  .%......  */
     0x00,    /*  %.......  */
              /*  ........  */
              /*  ........  */
   },
// Char='0' 
   {
     0x7C,    /*  .%%%....  */
     0x82,    /*  %...%...  */
     0x92,    /*  %...%...  */
     0x82,    /*  %.%.%...  */
     0x7C,    /*  %...%...  */
     0x00,    /*  %...%...  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='1'                                     
   {
     0x00,    /*  ..%.....  */
     0x42,    /*  .%%.....  */
     0xFE,    /*  ..%.....  */
     0x02,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='2' 
   {
     0x4E,    /*  .%%%....  */
     0x92,    /*  %...%...  */
     0x92,    /*  ....%...  */
     0x92,    /*  .%%%....  */
     0x62,    /*  %.......  */
     0x00,    /*  %.......  */
              /*  %%%%%...  */
              /*  ........  */
   },
// Char='3' 
   {
     0x84,    /*  %%%%%...  */
     0x82,    /*  ....%...  */
     0x92,    /*  ...%....  */
     0xB2,    /*  ..%%....  */
     0xCC,    /*  ....%...  */
     0x00,    /*  %...%...  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='4' 
   {
     0x18,    /*  ...%....  */
     0x28,    /*  ..%%....  */
     0x48,    /*  .%.%....  */
     0xFE,    /*  %..%....  */
     0x08,    /*  %%%%%...  */
     0x00,    /*  ...%....  */
              /*  ...%....  */
              /*  ........  */
   },
// Char='5' 
   {
     0xE4,    /*  %%%%%...  */
     0xA2,    /*  %.......  */
     0xA2,    /*  %%%%....  */
     0xA2,    /*  ....%...  */
     0x9C,    /*  ....%...  */
     0x00,    /*  %...%...  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='6' 
   {
     0x3C,    /*  ..%%%...  */
     0x52,    /*  .%......  */
     0x92,    /*  %.......  */
     0x92,    /*  %%%%....  */
     0x8C,    /*  %...%...  */
     0x00,    /*  %...%...  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='7' 
   {
     0x82,    /*  %%%%%...  */
     0x84,    /*  ....%...  */
     0x88,    /*  ....%...  */
     0x90,    /*  ...%....  */
     0xE0,    /*  ..%.....  */
     0x00,    /*  .%......  */
              /*  %.......  */
              /*  ........  */
   },
// Char='8' 
   {
     0x6C,    /*  .%%%....  */
     0x92,    /*  %...%...  */
     0x92,    /*  %...%...  */
     0x92,    /*  .%%%....  */
     0x6C,    /*  %...%...  */
     0x00,    /*  %...%...  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='9' 
   {
     0x62,    /*  .%%%....  */
     0x92,    /*  %...%...  */
     0x92,    /*  %...%...  */
     0x94,    /*  .%%%%...  */
     0x78,    /*  ....%...  */
     0x00,    /*  ...%....  */
              /*  %%%.....  */
              /*  ........  */
   },
// Char=':' 
   {
     0x00,    /*  ........  */
     0x00,    /*  ........  */
     0x28,    /*  ..%.....  */
     0x00,    /*  ........  */
     0x00,    /*  ..%.....  */
     0x00,    /*  ........  */
              /*  ........  */
              /*  ........  */
   },
// Char=';' 
   {
     0x00,    /*  ........  */
     0x02,    /*  ........  */
     0x2C,    /*  ..%.....  */
     0x00,    /*  ........  */
     0x00,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
              /*  .%......  */
              /*  ........  */
   },
// Char='<' 
   {
     0x00,    /*  ....%...  */
     0x10,    /*  ...%....  */
     0x28,    /*  ..%.....  */
     0x44,    /*  .%......  */
     0x82,    /*  ..%.....  */
     0x00,    /*  ...%....  */
              /*  ....%...  */
              /*  ........  */
   },
// Char='=' 
   {
     0x28,    /*  ........  */
     0x28,    /*  ........  */
     0x28,    /*  %%%%%...  */
     0x28,    /*  ........  */
     0x28,    /*  %%%%%...  */
     0x00,    /*  ........  */
              /*  ........  */
              /*  ........  */
   },
// Char='>' 
   {
     0x00,    /*  .%......  */
     0x82,    /*  ..%.....  */
     0x44,    /*  ...%....  */
     0x28,    /*  ....%...  */
     0x10,    /*  ...%....  */
     0x00,    /*  ..%.....  */
              /*  .%......  */
              /*  ........  */
   },
// Char='?' 
   {
     0x40,    /*  .%%%....  */
     0x80,    /*  %...%...  */
     0x9A,    /*  ....%...  */
     0x90,    /*  ..%%....  */
     0x60,    /*  ..%.....  */
     0x00,    /*  ........  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='@' 
   {
     0x7C,    /*  .%%%....  */
     0x82,    /*  %...%...  */
     0xBA,    /*  %.%.%...  */
     0x9A,    /*  %.%%%...  */
     0x72,    /*  %.%%....  */
     0x00,    /*  %.......  */
              /*  .%%%%...  */
              /*  ........  */
   },
// Char='A' 
   {
     0x3E,    /*  ..%.....  */
     0x48,    /*  .%.%....  */
     0x88,    /*  %...%...  */
     0x48,    /*  %...%...  */
     0x3E,    /*  %%%%%...  */
     0x00,    /*  %...%...  */
              /*  %...%...  */
              /*  ........  */
   },
// Char='B' 
   {
     0xFE,    /*  %%%%....  */
     0x92,    /*  %...%...  */
     0x92,    /*  %...%...  */
     0x92,    /*  %%%%....  */
     0x6C,    /*  %...%...  */
     0x00,    /*  %...%...  */
              /*  %%%%....  */
              /*  ........  */
   },
// Char='C' 
   {
     0x7C,    /*  .%%%....  */
     0x82,    /*  %...%...  */
     0x82,    /*  %.......  */
     0x82,    /*  %.......  */
     0x44,    /*  %.......  */
     0x00,    /*  %...%...  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='D' 
   {
     0xFE,    /*  %%%%....  */
     0x82,    /*  %...%...  */
     0x82,    /*  %...%...  */
     0x82,    /*  %...%...  */
     0x7C,    /*  %...%...  */
     0x00,    /*  %...%...  */
              /*  %%%%....  */
              /*  ........  */
   },
// Char='E' 
   {
     0xFE,    /*  %%%%%...  */
     0x92,    /*  %.......  */
     0x92,    /*  %.......  */
     0x92,    /*  %%%%....  */
     0x82,    /*  %.......  */
     0x00,    /*  %.......  */
              /*  %%%%%...  */
              /*  ........  */
   },
// Char='F' 
   {
     0xFE,    /*  %%%%%...  */
     0x90,    /*  %.......  */
     0x90,    /*  %.......  */
     0x90,    /*  %%%%....  */
     0x80,    /*  %.......  */
     0x00,    /*  %.......  */
              /*  %.......  */
              /*  ........  */
   },
// Char='G' 
   {
     0x7C,    /*  .%%%%...  */
     0x82,    /*  %...%...  */
     0x82,    /*  %.......  */
     0x8A,    /*  %.......  */
     0xCE,    /*  %..%%...  */
     0x00,    /*  %...%...  */
              /*  .%%%%...  */
              /*  ........  */
   },
// Char='H' 
   {
     0xFE,    /*  %...%...  */
     0x10,    /*  %...%...  */
     0x10,    /*  %...%...  */
     0x10,    /*  %%%%%...  */
     0xFE,    /*  %...%...  */
     0x00,    /*  %...%...  */
              /*  %...%...  */
              /*  ........  */
   },
// Char='I' 
   {
     0x00,    /*  .%%%....  */
     0x82,    /*  ..%.....  */
     0xFE,    /*  ..%.....  */
     0x82,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='J' 
   {
     0x04,    /*  ..%%%...  */
     0x02,    /*  ...%....  */
     0x82,    /*  ...%....  */
     0xFC,    /*  ...%....  */
     0x80,    /*  ...%....  */
     0x00,    /*  %..%....  */
              /*  .%%.....  */
              /*  ........  */
   },
// Char='K' 
   {
     0xFE,    /*  %...%...  */
     0x10,    /*  %..%....  */
     0x28,    /*  %.%.....  */
     0x44,    /*  %%......  */
     0x82,    /*  %.%.....  */
     0x00,    /*  %..%....  */
              /*  %...%...  */
              /*  ........  */
   },
// Char='L' 
   {
     0xFE,    /*  %.......  */
     0x02,    /*  %.......  */
     0x02,    /*  %.......  */
     0x02,    /*  %.......  */
     0x02,    /*  %.......  */
     0x00,    /*  %.......  */
              /*  %%%%%...  */
              /*  ........  */
   },
// Char='M' 
   {
     0xFE,    /*  %...%...  */
     0x40,    /*  %%.%%...  */
     0x38,    /*  %.%.%...  */
     0x40,    /*  %.%.%...  */
     0xFE,    /*  %.%.%...  */
     0x00,    /*  %...%...  */
              /*  %...%...  */
              /*  ........  */
   },
// Char='N' 
   {
     0xFE,    /*  %...%...  */
     0x20,    /*  %...%...  */
     0x10,    /*  %%..%...  */
     0x08,    /*  %.%.%...  */
     0xFE,    /*  %..%%...  */
     0x00,    /*  %...%...  */
              /*  %...%...  */
              /*  ........  */
   },
// Char='O' 
   {
     0x7C,    /*  .%%%....  */
     0x82,    /*  %...%...  */
     0x82,    /*  %...%...  */
     0x82,    /*  %...%...  */
     0x7C,    /*  %...%...  */
     0x00,    /*  %...%...  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='P' 
   {
     0xFE,    /*  %%%%....  */
     0x90,    /*  %...%...  */
     0x90,    /*  %...%...  */
     0x90,    /*  %%%%....  */
     0x60,    /*  %.......  */
     0x00,    /*  %.......  */
              /*  %.......  */
              /*  ........  */
   },
// Char='Q' 
   {
     0x7C,    /*  .%%%....  */
     0x82,    /*  %...%...  */
     0x8A,    /*  %...%...  */
     0x84,    /*  %...%...  */
     0x7A,    /*  %.%.%...  */
     0x00,    /*  %..%....  */
              /*  .%%.%...  */
              /*  ........  */
   },
// Char='R' 
   {
     0xFE,    /*  %%%%....  */
     0x90,    /*  %...%...  */
     0x98,    /*  %...%...  */
     0x94,    /*  %%%%....  */
     0x62,    /*  %.%.....  */
     0x00,    /*  %..%....  */
              /*  %...%...  */
              /*  ........  */
   },
// Char='S' 
   {
     0x64,    /*  .%%%....  */
     0x92,    /*  %...%...  */
     0x92,    /*  %.......  */
     0x92,    /*  .%%%....  */
     0x4C,    /*  ....%...  */
     0x00,    /*  %...%...  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='T' 
   {
     0xC0,    /*  %%%%%...  */
     0x80,    /*  %.%.%...  */
     0xFE,    /*  ..%.....  */
     0x80,    /*  ..%.....  */
     0xC0,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='U' 
   {
     0xFC,    /*  %...%...  */
     0x02,    /*  %...%...  */
     0x02,    /*  %...%...  */
     0x02,    /*  %...%...  */
     0xFC,    /*  %...%...  */
     0x00,    /*  %...%...  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='V' 
   {
     0xF8,    /*  %...%...  */
     0x04,    /*  %...%...  */
     0x02,    /*  %...%...  */
     0x04,    /*  %...%...  */
     0xF8,    /*  %...%...  */
     0x00,    /*  .%.%....  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='W' 
   {
     0xFC,    /*  %...%...  */
     0x02,    /*  %...%...  */
     0x1C,    /*  %...%...  */
     0x02,    /*  %.%.%...  */
     0xFC,    /*  %.%.%...  */
     0x00,    /*  %.%.%...  */
              /*  .%.%....  */
              /*  ........  */
   },
// Char='X' 
   {
     0xC6,    /*  %...%...  */
     0x28,    /*  %...%...  */
     0x10,    /*  .%.%....  */
     0x28,    /*  ..%.....  */
     0xC6,    /*  .%.%....  */
     0x00,    /*  %...%...  */
              /*  %...%...  */
              /*  ........  */
   },
// Char='Y' 
   {
     0xC0,    /*  %...%...  */
     0x20,    /*  %...%...  */
     0x1E,    /*  .%.%....  */
     0x20,    /*  ..%.....  */
     0xC0,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='Z' 
   {
     0x86,    /*  %%%%%...  */
     0x9A,    /*  ....%...  */
     0x92,    /*  ...%....  */
     0xB2,    /*  .%%%....  */
     0xC2,    /*  .%......  */
     0x00,    /*  %.......  */
              /*  %%%%%...  */
              /*  ........  */
   },
// Char='[' 
   {
     0xFE,    /*  .%%%%...  */
     0x82,    /*  .%......  */
     0x82,    /*  .%......  */
     0x82,    /*  .%......  */
     0x00,    /*  .%......  */
     0x00,    /*  .%......  */
              /*  .%%%%...  */
              /*  ........  */
   },
// Char='\\' 
   {
     0x40,    /*  ........  */
     0x20,    /*  %.......  */
     0x10,    /*  .%......  */
     0x08,    /*  ..%.....  */
     0x04,    /*  ...%....  */
     0x00,    /*  ....%...  */
              /*  ........  */
              /*  ........  */
   },
// Char=']' 
   {
     0x00,    /*  .%%%%...  */
     0x82,    /*  ....%...  */
     0x82,    /*  ....%...  */
     0x82,    /*  ....%...  */
     0xFE,    /*  ....%...  */
     0x00,    /*  ....%...  */
              /*  .%%%%...  */
              /*  ........  */
   },
// Char='^' 
   {
     0x20,    /*  ..%.....  */
     0x40,    /*  .%.%....  */
     0x80,    /*  %...%...  */
     0x40,    /*  ........  */
     0x20,    /*  ........  */
     0x00,    /*  ........  */
              /*  ........  */
              /*  ........  */
   },
// Char='_' 
   {
     0x02,    /*  ........  */
     0x02,    /*  ........  */
     0x02,    /*  ........  */
     0x02,    /*  ........  */
     0x02,    /*  ........  */
     0x00,    /*  ........  */
              /*  %%%%%...  */
              /*  ........  */
   },
// Char='`' 
   {
     0x00,    /*  .%%.....  */
     0xC0,    /*  .%%.....  */
     0xE0,    /*  ..%.....  */
     0x10,    /*  ...%....  */
     0x00,    /*  ........  */
     0x00,    /*  ........  */
              /*  ........  */
              /*  ........  */
   },
// Char='a' 
   {
     0x04,    /*  ........  */
     0x2A,    /*  ........  */
     0x2A,    /*  .%%.....  */
     0x1E,    /*  ...%....  */
     0x02,    /*  .%%%....  */
     0x00,    /*  %..%....  */
              /*  .%%%%...  */
              /*  ........  */
   },
// Char='b' 
   {
     0xFE,    /*  %.......  */
     0x14,    /*  %.......  */
     0x22,    /*  %.%%....  */
     0x22,    /*  %%..%...  */
     0x1C,    /*  %...%...  */
     0x00,    /*  %%..%...  */
              /*  %.%%....  */
              /*  ........  */
   },
// Char='c' 
   {
     0x1C,    /*  ........  */
     0x22,    /*  ........  */
     0x22,    /*  .%%%....  */
     0x22,    /*  %...%...  */
     0x14,    /*  %.......  */
     0x00,    /*  %...%...  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='d' 
   {
     0x1C,    /*  ....%...  */
     0x22,    /*  ....%...  */
     0x22,    /*  .%%.%...  */
     0x14,    /*  %..%%...  */
     0xFE,    /*  %...%...  */
     0x00,    /*  %..%%...  */
              /*  .%%.%...  */
              /*  ........  */
   },
// Char='e' 
   {
     0x1C,    /*  ........  */
     0x2A,    /*  ........  */
     0x2A,    /*  .%%%....  */
     0x2A,    /*  %...%...  */
     0x18,    /*  %%%%%...  */
     0x00,    /*  %.......  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='f' 
   {
     0x00,    /*  ...%....  */
     0x10,    /*  ..%.%...  */
     0x7E,    /*  ..%.....  */
     0x90,    /*  .%%%....  */
     0x40,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='g' 
   {
     0x18,    /*  ........  */
     0x25,    /*  ........  */
     0x25,    /*  .%%%....  */
     0x39,    /*  %..%%...  */
     0x1E,    /*  %..%%...  */
     0x00,    /*  .%%.%...  */
              /*  ....%...  */
              /*  .%%%....  */
   },
// Char='h' 
   {
     0xFE,    /*  %.......  */
     0x10,    /*  %.......  */
     0x20,    /*  %.%%....  */
     0x20,    /*  %%..%...  */
     0x1E,    /*  %...%...  */
     0x00,    /*  %...%...  */
              /*  %...%...  */
              /*  ........  */
   },
// Char='i' 
   {
     0x00,    /*  ..%.....  */
     0x22,    /*  ........  */
     0xBE,    /*  .%%.....  */
     0x02,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='j' 
   {
     0x04,    /*  ...%....  */
     0x02,    /*  ........  */
     0x02,    /*  ...%....  */
     0xBC,    /*  ...%....  */
     0x00,    /*  ...%....  */
     0x00,    /*  %..%....  */
              /*  .%%.....  */
              /*  ........  */
   },
// Char='k' 
   {
     0xFE,    /*  %.......  */
     0x08,    /*  %.......  */
     0x14,    /*  %..%....  */
     0x22,    /*  %.%.....  */
     0x00,    /*  %%......  */
     0x00,    /*  %.%.....  */
              /*  %..%....  */
              /*  ........  */
   },
// Char='l' 
   {
     0x00,    /*  .%%.....  */
     0x82,    /*  ..%.....  */
     0xFE,    /*  ..%.....  */
     0x02,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='m' 
   {
     0x3E,    /*  ........  */
     0x20,    /*  ........  */
     0x1E,    /*  %%.%....  */
     0x20,    /*  %.%.%...  */
     0x1E,    /*  %.%.%...  */
     0x00,    /*  %.%.%...  */
              /*  %.%.%...  */
              /*  ........  */
   },
// Char='n' 
   {
     0x3E,    /*  ........  */
     0x10,    /*  ........  */
     0x20,    /*  %.%%....  */
     0x20,    /*  %%..%...  */
     0x1E,    /*  %...%...  */
     0x00,    /*  %...%...  */
              /*  %...%...  */
              /*  ........  */
   },
// Char='o' 
   {
     0x1C,    /*  ........  */
     0x22,    /*  ........  */
     0x22,    /*  .%%%....  */
     0x22,    /*  %...%...  */
     0x1C,    /*  %...%...  */
     0x00,    /*  %...%...  */
              /*  .%%%....  */
              /*  ........  */
   },
// Char='p' 
   {
     0x3F,    /*  ........  */
     0x18,    /*  ........  */
     0x24,    /*  %.%%....  */
     0x24,    /*  %%..%...  */
     0x18,    /*  %%..%...  */
     0x00,    /*  %.%%....  */
              /*  %.......  */
              /*  %.......  */
   },
// Char='q' 
   {
     0x18,    /*  ........  */
     0x24,    /*  ........  */
     0x24,    /*  .%%.%...  */
     0x18,    /*  %..%%...  */
     0x3F,    /*  %..%%...  */
     0x00,    /*  .%%.%...  */
              /*  ....%...  */
              /*  ....%...  */
   },
// Char='r' 
   {
     0x3E,    /*  ........  */
     0x10,    /*  ........  */
     0x20,    /*  %.%%....  */
     0x20,    /*  %%..%...  */
     0x10,    /*  %.......  */
     0x00,    /*  %.......  */
              /*  %.......  */
              /*  ........  */
   },
// Char='s' 
   {
     0x12,    /*  ........  */
     0x2A,    /*  ........  */
     0x2A,    /*  .%%%%...  */
     0x2A,    /*  %.......  */
     0x24,    /*  .%%%....  */
     0x00,    /*  ....%...  */
              /*  %%%%....  */
              /*  ........  */
   },
// Char='t' 
   {
     0x20,    /*  ..%.....  */
     0x20,    /*  ..%.....  */
     0xFC,    /*  %%%%%...  */
     0x22,    /*  ..%.....  */
     0x24,    /*  ..%.....  */
     0x00,    /*  ..%.%...  */
              /*  ...%....  */
              /*  ........  */
   },
// Char='u' 
   {
     0x3C,    /*  ........  */
     0x02,    /*  ........  */
     0x02,    /*  %...%...  */
     0x04,    /*  %...%...  */
     0x3C,    /*  %...%...  */
     0x00,    /*  %..%%...  */
              /*  .%%.%...  */
              /*  ........  */
   },
// Char='v' 
   {
     0x38,    /*  ........  */
     0x04,    /*  ........  */
     0x02,    /*  %...%...  */
     0x04,    /*  %...%...  */
     0x38,    /*  %...%...  */
     0x00,    /*  .%.%....  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='w' 
   {
     0x3C,    /*  ........  */
     0x02,    /*  ........  */
     0x0C,    /*  %...%...  */
     0x02,    /*  %...%...  */
     0x3C,    /*  %.%.%...  */
     0x00,    /*  %.%.%...  */
              /*  .%.%....  */
              /*  ........  */
   },
// Char='x' 
   {
     0x22,    /*  ........  */
     0x14,    /*  ........  */
     0x08,    /*  %...%...  */
     0x14,    /*  .%.%....  */
     0x22,    /*  ..%.....  */
     0x00,    /*  .%.%....  */
              /*  %...%...  */
              /*  ........  */
   },
// Char='y' 
   {
     0x32,    /*  ........  */
     0x09,    /*  ........  */
     0x09,    /*  %...%...  */
     0x09,    /*  %...%...  */
     0x3E,    /*  .%%%%...  */
     0x00,    /*  ....%...  */
              /*  %...%...  */
              /*  .%%%....  */
   },
// Char='z' 
   {
     0x22,    /*  ........  */
     0x26,    /*  ........  */
     0x2A,    /*  %%%%%...  */
     0x32,    /*  ...%....  */
     0x22,    /*  ..%.....  */
     0x00,    /*  .%......  */
              /*  %%%%%...  */
              /*  ........  */
   },
// Char='{' 
   {
     0x00,    /*  ...%....  */
     0x10,    /*  ..%.....  */
     0x6C,    /*  ..%.....  */
     0x82,    /*  .%......  */
     0x00,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
              /*  ...%....  */
              /*  ........  */
   },
// Char='|' 
   {
     0x00,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
     0xEE,    /*  ..%.....  */
     0x00,    /*  ........  */
     0x00,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
              /*  ..%.....  */
              /*  ........  */
   },
// Char='}' 
   {
     0x00,    /*  .%......  */
     0x82,    /*  ..%.....  */
     0x6C,    /*  ..%.....  */
     0x01,    /*  ...%....  */
     0x00,    /*  ..%.....  */
     0x00,    /*  ..%.....  */
              /*  .%......  */
              /*  ........  */
   },
// Char='~' 
   {
     0x40,    /*  .%......  */
     0x80,    /*  %.%.%...  */
     0x40,    /*  ...%....  */
     0x20,    /*  ........  */
     0x40,    /*  ........  */
     0x00,    /*  ........  */
              /*  ........  */
              /*  ........  */
   },
// Char='' 
   {
     0x3C,    /*  ..%.....  */
     0x64,    /*  .%%%....  */
     0xC4,    /*  %%.%%...  */
     0x64,    /*  %...%...  */
     0x3C,    /*  %...%...  */
     0x00,    /*  %%%%%...  */
              /*  ........  */
              /*  ........  */
   }
};





