
/*
*****************************************************************************
**
**      Project     : My project
**
**      Component   : LPC2106 (LPC2106)
**
**      Modulename  : RTC
**
**      Filename    : ma_rtc.h
**
**      Abstract    : This is the device driver header file for the RTC 
**                    module.
**
**      Compiler    : IAR C compiler
**
**      Date        : 2004-06-16 13:49:29
**
**      License no. : 9503-663-863-6224     Ivan
**
**      Warning     : This file has been automatically generated.
**                    Do not edit this file if you intend to regenerate it.
**
**      This device driver was created by IAR MakeApp version 
**      4.02A (Philips LPC210x: 4.00C) for the Philips LPC210x series of
**      microcontrollers.
**
**      (c)Copyright 2004 IAR Systems.
**      Your rights to this file are explained in the IAR MakeApp 
**      License Agreement. All other rights reserved.
**
*****************************************************************************
*/

/*
**===========================================================================
**  1       GENERAL
**  1.1     Revisions
**
**  Please read the IAR MakeApp for the Philips LPC210x readme file 
**  
**
**===========================================================================
*/

/*
**===========================================================================
**  1.2     References
** 
**  No   Identification          Name or Description
**  ==   ===================     ================================
**
**  1    02/Oct/2003             Philips LPC210x Hardware Manual
** 
**===========================================================================
*/

/*
**===========================================================================
**  1.3     Re-definition guard
**===========================================================================
*/

/*--- Avoid including this file more than once ---*/
#ifndef _IS_INCLUDED_RTC_H
#define _IS_INCLUDED_RTC_H

/*
**===========================================================================
**  2.      INCLUDE FILES
**  2.1     Standard include files
**===========================================================================
*/

/*
**===========================================================================
**  2.2     Application include files
**===========================================================================
*/



/*
**===========================================================================
**  3.      DECLARATIONS
**  3.1     Global constants
**===========================================================================
*/

/*
**===========================================================================
**  3.2     Global macros
**===========================================================================
*/

/*
**===========================================================================
**  3.3     Global type definitions
**===========================================================================
*/

/*
**===========================================================================
**  3.4     Global variables (defined in some implementation file)
**===========================================================================
*/

typedef struct {
  int MA_Sec;     /* Second value - [0,59] */
  int MA_Min;     /* Minute value - [0,59] */
  int MA_Hour;    /* Hour value - [0,23] */
  int MA_Mday;    /* Day of the month value - [1,31] */
  int MA_Mon;     /* Month value - [1,12] */
  int MA_Year;    /* Year value - [0,4095] */
  int MA_Wday;    /* Day of week value - [0,6] */
  int MA_Yday;    /* Day of year value - [1,365] */
} MA_RtcTime;
        
/*
**===========================================================================
**  4.      GLOBAL FUNCTIONS (defined in some implementation file)
**===========================================================================
*/

extern void MA_Init_RTC( void );
extern void MA_Start_RTC( void );
extern void MA_Stop_RTC( void );
extern void MA_ResetCTC_RTC( void );
extern void MA_SetTime_RTC( MA_RtcTime Time );
extern void MA_SetAlarm_RTC( MA_RtcTime Alarm );
extern MA_RtcTime MA_GetTime_RTC( void );
extern void MA_SetAlarmMask_RTC( U8 AlarmMask );



#endif /* Match the re-definition guard */


/*
**===========================================================================
** END OF FILE
**===========================================================================
*/ 


