
/*
*****************************************************************************
**
**      Project     : My project
**
**      Component   : LPC2106 (LPC2106)
**
**      Modulename  : System
**
**      Filename    : template.h
**
**      Abstract    : This file is the template file for <usercode.h> 
**                    Rename the file from <template.h> to <usercode.h>
**                    This file contains dummy definition for user-code macros.                       
**
**                    Modify the <usercode.h> file to connect user logic 
**                    to application specific code and behaviour to the 
**                    IAR MakeApp generated device driver functions.
**                    You should include the file <template.h> from your file <usercode.h>,
**                    to maintain update capabilty through MakeApp.
**
**                    The <usercode.h> file will not be overwritten by MakeApp.
**
**      Date        : 2004-05-18 11:35:34
**
**      License no. : 9503-663-863-6224     Ivan
**
**      Warning     : This file has been automatically generated.
**                    Do not edit this file if you intend to regenerate it.
**
**      This header file was created by IAR MakeApp version 
**      4.02A (Philips LPC210x: 4.00C) for the Philips LPC210x series of
**      microcontrollers.
**
**      (c)Copyright 2004 IAR Systems.
**      Your rights to this file are explained in the IAR MakeApp 
**      License Agreement. All other rights reserved.
**
*****************************************************************************
*/
/*
**===========================================================================
**  1       GENERAL
**  1.1     Revisions
**
**  Please read the IAR MakeApp for the Philips LPC210x readme file 
**  
**
**===========================================================================
*/

/*
**===========================================================================
**  1.2     References
** 
**  No   Identification          Name or Description
**  ==   ===================     ================================
**
**  1    02/Oct/2003             Philips LPC210x Hardware Manual
** 
**===========================================================================
*/

/*
**===========================================================================
**  1.3     Re-definition guard
**===========================================================================
*/

/*--- Avoid including this file more than once ---*/
#ifndef _IS_INCLUDED_USERCODE_H
#define _IS_INCLUDED_USERCODE_H

/* usercode/template redefinition guard */
/*
**===========================================================================
**  2.      INCLUDE FILES
**  2.1     Standard include files
**===========================================================================
*/

/*
**===========================================================================
**  2.2     Application include files
**===========================================================================
*/

#include "ma_tgt.h"    /* Target specific header file */

/*
**===========================================================================
**  3.      DECLARATIONS
**  3.1     Global constants
**===========================================================================
*/

/*
**===========================================================================
**  3.2     Global macros
**===========================================================================
*/


/*
**---------------------------------------------------------------------------
**
**  USER CODE MACROS
**
**  EXAMPLE 1:
**      The application needs a global Count variable to be incremented
**      at the beginning of the MA_Init_CPU() function.
**
**      Modify the ENTER_MA_INIT_CPU macro in the following manner:
**		#define ENTER_MA_INIT_CPU	Count++;
**
**  EXAMPLE 2:
**		Realtime operating system semaphores are needed to guard the 
**		device drivers, so that only one task at a time can access the 
**		peripheral module. 
**
**		Modify the ENTER_xx and EXIT_xx macros in the following manner:
**		#define ENTER_MA_INIT_CPU	RTOS_WaitSemaphore( CPUSem );
**		#define EXIT_MA_INIT_CPU	RTOS_ReleaseSemaphore( CPUSem );
**		#define ENTER_MA_RESET_CPU	RTOS_WaitSemaphore( CPUSem );
**		#define EXIT_MA_RESET_CPU	RTOS_ReleaseSemaphore( CPUSem );
**		...
**
**---------------------------------------------------------------------------
*/

/*--- User code for the SCB module ---*/        
#define ENTER_MA_INIT_SCB
#define EXIT_MA_INIT_SCB

#define ENTER_MA_RESET_SCB
#define EXIT_MA_RESET_SCB

#define ENTER_MA_INTHANDLER_PLL_SCB
#define INSIDE_MA_INTHANDLER_PLL_SCB
#define EXIT_MA_INTHANDLER_PLL_SCB

#define ENTER_MA_INTHANDLER_EINT0_SCB
#define INSIDE_MA_INTHANDLER_EINT0_SCB
#define EXIT_MA_INTHANDLER_EINT0_SCB

#define ENTER_MA_INTHANDLER_EINT1_SCB
#define INSIDE_MA_INTHANDLER_EINT1_SCB
#define EXIT_MA_INTHANDLER_EINT1_SCB

#define ENTER_MA_INTHANDLER_EINT2_SCB
#define INSIDE_MA_INTHANDLER_EINT2_SCB
#define EXIT_MA_INTHANDLER_EINT2_SCB


/*--- User code for the VIC module ---*/        
#define ENTER_MA_INIT_VIC
#define EXIT_MA_INIT_VIC

#define ENTER_MA_RESET_VIC
#define EXIT_MA_RESET_VIC

#define ENTER_MA_SETISRADDRESS_VIC
#define EXIT_MA_SETISRADDRESS_VIC


/*--- User code for the PCB module ---*/
#define ENTER_MA_INIT_PCB        
#define EXIT_MA_INIT_PCB

#define ENTER_MA_RESET_PCB        
#define EXIT_MA_RESET_PCB


/*--- User code for the GPIO module ---*/
#define ENTER_MA_INIT_GPIO        
#define EXIT_MA_INIT_GPIO

#define ENTER_MA_RESET_GPIO        
#define EXIT_MA_RESET_GPIO

#define ENTER_MA_SETPORTIN_GPIO
#define EXIT_MA_SETPORTIN_GPIO

#define ENTER_MA_SETPORTOUT_GPIO
#define EXIT_MA_SETPORTOUT_GPIO

#define ENTER_MA_READPORT_GPIO
#define EXIT_MA_READPORT_GPIO

#define ENTER_MA_WRITEPORT_GPIO
#define EXIT_MA_WRITEPORT_GPIO


/*--- User code for the UART0 module ---*/        
#define ENTER_MA_INIT_UART0
#define EXIT_MA_INIT_UART0

#define ENTER_MA_RESET_UART0
#define EXIT_MA_RESET_UART0

#define ENTER_MA_PUTDATA_UART0
#define EXIT_MA_PUTDATA_UART0

#define ENTER_MA_GETDATA_UART0
#define EXIT_MA_GETDATA_UART0

#define ENTER_MA_PUTCHAR_UART0
#define EXIT_MA_PUTCHAR_UART0

#define ENTER_MA_GETCHAR_UART0
#define EXIT_MA_GETCHAR_UART0

#define ENTER_MA_PUTSTRING_UART0
#define EXIT_MA_PUTSTRING_UART0

#define ENTER_MA_GETSTRING_UART0
#define EXIT_MA_GETSTRING_UART0

#define ENTER_MA_SETEOS_UART0
#define EXIT_MA_SETEOS_UART0

#define INSIDE_MA_INTHANDLER_FE_ERR_UART0
#define INSIDE_MA_INTHANDLER_PE_ERR_UART0
#define INSIDE_MA_INTHANDLER_OE_ERR_UART0
#define INSIDE_MA_INTHANDLER_BREAK_UART0
#define INSIDE_MA_INTHANDLER_BUFFER_ERR_UART0

#define ENTER_MA_INTHANDLER_UART0
#define EXIT_MA_INTHANDLER_UART0

#define INSIDE_MA_INTHANDLER_RX_LINE_UART0

#define ENTER_MA_INTHANDLER_UDRE_UART0
#define INSIDE_MA_INTHANDLER_UDRE_UART0
#define EXIT_MA_INTHANDLER_UDRE_UART0

#define ENTER_MA_INTHANDLER_RX_UART0
#define INSIDE_MA_INTHANDLER_ERR_UART0
#define INSIDE_MA_INTHANDLER_RX_UART0
#define INSIDE_MA_INTHANDLER_TX_UART0
#define INSIDE_ORERR_MA_INTHANDLER_RX_UART0
#define INSIDE_FEERR_MA_INTHANDLER_RX_UART0
#define EXIT_MA_INTHANDLER_RX_UART0
#define INSIDE_MA_INTHANDLER_MODEM_UART0


/*--- User code for the UART1 module ---*/
#define ENTER_MA_INIT_UART1
#define EXIT_MA_INIT_UART1

#define ENTER_MA_RESET_UART1
#define EXIT_MA_RESET_UART1

#define ENTER_MA_PUTDATA_UART1
#define EXIT_MA_PUTDATA_UART1

#define ENTER_MA_GETDATA_UART1
#define EXIT_MA_GETDATA_UART1

#define ENTER_MA_PUTCHAR_UART1
#define EXIT_MA_PUTCHAR_UART1

#define ENTER_MA_GETCHAR_UART1
#define EXIT_MA_GETCHAR_UART1

#define ENTER_MA_PUTSTRING_UART1
#define EXIT_MA_PUTSTRING_UART1

#define ENTER_MA_GETSTRING_UART1
#define EXIT_MA_GETSTRING_UART1

#define ENTER_MA_SETEOS_UART1
#define EXIT_MA_SETEOS_UART1

#define ENTER_MA_INTHANDLER_UART1
#define EXIT_MA_INTHANDLER_UART1

#define INSIDE_MA_INTHANDLER_RX_LINE_UART1

#define ENTER_MA_INTHANDLER_UDRE_UART1
#define EXIT_MA_INTHANDLER_UDRE_UART1

#define ENTER_MA_INTHANDLER_RX_UART1
#define INSIDE_MA_INTHANDLER_ERR_UART1
#define INSIDE_MA_INTHANDLER_RX_UART1
#define INSIDE_MA_INTHANDLER_TX_UART1
#define INSIDE_ORERR_MA_INTHANDLER_RX_UART1
#define INSIDE_FEERR_MA_INTHANDLER_RX_UART1
#define EXIT_MA_INTHANDLER_RX_UART1
#define INSIDE_MA_INTHANDLER_MODEM_UART1

#define INSIDE_MA_INTHANDLER_FE_ERR_UART1
#define INSIDE_MA_INTHANDLER_PE_ERR_UART1
#define INSIDE_MA_INTHANDLER_OE_ERR_UART1
#define INSIDE_MA_INTHANDLER_BREAK_UART1
#define INSIDE_MA_INTHANDLER_BUFFER_ERR_UART1


/*--- User code for the I2C module ---*/        
#define ENTER_MA_INIT_I2C
#define EXIT_MA_INIT_I2C

#define ENTER_MA_RESET_I2C
#define EXIT_MA_RESET_I2C

#define ENTER_MA_START_I2C
#define EXIT_MA_START_I2C

#define ENTER_MA_REPEATSTART_I2C
#define EXIT_MA_REPEATSTART_I2C

#define ENTER_MA_STOP_I2C
#define EXIT_MA_STOP_I2C

#define ENTER_MA_MASTERPUTCHAR_I2C
#define EXIT_MA_MASTERPUTCHAR_I2C

#define ENTER_MA_MASTERGETCHAR_I2C
#define EXIT_MA_MASTERGETCHAR_I2C

#define ENTER_MA_MASTERWRITE_I2C
#define EXIT_MA_MASTERWRITE_I2C

#define ENTER_MA_MASTERREAD_I2C
#define EXIT_MA_MASTERREAD_I2C

#define ENTER_MA_CHECKSTATUS_I2C
#define EXIT_MA_CHECKSTATUS_I2C

#define ENTER_MA_INTHANDLER_I2C
#define INSIDE_MA_INTHANDLER_I2C
#define EXIT_MA_INTHANDLER_I2C


/*--- User code for the SPI module ---*/        
#define ENTER_MA_INIT_SPI
#define EXIT_MA_INIT_SPI

#define ENTER_MA_RESET_SPI
#define EXIT_MA_RESET_SPI

#define ENTER_MA_PUTCHAR_SPI
#define EXIT_MA_PUTCHAR_SPI

#define ENTER_MA_GETCHAR_SPI
#define EXIT_MA_GETCHAR_SPI

#define ENTER_MA_TESTCHAR_SPI
#define EXIT_MA_TESTCHAR_SPI

#define ENTER_MA_SETMODE_SPI
#define EXIT_MA_SETMODE_SPI

#define ENTER_MA_INTHANDLER_SPI
#define INSIDE_MA_INTHANDLER_SPI
#define EXIT_MA_INTHANDLER_SPI


/*--- User code for the TIMER module ---*/        
#define ENTER_MA_INIT_TIMER
#define EXIT_MA_INIT_TIMER

#define ENTER_MA_RESET_TIMER
#define EXIT_MA_RESET_TIMER

#define ENTER_MA_START_TIMER
#define EXIT_MA_START_TIMER

#define ENTER_MA_STOP_TIMER
#define EXIT_MA_STOP_TIMER

#define EXIT_MA_READ_TIMER
#define ENTER_MA_READ_TIMER

#define ENTER_MA_INTHANDLER_TIMER0
#define INSIDE_MA_INTHANDLER_TIMER0_MR0
#define INSIDE_MA_INTHANDLER_TIMER0_MR1
#define INSIDE_MA_INTHANDLER_TIMER0_MR2
#define INSIDE_MA_INTHANDLER_TIMER0_MR3
#define INSIDE_MA_INTHANDLER_TIMER0_CR0
#define INSIDE_MA_INTHANDLER_TIMER0_CR1
#define INSIDE_MA_INTHANDLER_TIMER0_CR2
#define INSIDE_MA_INTHANDLER_TIMER0_CR3
#define EXIT_MA_INTHANDLER_TIMER0

#define ENTER_MA_INTHANDLER_TIMER1
#define INSIDE_MA_INTHANDLER_TIMER1_MR0
#define INSIDE_MA_INTHANDLER_TIMER1_MR1
#define INSIDE_MA_INTHANDLER_TIMER1_MR2
#define INSIDE_MA_INTHANDLER_TIMER1_MR3
#define INSIDE_MA_INTHANDLER_TIMER1_CR0
#define INSIDE_MA_INTHANDLER_TIMER1_CR1
#define INSIDE_MA_INTHANDLER_TIMER1_CR2
#define INSIDE_MA_INTHANDLER_TIMER1_CR3
#define EXIT_MA_INTHANDLER_TIMER1


/*--- User code for the PWM0 module ---*/        
#define ENTER_MA_INIT_PWM0
#define EXIT_MA_INIT_PWM0

#define ENTER_MA_RESET_PWM0
#define EXIT_MA_RESET_PWM0

#define ENTER_MA_START_PWM0
#define EXIT_MA_START_PWM0

#define ENTER_MA_STOP_PWM0
#define EXIT_MA_STOP_PWM0

#define ENTER_MA_SET_PWM0
#define EXIT_MA_SET_PWM0

#define ENTER_MA_INTHANDLER_PWM0
#define INSIDE_MA_INTHANDLER_PWM0_MR0
#define INSIDE_MA_INTHANDLER_PWM0_MR1
#define INSIDE_MA_INTHANDLER_PWM0_MR2
#define INSIDE_MA_INTHANDLER_PWM0_MR3
#define INSIDE_MA_INTHANDLER_PWM0_MR4
#define INSIDE_MA_INTHANDLER_PWM0_MR5
#define INSIDE_MA_INTHANDLER_PWM0_MR6
#define EXIT_MA_INTHANDLER_PWM0


/*--- User code for the RTC module ---*/        
#define ENTER_MA_INIT_RTC
#define EXIT_MA_INIT_RTC

#define ENTER_MA_RESET_RTC
#define EXIT_MA_RESET_RTC

#define ENTER_MA_START_RTC
#define EXIT_MA_START_RTC

#define ENTER_MA_STOP_RTC
#define EXIT_MA_STOP_RTC

#define ENTER_MA_RESETCTC_RTC
#define EXIT_MA_RESETCTC_RTC

#define ENTER_MA_SETTIME_RTC
#define EXIT_MA_SETTIME_RTC

#define ENTER_MA_GETTIME_RTC
#define EXIT_MA_GETTIME_RTC

#define ENTER_MA_SETALARM_RTC
#define EXIT_MA_SETALARM_RTC

#define ENTER_MA_SETALARMMASK_RTC
#define EXIT_MA_SETALARMMASK_RTC

#define ENTER_MA_INTHANDLER_RTC
#define INSIDE_MA_INTHANDLER_RTC
#define INSIDE_MA_INTHANDLER_RTC_ALARM
#define INSIDE_MA_INTHANDLER_RTC_COUNTER
#define EXIT_MA_INTHANDLER_RTC


/*--- User code for the WDT module ---*/        
#define ENTER_MA_INIT_WDT
#define EXIT_MA_INIT_WDT

#define ENTER_MA_RESET_WDT
#define EXIT_MA_RESET_WDT

#define ENTER_MA_START_WDT
#define EXIT_MA_START_WDT

#define ENTER_MA_TRIG_WDT
#define EXIT_MA_TRIG_WDT

#define ENTER_MA_CHECK_WDT
#define EXIT_MA_CHECK_WDT

#define ENTER_MA_INTHANDLER_WDT
#define INSIDE_MA_INTHANDLER_WDT
#define EXIT_MA_INTHANDLER_WDT


/*--- User code for the STDIO module ---*/        
#define ENTER_MA_INIT_STDIO
#define EXIT_MA_INIT_STDIO
#define ENTER_MA_OPEN_STDIO
#define EXIT_MA_OPEN_STDIO
#define ENTER_MA_CLOSE_STDIO
#define EXIT_MA_CLOSE_STDIO


/*
**===========================================================================
**  3.3     Global type definitions
**===========================================================================
*/

/*
**===========================================================================
**  3.4     Global variables (defined in some implementation file)
**===========================================================================
*/

/*
**===========================================================================
**  4.      GLOBAL FUNCTIONS (defined in some implementation file)
**===========================================================================
*/

#endif /* Match the re-definition guard */


/*
**===========================================================================
** END OF FILE
**===========================================================================
*/ 


