;-----------------------------------------------------------------------------
;       This file contains modules floating point exception flags.
;
;       Copyright 1998-1999 IAR Systems. All rights reserved.
; 
;       $Revision: 1.1 $
;
;       $Id: fconst.i,v 1.1 2004/02/11 11:54:36 pny Exp $
;-----------------------------------------------------------------------------

/*
 * Note: The only exceptions that can coincide are Overflow with Inexact
 * and Underflow with Inexact. The composed flags are for efficient
 * setting of the flags. 
 */

#define FE_INVALID      0x1     // Invalid Operation
#define FE_DIVBYZERO    0x2     // Division By Zero
#define FE_OVERFLOW     0x4     // Overflow
#define FE_UNDERFLOW    0x8     // Underflow
#define FE_INEXACT      0x10    // Inexact

#define FE_OVERF_INEX   (FE_OVERFLOW | FE_INEXACT)    // FE_OVERFLOW + FE_INEXACT
#define FE_UNDERF_INEX  (FE_UNDERFLOW | FE_INEXACT)   // FE_UNDERFLOW + FE_INEXACT

#define TRUE    1
#define FALSE   0