/* Low-level debugger interface to the "_Assert" function. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include "__dbg_.h"
#include <assert.h>

#pragma cspy_support = basic
#pragma module_name = "?_ReportAssert"

typedef struct __Debug__reportAssertParams
{
  const char * mFile;
  const char * mLine;
  const char * mFunc; /* Might be NULL. */
  const char * mMess;
  int mReturnStatus;
} __Debug__reportAssertParams;

int _ReportAssert(const char * file, const char * line,
                  const char * func, const char * mess)
{
  /* Write some bytes. */
  __Debug__reportAssertParams p;
  p.mFile = file;
  p.mLine = line;
  p.mFunc = func;
  p.mMess = mess;
  p.mReturnStatus = 0;

  __DebugBreak(__DebugReportAssert, &p);

  return p.mReturnStatus;
}
