/* atexit function */
#include <stdlib.h>
#include "xstdio.h"

#include "dtor_rec.h"

_STD_BEGIN

int (atexit)(void (*func)(void))
	{	/* function to call at exit */
                /* allocate space for double indirection, as well */
        __dtor_rec * rec = malloc(sizeof(__dtor_rec) + sizeof(rec));

        if (rec)
          {
            __dtor_rec const * * pp = (__dtor_rec const * *) (rec + 1);
            /* Point to pointer */
            rec->next = pp;
            rec->object = NULL;
            rec->dtor = func;
            /* Initialize pointer */
            *pp = 0;
            __record_needed_destruction( rec );

            return 0;
          }
        return 1;               /* Non-zero for fail. */
	}

/* Plauger library calls this. */
void (_Atexit)(void (*func)(void))
{
  atexit(func);
}

_STD_END

/*
 * Copyright (c) 1994 by P.J. Plauger.  ALL RIGHTS RESERVED. 
 * Consult your license regarding permissions and restrictions.
V2.21:0576 */
