/* free function */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */
#include "xalloc.h"
#include "xinstantiate.h"
_STD_BEGIN

#pragma language=extended

#define __HEAP_MEM_HELPER1__(M, I)                                \
void (M##_free)(void M * ptr)                                     \
{       /* free an allocated data object */                       \
  if (_HEAP_REDIRECT(I))                                          \
  {                                                               \
    /* Redirect to another heap */                                \
    _GLUE(_HEAP_REDIRECT_TO(I),_free)(                            \
                               (void _HEAP_REDIRECT_TO(I) *)ptr); \
  }                                                               \
  else                                                            \
  {                                                               \
    M##_Cell M * q;                                               \
    _WHEN_DEBUG(M##_size_t size;)                                 \
                                                                  \
    _OK_ALTAB(M, &_Aldata);                                       \
    if (ptr == 0)                                                 \
      return;                                                     \
    q = (M##_Cell M *)((char M *)ptr - CELL_OFF(M));              \
    if (q->_Size < SIZE_CELL(M) || (q->_Size & M_MASK) != 0)      \
      return;     /* erroneous call, bad count */                 \
    _WHEN_DEBUG(size = q->_Size;)                                 \
    _Locksyslock(_LOCK_MALLOC);                                   \
    if (M##_Aldata._Head == 0                                     \
        || _PTR_NORM(q) < _PTR_NORM(M##_Aldata._Head))            \
    {     /* insert at head of list */                            \
      q->_Next = M##_Aldata._Head;                                \
      M##_Aldata._Head = q;                                       \
    }                                                             \
    else                                                          \
    {     /* scan for insertion point */                          \
      M##_Cell M * qp = M##_Aldata._Head;                         \
      char M * qpp;                                               \
                                                                  \
      while (qp->_Next != 0                                       \
             && _PTR_NORM(qp->_Next) < _PTR_NORM(q))              \
        qp = qp->_Next;                                           \
      qpp = (char M *)qp + qp->_Size;                             \
      if (_PTR_NORM((char M *)q) < _PTR_NORM(qpp))                \
      {   /* erroneous call, overlaps qp */                       \
        _Unlocksyslock(_LOCK_MALLOC);                             \
        return;                                                   \
      }                                                           \
      else if (_PTR_NORM(qpp) == _PTR_NORM((char M *)q))          \
      {   /* merge qp and q */                                    \
        qp->_Size += q->_Size;                                    \
        q = qp;                                                   \
      }                                                           \
      else if (qp->_Next != 0 && _PTR_NORM((char M *)qp->_Next)   \
               < _PTR_NORM((char M *)q + q->_Size))               \
      {   /* erroneous call, overlaps qp->_Next */                \
        _Unlocksyslock(_LOCK_MALLOC);                             \
        return;                                                   \
      }                                                           \
      else                                                        \
      {   /* splice q after qp */                                 \
        q->_Next = qp->_Next;                                     \
        qp->_Next = q;                                            \
      }                                                           \
    }                                                             \
    if (q->_Next != 0 && _PTR_NORM((char M *)q + q->_Size)        \
        == _PTR_NORM((char M *)q->_Next))                         \
    {     /* merge q and q->_Next */                              \
      M##_Aldata._Plast = 0;      /* deoptimize for safety */     \
      q->_Size += q->_Next->_Size;                                \
      q->_Next = q->_Next->_Next;                                 \
    }                                                             \
    _UPD_ALTAB(M, 0, -size, size); /* heap=alloc+free */          \
    _OK_ALTAB(M, &M##_Aldata);                                    \
    _Unlocksyslock(_LOCK_MALLOC);                                 \
    /* every successful free "falls off" here */                  \
  }                                                               \
}
__HEAP_MEMORY_LIST1__()
#undef __HEAP_MEM_HELPER1__
_STD_END

_INSTANTIATE(free);

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
 V3.12:0576 */
