/* qsort for very small targets (using bubble sort). */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include <stdlib.h>
#include <string.h>

_STD_BEGIN

void (__qsortbbl)(void *base, size_t n, size_t size, _Cmpfun *cmp)
{	/* sort (char base[size])[n] using bubblesort with flag. */
  size_t i;
  size_t j;
  char done;

  for (i = 0; i < n; i++)
  {
    done = 1;

    /* We doesn't need to go all the way to the bottom since we know
     * that we run the least element down the there the first iteration,
     * the second least the second iteration etc.
     */
    for (j = 0; j < n - 1 - i; j++)
    {
      char *qi = ((char *)base) + size * j;
      char *qj = ((char *)base) + size * j+1;

      if ((*cmp)(qi, qj) > 0)
      {
        size_t elements;

        /* Swap the elements. */
        for (elements = size; elements > 0; qi++, qj++, elements--)
        {
          /* Reuse "done" to save ram. */
          done = *qi;
          *qi = *qj;
          *qj = done;
        }
        done = 0;
      }
    }
    if (done)
    {
      return;
    }
  }
}
_STD_END
