/* realloc function */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */
#include <string.h>
#include "xalloc.h"
#include "xinstantiate.h"
#include "xxmemxfuncs.h"
_STD_BEGIN

#pragma language=extended


#define __HEAP_MEM_HELPER1__(M, I)                                      \
static void M *(M##_myrealloc)(void M * ptr, M##_size_t size_arg,       \
                               M##_Cell M *q, M##_size_t size)          \
{       /* try to buy a larger cell */                                  \
  if (M##_Aldata._Head != 0)                                            \
  {     /* look for adjacent free space */                              \
    M##_Cell M * M * qb = &M##_Aldata._Head;                            \
    char M * const qn = (char M *)q + q->_Size;                         \
                                                                        \
    while ((*qb)->_Next != 0                                            \
           && _PTR_NORM((*qb)->_Next) < _PTR_NORM(q))                   \
      qb = &(*qb)->_Next;                                               \
    if (_PTR_NORM(qn) == _PTR_NORM((char M *)*qb))                      \
    {   /* merge q and *qb */                                           \
      M##_Aldata._Plast = 0;    /* deoptimize for safety */             \
      _UPD_ALTAB(M,                                                     \
                 /*heap*/ 0,                                            \
                 /*alloc*/ (*qb)->_Size,                                \
                 /*free*/ -(*qb)->_Size);                               \
      q->_Size += (*qb)->_Size;                                         \
      *qb = (*qb)->_Next;                                               \
      if (size <= q->_Size)                                             \
        return (M##_realloc(ptr, size_arg));    /* trim */              \
    }                                                                   \
    else if (_PTR_NORM(qn)                                              \
             == _PTR_NORM((char M *)(*qb)->_Next))                      \
    {   /* merge q and (*qb)->_Next */                                  \
      M##_Aldata._Plast = 0;    /* deoptimize for safety */             \
      _UPD_ALTAB(M,                                                     \
                 /*heap*/ 0,                                            \
                 /*alloc*/ (*qb)->_Next->_Size,                         \
                 /*free*/ -(*qb)->_Next->_Size);                        \
      q->_Size += (*qb)->_Next->_Size;                                  \
      (*qb)->_Next = (*qb)->_Next->_Next;                               \
      if (size <= q->_Size)                                             \
        return (M##_realloc(ptr, size_arg));    /* trim */              \
    }                                                                   \
    if (*qb != 0 && _PTR_NORM((char M *)*qb + (*qb)->_Size)             \
        == _PTR_NORM((char M *)q)                                       \
        && size <= (*qb)->_Size + q->_Size)                             \
    {   /* merge *qb and q, then copy down */                           \
      M##_Cell M *const next_q = (*qb)->_Next;                          \
      M##_Aldata._Plast = 0;    /* deoptimize for safety */             \
      _UPD_ALTAB(M,                                                     \
                 /*heap*/ 0, /*alloc*/ q->_Size,                        \
                 /*free*/ -q->_Size);                                   \
      (*qb)->_Size += q->_Size;                                         \
      ptr = M##_memmove((char M *)*qb + CELL_OFF(M), ptr,               \
                        q->_Size - CELL_OFF(M));                        \
      *qb = next_q;                                                     \
      return (M##_realloc(ptr, size_arg));      /* trim */              \
    }                                                                   \
  }                                                                     \
  return (0);                                                           \
}
__HEAP_MEMORY_LIST1__()
#undef __HEAP_MEM_HELPER1__

#define __HEAP_MEM_HELPER1__(M, I)                                        \
void M *(M##_realloc)(void M *ptr, M##_size_t size_arg)                   \
{       /* reallocate a data object on the heap */                        \
  if (_HEAP_REDIRECT(I))                                                  \
  {                                                                       \
    /* Redirect to another heap */                                        \
    _GLUE(_HEAP_REDIRECT_TO(I),_size_t) size_arg2 = size_arg;             \
    if (size_arg2 != size_arg)                                            \
      return 0;                                                           \
    return _GLUE(_HEAP_REDIRECT_TO(I),_realloc)(                          \
                            (void _HEAP_REDIRECT_TO(I) *)ptr, size_arg2); \
  }                                                                       \
  else                                                                    \
  {                                                                       \
    M##_Cell M *q;                                                        \
    M##_size_t size;                                                      \
                                                                          \
    _OK_ALTAB(M, &M##_Aldata); /* too many returns to check at return */  \
    if (ptr == 0)                                                         \
      return (M##_malloc(size_arg));                                      \
    if (size_arg == 0)                                                    \
    {     /* free if zero size */                                         \
      M##_free(ptr);                                                      \
      return (0);                                                         \
    }                                                                     \
    size = (size_arg + (CELL_OFF(M) + M_MASK)) & ~M_MASK;                 \
    if (size <= size_arg)                                                 \
      return (0); /* size_arg too large */                                \
    if (size < SIZE_CELL(M))    /* round up size */                       \
      size = SIZE_CELL(M);                                                \
    q = (M##_Cell M *)((char M *)ptr - CELL_OFF(M));                      \
    if (q->_Size < SIZE_CELL(M) || (q->_Size & M_MASK) != 0)              \
      return (0); /* erroneous call, bad count */                         \
    if (size <= q->_Size - SIZE_CELL(M))                                  \
    {     /* free excess space */                                         \
      M##_Cell M *const new_q = (M##_Cell M *)((char M *)q + size);       \
                                                                          \
      new_q->_Size = q->_Size - size;                                     \
      q->_Size = size;                                                    \
      M##_free((char M *)new_q + CELL_OFF(M));                            \
      return (ptr);                                                       \
    }                                                                     \
    else if (size <= q->_Size)                                            \
      return (ptr);       /* leave cell alone */                          \
    else                                                                  \
    {     /* try to buy larger cell */                                    \
      void M * new_p;                                                     \
                                                                          \
      _Locksyslock(_LOCK_MALLOC);                                         \
      new_p = M##_myrealloc(ptr, size_arg, q, size);                      \
      _Unlocksyslock(_LOCK_MALLOC);                                       \
      if (new_p != 0)                                                     \
        return (new_p);                                                   \
      else if ((new_p = M##_malloc(size_arg)) == 0)                       \
        return (0);                                                       \
      else                                                                \
      {   /* copy to new cell and free old */                             \
        M##_memmove(new_p, ptr, q->_Size - CELL_OFF(M));                  \
        M##_free(ptr);                                                    \
        return (new_p);                                                   \
      }                                                                   \
    }                                                                     \
  }                                                                       \
}
__HEAP_MEMORY_LIST1__()
#undef __HEAP_MEM_HELPER1__

_INSTANTIATE(realloc);

_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
 V3.12:0576 */
