/* Multibyte function - single byte version. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */
#include <yvals.h>
#include <errno.h>
#include <limits.h>
#include <stdlib.h>
#include <xmtloc.h>
#include <xwchar.h>

_STD_BEGIN

int _EncodingSb_Wctomb(char *s, wchar_t wc, _Mbstatet *pst)
{	/* translate widechar to multibyte - single byte version. */
  static const mbstate_t initial = {0};

  unsigned char *su = (unsigned char *)s;

  if (s == 0)
  {	/* set initial state */
    *pst = initial;
    return (0);
  }

  *su++ = (unsigned char)wc;
  return (1);
}


int _EncodingSb_Mbtowc(wchar_t *pwc, const char *s, size_t nin,
                       _Mbstatet *pst)
{	/* translate multibyte to widechar, given locale info - sb version. */
  unsigned char *su = (unsigned char *)s;
  static const mbstate_t initial = {0};

  if (s == 0)
  {	/* set initial state */
    *pst = initial;
    return (0);
  }

  if (nin == 0)
    return (-2);
  else
  {	/* return a single byte */
    if (pwc != 0)
      *pwc = *su;
    return (*su == 0 ? 0 : 1);
  }
}

_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
