/* _Foprep function */
#include "xstdio.h"

#if _DLIB_FILE_DESCRIPTOR

_STD_BEGIN

/* open a stream */
FILE *_Foprep(const char *name, const char *mods,
	FILE *str, _FD_TYPE fd)
	{	/* make str safe for fclose, macros */
	unsigned short alloced;
	unsigned short lockno;
	static const FILE init = {0, 0, _FD_INVALID};

	if (str == 0)
		return (0);
	alloced = str->_Mode & _MALFIL;
	lockno = str->_Lockno;
	*str = init;

	str->_Lockno = lockno;
	str->_Buf = &str->_Cbuf;
	str->_Next = &str->_Cbuf;
	str->_Rend = &str->_Cbuf, str->_WRend = &str->_Cbuf;
	str->_Wend = &str->_Cbuf, str->_WWend = &str->_Cbuf;
	str->_Rback = str->_Back + sizeof (str->_Back);
	str->_WRback = str->_WBack
		+ sizeof (str->_WBack) / sizeof (wchar_t);
	str->_Mode = alloced
		| (*mods == 'r' ? _MOPENR
		: *mods == 'w' ? _MCREAT | _MOPENW | _MTRUNC
		: *mods == 'a' ? _MCREAT | _MOPENW | _MOPENA
		: 0);
	if ((str->_Mode & (_MOPENR | _MOPENW)) == 0)
		{	/* bad mods */
		fclose(str);
		return (0);
		}
	while (*++mods== 'b' || *mods == '+')
		if (*mods == 'b')
			if (str->_Mode & _MBIN)
				break;
			else
				str->_Mode |= _MBIN;
		else
			if ((str->_Mode & (_MOPENR | _MOPENW))
				== (_MOPENR|_MOPENW))
				break;
			else
				str->_Mode |= _MOPENR | _MOPENW;

	if (name != 0)
		{	/* not an existing file, open by name */
		str->_Handle = _Fopen(name, str->_Mode, mods);
		if (!_FD_VALID(str->_Handle))
			{	/* open failed */
			fclose(str);
			return (0);
			}
		}
	else if (!_FD_VALID(fd))
			{	/* bad fd */
			fclose(str);
			return (0);
			}
	else
		str->_Handle = fd;

	return (str);
	}
_STD_END

#endif /* _DLIB_FILE_DESCRIPTOR */

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
