/* values used by math functions -- IEEE 754 float version */
#include "xmath.h"
_STD_BEGIN

#ifndef _FLOAT_IS_DOUBLE

		/* macros */
#define NBITS	(_FMANTISSA)
 #if _D0 == 0
  #define INIT(w0)		{w0, 0}
  #define INIT2(w0, w1)	{w0, w1}
 #else
  #define INIT(w0)		{0, w0}
  #define INIT2(w0, w1)	{w1, w0}
 #endif

		/* static data */
const _Dconst _FDenorm = {INIT2(0, 1)};
const _Dconst _FEps = {INIT((_FBIAS - NBITS - 1) << _FOFF)};
const _Dconst _FHugeval = {INIT(_FMAX << _FOFF)};
const _Dconst _FInf = {INIT(_FMAX << _FOFF)};
const _Dconst _FNan = {INIT(_FSIGN | (_FMAX << _FOFF)
	| (1 << (_FOFF - 1)))};
const _Dconst _FSnan = {INIT(_FSIGN | (_FMAX << _FOFF)
	| (1 << (_FOFF - 1)))};
const _Dconst _FRteps = {INIT((_FBIAS - NBITS / 2) << _FOFF)};

const float _FXbig = (NBITS + 1) * 347L / 1000;
const float _FZero = 0.0F;

#endif /* _FLOAT_IS_DOUBLE */

_STD_END

/*
* Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
