/* _Getfld function */
#include <ctype.h>
#include <string.h>
#include "xstdio.h"
_STD_BEGIN

int _Getfld(_Sft *px)
{       /* convert a field */
  px->stored = 0;
  switch (*px->s)
  {       /* switch on conversion specifier */
  case 'c':       /* convert an array of char */
    return (_Getstr(px, 0));

#if _DLIB_SCANF_SPECIFIER_SIGNED
  case 'd': case 'i':
#endif
#if _DLIB_SCANF_SPECIFIER_UNSIGNED
  case 'p':       /* convert a pointer */
  case 'o':
  case 'u': case 'x': case 'X':
#endif /* _DLIB_SCANF_SPECIFIER_UNSIGNED */
#if _DLIB_SCANF_SPECIFIER_UNSIGNED || _DLIB_SCANF_SPECIFIER_SIGNED
    return (_Getint(px));   /* convert an integer */
#endif

#if _DLIB_SCANF_SPECIFIER_FLOAT
  case 'e': case 'E':
  case 'g': case 'G':
  case 'f': case 'F':
  case 'a': case 'A':
    return (_Getfloat(px)); /* convert a floating */
#endif /* _DLIB_SCANF_SPECIFIER_FLOAT */

#if _DLIB_SCANF_SPECIFIER_N
  case 'n':       /* return input count */
#if _DLIB_SCANF_ASSIGNMENT_SUPPRESSING
    if (!px->noconv)
#endif
#if _DLIB_SCANF_QUALIFIERS
      switch (px->qual)
      {       /* store in specified integer type */
      case 'b':
        *va_arg(px->ap, signed char *) = px->nchar;
        break;

#if _DLIB_SCANF_LONG_LONG
      case 'q':
        *va_arg(px->ap, _Longlong *) = px->nchar;
        break;
#endif

#if _SCANF_INTERNAL_QUALIFIER_J
      case 'j':
        *va_arg(px->ap, intmax_t *) = px->nchar;
        break;
#endif

      case 't':
        *va_arg(px->ap, ptrdiff_t *) = px->nchar;
        break;

      case 'z':
        *va_arg(px->ap, size_t *) = px->nchar;
        break;

      case 'h':
        *va_arg(px->ap, short *) = px->nchar;
        break;

      case 'l':
        *va_arg(px->ap, long *) = px->nchar;
        break;

      default:
        *va_arg(px->ap, int *) = px->nchar;
      }
#else
    *va_arg(px->ap, int *) = px->nchar;
#endif /* _DLIB_SCANF_QUALIFIERS */
    return (1);
#endif /* _DLIB_SCANF_SPECIFIER_N */

  case 's':       /* convert a string */
    return (_Getstr(px, 1));

  case '%':
    {      /* match a '%' */
      int ch;

      if ((ch = GET(px)) == '%')
        return (1);
      UNGETN(px, ch);
      return (ch == EOF ? EOF : 0);
    }

#if _DLIB_SCANF_SPECIFIER_SCANSET
  case '[':       /* convert a scan set */
    return (_Getstr(px, -1));
#endif

  default:        /* undefined specifier, quit */
    return (0);
  }
}
_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
 V3.12:0576 */
