/* _Getint function */
#include <yvals.h>
#if _DLIB_SCANF_SPECIFIER_UNSIGNED || _DLIB_SCANF_SPECIFIER_SIGNED

#include <stdlib.h>
#include <string.h>
#include "xstdio.h"
_STD_BEGIN

#define ACSIZE  32      /* holds only prefix, m.s. digits */


int _Getint(_Sft *px)
{       /* get an integer value for _Scanf */
  char ac[ACSIZE], *p, seen;
  int base, ch;

#if _DLIB_SCANF_WIDTH
  px->nget = 0 < px->width ? px->width : INT_MAX;
#else
  px->nget = INT_MAX;
#endif /* _DLIB_SCANF_WIDTH */
  p = ac, ch = GETN(px);
  if (ch == '+' || ch == '-')
    *p++ = ch, ch = GETN(px);
  seen = 0;

  {
    char ch = *px->s;
    
    if (ch == 'd' || ch == 'u')             base = 10;
    else if (ch == 'i')                     base = 0;
    else if (ch == 'o')                     base = 8;
    else if (ch == 'p' || (_LC(ch) == 'x')) base = 16;
  }

  if (ch == '0')
  {       /* match possible prefix and strip it */
    seen = 1;
    ch = GETN(px);
    if ((_LC(ch) == 'x')
        && (base == 0 || base == 16))
      base = 16, ch = GETN(px), seen = 0;
    else if (base == 0)
      base = 8;
  }
  else if (base == 0)
    base = 10;

  for (; ch == '0'; seen = 1)
    ch = GETN(px);
  if (seen)
    *p++ = '0';
  for (; ch != EOF && chvalid(ch, base) != 0;
       ch = GETN(px), seen = 1)
    if (p < &ac[ACSIZE - 1])
      *p++ = ch;
  UNGETN(px, ch);
  if (!seen)
    return (p == ac && ch == EOF ? EOF : 0);
  *p = '\0';
#if _DLIB_SCANF_ASSIGNMENT_SUPPRESSING
  if (px->noconv)
    ;
#else
  if (0) ;
#endif
#if _DLIB_SCANF_SPECIFIER_SIGNED
#if _DLIB_SCANF_SPECIFIER_UNSIGNED
  else if (*px->s == 'd' || *px->s == 'i')
#endif
  {       /* deliver a signed integer */
    const _ScanfSignedIntType lval = _SCANF_INTERNAL_TO_SIGNED(ac, 0, base);

    px->stored = 1;
#if _DLIB_SCANF_QUALIFIERS
    switch (px->qual)
    {       /* store in specified integer type */
    case 'b':
      *va_arg(px->ap, signed char *) = lval;
      break;

#if _DLIB_SCANF_LONG_LONG
    case 'q':
      *va_arg(px->ap, _Longlong *) = lval;
      break;
#endif

#if _SCANF_INTERNAL_QUALIFIER_J
    case 'j':
      *va_arg(px->ap, intmax_t *) = lval;
      break;
#endif

    case 't':
      *va_arg(px->ap, ptrdiff_t *) = lval;
      break;

    case 'z':
      *va_arg(px->ap, ptrdiff_t *) = lval;
      break;

    case 'h':
      *va_arg(px->ap, short *) = lval;
      break;

    case 'l':
      *va_arg(px->ap, long *) = lval;
      break;

    default:
      *va_arg(px->ap, int *) = lval;
    }
#else
    *va_arg(px->ap, int *) = lval;
#endif /* _DLIB_SCANF_QUALIFIERS */
  }
#endif /* _DLIB_SCANF_SPECIFIER_SIGNED */
#if _DLIB_SCANF_SPECIFIER_UNSIGNED
  else
  {       /* deliver an unsigned integer */
    const _ScanfUnsignedIntType ulval
      = _SCANF_INTERNAL_TO_UNSIGNED(ac, 0, base);

    px->stored = 1;
    if (*px->s == 'p')
#pragma diag_suppress = Pe1053
      /* It is okay to cast to a smaller pointer here. */
      *va_arg(px->ap, void **) = (void *)ulval;
#pragma diag_default = Pe1053
    else
#if _DLIB_SCANF_QUALIFIERS
      switch (px->qual)
      {       /* store in specified integer type */
      case 'b':
        *va_arg(px->ap, unsigned char *) = ulval;
        break;

#if _DLIB_SCANF_LONG_LONG
      case 'q':
        *va_arg(px->ap, _ULonglong *) = ulval;
        break;
#endif

#if _SCANF_INTERNAL_QUALIFIER_J
      case 'j':
        *va_arg(px->ap, uintmax_t *) = ulval;
        break;
#endif

      case 't':
        *va_arg(px->ap, size_t *) = ulval;
        break;

      case 'z':
        *va_arg(px->ap, size_t *) = ulval;
        break;

      case 'h':
        *va_arg(px->ap, unsigned short *) = ulval;
        break;

      case 'l':
        *va_arg(px->ap, unsigned long *) = ulval;
        break;

      default:
        *va_arg(px->ap, unsigned int *) = ulval;
      }
#else
    *va_arg(px->ap, unsigned int *) = ulval;
#endif /* _DLIB_SCANF_QUALIFIERS */
  }
#endif /* _DLIB_SCANF_SPECIFIER_UNSIGNED */
  return (1);
}
_STD_END

#endif /* _DLIB_SCANF_SPECIFIER_UNSIGNED || _DLIB_SCANF_SPECIFIER_SIGNED */
/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
 V3.12:0576 */
