/* _LDunscale function -- IEEE 754 version */
#define _FLOATING_NO_INLINES
#include "xmath.h"
_STD_BEGIN

#ifndef _LONG_DOUBLE_IS_DOUBLE

 #if __LONG_DOUBLE_SIZE__ == 4

  #ifdef _FLOATING_LESS_INLINES
   #include "xxtl.h"
   #include "xxdunscal4.h"
  #endif /* _FLOATING_LESS_INLINES */

 #elif __LONG_DOUBLE_SIZE__ == 8

  #ifdef _FLOATING_LESS_INLINES
   #include "xxtl.h"
   #include "xxdunscal8.h"
  #endif /* _FLOATING_LESS_INLINES */

 #else /* ! __DOUBLE_SIZE__ == 4 or 8 */

 #if _DLONG == 0
  short (_LDunscale)(short *pex, long double *px)
  {       /* separate *px to 1/2 <= |frac| < 1 and 2^*pex -- 64-bit */
    return (_Dunscale(pex, (double *)px));
  }

 #elif _DLONG == 1
  short (_LDunscale)(short *pex, long double *px)
  {       /* separate *px to 1/2 <= |frac| < 1 and 2^*pex -- 80-bit */
	unsigned short *ps = (unsigned short *)(char *)px;
    short xchar = ps[_L0] & _LMASK;

    if (xchar == _LMAX)
    {       /* NaN or INF */
      *pex = 0;
      return (   (ps[_L1] & 0x7fff) != 0
#if !__NAN_HAS_HIGH_MANTISSA_BIT_SET__
              || ps[_L2] != 0 || ps[_L3] != 0 || ps[_L4] != 0
#endif
               ? _NANCODE : _INFCODE);
    }
    else if (ps[_L1] != 0 || ps[_L2] != 0
             || ps[_L3] != 0 || ps[_L4] != 0)
    {       /* finite, reduce to [1/2, 1) */
      xchar += _LDnorm(ps);
      ps[_L0] = ps[_L0] & _LSIGN | _LBIAS;
      *pex = xchar - _LBIAS;
      return (_FINITE);
    }
    else
    {       /* zero */
      *pex = 0;
      return (0);
    }
  }

 #else  /* 1 < _DLONG */
  short (_LDunscale)(short *pex, long double *px)
  {       /* separate *px to 1/2 <= |frac| < 1 and 2^*pex -- 128-bit SPARC */
	unsigned short *ps = (unsigned short *)(char *)px;
    short xchar = ps[_L0] & _LMASK;

    if (xchar == _LMAX)
    {       /* NaN or INF */
      *pex = 0;
      return (   ps[_L1] != 0
#if !__NAN_HAS_HIGH_MANTISSA_BIT_SET__
              || ps[_L2] != 0 || ps[_L3] != 0
              || ps[_L4] != 0 || ps[_L5] != 0 || ps[_L6] != 0
              || ps[_L7] != 0
#endif
               ? _NANCODE : _INFCODE);
    }
    else if (0 < xchar || (xchar = _LDnorm(ps)) <= 0)
    {       /* finite, reduce to [1/2, 1) */
      ps[_L0] = ps[_L0] & _LSIGN | _LBIAS;
      *pex = xchar - _LBIAS;
      return (_FINITE);
    }
    else
    {       /* zero */
      *pex = 0;
      return (0);
    }
  }
 #endif

#endif /* __LONG_DOUBLE_SIZE__ == 4 */
#endif /* _LONG_DOUBLE_IS_DOUBLE */

_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
