/* _Printf function */
#include <ctype.h>
#include <string.h>
#include "xstdio.h"
#include "xwchar.h"
#include "xwstdio.h"
_STD_BEGIN

#undef isdigit
#define isdigit(c) (((c)>='0')&&((c)<='9'))

int _Printf(_PrintfPfnType * pfn,
            void *arg,
            const char *fmt,
            va_list *pap)
{       /* print formatted */
  _Pft x;
#if _DLIB_PRINTF_MULTIBYTE
  _Mbstinit(mbst);
#endif /* _DLIB_PRINTF_MULTIBYTE */
  x.pfn = pfn, x.arg = arg, x.nchar = 0;
  for (; ; )
  {       /* scan format string */
    for (; ; )
    {       /* copy any literal text */
#if _DLIB_PRINTF_MULTIBYTE
      int m, n;
      wchar_t wc = L'\0';

      if ((n = _Mbtowc(&wc, fmt, INT_MAX, &mbst)) <= 0)
        n = *fmt == '\0' ? 0 : 1;       /* bad parse, eat one char */
      if ((m = wc == L'%' ? n - 1 : n) <= 0)
        ;
      else if (_Putchars(&x, fmt, m) < 0)
        return (EOF);
      if (wc == L'%')
      {
        /* Here we know that n is 1. Next usage can therefore increment it by
           one and not n. */
        break;
      }
      else if (wc == L'\0')
        return (x.nchar);
      fmt += n;
#else
      if (*fmt == '\0')
      {
        return x.nchar;
      }
      else if (*fmt == '%')
      {
        break;
      }
      else
      {
        if (_Putchar(&x, *fmt) < 0)
          return (EOF);
      }
      fmt++;
#endif /* _DLIB_PRINTF_MULTIBYTE */
    }
    {      /* process a conversion specifier */
#if _DLIB_PRINTF_FLAGS
      unsigned short flags;
#endif

      x.n0 = 0;
      x.n1 = 0;
#if _PRINTF_INTERNAL_HAS_N2
      x.n2 = 0;
#endif

#if _PRINTF_INTERNAL_HAS_NZ0
      x.nz0 = 0;
#endif

#if _PRINTF_INTERNAL_HAS_NZ1
      x.nz1 = 0;
#endif

#if _PRINTF_INTERNAL_HAS_NZ2
      x.nz2 = 0;
#endif

#if _DLIB_PRINTF_FLAGS
      flags = 0;
      while (1)
      {
        switch (*++fmt)
        {
        case ' ':  flags |= _FSP; continue;
        case '+':  flags |= _FPL; continue;
        case '-':  flags |= _FMI; continue;
        case '#':  flags |= _FNO; continue;
        case '0':  flags |= _FZE; continue;
        default:
          break;
        }
        break;
      }
#else
      ++fmt;
#endif /* _DLIB_PRINTF_FLAGS */

#if _DLIB_PRINTF_WIDTH_AND_PRECISION
      if (*fmt == '*')
      {       /* get width argument */
        x.width = va_arg(*pap, int);
        if (x.width < 0)
        {       /* same as '-' flag */
          x.width = -x.width;
#if _DLIB_PRINTF_FLAGS
          flags |= _FMI;
#endif
        }
        ++fmt;
      }
      else    /* accumulate width digits */
        for (x.width = 0; isdigit(*fmt); ++fmt)
          if (x.width < _WMAX)
            x.width = x.width * 10 + *fmt - '0';
      if (*fmt != '.')
        x.prec = -1;
      else if (*++fmt == '*')
      {       /* get precision argument */
        x.prec = va_arg(*pap, int);
        ++fmt;
      }
      else    /* accumulate precision digits */
        for (x.prec = 0; isdigit(*fmt); ++fmt)
          if (x.prec < _WMAX)
            x.prec = x.prec * 10 + *fmt - '0';
#endif /* _DLIB_PRINTF_WIDTH_AND_PRECISION */

#if _DLIB_PRINTF_FLAGS
      x.flags = flags;
#endif

#if _DLIB_PRINTF_QUALIFIERS
#if _PRINTF_INTERNAL_QUALIFIER_J
#define QUALIFIERS "hjltzL"
#else
#define QUALIFIERS "hltzL"
#endif
      x.qual = strchr(QUALIFIERS, *fmt) ? *fmt++ : '\0';        /* was hlL */
      if (x.qual == 'h' && *fmt == 'h')
        x.qual = 'b', ++fmt;
#if _DLIB_PRINTF_LONG_LONG
      else if (x.qual == 'l' && *fmt == 'l')
        x.qual = 'q', ++fmt;
#endif
#endif /* _DLIB_PRINTF_QUALIFIERS */
    }
    {      /* do the conversion */
      char ac[_PRINTF_BUFFERT_SIZE];
      x.ac = ac;

      if (_Putfld(&x, pap, *fmt++) || _Puttxt(&x, ac) < 0)
        return (EOF);
    }
  }
}
_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
