/* Printf output function - stdout version. */
#include "xstdio.h"
#include "yfuns.h"

_STD_BEGIN

#include <yfuns.h>

#if _DLIB_PRINTF_CHAR_BY_CHAR

void *_Prout(void *str, char c)
{
  return (putchar(c) == c ? str : 0);
}

#else

#if _DLIB_FILE_DESCRIPTOR

void *_Prout(void *str, const char *buf, size_t n)
{
  return (fwrite(buf, 1, n, stdout) == n ? str : 0);
}

#else

void *_Prout(void *str, const char *buf, size_t n)
{
  return (__write(_LLIO_STDOUT, (unsigned char const *)buf, n) == n ? str : 0);
}

#endif

#endif /* _DLIB_PRINTF_CHAR_BY_CHAR */

_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
