/* _ReportAssert default implementation. */
/* Copyright (C) 2003 IAR Systems.  All rights reserved. */

#include <assert.h>
#include <stdio.h>
#include <stdlib.h>

_STD_BEGIN

#pragma module_name = "?_ReportAssert"

#if _DLIB_FILE_DESCRIPTOR

static void out(const char * s)
{
  fputs(s, stderr);
}

#else

static void out(const char * s)
{
  puts(s);
}

#endif

int _ReportAssert(const char * file, const char * line,
                  const char * func, const char * mess)
{
  /* This is used when the debugger interface is not used. */

  /* Do not report any assertions. */

  if (func != 0)
  {	/* put optional function name */
    out("In function ");
    out(func);
    out(" -- ");
  }
  out(file);
  out(":");
  out(line);
  out(" ");
  out(mess);
  out(" -- assertion failed\n");
#if _DLIB_FILE_DESCRIPTOR
  fflush(0);
#endif

  return 0;
}

_STD_END

/*
 * Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
