/* values used by math functions -- IEEE 754 version */
#include "xmath.h"
_STD_BEGIN


		/* macros */
#define NBITS	(_DMANTISSA + 1)
#if __DOUBLE_SIZE__ == 4
 #if _D0 == 0
  #define INIT(w0)		{w0, 0}
  #define INIT2(w0, w1)	{w0, w1}
 #else
  #define INIT(w0)		{0, w0}
  #define INIT2(w0, w1)	{w1, w0}
 #endif
#else
 #if _D0 == 0
  #define INIT(w0)		{w0, 0, 0, 0}
  #define INIT2(w0, w1)	{w0, 0, 0, w1}
 #else
  #define INIT(w0)		{0, 0, 0, w0}
  #define INIT2(w0, w1)	{w1, 0, 0, w0}
 #endif
#endif /* __DOUBLE_SIZE__ == 4 */

		/* static data */
const _Dconst _Denorm = {INIT2(0, 1)};
const _Dconst _Eps = {INIT((_DBIAS - NBITS - 1) << _DOFF)};
const _Dconst _Hugeval = {INIT(_DMAX << _DOFF)};
const _Dconst _Inf = {INIT(_DMAX << _DOFF)};
const _Dconst _Nan = {INIT(_DSIGN | (_DMAX << _DOFF)
	| (1 << (_DOFF - 1)))};
const _Dconst _Rteps = {INIT((_DBIAS - NBITS / 2) << _DOFF)};
const _Dconst _Snan = {INIT(_DSIGN | (_DMAX << _DOFF)
	| (1 << (_DOFF - 1)))};

const double _Xbig = (NBITS + 1) * 347L / 1000;

const double _Zero = 0.0;
_STD_END

/*
* Copyright (c) 1992-2002 by P.J. Plauger.  ALL RIGHTS RESERVED.
 * Consult your license regarding permissions and restrictions.
V3.12:0576 */
