/**************************************************
 *
 * Memory-specific memmove functions.
 *
 * Copyright 1998-2004 IAR Systems. All rights reserved.
 *
 * $Revision: 1.3 $
 *
 **************************************************/

#include "xxmemxfuncs.h"

#pragma language=extended

#define __HEAP_MEM_HELPER1__(M, I)                      \
void M * M##_memmove(void M * vp, void M const * vq,    \
                     M##_size_t size)                   \
{                                                       \
  char M * p = (char M *)vp;                            \
  char M * q = (char M *)vq;                            \
                                                        \
  if (p < q)                                            \
  {                                                     \
    /* Copy from head. */                               \
    for (/* EMPTY */; size > 0; --size)                 \
    {                                                   \
      *(p++) = *(q++);                                  \
    }                                                   \
  }                                                     \
  else                                                  \
  {                                                     \
    /* Copy from tail. */                               \
    p += size;                                          \
    q += size;                                          \
                                                        \
    while (p != vp)                                     \
    {                                                   \
      *(--p) = *(--q);                                  \
    }                                                   \
  }                                                     \
                                                        \
  return vp;                                            \
}
__HEAP_MEMORY_LIST1__()
#undef __HEAP_MEM_HELPER1__
