/*
 *****************************************************************************
**
**      Project     : My project
**
**      Component   : LPC2106 (LPC2106)
**
**      Module name : Support files
**
**      File name   : ma_acc.h
**
**      Abstract    : This file implements the automatically generated
**                    register and bit field access methods.
**
**      Date        : 2004-05-26 17:21:26
**
**      License no. : 9503-663-863-6224     Ivan
**
**      Warning     : This file has been automatically generated.
**                    Do not edit this file if you intend to regenerate it.
**
**      This file was created by IAR MakeApp version
**      4.02A (Philips LPC210x: 4.00C) for the Philips LPC210x component series.
**
**      (c)Copyright 2001-2003 IAR Systems.
**      Your rights to this file are explained in the IAR MakeApp
**      License Agreement. All other rights reserved.
**
*****************************************************************************
*/

/*
**===========================================================================
**  1       GENERAL
**  1.1     Revisions
**
**  
**
**===========================================================================
*/

/*
**===========================================================================
**  1.2     References
** 
**  No   Identification   Name or Description
**  ==   ==============   =====================
** 
**===========================================================================
*/

/*
**===========================================================================
**  1.3     Re-definition guard
**===========================================================================
*/

/*--- Avoid including this file more than once ---*/
#ifndef MA_ACC_DEFINED
#define MA_ACC_DEFINED

/*
**===========================================================================
**  2.      INCLUDE FILES
**  2.1     Standard include files
**===========================================================================
*/

/*
**===========================================================================
**  2.2     Application include files
**===========================================================================
*/

/*--- Include the SFR addressing macro file ---*/
#include "ma_sfr.h"

/*
**===========================================================================
**  3.      DECLARATIONS
**  3.1     Global constants
**===========================================================================
*/

/*
**===========================================================================
**  3.2     Global macros
**===========================================================================
*/



/*
**---------------------------------------------------------------------------
**  Watchdog Mode Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the WDINT bit field
**      in the WDMOD register.
**
**  Parameters:
**      None
**
**  Return values:
**      WDMOD_WDINT_NO_INTERRUPT    No interrupt
**      WDMOD_WDINT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_WDMOD_WDINT \
(WDMOD & WDMOD_WDINT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the WDTOF bit field
**      in the WDMOD register.
**
**  Parameters:
**      None
**
**  Return values:
**      WDMOD_WDTOF_NO_TIME_OUT     No time-out
**      WDMOD_WDTOF_TIME_OUT        Time-out
**
**===========================================================================
*/
#define READ_WDMOD_WDTOF \
(WDMOD & WDMOD_WDTOF)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit WDTOF bit field
**      in the WDMOD register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_WDMOD_WDTOF \
(WDMOD |= WDMOD_WDTOF)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the WDRESET bit field
**      in the WDMOD register.
**
**  Parameters:
**      WDMOD_WDRESET_INTERRUPT     Disabled
**      WDMOD_WDRESET_WDRESET       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_WDMOD_WDRESET( Value ) \
{\
WDMOD &= ~(WDMOD_WDRESET & ~Value); \
WDMOD |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit WDRESET bit field
**      in the WDMOD register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_WDMOD_WDRESET \
(WDMOD |= WDMOD_WDRESET)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit WDRESET bit field
**      in the WDMOD register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_WDMOD_WDRESET \
(WDMOD &= ~WDMOD_WDRESET)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the WDEN bit field
**      in the WDMOD register.
**
**  Parameters:
**      WDMOD_WDEN_STOPPED          Disabled
**      WDMOD_WDEN_RUNNING          Enabled (Watchdog interrupt enabled)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_WDMOD_WDEN( Value ) \
{\
WDMOD &= ~(WDMOD_WDEN & ~Value); \
WDMOD |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit WDEN bit field
**      in the WDMOD register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_WDMOD_WDEN \
(WDMOD |= WDMOD_WDEN)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit WDEN bit field
**      in the WDMOD register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_WDMOD_WDEN \
(WDMOD &= ~WDMOD_WDEN)


/*
**---------------------------------------------------------------------------
**  Watchdog Timer Constant Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the COUNT bit field
**      in the WDTC register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_WDTC_COUNT \
(WDTC & WDTC_COUNT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the COUNT bit field
**      in the WDTC register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_WDTC_COUNT( Value ) \
{\
WDTC = Value; \
}


/*
**---------------------------------------------------------------------------
**  Watchdog Feed Sequence Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the FEED bit field
**      in the WDFEED register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_WDFEED_FEED \
(WDFEED & WDFEED_FEED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the FEED bit field
**      in the WDFEED register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_WDFEED_FEED( Value ) \
{\
WDFEED &= ~(WDFEED_FEED & ~Value); \
WDFEED |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Watchdog Timer Value Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the COUNT bit field
**      in the WDTV register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_WDTV_COUNT \
(WDTV & WDTV_COUNT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the COUNT bit field
**      in the WDTV register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_WDTV_COUNT( Value ) \
{\
WDTV = Value; \
}


/*
**---------------------------------------------------------------------------
**  Timer 0 Interrupt Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CR2INT bit field
**      in the T0IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0IR_CR2INT_NO_INTERRUPT    No interrupt
**      T0IR_CR2INT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_T0IR_CR2INT \
(T0IR & T0IR_CR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CR2INT bit field
**      in the T0IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0IR_CR2INT \
(T0IR |= T0IR_CR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CR1INT bit field
**      in the T0IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0IR_CR1INT_NO_INTERRUPT    No interrupt
**      T0IR_CR1INT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_T0IR_CR1INT \
(T0IR & T0IR_CR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CR1INT bit field
**      in the T0IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0IR_CR1INT \
(T0IR |= T0IR_CR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CR0INT bit field
**      in the T0IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0IR_CR0INT_NO_INTERRUPT    No interrupt
**      T0IR_CR0INT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_T0IR_CR0INT \
(T0IR & T0IR_CR0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CR0INT bit field
**      in the T0IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0IR_CR0INT \
(T0IR |= T0IR_CR0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR3INT bit field
**      in the T0IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0IR_MR3INT_NO_INTERRUPT    No interrupt
**      T0IR_MR3INT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_T0IR_MR3INT \
(T0IR & T0IR_MR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR3INT bit field
**      in the T0IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0IR_MR3INT \
(T0IR |= T0IR_MR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR2INT bit field
**      in the T0IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0IR_MR2INT_NO_INTERRUPT    No interrupt
**      T0IR_MR2INT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_T0IR_MR2INT \
(T0IR & T0IR_MR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR2INT bit field
**      in the T0IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0IR_MR2INT \
(T0IR |= T0IR_MR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR1INT bit field
**      in the T0IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0IR_MR1INT_NO_INTERRUPT    No interrupt
**      T0IR_MR1INT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_T0IR_MR1INT \
(T0IR & T0IR_MR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR1INT bit field
**      in the T0IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0IR_MR1INT \
(T0IR |= T0IR_MR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR0INT bit field
**      in the T0IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0IR_MR0INT_NO_INTERRUPT    No interrupt
**      T0IR_MR0INT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_T0IR_MR0INT \
(T0IR & T0IR_MR0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR0INT bit field
**      in the T0IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0IR_MR0INT \
(T0IR |= T0IR_MR0INT)


/*
**---------------------------------------------------------------------------
**  Timer 0 Timer Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CR bit field
**      in the T0TCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0TCR_CR_NO_RESET           No reset
**      T0TCR_CR_RESET              Generate reset
**
**===========================================================================
*/
#define READ_T0TCR_CR \
(T0TCR & T0TCR_CR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CR bit field
**      in the T0TCR register.
**
**  Parameters:
**      T0TCR_CR_NO_RESET           No reset
**      T0TCR_CR_RESET              Generate reset
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0TCR_CR( Value ) \
{\
T0TCR &= ~(T0TCR_CR & ~Value); \
T0TCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CR bit field
**      in the T0TCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0TCR_CR \
(T0TCR |= T0TCR_CR)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CR bit field
**      in the T0TCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0TCR_CR \
(T0TCR &= ~T0TCR_CR)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CE bit field
**      in the T0TCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0TCR_CE_DISABLED           Disabled
**      T0TCR_CE_ENABLED            Enabled
**
**===========================================================================
*/
#define READ_T0TCR_CE \
(T0TCR & T0TCR_CE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CE bit field
**      in the T0TCR register.
**
**  Parameters:
**      T0TCR_CE_DISABLED           Disabled
**      T0TCR_CE_ENABLED            Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0TCR_CE( Value ) \
{\
T0TCR &= ~(T0TCR_CE & ~Value); \
T0TCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CE bit field
**      in the T0TCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0TCR_CE \
(T0TCR |= T0TCR_CE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CE bit field
**      in the T0TCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0TCR_CE \
(T0TCR &= ~T0TCR_CE)


/*
**---------------------------------------------------------------------------
**  Timer 0 Timer Counter
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T0TC register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T0TC_VALUE \
(T0TC & T0TC_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the T0TC register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0TC_VALUE( Value ) \
{\
T0TC = Value; \
}


/*
**---------------------------------------------------------------------------
**  Timer 0 Prescale Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T0PR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T0PR_VALUE \
(T0PR & T0PR_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the T0PR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0PR_VALUE( Value ) \
{\
T0PR = Value; \
}


/*
**---------------------------------------------------------------------------
**  Timer 0 Prescale Counter
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T0PC register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T0PC_VALUE \
(T0PC & T0PC_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the T0PC register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0PC_VALUE( Value ) \
{\
T0PC = Value; \
}


/*
**---------------------------------------------------------------------------
**  Timer 0 Match Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR3STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0MCR_MR3STOP_DISABLED      Disabled
**      T0MCR_MR3STOP_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_T0MCR_MR3STOP \
(T0MCR & T0MCR_MR3STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR3STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      T0MCR_MR3STOP_DISABLED      Disabled
**      T0MCR_MR3STOP_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MCR_MR3STOP( Value ) \
{\
T0MCR &= ~(T0MCR_MR3STOP & ~Value); \
T0MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR3STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0MCR_MR3STOP \
(T0MCR |= T0MCR_MR3STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR3STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0MCR_MR3STOP \
(T0MCR &= ~T0MCR_MR3STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR3RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0MCR_MR3RES_DISABLED       Disabled
**      T0MCR_MR3RES_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T0MCR_MR3RES \
(T0MCR & T0MCR_MR3RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR3RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      T0MCR_MR3RES_DISABLED       Disabled
**      T0MCR_MR3RES_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MCR_MR3RES( Value ) \
{\
T0MCR &= ~(T0MCR_MR3RES & ~Value); \
T0MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR3RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0MCR_MR3RES \
(T0MCR |= T0MCR_MR3RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR3RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0MCR_MR3RES \
(T0MCR &= ~T0MCR_MR3RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR3INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0MCR_MR3INT_DISABLED       Disabled
**      T0MCR_MR3INT_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T0MCR_MR3INT \
(T0MCR & T0MCR_MR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR3INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      T0MCR_MR3INT_DISABLED       Disabled
**      T0MCR_MR3INT_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MCR_MR3INT( Value ) \
{\
T0MCR &= ~(T0MCR_MR3INT & ~Value); \
T0MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR3INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0MCR_MR3INT \
(T0MCR |= T0MCR_MR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR3INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0MCR_MR3INT \
(T0MCR &= ~T0MCR_MR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR2STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0MCR_MR2STOP_DISABLED      Disabled
**      T0MCR_MR2STOP_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_T0MCR_MR2STOP \
(T0MCR & T0MCR_MR2STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR2STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      T0MCR_MR2STOP_DISABLED      Disabled
**      T0MCR_MR2STOP_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MCR_MR2STOP( Value ) \
{\
T0MCR &= ~(T0MCR_MR2STOP & ~Value); \
T0MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR2STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0MCR_MR2STOP \
(T0MCR |= T0MCR_MR2STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR2STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0MCR_MR2STOP \
(T0MCR &= ~T0MCR_MR2STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR2RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0MCR_MR2RES_DISABLED       Disabled
**      T0MCR_MR2RES_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T0MCR_MR2RES \
(T0MCR & T0MCR_MR2RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR2RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      T0MCR_MR2RES_DISABLED       Disabled
**      T0MCR_MR2RES_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MCR_MR2RES( Value ) \
{\
T0MCR &= ~(T0MCR_MR2RES & ~Value); \
T0MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR2RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0MCR_MR2RES \
(T0MCR |= T0MCR_MR2RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR2RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0MCR_MR2RES \
(T0MCR &= ~T0MCR_MR2RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR2INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0MCR_MR2INT_DISABLED       Disabled
**      T0MCR_MR2INT_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T0MCR_MR2INT \
(T0MCR & T0MCR_MR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR2INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      T0MCR_MR2INT_DISABLED       Disabled
**      T0MCR_MR2INT_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MCR_MR2INT( Value ) \
{\
T0MCR &= ~(T0MCR_MR2INT & ~Value); \
T0MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR2INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0MCR_MR2INT \
(T0MCR |= T0MCR_MR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR2INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0MCR_MR2INT \
(T0MCR &= ~T0MCR_MR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR1STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0MCR_MR1STOP_DISABLED      Disabled
**      T0MCR_MR1STOP_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_T0MCR_MR1STOP \
(T0MCR & T0MCR_MR1STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR1STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      T0MCR_MR1STOP_DISABLED      Disabled
**      T0MCR_MR1STOP_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MCR_MR1STOP( Value ) \
{\
T0MCR &= ~(T0MCR_MR1STOP & ~Value); \
T0MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR1STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0MCR_MR1STOP \
(T0MCR |= T0MCR_MR1STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR1STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0MCR_MR1STOP \
(T0MCR &= ~T0MCR_MR1STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR1RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0MCR_MR1RES_DISABLED       Disabled
**      T0MCR_MR1RES_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T0MCR_MR1RES \
(T0MCR & T0MCR_MR1RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR1RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      T0MCR_MR1RES_DISABLED       Disabled
**      T0MCR_MR1RES_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MCR_MR1RES( Value ) \
{\
T0MCR &= ~(T0MCR_MR1RES & ~Value); \
T0MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR1RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0MCR_MR1RES \
(T0MCR |= T0MCR_MR1RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR1RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0MCR_MR1RES \
(T0MCR &= ~T0MCR_MR1RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR1INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0MCR_MR1INT_DISABLED       Disabled
**      T0MCR_MR1INT_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T0MCR_MR1INT \
(T0MCR & T0MCR_MR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR1INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      T0MCR_MR1INT_DISABLED       Disabled
**      T0MCR_MR1INT_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MCR_MR1INT( Value ) \
{\
T0MCR &= ~(T0MCR_MR1INT & ~Value); \
T0MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR1INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0MCR_MR1INT \
(T0MCR |= T0MCR_MR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR1INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0MCR_MR1INT \
(T0MCR &= ~T0MCR_MR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR0STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0MCR_MR0STOP_DISABLED      Disabled
**      T0MCR_MR0STOP_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_T0MCR_MR0STOP \
(T0MCR & T0MCR_MR0STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR0STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      T0MCR_MR0STOP_DISABLED      Disabled
**      T0MCR_MR0STOP_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MCR_MR0STOP( Value ) \
{\
T0MCR &= ~(T0MCR_MR0STOP & ~Value); \
T0MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR0STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0MCR_MR0STOP \
(T0MCR |= T0MCR_MR0STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR0STOP bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0MCR_MR0STOP \
(T0MCR &= ~T0MCR_MR0STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR0RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0MCR_MR0RES_DISABLED       Disabled
**      T0MCR_MR0RES_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T0MCR_MR0RES \
(T0MCR & T0MCR_MR0RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR0RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      T0MCR_MR0RES_DISABLED       Disabled
**      T0MCR_MR0RES_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MCR_MR0RES( Value ) \
{\
T0MCR &= ~(T0MCR_MR0RES & ~Value); \
T0MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR0RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0MCR_MR0RES \
(T0MCR |= T0MCR_MR0RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR0RES bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0MCR_MR0RES \
(T0MCR &= ~T0MCR_MR0RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR0INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0MCR_MR0INT_DISABLED       Disabled
**      T0MCR_MR0INT_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T0MCR_MR0INT \
(T0MCR & T0MCR_MR0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR0INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      T0MCR_MR0INT_DISABLED       Disabled
**      T0MCR_MR0INT_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MCR_MR0INT( Value ) \
{\
T0MCR &= ~(T0MCR_MR0INT & ~Value); \
T0MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR0INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0MCR_MR0INT \
(T0MCR |= T0MCR_MR0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR0INT bit field
**      in the T0MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0MCR_MR0INT \
(T0MCR &= ~T0MCR_MR0INT)


/*
**---------------------------------------------------------------------------
**  Timer 0 Match Register 0
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T0MR0 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T0MR0_VALUE \
(T0MR0 & T0MR0_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the T0MR0 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MR0_VALUE( Value ) \
{\
T0MR0 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Timer 0 Match Register 1
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T0MR1 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T0MR1_VALUE \
(T0MR1 & T0MR1_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the T0MR1 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MR1_VALUE( Value ) \
{\
T0MR1 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Timer 0 Match Register 2
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T0MR2 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T0MR2_VALUE \
(T0MR2 & T0MR2_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the T0MR2 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MR2_VALUE( Value ) \
{\
T0MR2 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Timer 0 Match Register 3
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T0MR3 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T0MR3_VALUE \
(T0MR3 & T0MR3_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the T0MR3 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0MR3_VALUE( Value ) \
{\
T0MR3 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Timer 0 Capture Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP2INT bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0CCR_CAP2INT_DISABLED      Disabled
**      T0CCR_CAP2INT_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_T0CCR_CAP2INT \
(T0CCR & T0CCR_CAP2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP2INT bit field
**      in the T0CCR register.
**
**  Parameters:
**      T0CCR_CAP2INT_DISABLED      Disabled
**      T0CCR_CAP2INT_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0CCR_CAP2INT( Value ) \
{\
T0CCR &= ~(T0CCR_CAP2INT & ~Value); \
T0CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP2INT bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0CCR_CAP2INT \
(T0CCR |= T0CCR_CAP2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP2INT bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0CCR_CAP2INT \
(T0CCR &= ~T0CCR_CAP2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP2FE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0CCR_CAP2FE_DISABLED       Disabled
**      T0CCR_CAP2FE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T0CCR_CAP2FE \
(T0CCR & T0CCR_CAP2FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP2FE bit field
**      in the T0CCR register.
**
**  Parameters:
**      T0CCR_CAP2FE_DISABLED       Disabled
**      T0CCR_CAP2FE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0CCR_CAP2FE( Value ) \
{\
T0CCR &= ~(T0CCR_CAP2FE & ~Value); \
T0CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP2FE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0CCR_CAP2FE \
(T0CCR |= T0CCR_CAP2FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP2FE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0CCR_CAP2FE \
(T0CCR &= ~T0CCR_CAP2FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP2RE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0CCR_CAP2RE_DISABLED       Disabled
**      T0CCR_CAP2RE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T0CCR_CAP2RE \
(T0CCR & T0CCR_CAP2RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP2RE bit field
**      in the T0CCR register.
**
**  Parameters:
**      T0CCR_CAP2RE_DISABLED       Disabled
**      T0CCR_CAP2RE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0CCR_CAP2RE( Value ) \
{\
T0CCR &= ~(T0CCR_CAP2RE & ~Value); \
T0CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP2RE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0CCR_CAP2RE \
(T0CCR |= T0CCR_CAP2RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP2RE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0CCR_CAP2RE \
(T0CCR &= ~T0CCR_CAP2RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP1INT bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0CCR_CAP1INT_DISABLED      Disabled
**      T0CCR_CAP1INT_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_T0CCR_CAP1INT \
(T0CCR & T0CCR_CAP1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP1INT bit field
**      in the T0CCR register.
**
**  Parameters:
**      T0CCR_CAP1INT_DISABLED      Disabled
**      T0CCR_CAP1INT_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0CCR_CAP1INT( Value ) \
{\
T0CCR &= ~(T0CCR_CAP1INT & ~Value); \
T0CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP1INT bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0CCR_CAP1INT \
(T0CCR |= T0CCR_CAP1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP1INT bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0CCR_CAP1INT \
(T0CCR &= ~T0CCR_CAP1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP1FE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0CCR_CAP1FE_DISABLED       Disabled
**      T0CCR_CAP1FE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T0CCR_CAP1FE \
(T0CCR & T0CCR_CAP1FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP1FE bit field
**      in the T0CCR register.
**
**  Parameters:
**      T0CCR_CAP1FE_DISABLED       Disabled
**      T0CCR_CAP1FE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0CCR_CAP1FE( Value ) \
{\
T0CCR &= ~(T0CCR_CAP1FE & ~Value); \
T0CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP1FE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0CCR_CAP1FE \
(T0CCR |= T0CCR_CAP1FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP1FE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0CCR_CAP1FE \
(T0CCR &= ~T0CCR_CAP1FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP1RE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0CCR_CAP1RE_DISABLED       Disabled
**      T0CCR_CAP1RE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T0CCR_CAP1RE \
(T0CCR & T0CCR_CAP1RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP1RE bit field
**      in the T0CCR register.
**
**  Parameters:
**      T0CCR_CAP1RE_DISABLED       Disabled
**      T0CCR_CAP1RE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0CCR_CAP1RE( Value ) \
{\
T0CCR &= ~(T0CCR_CAP1RE & ~Value); \
T0CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP1RE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0CCR_CAP1RE \
(T0CCR |= T0CCR_CAP1RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP1RE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0CCR_CAP1RE \
(T0CCR &= ~T0CCR_CAP1RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP0INT bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0CCR_CAP0INT_DISABLED      Disabled
**      T0CCR_CAP0INT_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_T0CCR_CAP0INT \
(T0CCR & T0CCR_CAP0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP0INT bit field
**      in the T0CCR register.
**
**  Parameters:
**      T0CCR_CAP0INT_DISABLED      Disabled
**      T0CCR_CAP0INT_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0CCR_CAP0INT( Value ) \
{\
T0CCR &= ~(T0CCR_CAP0INT & ~Value); \
T0CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP0INT bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0CCR_CAP0INT \
(T0CCR |= T0CCR_CAP0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP0INT bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0CCR_CAP0INT \
(T0CCR &= ~T0CCR_CAP0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP0FE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0CCR_CAP0FE_DISABLED       Disabled
**      T0CCR_CAP0FE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T0CCR_CAP0FE \
(T0CCR & T0CCR_CAP0FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP0FE bit field
**      in the T0CCR register.
**
**  Parameters:
**      T0CCR_CAP0FE_DISABLED       Disabled
**      T0CCR_CAP0FE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0CCR_CAP0FE( Value ) \
{\
T0CCR &= ~(T0CCR_CAP0FE & ~Value); \
T0CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP0FE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0CCR_CAP0FE \
(T0CCR |= T0CCR_CAP0FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP0FE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0CCR_CAP0FE \
(T0CCR &= ~T0CCR_CAP0FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP0RE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0CCR_CAP0RE_DISABLED       Disabled
**      T0CCR_CAP0RE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T0CCR_CAP0RE \
(T0CCR & T0CCR_CAP0RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP0RE bit field
**      in the T0CCR register.
**
**  Parameters:
**      T0CCR_CAP0RE_DISABLED       Disabled
**      T0CCR_CAP0RE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0CCR_CAP0RE( Value ) \
{\
T0CCR &= ~(T0CCR_CAP0RE & ~Value); \
T0CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP0RE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0CCR_CAP0RE \
(T0CCR |= T0CCR_CAP0RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP0RE bit field
**      in the T0CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0CCR_CAP0RE \
(T0CCR &= ~T0CCR_CAP0RE)


/*
**---------------------------------------------------------------------------
**  Timer 0 Capture Register 0
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T0CR0 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T0CR0_VALUE \
(T0CR0 & T0CR0_VALUE)


/*
**---------------------------------------------------------------------------
**  Timer 0 Capture Register 1
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T0CR1 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T0CR1_VALUE \
(T0CR1 & T0CR1_VALUE)


/*
**---------------------------------------------------------------------------
**  Timer 0 Capture Register 2
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T0CR2 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T0CR2_VALUE \
(T0CR2 & T0CR2_VALUE)


/*
**---------------------------------------------------------------------------
**  Timer 0 Capture Register 3
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T0CR3 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T0CR3_VALUE \
(T0CR3 & T0CR3_VALUE)


/*
**---------------------------------------------------------------------------
**  Timer 0 External Match Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EMC2 bit field
**      in the T0EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0EMR_EMC2_NOTHING          Do nothing
**      T0EMR_EMC2_CLEAR            Clear output to 0
**      T0EMR_EMC2_SET              Set output to 1
**      T0EMR_EMC2_TOGGLE           Toggle output
**
**===========================================================================
*/
#define READ_T0EMR_EMC2 \
(T0EMR & T0EMR_EMC2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EMC2 bit field
**      in the T0EMR register.
**
**  Parameters:
**      T0EMR_EMC2_NOTHING          Do nothing
**      T0EMR_EMC2_CLEAR            Clear output to 0
**      T0EMR_EMC2_SET              Set output to 1
**      T0EMR_EMC2_TOGGLE           Toggle output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0EMR_EMC2( Value ) \
{\
T0EMR &= ~(T0EMR_EMC2 & ~Value); \
T0EMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EMC1 bit field
**      in the T0EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0EMR_EMC1_NOTHING          Do nothing
**      T0EMR_EMC1_CLEAR            Clear output to 0
**      T0EMR_EMC1_SET              Set output to 1
**      T0EMR_EMC1_TOGGLE           Toggle output
**
**===========================================================================
*/
#define READ_T0EMR_EMC1 \
(T0EMR & T0EMR_EMC1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EMC1 bit field
**      in the T0EMR register.
**
**  Parameters:
**      T0EMR_EMC1_NOTHING          Do nothing
**      T0EMR_EMC1_CLEAR            Clear output to 0
**      T0EMR_EMC1_SET              Set output to 1
**      T0EMR_EMC1_TOGGLE           Toggle output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0EMR_EMC1( Value ) \
{\
T0EMR &= ~(T0EMR_EMC1 & ~Value); \
T0EMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EMC0 bit field
**      in the T0EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0EMR_EMC0_NOTHING          Do nothing
**      T0EMR_EMC0_CLEAR            Clear output to 0
**      T0EMR_EMC0_SET              Set output to 1
**      T0EMR_EMC0_TOGGLE           Toggle output
**
**===========================================================================
*/
#define READ_T0EMR_EMC0 \
(T0EMR & T0EMR_EMC0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EMC0 bit field
**      in the T0EMR register.
**
**  Parameters:
**      T0EMR_EMC0_NOTHING          Do nothing
**      T0EMR_EMC0_CLEAR            Clear output to 0
**      T0EMR_EMC0_SET              Set output to 1
**      T0EMR_EMC0_TOGGLE           Toggle output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0EMR_EMC0( Value ) \
{\
T0EMR &= ~(T0EMR_EMC0 & ~Value); \
T0EMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EM2 bit field
**      in the T0EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0EMR_EM2_LOW               Low
**      T0EMR_EM2_HIGH              High
**
**===========================================================================
*/
#define READ_T0EMR_EM2 \
(T0EMR & T0EMR_EM2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EM2 bit field
**      in the T0EMR register.
**
**  Parameters:
**      T0EMR_EM2_LOW               Low
**      T0EMR_EM2_HIGH              High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0EMR_EM2( Value ) \
{\
T0EMR &= ~(T0EMR_EM2 & ~Value); \
T0EMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EM2 bit field
**      in the T0EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0EMR_EM2 \
(T0EMR |= T0EMR_EM2)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EM2 bit field
**      in the T0EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0EMR_EM2 \
(T0EMR &= ~T0EMR_EM2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EM1 bit field
**      in the T0EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0EMR_EM1_LOW               Low
**      T0EMR_EM1_HIGH              High
**
**===========================================================================
*/
#define READ_T0EMR_EM1 \
(T0EMR & T0EMR_EM1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EM1 bit field
**      in the T0EMR register.
**
**  Parameters:
**      T0EMR_EM1_LOW               Low
**      T0EMR_EM1_HIGH              High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0EMR_EM1( Value ) \
{\
T0EMR &= ~(T0EMR_EM1 & ~Value); \
T0EMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EM1 bit field
**      in the T0EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0EMR_EM1 \
(T0EMR |= T0EMR_EM1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EM1 bit field
**      in the T0EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0EMR_EM1 \
(T0EMR &= ~T0EMR_EM1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EM0 bit field
**      in the T0EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T0EMR_EM0_LOW               Low
**      T0EMR_EM0_HIGH              High
**
**===========================================================================
*/
#define READ_T0EMR_EM0 \
(T0EMR & T0EMR_EM0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EM0 bit field
**      in the T0EMR register.
**
**  Parameters:
**      T0EMR_EM0_LOW               Low
**      T0EMR_EM0_HIGH              High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T0EMR_EM0( Value ) \
{\
T0EMR &= ~(T0EMR_EM0 & ~Value); \
T0EMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EM0 bit field
**      in the T0EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T0EMR_EM0 \
(T0EMR |= T0EMR_EM0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EM0 bit field
**      in the T0EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T0EMR_EM0 \
(T0EMR &= ~T0EMR_EM0)


/*
**---------------------------------------------------------------------------
**  Timer 1 Interrupt Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CR3INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1IR_CR3INT_NO_INTERRUPT    No interrupt
**      T1IR_CR3INT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_T1IR_CR3INT \
(T1IR & T1IR_CR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CR3INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1IR_CR3INT \
(T1IR |= T1IR_CR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CR2INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1IR_CR2INT_NO_INTERRUPT    No interrupt
**      T1IR_CR2INT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_T1IR_CR2INT \
(T1IR & T1IR_CR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CR2INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1IR_CR2INT \
(T1IR |= T1IR_CR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CR1INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1IR_CR1INT_NO_INTERRUPT    No interrupt
**      T1IR_CR1INT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_T1IR_CR1INT \
(T1IR & T1IR_CR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CR1INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1IR_CR1INT \
(T1IR |= T1IR_CR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CR0INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1IR_CR0INT_NO_INTERRUPT    No interrupt
**      T1IR_CR0INT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_T1IR_CR0INT \
(T1IR & T1IR_CR0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CR0INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1IR_CR0INT \
(T1IR |= T1IR_CR0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR3INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1IR_MR3INT_NO_INTERRUPT    No interrupt
**      T1IR_MR3INT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_T1IR_MR3INT \
(T1IR & T1IR_MR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR3INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1IR_MR3INT \
(T1IR |= T1IR_MR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR2INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1IR_MR2INT_NO_INTERRUPT    No interrupt
**      T1IR_MR2INT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_T1IR_MR2INT \
(T1IR & T1IR_MR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR2INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1IR_MR2INT \
(T1IR |= T1IR_MR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR1INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1IR_MR1INT_NO_INTERRUPT    No interrupt
**      T1IR_MR1INT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_T1IR_MR1INT \
(T1IR & T1IR_MR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR1INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1IR_MR1INT \
(T1IR |= T1IR_MR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR0INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1IR_MR0INT_NO_INTERRUPT    No interrupt
**      T1IR_MR0INT_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_T1IR_MR0INT \
(T1IR & T1IR_MR0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR0INT bit field
**      in the T1IR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1IR_MR0INT \
(T1IR |= T1IR_MR0INT)


/*
**---------------------------------------------------------------------------
**  Timer 1 Timer Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CR bit field
**      in the T1TCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1TCR_CR_NO_RESET           No reset
**      T1TCR_CR_RESET              Generate reset
**
**===========================================================================
*/
#define READ_T1TCR_CR \
(T1TCR & T1TCR_CR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CR bit field
**      in the T1TCR register.
**
**  Parameters:
**      T1TCR_CR_NO_RESET           No reset
**      T1TCR_CR_RESET              Generate reset
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1TCR_CR( Value ) \
{\
T1TCR &= ~(T1TCR_CR & ~Value); \
T1TCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CR bit field
**      in the T1TCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1TCR_CR \
(T1TCR |= T1TCR_CR)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CR bit field
**      in the T1TCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1TCR_CR \
(T1TCR &= ~T1TCR_CR)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CE bit field
**      in the T1TCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1TCR_CE_DISABLED           Disabled
**      T1TCR_CE_ENABLED            Enabled
**
**===========================================================================
*/
#define READ_T1TCR_CE \
(T1TCR & T1TCR_CE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CE bit field
**      in the T1TCR register.
**
**  Parameters:
**      T1TCR_CE_DISABLED           Disabled
**      T1TCR_CE_ENABLED            Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1TCR_CE( Value ) \
{\
T1TCR &= ~(T1TCR_CE & ~Value); \
T1TCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CE bit field
**      in the T1TCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1TCR_CE \
(T1TCR |= T1TCR_CE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CE bit field
**      in the T1TCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1TCR_CE \
(T1TCR &= ~T1TCR_CE)


/*
**---------------------------------------------------------------------------
**  Timer 1 Timer Counter
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T1TC register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T1TC_VALUE \
(T1TC & T1TC_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the T1TC register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1TC_VALUE( Value ) \
{\
T1TC = Value; \
}


/*
**---------------------------------------------------------------------------
**  Timer 1 Prescale Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T1PR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T1PR_VALUE \
(T1PR & T1PR_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the T1PR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1PR_VALUE( Value ) \
{\
T1PR = Value; \
}


/*
**---------------------------------------------------------------------------
**  Timer 1 Prescale Counter
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T1PC register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T1PC_VALUE \
(T1PC & T1PC_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the T1PC register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1PC_VALUE( Value ) \
{\
T1PC = Value; \
}


/*
**---------------------------------------------------------------------------
**  Timer 1 Match Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR3STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1MCR_MR3STOP_DISABLED      Disabled
**      T1MCR_MR3STOP_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_T1MCR_MR3STOP \
(T1MCR & T1MCR_MR3STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR3STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      T1MCR_MR3STOP_DISABLED      Disabled
**      T1MCR_MR3STOP_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MCR_MR3STOP( Value ) \
{\
T1MCR &= ~(T1MCR_MR3STOP & ~Value); \
T1MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR3STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1MCR_MR3STOP \
(T1MCR |= T1MCR_MR3STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR3STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1MCR_MR3STOP \
(T1MCR &= ~T1MCR_MR3STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR3RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1MCR_MR3RES_DISABLED       Disabled
**      T1MCR_MR3RES_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1MCR_MR3RES \
(T1MCR & T1MCR_MR3RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR3RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      T1MCR_MR3RES_DISABLED       Disabled
**      T1MCR_MR3RES_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MCR_MR3RES( Value ) \
{\
T1MCR &= ~(T1MCR_MR3RES & ~Value); \
T1MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR3RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1MCR_MR3RES \
(T1MCR |= T1MCR_MR3RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR3RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1MCR_MR3RES \
(T1MCR &= ~T1MCR_MR3RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR3INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1MCR_MR3INT_DISABLED       Disabled
**      T1MCR_MR3INT_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1MCR_MR3INT \
(T1MCR & T1MCR_MR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR3INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      T1MCR_MR3INT_DISABLED       Disabled
**      T1MCR_MR3INT_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MCR_MR3INT( Value ) \
{\
T1MCR &= ~(T1MCR_MR3INT & ~Value); \
T1MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR3INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1MCR_MR3INT \
(T1MCR |= T1MCR_MR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR3INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1MCR_MR3INT \
(T1MCR &= ~T1MCR_MR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR2STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1MCR_MR2STOP_DISABLED      Disabled
**      T1MCR_MR2STOP_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_T1MCR_MR2STOP \
(T1MCR & T1MCR_MR2STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR2STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      T1MCR_MR2STOP_DISABLED      Disabled
**      T1MCR_MR2STOP_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MCR_MR2STOP( Value ) \
{\
T1MCR &= ~(T1MCR_MR2STOP & ~Value); \
T1MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR2STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1MCR_MR2STOP \
(T1MCR |= T1MCR_MR2STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR2STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1MCR_MR2STOP \
(T1MCR &= ~T1MCR_MR2STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR2RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1MCR_MR2RES_DISABLED       Disabled
**      T1MCR_MR2RES_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1MCR_MR2RES \
(T1MCR & T1MCR_MR2RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR2RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      T1MCR_MR2RES_DISABLED       Disabled
**      T1MCR_MR2RES_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MCR_MR2RES( Value ) \
{\
T1MCR &= ~(T1MCR_MR2RES & ~Value); \
T1MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR2RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1MCR_MR2RES \
(T1MCR |= T1MCR_MR2RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR2RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1MCR_MR2RES \
(T1MCR &= ~T1MCR_MR2RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR2INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1MCR_MR2INT_DISABLED       Disabled
**      T1MCR_MR2INT_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1MCR_MR2INT \
(T1MCR & T1MCR_MR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR2INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      T1MCR_MR2INT_DISABLED       Disabled
**      T1MCR_MR2INT_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MCR_MR2INT( Value ) \
{\
T1MCR &= ~(T1MCR_MR2INT & ~Value); \
T1MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR2INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1MCR_MR2INT \
(T1MCR |= T1MCR_MR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR2INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1MCR_MR2INT \
(T1MCR &= ~T1MCR_MR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR1STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1MCR_MR1STOP_DISABLED      Disabled
**      T1MCR_MR1STOP_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_T1MCR_MR1STOP \
(T1MCR & T1MCR_MR1STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR1STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      T1MCR_MR1STOP_DISABLED      Disabled
**      T1MCR_MR1STOP_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MCR_MR1STOP( Value ) \
{\
T1MCR &= ~(T1MCR_MR1STOP & ~Value); \
T1MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR1STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1MCR_MR1STOP \
(T1MCR |= T1MCR_MR1STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR1STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1MCR_MR1STOP \
(T1MCR &= ~T1MCR_MR1STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR1RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1MCR_MR1RES_DISABLED       Disabled
**      T1MCR_MR1RES_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1MCR_MR1RES \
(T1MCR & T1MCR_MR1RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR1RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      T1MCR_MR1RES_DISABLED       Disabled
**      T1MCR_MR1RES_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MCR_MR1RES( Value ) \
{\
T1MCR &= ~(T1MCR_MR1RES & ~Value); \
T1MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR1RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1MCR_MR1RES \
(T1MCR |= T1MCR_MR1RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR1RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1MCR_MR1RES \
(T1MCR &= ~T1MCR_MR1RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR1INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1MCR_MR1INT_DISABLED       Disabled
**      T1MCR_MR1INT_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1MCR_MR1INT \
(T1MCR & T1MCR_MR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR1INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      T1MCR_MR1INT_DISABLED       Disabled
**      T1MCR_MR1INT_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MCR_MR1INT( Value ) \
{\
T1MCR &= ~(T1MCR_MR1INT & ~Value); \
T1MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR1INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1MCR_MR1INT \
(T1MCR |= T1MCR_MR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR1INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1MCR_MR1INT \
(T1MCR &= ~T1MCR_MR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR0STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1MCR_MR0STOP_DISABLED      Disabled
**      T1MCR_MR0STOP_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_T1MCR_MR0STOP \
(T1MCR & T1MCR_MR0STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR0STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      T1MCR_MR0STOP_DISABLED      Disabled
**      T1MCR_MR0STOP_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MCR_MR0STOP( Value ) \
{\
T1MCR &= ~(T1MCR_MR0STOP & ~Value); \
T1MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR0STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1MCR_MR0STOP \
(T1MCR |= T1MCR_MR0STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR0STOP bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1MCR_MR0STOP \
(T1MCR &= ~T1MCR_MR0STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR0RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1MCR_MR0RES_DISABLED       Disabled
**      T1MCR_MR0RES_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1MCR_MR0RES \
(T1MCR & T1MCR_MR0RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR0RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      T1MCR_MR0RES_DISABLED       Disabled
**      T1MCR_MR0RES_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MCR_MR0RES( Value ) \
{\
T1MCR &= ~(T1MCR_MR0RES & ~Value); \
T1MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR0RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1MCR_MR0RES \
(T1MCR |= T1MCR_MR0RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR0RES bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1MCR_MR0RES \
(T1MCR &= ~T1MCR_MR0RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR0INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1MCR_MR0INT_DISABLED       Disabled
**      T1MCR_MR0INT_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1MCR_MR0INT \
(T1MCR & T1MCR_MR0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR0INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      T1MCR_MR0INT_DISABLED       Disabled
**      T1MCR_MR0INT_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MCR_MR0INT( Value ) \
{\
T1MCR &= ~(T1MCR_MR0INT & ~Value); \
T1MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR0INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1MCR_MR0INT \
(T1MCR |= T1MCR_MR0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR0INT bit field
**      in the T1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1MCR_MR0INT \
(T1MCR &= ~T1MCR_MR0INT)


/*
**---------------------------------------------------------------------------
**  Timer 1 Match Register 0
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T1MR0 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T1MR0_VALUE \
(T1MR0 & T1MR0_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the T1MR0 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MR0_VALUE( Value ) \
{\
T1MR0 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Timer 1 Match Register 1
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T1MR1 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T1MR1_VALUE \
(T1MR1 & T1MR1_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the T1MR1 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MR1_VALUE( Value ) \
{\
T1MR1 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Timer 1 Match Register 2
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T1MR2 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T1MR2_VALUE \
(T1MR2 & T1MR2_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the T1MR2 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MR2_VALUE( Value ) \
{\
T1MR2 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Timer 1 Match Register 3
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T1MR3 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T1MR3_VALUE \
(T1MR3 & T1MR3_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the T1MR3 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1MR3_VALUE( Value ) \
{\
T1MR3 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Timer 1 Capture Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP3INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1CCR_CAP3INT_DISABLED      Disabled
**      T1CCR_CAP3INT_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_T1CCR_CAP3INT \
(T1CCR & T1CCR_CAP3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP3INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      T1CCR_CAP3INT_DISABLED      Disabled
**      T1CCR_CAP3INT_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1CCR_CAP3INT( Value ) \
{\
T1CCR &= ~(T1CCR_CAP3INT & ~Value); \
T1CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP3INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1CCR_CAP3INT \
(T1CCR |= T1CCR_CAP3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP3INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1CCR_CAP3INT \
(T1CCR &= ~T1CCR_CAP3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP3FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1CCR_CAP3FE_DISABLED       Disabled
**      T1CCR_CAP3FE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1CCR_CAP3FE \
(T1CCR & T1CCR_CAP3FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP3FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      T1CCR_CAP3FE_DISABLED       Disabled
**      T1CCR_CAP3FE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1CCR_CAP3FE( Value ) \
{\
T1CCR &= ~(T1CCR_CAP3FE & ~Value); \
T1CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP3FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1CCR_CAP3FE \
(T1CCR |= T1CCR_CAP3FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP3FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1CCR_CAP3FE \
(T1CCR &= ~T1CCR_CAP3FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP3RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1CCR_CAP3RE_DISABLED       Disabled
**      T1CCR_CAP3RE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1CCR_CAP3RE \
(T1CCR & T1CCR_CAP3RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP3RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      T1CCR_CAP3RE_DISABLED       Disabled
**      T1CCR_CAP3RE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1CCR_CAP3RE( Value ) \
{\
T1CCR &= ~(T1CCR_CAP3RE & ~Value); \
T1CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP3RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1CCR_CAP3RE \
(T1CCR |= T1CCR_CAP3RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP3RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1CCR_CAP3RE \
(T1CCR &= ~T1CCR_CAP3RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP2INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1CCR_CAP2INT_DISABLED      Disabled
**      T1CCR_CAP2INT_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_T1CCR_CAP2INT \
(T1CCR & T1CCR_CAP2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP2INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      T1CCR_CAP2INT_DISABLED      Disabled
**      T1CCR_CAP2INT_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1CCR_CAP2INT( Value ) \
{\
T1CCR &= ~(T1CCR_CAP2INT & ~Value); \
T1CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP2INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1CCR_CAP2INT \
(T1CCR |= T1CCR_CAP2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP2INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1CCR_CAP2INT \
(T1CCR &= ~T1CCR_CAP2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP2FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1CCR_CAP2FE_DISABLED       Disabled
**      T1CCR_CAP2FE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1CCR_CAP2FE \
(T1CCR & T1CCR_CAP2FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP2FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      T1CCR_CAP2FE_DISABLED       Disabled
**      T1CCR_CAP2FE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1CCR_CAP2FE( Value ) \
{\
T1CCR &= ~(T1CCR_CAP2FE & ~Value); \
T1CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP2FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1CCR_CAP2FE \
(T1CCR |= T1CCR_CAP2FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP2FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1CCR_CAP2FE \
(T1CCR &= ~T1CCR_CAP2FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP2RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1CCR_CAP2RE_DISABLED       Disabled
**      T1CCR_CAP2RE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1CCR_CAP2RE \
(T1CCR & T1CCR_CAP2RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP2RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      T1CCR_CAP2RE_DISABLED       Disabled
**      T1CCR_CAP2RE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1CCR_CAP2RE( Value ) \
{\
T1CCR &= ~(T1CCR_CAP2RE & ~Value); \
T1CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP2RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1CCR_CAP2RE \
(T1CCR |= T1CCR_CAP2RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP2RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1CCR_CAP2RE \
(T1CCR &= ~T1CCR_CAP2RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP1INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1CCR_CAP1INT_DISABLED      Disabled
**      T1CCR_CAP1INT_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_T1CCR_CAP1INT \
(T1CCR & T1CCR_CAP1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP1INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      T1CCR_CAP1INT_DISABLED      Disabled
**      T1CCR_CAP1INT_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1CCR_CAP1INT( Value ) \
{\
T1CCR &= ~(T1CCR_CAP1INT & ~Value); \
T1CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP1INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1CCR_CAP1INT \
(T1CCR |= T1CCR_CAP1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP1INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1CCR_CAP1INT \
(T1CCR &= ~T1CCR_CAP1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP1FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1CCR_CAP1FE_DISABLED       Disabled
**      T1CCR_CAP1FE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1CCR_CAP1FE \
(T1CCR & T1CCR_CAP1FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP1FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      T1CCR_CAP1FE_DISABLED       Disabled
**      T1CCR_CAP1FE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1CCR_CAP1FE( Value ) \
{\
T1CCR &= ~(T1CCR_CAP1FE & ~Value); \
T1CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP1FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1CCR_CAP1FE \
(T1CCR |= T1CCR_CAP1FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP1FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1CCR_CAP1FE \
(T1CCR &= ~T1CCR_CAP1FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP1RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1CCR_CAP1RE_DISABLED       Disabled
**      T1CCR_CAP1RE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1CCR_CAP1RE \
(T1CCR & T1CCR_CAP1RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP1RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      T1CCR_CAP1RE_DISABLED       Disabled
**      T1CCR_CAP1RE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1CCR_CAP1RE( Value ) \
{\
T1CCR &= ~(T1CCR_CAP1RE & ~Value); \
T1CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP1RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1CCR_CAP1RE \
(T1CCR |= T1CCR_CAP1RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP1RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1CCR_CAP1RE \
(T1CCR &= ~T1CCR_CAP1RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP0INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1CCR_CAP0INT_DISABLED      Disabled
**      T1CCR_CAP0INT_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_T1CCR_CAP0INT \
(T1CCR & T1CCR_CAP0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP0INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      T1CCR_CAP0INT_DISABLED      Disabled
**      T1CCR_CAP0INT_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1CCR_CAP0INT( Value ) \
{\
T1CCR &= ~(T1CCR_CAP0INT & ~Value); \
T1CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP0INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1CCR_CAP0INT \
(T1CCR |= T1CCR_CAP0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP0INT bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1CCR_CAP0INT \
(T1CCR &= ~T1CCR_CAP0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP0FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1CCR_CAP0FE_DISABLED       Disabled
**      T1CCR_CAP0FE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1CCR_CAP0FE \
(T1CCR & T1CCR_CAP0FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP0FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      T1CCR_CAP0FE_DISABLED       Disabled
**      T1CCR_CAP0FE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1CCR_CAP0FE( Value ) \
{\
T1CCR &= ~(T1CCR_CAP0FE & ~Value); \
T1CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP0FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1CCR_CAP0FE \
(T1CCR |= T1CCR_CAP0FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP0FE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1CCR_CAP0FE \
(T1CCR &= ~T1CCR_CAP0FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CAP0RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1CCR_CAP0RE_DISABLED       Disabled
**      T1CCR_CAP0RE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_T1CCR_CAP0RE \
(T1CCR & T1CCR_CAP0RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CAP0RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      T1CCR_CAP0RE_DISABLED       Disabled
**      T1CCR_CAP0RE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1CCR_CAP0RE( Value ) \
{\
T1CCR &= ~(T1CCR_CAP0RE & ~Value); \
T1CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CAP0RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1CCR_CAP0RE \
(T1CCR |= T1CCR_CAP0RE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CAP0RE bit field
**      in the T1CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1CCR_CAP0RE \
(T1CCR &= ~T1CCR_CAP0RE)


/*
**---------------------------------------------------------------------------
**  Timer 1 Capture Register 0
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T1CR0 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T1CR0_VALUE \
(T1CR0 & T1CR0_VALUE)


/*
**---------------------------------------------------------------------------
**  Timer 1 Capture Register 1
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T1CR1 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T1CR1_VALUE \
(T1CR1 & T1CR1_VALUE)


/*
**---------------------------------------------------------------------------
**  Timer 1 Capture Register 2
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T1CR2 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T1CR2_VALUE \
(T1CR2 & T1CR2_VALUE)


/*
**---------------------------------------------------------------------------
**  Timer 1 Capture Register 3
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the T1CR3 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_T1CR3_VALUE \
(T1CR3 & T1CR3_VALUE)


/*
**---------------------------------------------------------------------------
**  Timer 1 External Match Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EMC3 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1EMR_EMC3_NOTHING          Do nothing
**      T1EMR_EMC3_CLEAR            Clear output to 0
**      T1EMR_EMC3_SET              Set output to 1
**      T1EMR_EMC3_TOGGLE           Toggle output
**
**===========================================================================
*/
#define READ_T1EMR_EMC3 \
(T1EMR & T1EMR_EMC3)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EMC3 bit field
**      in the T1EMR register.
**
**  Parameters:
**      T1EMR_EMC3_NOTHING          Do nothing
**      T1EMR_EMC3_CLEAR            Clear output to 0
**      T1EMR_EMC3_SET              Set output to 1
**      T1EMR_EMC3_TOGGLE           Toggle output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1EMR_EMC3( Value ) \
{\
T1EMR &= ~(T1EMR_EMC3 & ~Value); \
T1EMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EMC2 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1EMR_EMC2_NOTHING          Do nothing
**      T1EMR_EMC2_CLEAR            Clear output to 0
**      T1EMR_EMC2_SET              Set output to 1
**      T1EMR_EMC2_TOGGLE           Toggle output
**
**===========================================================================
*/
#define READ_T1EMR_EMC2 \
(T1EMR & T1EMR_EMC2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EMC2 bit field
**      in the T1EMR register.
**
**  Parameters:
**      T1EMR_EMC2_NOTHING          Do nothing
**      T1EMR_EMC2_CLEAR            Clear output to 0
**      T1EMR_EMC2_SET              Set output to 1
**      T1EMR_EMC2_TOGGLE           Toggle output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1EMR_EMC2( Value ) \
{\
T1EMR &= ~(T1EMR_EMC2 & ~Value); \
T1EMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EMC1 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1EMR_EMC1_NOTHING          Do nothing
**      T1EMR_EMC1_CLEAR            Clear output to 0
**      T1EMR_EMC1_SET              Set output to 1
**      T1EMR_EMC1_TOGGLE           Toggle output
**
**===========================================================================
*/
#define READ_T1EMR_EMC1 \
(T1EMR & T1EMR_EMC1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EMC1 bit field
**      in the T1EMR register.
**
**  Parameters:
**      T1EMR_EMC1_NOTHING          Do nothing
**      T1EMR_EMC1_CLEAR            Clear output to 0
**      T1EMR_EMC1_SET              Set output to 1
**      T1EMR_EMC1_TOGGLE           Toggle output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1EMR_EMC1( Value ) \
{\
T1EMR &= ~(T1EMR_EMC1 & ~Value); \
T1EMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EMC0 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1EMR_EMC0_NOTHING          Do nothing
**      T1EMR_EMC0_CLEAR            Clear output to 0
**      T1EMR_EMC0_SET              Set output to 1
**      T1EMR_EMC0_TOGGLE           Toggle output
**
**===========================================================================
*/
#define READ_T1EMR_EMC0 \
(T1EMR & T1EMR_EMC0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EMC0 bit field
**      in the T1EMR register.
**
**  Parameters:
**      T1EMR_EMC0_NOTHING          Do nothing
**      T1EMR_EMC0_CLEAR            Clear output to 0
**      T1EMR_EMC0_SET              Set output to 1
**      T1EMR_EMC0_TOGGLE           Toggle output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1EMR_EMC0( Value ) \
{\
T1EMR &= ~(T1EMR_EMC0 & ~Value); \
T1EMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EM3 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1EMR_EM3_LOW               Low
**      T1EMR_EM3_HIGH              High
**
**===========================================================================
*/
#define READ_T1EMR_EM3 \
(T1EMR & T1EMR_EM3)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EM3 bit field
**      in the T1EMR register.
**
**  Parameters:
**      T1EMR_EM3_LOW               Low
**      T1EMR_EM3_HIGH              High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1EMR_EM3( Value ) \
{\
T1EMR &= ~(T1EMR_EM3 & ~Value); \
T1EMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EM3 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1EMR_EM3 \
(T1EMR |= T1EMR_EM3)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EM3 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1EMR_EM3 \
(T1EMR &= ~T1EMR_EM3)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EM2 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1EMR_EM2_LOW               Low
**      T1EMR_EM2_HIGH              High
**
**===========================================================================
*/
#define READ_T1EMR_EM2 \
(T1EMR & T1EMR_EM2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EM2 bit field
**      in the T1EMR register.
**
**  Parameters:
**      T1EMR_EM2_LOW               Low
**      T1EMR_EM2_HIGH              High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1EMR_EM2( Value ) \
{\
T1EMR &= ~(T1EMR_EM2 & ~Value); \
T1EMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EM2 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1EMR_EM2 \
(T1EMR |= T1EMR_EM2)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EM2 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1EMR_EM2 \
(T1EMR &= ~T1EMR_EM2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EM1 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1EMR_EM1_LOW               Low
**      T1EMR_EM1_HIGH              High
**
**===========================================================================
*/
#define READ_T1EMR_EM1 \
(T1EMR & T1EMR_EM1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EM1 bit field
**      in the T1EMR register.
**
**  Parameters:
**      T1EMR_EM1_LOW               Low
**      T1EMR_EM1_HIGH              High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1EMR_EM1( Value ) \
{\
T1EMR &= ~(T1EMR_EM1 & ~Value); \
T1EMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EM1 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1EMR_EM1 \
(T1EMR |= T1EMR_EM1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EM1 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1EMR_EM1 \
(T1EMR &= ~T1EMR_EM1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EM0 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      T1EMR_EM0_LOW               Low
**      T1EMR_EM0_HIGH              High
**
**===========================================================================
*/
#define READ_T1EMR_EM0 \
(T1EMR & T1EMR_EM0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EM0 bit field
**      in the T1EMR register.
**
**  Parameters:
**      T1EMR_EM0_LOW               Low
**      T1EMR_EM0_HIGH              High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_T1EMR_EM0( Value ) \
{\
T1EMR &= ~(T1EMR_EM0 & ~Value); \
T1EMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EM0 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_T1EMR_EM0 \
(T1EMR |= T1EMR_EM0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EM0 bit field
**      in the T1EMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_T1EMR_EM0 \
(T1EMR &= ~T1EMR_EM0)


/*
**---------------------------------------------------------------------------
**  UART0 Receiver Buffer Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the RXD bit field
**      in the U0RBR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_U0RBR_RXD \
(U0RBR & U0RBR_RXD)


/*
**---------------------------------------------------------------------------
**  UART0 Transmit Holding Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the TXD bit field
**      in the U0THR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0THR_TXD( Value ) \
{\
U0THR &= ~(U0THR_TXD & ~Value); \
U0THR |= Value; \
}


/*
**---------------------------------------------------------------------------
**  UART0 Divisor Latch LSB
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DIVL bit field
**      in the U0DLL register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_U0DLL_DIVL \
(U0DLL & U0DLL_DIVL)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DIVL bit field
**      in the U0DLL register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0DLL_DIVL( Value ) \
{\
U0DLL &= ~(U0DLL_DIVL & ~Value); \
U0DLL |= Value; \
}


/*
**---------------------------------------------------------------------------
**  UART0 Divisor Latch MSB
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DIVM bit field
**      in the U0DLM register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_U0DLM_DIVM \
(U0DLM & U0DLM_DIVM)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DIVM bit field
**      in the U0DLM register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0DLM_DIVM( Value ) \
{\
U0DLM &= ~(U0DLM_DIVM & ~Value); \
U0DLM |= Value; \
}


/*
**---------------------------------------------------------------------------
**  UART0 Interrupt Enable Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the RXLSIE bit field
**      in the U0IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0IER_RXLSIE_DISABLED       Disabled
**      U0IER_RXLSIE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_U0IER_RXLSIE \
(U0IER & U0IER_RXLSIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the RXLSIE bit field
**      in the U0IER register.
**
**  Parameters:
**      U0IER_RXLSIE_DISABLED       Disabled
**      U0IER_RXLSIE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0IER_RXLSIE( Value ) \
{\
U0IER &= ~(U0IER_RXLSIE & ~Value); \
U0IER |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit RXLSIE bit field
**      in the U0IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U0IER_RXLSIE \
(U0IER |= U0IER_RXLSIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit RXLSIE bit field
**      in the U0IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U0IER_RXLSIE \
(U0IER &= ~U0IER_RXLSIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the THREIE bit field
**      in the U0IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0IER_THREIE_DISABLED       Disabled
**      U0IER_THREIE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_U0IER_THREIE \
(U0IER & U0IER_THREIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the THREIE bit field
**      in the U0IER register.
**
**  Parameters:
**      U0IER_THREIE_DISABLED       Disabled
**      U0IER_THREIE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0IER_THREIE( Value ) \
{\
U0IER &= ~(U0IER_THREIE & ~Value); \
U0IER |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit THREIE bit field
**      in the U0IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U0IER_THREIE \
(U0IER |= U0IER_THREIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit THREIE bit field
**      in the U0IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U0IER_THREIE \
(U0IER &= ~U0IER_THREIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the RDAIE bit field
**      in the U0IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0IER_RDAIE_DISABLED        Disabled
**      U0IER_RDAIE_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_U0IER_RDAIE \
(U0IER & U0IER_RDAIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the RDAIE bit field
**      in the U0IER register.
**
**  Parameters:
**      U0IER_RDAIE_DISABLED        Disabled
**      U0IER_RDAIE_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0IER_RDAIE( Value ) \
{\
U0IER &= ~(U0IER_RDAIE & ~Value); \
U0IER |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit RDAIE bit field
**      in the U0IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U0IER_RDAIE \
(U0IER |= U0IER_RDAIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit RDAIE bit field
**      in the U0IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U0IER_RDAIE \
(U0IER &= ~U0IER_RDAIE)


/*
**---------------------------------------------------------------------------
**  UART0 Interrupt ID Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the IIRFE bit field
**      in the U0IIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0IIR_IIRFE_ONE             1 (Trigger level 0 (=1))
**      U0IIR_IIRFE_FOUR            4 (Trigger level 1 (=4))
**      U0IIR_IIRFE_EIGHT           8 (Trigger level 2 (=8))
**      U0IIR_IIRFE_FOURTEEN        14 (Trigger level 3 (=14))
**
**===========================================================================
*/
#define READ_U0IIR_IIRFE \
(U0IIR & U0IIR_IIRFE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the IID bit field
**      in the U0IIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0IIR_IID_THRE_INT          Transmit buffer empty interrupt (THRE) (Third priority)
**      U0IIR_IID_CTI_INT           Character timeout interrupt (CTI) (Second priority)
**      U0IIR_IID_RDA_INT           Receive data available or Trigger level interrupt code (RDA) (Second priority)
**      U0IIR_IID_RX_LINE_INT       Receive line status interrupt (Highest priority)
**
**===========================================================================
*/
#define READ_U0IIR_IID \
(U0IIR & U0IIR_IID)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the IP bit field
**      in the U0IIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0IIR_IP_INTERRUPT          Interrupt pending 
**      U0IIR_IP_NO_INTERRUPT       No pending interrupt
**
**===========================================================================
*/
#define READ_U0IIR_IP \
(U0IIR & U0IIR_IP)


/*
**---------------------------------------------------------------------------
**  UART0 FIFO Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the RTLS bit field
**      in the U0FCR register.
**
**  Parameters:
**      U0FCR_RTLS_ONE              1 (Trigger level 0 (=1))
**      U0FCR_RTLS_FOUR             4 (Trigger level 1 (=4))
**      U0FCR_RTLS_EIGHT            8 (Trigger level 2 (=8))
**      U0FCR_RTLS_FOURTEEN         14 (Trigger level 3 (=14))
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0FCR_RTLS( Value ) \
{\
U0FCR &= ~(U0FCR_RTLS & ~Value); \
U0FCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the TFR bit field
**      in the U0FCR register.
**
**  Parameters:
**      U0FCR_TFR_NOTHING           Nothing happens
**      U0FCR_TFR_RESET             Reset transfer pointers and clear TX FIFO
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0FCR_TFR( Value ) \
{\
U0FCR &= ~(U0FCR_TFR & ~Value); \
U0FCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit TFR bit field
**      in the U0FCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U0FCR_TFR \
(U0FCR |= U0FCR_TFR)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit TFR bit field
**      in the U0FCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U0FCR_TFR \
(U0FCR &= ~U0FCR_TFR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the RFR bit field
**      in the U0FCR register.
**
**  Parameters:
**      U0FCR_RFR_NOTHING           Nothing happens
**      U0FCR_RFR_RESET             Reset receive pointers and clear RX FIFO
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0FCR_RFR( Value ) \
{\
U0FCR &= ~(U0FCR_RFR & ~Value); \
U0FCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit RFR bit field
**      in the U0FCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U0FCR_RFR \
(U0FCR |= U0FCR_RFR)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit RFR bit field
**      in the U0FCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U0FCR_RFR \
(U0FCR &= ~U0FCR_RFR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the FCRFE bit field
**      in the U0FCR register.
**
**  Parameters:
**      U0FCR_FCRFE_DISABLED        Disabled (Disabled FIFOs)
**      U0FCR_FCRFE_ENABLED         Enabled (Enable TX and RX FIFOs)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0FCR_FCRFE( Value ) \
{\
U0FCR &= ~(U0FCR_FCRFE & ~Value); \
U0FCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit FCRFE bit field
**      in the U0FCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U0FCR_FCRFE \
(U0FCR |= U0FCR_FCRFE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit FCRFE bit field
**      in the U0FCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U0FCR_FCRFE \
(U0FCR &= ~U0FCR_FCRFE)


/*
**---------------------------------------------------------------------------
**  UART0 Line Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DLAB bit field
**      in the U0LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0LCR_DLAB_TX_RX            Access transmit/receive registers
**      U0LCR_DLAB_DIVISOR          Access divisor registers (Divisor used for baud rate generator )
**
**===========================================================================
*/
#define READ_U0LCR_DLAB \
(U0LCR & U0LCR_DLAB)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DLAB bit field
**      in the U0LCR register.
**
**  Parameters:
**      U0LCR_DLAB_TX_RX            Access transmit/receive registers
**      U0LCR_DLAB_DIVISOR          Access divisor registers (Divisor used for baud rate generator )
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0LCR_DLAB( Value ) \
{\
U0LCR &= ~(U0LCR_DLAB & ~Value); \
U0LCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit DLAB bit field
**      in the U0LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U0LCR_DLAB \
(U0LCR |= U0LCR_DLAB)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit DLAB bit field
**      in the U0LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U0LCR_DLAB \
(U0LCR &= ~U0LCR_DLAB)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the BC bit field
**      in the U0LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0LCR_BC_DISABLED           Disabled (No break)
**      U0LCR_BC_ENABLED            Enabled (Send continous 0 on transmit output)
**
**===========================================================================
*/
#define READ_U0LCR_BC \
(U0LCR & U0LCR_BC)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the BC bit field
**      in the U0LCR register.
**
**  Parameters:
**      U0LCR_BC_DISABLED           Disabled (No break)
**      U0LCR_BC_ENABLED            Enabled (Send continous 0 on transmit output)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0LCR_BC( Value ) \
{\
U0LCR &= ~(U0LCR_BC & ~Value); \
U0LCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit BC bit field
**      in the U0LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U0LCR_BC \
(U0LCR |= U0LCR_BC)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit BC bit field
**      in the U0LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U0LCR_BC \
(U0LCR &= ~U0LCR_BC)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PS bit field
**      in the U0LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0LCR_PS_ODD                Odd parity
**      U0LCR_PS_EVEN               Even parity
**      U0LCR_PS_FORCED_1           Forced "1" stick parity
**      U0LCR_PS_FORCED_0           Forced "0" stick parity
**
**===========================================================================
*/
#define READ_U0LCR_PS \
(U0LCR & U0LCR_PS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PS bit field
**      in the U0LCR register.
**
**  Parameters:
**      U0LCR_PS_ODD                Odd parity
**      U0LCR_PS_EVEN               Even parity
**      U0LCR_PS_FORCED_1           Forced "1" stick parity
**      U0LCR_PS_FORCED_0           Forced "0" stick parity
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0LCR_PS( Value ) \
{\
U0LCR &= ~(U0LCR_PS & ~Value); \
U0LCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PE bit field
**      in the U0LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0LCR_PE_DISABLED           Disabled (No parity generation and checking)
**      U0LCR_PE_ENABLED            Enabled (Parity generation and checking)
**
**===========================================================================
*/
#define READ_U0LCR_PE \
(U0LCR & U0LCR_PE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PE bit field
**      in the U0LCR register.
**
**  Parameters:
**      U0LCR_PE_DISABLED           Disabled (No parity generation and checking)
**      U0LCR_PE_ENABLED            Enabled (Parity generation and checking)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0LCR_PE( Value ) \
{\
U0LCR &= ~(U0LCR_PE & ~Value); \
U0LCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit PE bit field
**      in the U0LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U0LCR_PE \
(U0LCR |= U0LCR_PE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit PE bit field
**      in the U0LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U0LCR_PE \
(U0LCR &= ~U0LCR_PE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SBS bit field
**      in the U0LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0LCR_SBS_S1                1 stop bit
**      U0LCR_SBS_S2                2 stop bits ((=1.5 if 5 bit character length is used))
**
**===========================================================================
*/
#define READ_U0LCR_SBS \
(U0LCR & U0LCR_SBS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the SBS bit field
**      in the U0LCR register.
**
**  Parameters:
**      U0LCR_SBS_S1                1 stop bit
**      U0LCR_SBS_S2                2 stop bits ((=1.5 if 5 bit character length is used))
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0LCR_SBS( Value ) \
{\
U0LCR &= ~(U0LCR_SBS & ~Value); \
U0LCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit SBS bit field
**      in the U0LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U0LCR_SBS \
(U0LCR |= U0LCR_SBS)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit SBS bit field
**      in the U0LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U0LCR_SBS \
(U0LCR &= ~U0LCR_SBS)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the WLS bit field
**      in the U0LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0LCR_WLS_D5                5 data bits
**      U0LCR_WLS_D6                6 data bits
**      U0LCR_WLS_D7                7 data bits
**      U0LCR_WLS_D8                8 data bits
**
**===========================================================================
*/
#define READ_U0LCR_WLS \
(U0LCR & U0LCR_WLS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the WLS bit field
**      in the U0LCR register.
**
**  Parameters:
**      U0LCR_WLS_D5                5 data bits
**      U0LCR_WLS_D6                6 data bits
**      U0LCR_WLS_D7                7 data bits
**      U0LCR_WLS_D8                8 data bits
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0LCR_WLS( Value ) \
{\
U0LCR &= ~(U0LCR_WLS & ~Value); \
U0LCR |= Value; \
}


/*
**---------------------------------------------------------------------------
**  UART0 Line Status Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the RXFE bit field
**      in the U0LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0LSR_RXFE_OK               No receive error in FIFO mode or Always 0 in non FIFO mode
**      U0LSR_RXFE_ERROR            Parity, framing or break indication in the FIFO
**
**===========================================================================
*/
#define READ_U0LSR_RXFE \
(U0LSR & U0LSR_RXFE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the TEMT bit field
**      in the U0LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0LSR_TEMT_TRANSMIT         Transmission in progress
**      U0LSR_TEMT_IDLE             Transmitter idle
**
**===========================================================================
*/
#define READ_U0LSR_TEMT \
(U0LSR & U0LSR_TEMT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the THRE bit field
**      in the U0LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0LSR_THRE_VALID            Valid data in transmit register
**      U0LSR_THRE_EMPTY            Empty
**
**===========================================================================
*/
#define READ_U0LSR_THRE \
(U0LSR & U0LSR_THRE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the BI bit field
**      in the U0LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0LSR_BI_NO                 No break
**      U0LSR_BI_BREAK              Break condition detected on receive input line
**
**===========================================================================
*/
#define READ_U0LSR_BI \
(U0LSR & U0LSR_BI)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the FE bit field
**      in the U0LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0LSR_FE_OK                 No framing error
**      U0LSR_FE_ERROR              Framing error occured
**
**===========================================================================
*/
#define READ_U0LSR_FE \
(U0LSR & U0LSR_FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PE bit field
**      in the U0LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0LSR_PE_OK                 No parity error
**      U0LSR_PE_ERROR              Parity error occured
**
**===========================================================================
*/
#define READ_U0LSR_PE \
(U0LSR & U0LSR_PE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the OE bit field
**      in the U0LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0LSR_OE_OK                 No overrun error
**      U0LSR_OE_ERROR              Overrun error occured
**
**===========================================================================
*/
#define READ_U0LSR_OE \
(U0LSR & U0LSR_OE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DR bit field
**      in the U0LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U0LSR_DR_EMPTY              Empty
**      U0LSR_DR_VALID              Valid data in receive buffer register
**
**===========================================================================
*/
#define READ_U0LSR_DR \
(U0LSR & U0LSR_DR)


/*
**---------------------------------------------------------------------------
**  UART0 Scratch Pad Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DATA bit field
**      in the U0SCR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_U0SCR_DATA \
(U0SCR & U0SCR_DATA)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DATA bit field
**      in the U0SCR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U0SCR_DATA( Value ) \
{\
U0SCR &= ~(U0SCR_DATA & ~Value); \
U0SCR |= Value; \
}


/*
**---------------------------------------------------------------------------
**  UART1 Receiver Buffer Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the RXD bit field
**      in the U1RBR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_U1RBR_RXD \
(U1RBR & U1RBR_RXD)


/*
**---------------------------------------------------------------------------
**  UART1 Transmit Holding Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the TXD bit field
**      in the U1THR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1THR_TXD( Value ) \
{\
U1THR &= ~(U1THR_TXD & ~Value); \
U1THR |= Value; \
}


/*
**---------------------------------------------------------------------------
**  UART1 Divisor Latch LSB
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DIVL bit field
**      in the U1DLL register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_U1DLL_DIVL \
(U1DLL & U1DLL_DIVL)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DIVL bit field
**      in the U1DLL register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1DLL_DIVL( Value ) \
{\
U1DLL &= ~(U1DLL_DIVL & ~Value); \
U1DLL |= Value; \
}


/*
**---------------------------------------------------------------------------
**  UART1 Divisor Latch MSB
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DIVM bit field
**      in the U1DLM register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_U1DLM_DIVM \
(U1DLM & U1DLM_DIVM)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DIVM bit field
**      in the U1DLM register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1DLM_DIVM( Value ) \
{\
U1DLM &= ~(U1DLM_DIVM & ~Value); \
U1DLM |= Value; \
}


/*
**---------------------------------------------------------------------------
**  UART1 Interrupt Enable Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MSIE bit field
**      in the U1IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1IER_MSIE_DISABLED         Disabled
**      U1IER_MSIE_ENABLED          Enabled
**
**===========================================================================
*/
#define READ_U1IER_MSIE \
(U1IER & U1IER_MSIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MSIE bit field
**      in the U1IER register.
**
**  Parameters:
**      U1IER_MSIE_DISABLED         Disabled
**      U1IER_MSIE_ENABLED          Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1IER_MSIE( Value ) \
{\
U1IER &= ~(U1IER_MSIE & ~Value); \
U1IER |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MSIE bit field
**      in the U1IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U1IER_MSIE \
(U1IER |= U1IER_MSIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MSIE bit field
**      in the U1IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U1IER_MSIE \
(U1IER &= ~U1IER_MSIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the RXLSIE bit field
**      in the U1IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1IER_RXLSIE_DISABLED       Disabled
**      U1IER_RXLSIE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_U1IER_RXLSIE \
(U1IER & U1IER_RXLSIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the RXLSIE bit field
**      in the U1IER register.
**
**  Parameters:
**      U1IER_RXLSIE_DISABLED       Disabled
**      U1IER_RXLSIE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1IER_RXLSIE( Value ) \
{\
U1IER &= ~(U1IER_RXLSIE & ~Value); \
U1IER |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit RXLSIE bit field
**      in the U1IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U1IER_RXLSIE \
(U1IER |= U1IER_RXLSIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit RXLSIE bit field
**      in the U1IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U1IER_RXLSIE \
(U1IER &= ~U1IER_RXLSIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the THREIE bit field
**      in the U1IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1IER_THREIE_DISABLED       Disabled
**      U1IER_THREIE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_U1IER_THREIE \
(U1IER & U1IER_THREIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the THREIE bit field
**      in the U1IER register.
**
**  Parameters:
**      U1IER_THREIE_DISABLED       Disabled
**      U1IER_THREIE_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1IER_THREIE( Value ) \
{\
U1IER &= ~(U1IER_THREIE & ~Value); \
U1IER |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit THREIE bit field
**      in the U1IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U1IER_THREIE \
(U1IER |= U1IER_THREIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit THREIE bit field
**      in the U1IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U1IER_THREIE \
(U1IER &= ~U1IER_THREIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the RDAIE bit field
**      in the U1IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1IER_RDAIE_DISABLED        Disabled
**      U1IER_RDAIE_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_U1IER_RDAIE \
(U1IER & U1IER_RDAIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the RDAIE bit field
**      in the U1IER register.
**
**  Parameters:
**      U1IER_RDAIE_DISABLED        Disabled
**      U1IER_RDAIE_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1IER_RDAIE( Value ) \
{\
U1IER &= ~(U1IER_RDAIE & ~Value); \
U1IER |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit RDAIE bit field
**      in the U1IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U1IER_RDAIE \
(U1IER |= U1IER_RDAIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit RDAIE bit field
**      in the U1IER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U1IER_RDAIE \
(U1IER &= ~U1IER_RDAIE)


/*
**---------------------------------------------------------------------------
**  UART1 Interrupt ID Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the IIRFE bit field
**      in the U1IIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1IIR_IIRFE_ONE             1 (Trigger level 0 (=1))
**      U1IIR_IIRFE_FOUR            4 (Trigger level 1 (=4))
**      U1IIR_IIRFE_EIGHT           8 (Trigger level 2 (=8))
**      U1IIR_IIRFE_FOURTEEN        14 (Trigger level 3 (=14))
**
**===========================================================================
*/
#define READ_U1IIR_IIRFE \
(U1IIR & U1IIR_IIRFE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the IID bit field
**      in the U1IIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1IIR_IID_MODEM_INT         Modem interrupt (Fourth priority)
**      U1IIR_IID_THRE_INT          Transmit buffer empty interrupt (THRE) (Third priority)
**      U1IIR_IID_CTI_INT           Character timeout interrupt (CTI) (Second priority)
**      U1IIR_IID_RDA_INT           Receive data available or Trigger level interrupt code (RDA) (Second priority)
**      U1IIR_IID_RX_LINE_INT       Receive line status interrupt (Highest priority)
**
**===========================================================================
*/
#define READ_U1IIR_IID \
(U1IIR & U1IIR_IID)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the IP bit field
**      in the U1IIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1IIR_IP_INTERRUPT          Interrupt pending 
**      U1IIR_IP_NO_INTERRUPT       No pending interrupt
**
**===========================================================================
*/
#define READ_U1IIR_IP \
(U1IIR & U1IIR_IP)


/*
**---------------------------------------------------------------------------
**  UART1 FIFO Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the RTLS bit field
**      in the U1FCR register.
**
**  Parameters:
**      U1FCR_RTLS_ONE              1 (Trigger level 0 (=1))
**      U1FCR_RTLS_FOUR             4 (Trigger level 1 (=4))
**      U1FCR_RTLS_EIGHT            8 (Trigger level 2 (=8))
**      U1FCR_RTLS_FOURTEEN         14 (Trigger level 3 (=14))
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1FCR_RTLS( Value ) \
{\
U1FCR &= ~(U1FCR_RTLS & ~Value); \
U1FCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the TFR bit field
**      in the U1FCR register.
**
**  Parameters:
**      U1FCR_TFR_NOTHING           Nothing happens
**      U1FCR_TFR_RESET             Reset transfer pointers and clear TX FIFO
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1FCR_TFR( Value ) \
{\
U1FCR &= ~(U1FCR_TFR & ~Value); \
U1FCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit TFR bit field
**      in the U1FCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U1FCR_TFR \
(U1FCR |= U1FCR_TFR)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit TFR bit field
**      in the U1FCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U1FCR_TFR \
(U1FCR &= ~U1FCR_TFR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the RFR bit field
**      in the U1FCR register.
**
**  Parameters:
**      U1FCR_RFR_NOTHING           Nothing happens
**      U1FCR_RFR_RESET             Reset receive pointers and clear RX FIFO
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1FCR_RFR( Value ) \
{\
U1FCR &= ~(U1FCR_RFR & ~Value); \
U1FCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit RFR bit field
**      in the U1FCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U1FCR_RFR \
(U1FCR |= U1FCR_RFR)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit RFR bit field
**      in the U1FCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U1FCR_RFR \
(U1FCR &= ~U1FCR_RFR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the FCRFE bit field
**      in the U1FCR register.
**
**  Parameters:
**      U1FCR_FCRFE_DISABLED        Disabled (Disabled FIFOs)
**      U1FCR_FCRFE_ENABLED         Enabled (Enable TX and RX FIFOs)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1FCR_FCRFE( Value ) \
{\
U1FCR &= ~(U1FCR_FCRFE & ~Value); \
U1FCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit FCRFE bit field
**      in the U1FCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U1FCR_FCRFE \
(U1FCR |= U1FCR_FCRFE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit FCRFE bit field
**      in the U1FCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U1FCR_FCRFE \
(U1FCR &= ~U1FCR_FCRFE)


/*
**---------------------------------------------------------------------------
**  UART1 Line Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DLAB bit field
**      in the U1LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1LCR_DLAB_TX_RX            Access transmit/receive registers
**      U1LCR_DLAB_DIVISOR          Access divisor registers (Divisor used for baud rate generator )
**
**===========================================================================
*/
#define READ_U1LCR_DLAB \
(U1LCR & U1LCR_DLAB)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DLAB bit field
**      in the U1LCR register.
**
**  Parameters:
**      U1LCR_DLAB_TX_RX            Access transmit/receive registers
**      U1LCR_DLAB_DIVISOR          Access divisor registers (Divisor used for baud rate generator )
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1LCR_DLAB( Value ) \
{\
U1LCR &= ~(U1LCR_DLAB & ~Value); \
U1LCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit DLAB bit field
**      in the U1LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U1LCR_DLAB \
(U1LCR |= U1LCR_DLAB)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit DLAB bit field
**      in the U1LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U1LCR_DLAB \
(U1LCR &= ~U1LCR_DLAB)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the BC bit field
**      in the U1LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1LCR_BC_DISABLED           Disabled (No break)
**      U1LCR_BC_ENABLED            Enabled (Send continous 0 on transmit output)
**
**===========================================================================
*/
#define READ_U1LCR_BC \
(U1LCR & U1LCR_BC)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the BC bit field
**      in the U1LCR register.
**
**  Parameters:
**      U1LCR_BC_DISABLED           Disabled (No break)
**      U1LCR_BC_ENABLED            Enabled (Send continous 0 on transmit output)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1LCR_BC( Value ) \
{\
U1LCR &= ~(U1LCR_BC & ~Value); \
U1LCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit BC bit field
**      in the U1LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U1LCR_BC \
(U1LCR |= U1LCR_BC)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit BC bit field
**      in the U1LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U1LCR_BC \
(U1LCR &= ~U1LCR_BC)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PS bit field
**      in the U1LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1LCR_PS_ODD                Odd parity
**      U1LCR_PS_EVEN               Even parity
**      U1LCR_PS_FORCED_1           Forced "1" stick parity
**      U1LCR_PS_FORCED_0           Forced "0" stick parity
**
**===========================================================================
*/
#define READ_U1LCR_PS \
(U1LCR & U1LCR_PS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PS bit field
**      in the U1LCR register.
**
**  Parameters:
**      U1LCR_PS_ODD                Odd parity
**      U1LCR_PS_EVEN               Even parity
**      U1LCR_PS_FORCED_1           Forced "1" stick parity
**      U1LCR_PS_FORCED_0           Forced "0" stick parity
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1LCR_PS( Value ) \
{\
U1LCR &= ~(U1LCR_PS & ~Value); \
U1LCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PE bit field
**      in the U1LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1LCR_PE_DISABLED           Disabled (No parity generation and checking)
**      U1LCR_PE_ENABLED            Enabled (Parity generation and checking)
**
**===========================================================================
*/
#define READ_U1LCR_PE \
(U1LCR & U1LCR_PE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PE bit field
**      in the U1LCR register.
**
**  Parameters:
**      U1LCR_PE_DISABLED           Disabled (No parity generation and checking)
**      U1LCR_PE_ENABLED            Enabled (Parity generation and checking)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1LCR_PE( Value ) \
{\
U1LCR &= ~(U1LCR_PE & ~Value); \
U1LCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit PE bit field
**      in the U1LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U1LCR_PE \
(U1LCR |= U1LCR_PE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit PE bit field
**      in the U1LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U1LCR_PE \
(U1LCR &= ~U1LCR_PE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SBS bit field
**      in the U1LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1LCR_SBS_S1                1 stop bit
**      U1LCR_SBS_S2                2 stop bits ((=1.5 if 5 bit character length is used))
**
**===========================================================================
*/
#define READ_U1LCR_SBS \
(U1LCR & U1LCR_SBS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the SBS bit field
**      in the U1LCR register.
**
**  Parameters:
**      U1LCR_SBS_S1                1 stop bit
**      U1LCR_SBS_S2                2 stop bits ((=1.5 if 5 bit character length is used))
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1LCR_SBS( Value ) \
{\
U1LCR &= ~(U1LCR_SBS & ~Value); \
U1LCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit SBS bit field
**      in the U1LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U1LCR_SBS \
(U1LCR |= U1LCR_SBS)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit SBS bit field
**      in the U1LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U1LCR_SBS \
(U1LCR &= ~U1LCR_SBS)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the WLS bit field
**      in the U1LCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1LCR_WLS_D5                5 data bits
**      U1LCR_WLS_D6                6 data bits
**      U1LCR_WLS_D7                7 data bits
**      U1LCR_WLS_D8                8 data bits
**
**===========================================================================
*/
#define READ_U1LCR_WLS \
(U1LCR & U1LCR_WLS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the WLS bit field
**      in the U1LCR register.
**
**  Parameters:
**      U1LCR_WLS_D5                5 data bits
**      U1LCR_WLS_D6                6 data bits
**      U1LCR_WLS_D7                7 data bits
**      U1LCR_WLS_D8                8 data bits
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1LCR_WLS( Value ) \
{\
U1LCR &= ~(U1LCR_WLS & ~Value); \
U1LCR |= Value; \
}


/*
**---------------------------------------------------------------------------
**  UART1 Modem Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the LMS bit field
**      in the U1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1MCR_LMS_NORMAL            Normal mode
**      U1MCR_LMS_LOOPBACK          Loop-back mode
**
**===========================================================================
*/
#define READ_U1MCR_LMS \
(U1MCR & U1MCR_LMS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the LMS bit field
**      in the U1MCR register.
**
**  Parameters:
**      U1MCR_LMS_NORMAL            Normal mode
**      U1MCR_LMS_LOOPBACK          Loop-back mode
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1MCR_LMS( Value ) \
{\
U1MCR &= ~(U1MCR_LMS & ~Value); \
U1MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit LMS bit field
**      in the U1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U1MCR_LMS \
(U1MCR |= U1MCR_LMS)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit LMS bit field
**      in the U1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U1MCR_LMS \
(U1MCR &= ~U1MCR_LMS)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the RTS bit field
**      in the U1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_U1MCR_RTS \
(U1MCR & U1MCR_RTS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the RTS bit field
**      in the U1MCR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1MCR_RTS( Value ) \
{\
U1MCR &= ~(U1MCR_RTS & ~Value); \
U1MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit RTS bit field
**      in the U1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U1MCR_RTS \
(U1MCR |= U1MCR_RTS)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit RTS bit field
**      in the U1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U1MCR_RTS \
(U1MCR &= ~U1MCR_RTS)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DTR bit field
**      in the U1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_U1MCR_DTR \
(U1MCR & U1MCR_DTR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DTR bit field
**      in the U1MCR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1MCR_DTR( Value ) \
{\
U1MCR &= ~(U1MCR_DTR & ~Value); \
U1MCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit DTR bit field
**      in the U1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_U1MCR_DTR \
(U1MCR |= U1MCR_DTR)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit DTR bit field
**      in the U1MCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_U1MCR_DTR \
(U1MCR &= ~U1MCR_DTR)


/*
**---------------------------------------------------------------------------
**  UART1 Line Status Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the RXFE bit field
**      in the U1LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1LSR_RXFE_OK               No receive error in FIFO mode or Always 0 in non FIFO mode
**      U1LSR_RXFE_ERROR            Parity, framing or break indication in the FIFO
**
**===========================================================================
*/
#define READ_U1LSR_RXFE \
(U1LSR & U1LSR_RXFE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the TEMT bit field
**      in the U1LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1LSR_TEMT_TRANSMIT         Transmission in progress
**      U1LSR_TEMT_IDLE             Transmitter idle
**
**===========================================================================
*/
#define READ_U1LSR_TEMT \
(U1LSR & U1LSR_TEMT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the THRE bit field
**      in the U1LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1LSR_THRE_VALID            Valid data in transmit register
**      U1LSR_THRE_EMPTY            Empty
**
**===========================================================================
*/
#define READ_U1LSR_THRE \
(U1LSR & U1LSR_THRE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the BI bit field
**      in the U1LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1LSR_BI_NO                 No break
**      U1LSR_BI_BREAK              Break condition detected on receive input line
**
**===========================================================================
*/
#define READ_U1LSR_BI \
(U1LSR & U1LSR_BI)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the FE bit field
**      in the U1LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1LSR_FE_OK                 No framing error
**      U1LSR_FE_ERROR              Framing error occured
**
**===========================================================================
*/
#define READ_U1LSR_FE \
(U1LSR & U1LSR_FE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PE bit field
**      in the U1LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1LSR_PE_OK                 No parity error
**      U1LSR_PE_ERROR              Parity error occured
**
**===========================================================================
*/
#define READ_U1LSR_PE \
(U1LSR & U1LSR_PE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the OE bit field
**      in the U1LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1LSR_OE_OK                 No overrun error
**      U1LSR_OE_ERROR              Overrun error occured
**
**===========================================================================
*/
#define READ_U1LSR_OE \
(U1LSR & U1LSR_OE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DR bit field
**      in the U1LSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1LSR_DR_EMPTY              Empty
**      U1LSR_DR_VALID              Valid data in receive buffer register
**
**===========================================================================
*/
#define READ_U1LSR_DR \
(U1LSR & U1LSR_DR)


/*
**---------------------------------------------------------------------------
**  UART1 Modem Status Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DCD bit field
**      in the U1MSR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_U1MSR_DCD \
(U1MSR & U1MSR_DCD)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the RI bit field
**      in the U1MSR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_U1MSR_RI \
(U1MSR & U1MSR_RI)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DSR bit field
**      in the U1MSR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_U1MSR_DSR \
(U1MSR & U1MSR_DSR)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CTS bit field
**      in the U1MSR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_U1MSR_CTS \
(U1MSR & U1MSR_CTS)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DDCD bit field
**      in the U1MSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1MSR_DDCD_NO               No change
**      U1MSR_DDCD_CHANGED          DCD changed
**
**===========================================================================
*/
#define READ_U1MSR_DDCD \
(U1MSR & U1MSR_DDCD)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the TERI bit field
**      in the U1MSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1MSR_TERI_NO               No change
**      U1MSR_TERI_CHANGED          RI changed
**
**===========================================================================
*/
#define READ_U1MSR_TERI \
(U1MSR & U1MSR_TERI)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DDSR bit field
**      in the U1MSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1MSR_DDSR_NO               No change
**      U1MSR_DDSR_CHANGED          DSR changed
**
**===========================================================================
*/
#define READ_U1MSR_DDSR \
(U1MSR & U1MSR_DDSR)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DCTS bit field
**      in the U1MSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      U1MSR_DCTS_NO               No change
**      U1MSR_DCTS_CHANGED          CTS changed
**
**===========================================================================
*/
#define READ_U1MSR_DCTS \
(U1MSR & U1MSR_DCTS)


/*
**---------------------------------------------------------------------------
**  UART1 Scratch Pad Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DATA bit field
**      in the U1SCR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_U1SCR_DATA \
(U1SCR & U1SCR_DATA)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DATA bit field
**      in the U1SCR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_U1SCR_DATA( Value ) \
{\
U1SCR &= ~(U1SCR_DATA & ~Value); \
U1SCR |= Value; \
}


/*
**---------------------------------------------------------------------------
**  PWM Interrupt Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR6INT bit field
**      in the PWMIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMIR_MR6INT_NO_INTERRUPT   No interrupt
**      PWMIR_MR6INT_INTERRUPT      Interrupt
**
**===========================================================================
*/
#define READ_PWMIR_MR6INT \
(PWMIR & PWMIR_MR6INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR6INT bit field
**      in the PWMIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMIR_MR6INT \
(PWMIR |= PWMIR_MR6INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR5INT bit field
**      in the PWMIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMIR_MR5INT_NO_INTERRUPT   No interrupt
**      PWMIR_MR5INT_INTERRUPT      Interrupt
**
**===========================================================================
*/
#define READ_PWMIR_MR5INT \
(PWMIR & PWMIR_MR5INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR5INT bit field
**      in the PWMIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMIR_MR5INT \
(PWMIR |= PWMIR_MR5INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR4INT bit field
**      in the PWMIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMIR_MR4INT_NO_INTERRUPT   No interrupt
**      PWMIR_MR4INT_INTERRUPT      Interrupt
**
**===========================================================================
*/
#define READ_PWMIR_MR4INT \
(PWMIR & PWMIR_MR4INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR4INT bit field
**      in the PWMIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMIR_MR4INT \
(PWMIR |= PWMIR_MR4INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR3INT bit field
**      in the PWMIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMIR_MR3INT_NO_INTERRUPT   No interrupt
**      PWMIR_MR3INT_INTERRUPT      Interrupt
**
**===========================================================================
*/
#define READ_PWMIR_MR3INT \
(PWMIR & PWMIR_MR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR3INT bit field
**      in the PWMIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMIR_MR3INT \
(PWMIR |= PWMIR_MR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR2INT bit field
**      in the PWMIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMIR_MR2INT_NO_INTERRUPT   No interrupt
**      PWMIR_MR2INT_INTERRUPT      Interrupt
**
**===========================================================================
*/
#define READ_PWMIR_MR2INT \
(PWMIR & PWMIR_MR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR2INT bit field
**      in the PWMIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMIR_MR2INT \
(PWMIR |= PWMIR_MR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR1INT bit field
**      in the PWMIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMIR_MR1INT_NO_INTERRUPT   No interrupt
**      PWMIR_MR1INT_INTERRUPT      Interrupt
**
**===========================================================================
*/
#define READ_PWMIR_MR1INT \
(PWMIR & PWMIR_MR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR1INT bit field
**      in the PWMIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMIR_MR1INT \
(PWMIR |= PWMIR_MR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR0INT bit field
**      in the PWMIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMIR_MR0INT_NO_INTERRUPT   No interrupt
**      PWMIR_MR0INT_INTERRUPT      Interrupt
**
**===========================================================================
*/
#define READ_PWMIR_MR0INT \
(PWMIR & PWMIR_MR0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR0INT bit field
**      in the PWMIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMIR_MR0INT \
(PWMIR |= PWMIR_MR0INT)


/*
**---------------------------------------------------------------------------
**  PWM Timer Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PWMEN bit field
**      in the PWMTCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMTCR_PWMEN_DISABLED       Disabled
**      PWMTCR_PWMEN_ENABLED        Enabled (Shadow registers operates)
**
**===========================================================================
*/
#define READ_PWMTCR_PWMEN \
(PWMTCR & PWMTCR_PWMEN)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PWMEN bit field
**      in the PWMTCR register.
**
**  Parameters:
**      PWMTCR_PWMEN_DISABLED       Disabled
**      PWMTCR_PWMEN_ENABLED        Enabled (Shadow registers operates)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMTCR_PWMEN( Value ) \
{\
PWMTCR &= ~(PWMTCR_PWMEN & ~Value); \
PWMTCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit PWMEN bit field
**      in the PWMTCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMTCR_PWMEN \
(PWMTCR |= PWMTCR_PWMEN)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit PWMEN bit field
**      in the PWMTCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMTCR_PWMEN \
(PWMTCR &= ~PWMTCR_PWMEN)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CR bit field
**      in the PWMTCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMTCR_CR_NO_RESET          No reset
**      PWMTCR_CR_RESET             Generate reset
**
**===========================================================================
*/
#define READ_PWMTCR_CR \
(PWMTCR & PWMTCR_CR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CR bit field
**      in the PWMTCR register.
**
**  Parameters:
**      PWMTCR_CR_NO_RESET          No reset
**      PWMTCR_CR_RESET             Generate reset
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMTCR_CR( Value ) \
{\
PWMTCR &= ~(PWMTCR_CR & ~Value); \
PWMTCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CR bit field
**      in the PWMTCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMTCR_CR \
(PWMTCR |= PWMTCR_CR)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CR bit field
**      in the PWMTCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMTCR_CR \
(PWMTCR &= ~PWMTCR_CR)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CE bit field
**      in the PWMTCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMTCR_CE_DISABLED          Disabled
**      PWMTCR_CE_ENABLED           Enabled
**
**===========================================================================
*/
#define READ_PWMTCR_CE \
(PWMTCR & PWMTCR_CE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CE bit field
**      in the PWMTCR register.
**
**  Parameters:
**      PWMTCR_CE_DISABLED          Disabled
**      PWMTCR_CE_ENABLED           Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMTCR_CE( Value ) \
{\
PWMTCR &= ~(PWMTCR_CE & ~Value); \
PWMTCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CE bit field
**      in the PWMTCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMTCR_CE \
(PWMTCR |= PWMTCR_CE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CE bit field
**      in the PWMTCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMTCR_CE \
(PWMTCR &= ~PWMTCR_CE)


/*
**---------------------------------------------------------------------------
**  PWM Timer Counter
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the PWMTC register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PWMTC_VALUE \
(PWMTC & PWMTC_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the PWMTC register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMTC_VALUE( Value ) \
{\
PWMTC = Value; \
}


/*
**---------------------------------------------------------------------------
**  PWM Prescale Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the PWMPR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PWMPR_VALUE \
(PWMPR & PWMPR_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the PWMPR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMPR_VALUE( Value ) \
{\
PWMPR = Value; \
}


/*
**---------------------------------------------------------------------------
**  PWM Prescale Counter
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the PWMPC register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PWMPC_VALUE \
(PWMPC & PWMPC_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the PWMPC register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMPC_VALUE( Value ) \
{\
PWMPC = Value; \
}


/*
**---------------------------------------------------------------------------
**  PWM Match Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR6STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR6STOP_DISABLED     Disabled
**      PWMMCR_MR6STOP_ENABLED      Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR6STOP \
(PWMMCR & PWMMCR_MR6STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR6STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR6STOP_DISABLED     Disabled
**      PWMMCR_MR6STOP_ENABLED      Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR6STOP( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR6STOP & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR6STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR6STOP \
(PWMMCR |= PWMMCR_MR6STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR6STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR6STOP \
(PWMMCR &= ~PWMMCR_MR6STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR6RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR6RES_DISABLED      Disabled
**      PWMMCR_MR6RES_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR6RES \
(PWMMCR & PWMMCR_MR6RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR6RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR6RES_DISABLED      Disabled
**      PWMMCR_MR6RES_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR6RES( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR6RES & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR6RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR6RES \
(PWMMCR |= PWMMCR_MR6RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR6RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR6RES \
(PWMMCR &= ~PWMMCR_MR6RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR6INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR6INT_DISABLED      Disabled
**      PWMMCR_MR6INT_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR6INT \
(PWMMCR & PWMMCR_MR6INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR6INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR6INT_DISABLED      Disabled
**      PWMMCR_MR6INT_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR6INT( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR6INT & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR6INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR6INT \
(PWMMCR |= PWMMCR_MR6INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR6INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR6INT \
(PWMMCR &= ~PWMMCR_MR6INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR5STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR5STOP_DISABLED     Disabled
**      PWMMCR_MR5STOP_ENABLED      Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR5STOP \
(PWMMCR & PWMMCR_MR5STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR5STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR5STOP_DISABLED     Disabled
**      PWMMCR_MR5STOP_ENABLED      Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR5STOP( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR5STOP & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR5STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR5STOP \
(PWMMCR |= PWMMCR_MR5STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR5STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR5STOP \
(PWMMCR &= ~PWMMCR_MR5STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR5RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR5RES_DISABLED      Disabled
**      PWMMCR_MR5RES_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR5RES \
(PWMMCR & PWMMCR_MR5RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR5RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR5RES_DISABLED      Disabled
**      PWMMCR_MR5RES_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR5RES( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR5RES & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR5RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR5RES \
(PWMMCR |= PWMMCR_MR5RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR5RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR5RES \
(PWMMCR &= ~PWMMCR_MR5RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR5INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR5INT_DISABLED      Disabled
**      PWMMCR_MR5INT_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR5INT \
(PWMMCR & PWMMCR_MR5INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR5INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR5INT_DISABLED      Disabled
**      PWMMCR_MR5INT_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR5INT( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR5INT & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR5INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR5INT \
(PWMMCR |= PWMMCR_MR5INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR5INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR5INT \
(PWMMCR &= ~PWMMCR_MR5INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR4STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR4STOP_DISABLED     Disabled
**      PWMMCR_MR4STOP_ENABLED      Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR4STOP \
(PWMMCR & PWMMCR_MR4STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR4STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR4STOP_DISABLED     Disabled
**      PWMMCR_MR4STOP_ENABLED      Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR4STOP( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR4STOP & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR4STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR4STOP \
(PWMMCR |= PWMMCR_MR4STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR4STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR4STOP \
(PWMMCR &= ~PWMMCR_MR4STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR4RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR4RES_DISABLED      Disabled
**      PWMMCR_MR4RES_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR4RES \
(PWMMCR & PWMMCR_MR4RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR4RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR4RES_DISABLED      Disabled
**      PWMMCR_MR4RES_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR4RES( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR4RES & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR4RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR4RES \
(PWMMCR |= PWMMCR_MR4RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR4RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR4RES \
(PWMMCR &= ~PWMMCR_MR4RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR4INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR4INT_DISABLED      Disabled
**      PWMMCR_MR4INT_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR4INT \
(PWMMCR & PWMMCR_MR4INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR4INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR4INT_DISABLED      Disabled
**      PWMMCR_MR4INT_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR4INT( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR4INT & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR4INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR4INT \
(PWMMCR |= PWMMCR_MR4INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR4INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR4INT \
(PWMMCR &= ~PWMMCR_MR4INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR3STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR3STOP_DISABLED     Disabled
**      PWMMCR_MR3STOP_ENABLED      Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR3STOP \
(PWMMCR & PWMMCR_MR3STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR3STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR3STOP_DISABLED     Disabled
**      PWMMCR_MR3STOP_ENABLED      Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR3STOP( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR3STOP & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR3STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR3STOP \
(PWMMCR |= PWMMCR_MR3STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR3STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR3STOP \
(PWMMCR &= ~PWMMCR_MR3STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR3RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR3RES_DISABLED      Disabled
**      PWMMCR_MR3RES_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR3RES \
(PWMMCR & PWMMCR_MR3RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR3RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR3RES_DISABLED      Disabled
**      PWMMCR_MR3RES_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR3RES( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR3RES & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR3RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR3RES \
(PWMMCR |= PWMMCR_MR3RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR3RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR3RES \
(PWMMCR &= ~PWMMCR_MR3RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR3INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR3INT_DISABLED      Disabled
**      PWMMCR_MR3INT_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR3INT \
(PWMMCR & PWMMCR_MR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR3INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR3INT_DISABLED      Disabled
**      PWMMCR_MR3INT_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR3INT( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR3INT & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR3INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR3INT \
(PWMMCR |= PWMMCR_MR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR3INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR3INT \
(PWMMCR &= ~PWMMCR_MR3INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR2STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR2STOP_DISABLED     Disabled
**      PWMMCR_MR2STOP_ENABLED      Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR2STOP \
(PWMMCR & PWMMCR_MR2STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR2STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR2STOP_DISABLED     Disabled
**      PWMMCR_MR2STOP_ENABLED      Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR2STOP( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR2STOP & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR2STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR2STOP \
(PWMMCR |= PWMMCR_MR2STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR2STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR2STOP \
(PWMMCR &= ~PWMMCR_MR2STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR2RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR2RES_DISABLED      Disabled
**      PWMMCR_MR2RES_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR2RES \
(PWMMCR & PWMMCR_MR2RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR2RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR2RES_DISABLED      Disabled
**      PWMMCR_MR2RES_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR2RES( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR2RES & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR2RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR2RES \
(PWMMCR |= PWMMCR_MR2RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR2RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR2RES \
(PWMMCR &= ~PWMMCR_MR2RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR2INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR2INT_DISABLED      Disabled
**      PWMMCR_MR2INT_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR2INT \
(PWMMCR & PWMMCR_MR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR2INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR2INT_DISABLED      Disabled
**      PWMMCR_MR2INT_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR2INT( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR2INT & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR2INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR2INT \
(PWMMCR |= PWMMCR_MR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR2INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR2INT \
(PWMMCR &= ~PWMMCR_MR2INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR1STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR1STOP_DISABLED     Disabled
**      PWMMCR_MR1STOP_ENABLED      Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR1STOP \
(PWMMCR & PWMMCR_MR1STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR1STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR1STOP_DISABLED     Disabled
**      PWMMCR_MR1STOP_ENABLED      Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR1STOP( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR1STOP & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR1STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR1STOP \
(PWMMCR |= PWMMCR_MR1STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR1STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR1STOP \
(PWMMCR &= ~PWMMCR_MR1STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR1RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR1RES_DISABLED      Disabled
**      PWMMCR_MR1RES_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR1RES \
(PWMMCR & PWMMCR_MR1RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR1RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR1RES_DISABLED      Disabled
**      PWMMCR_MR1RES_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR1RES( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR1RES & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR1RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR1RES \
(PWMMCR |= PWMMCR_MR1RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR1RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR1RES \
(PWMMCR &= ~PWMMCR_MR1RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR1INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR1INT_DISABLED      Disabled
**      PWMMCR_MR1INT_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR1INT \
(PWMMCR & PWMMCR_MR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR1INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR1INT_DISABLED      Disabled
**      PWMMCR_MR1INT_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR1INT( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR1INT & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR1INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR1INT \
(PWMMCR |= PWMMCR_MR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR1INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR1INT \
(PWMMCR &= ~PWMMCR_MR1INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR0STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR0STOP_DISABLED     Disabled
**      PWMMCR_MR0STOP_ENABLED      Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR0STOP \
(PWMMCR & PWMMCR_MR0STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR0STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR0STOP_DISABLED     Disabled
**      PWMMCR_MR0STOP_ENABLED      Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR0STOP( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR0STOP & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR0STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR0STOP \
(PWMMCR |= PWMMCR_MR0STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR0STOP bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR0STOP \
(PWMMCR &= ~PWMMCR_MR0STOP)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR0RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR0RES_DISABLED      Disabled
**      PWMMCR_MR0RES_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR0RES \
(PWMMCR & PWMMCR_MR0RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR0RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR0RES_DISABLED      Disabled
**      PWMMCR_MR0RES_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR0RES( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR0RES & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR0RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR0RES \
(PWMMCR |= PWMMCR_MR0RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR0RES bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR0RES \
(PWMMCR &= ~PWMMCR_MR0RES)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MR0INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMMCR_MR0INT_DISABLED      Disabled
**      PWMMCR_MR0INT_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_PWMMCR_MR0INT \
(PWMMCR & PWMMCR_MR0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MR0INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      PWMMCR_MR0INT_DISABLED      Disabled
**      PWMMCR_MR0INT_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMCR_MR0INT( Value ) \
{\
PWMMCR &= ~(PWMMCR_MR0INT & ~Value); \
PWMMCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MR0INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMMCR_MR0INT \
(PWMMCR |= PWMMCR_MR0INT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MR0INT bit field
**      in the PWMMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMMCR_MR0INT \
(PWMMCR &= ~PWMMCR_MR0INT)


/*
**---------------------------------------------------------------------------
**  PWM Match Register 0
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the PWMMR0 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PWMMR0_VALUE \
(PWMMR0 & PWMMR0_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the PWMMR0 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMR0_VALUE( Value ) \
{\
PWMMR0 = Value; \
}


/*
**---------------------------------------------------------------------------
**  PWM Match Register 1
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the PWMMR1 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PWMMR1_VALUE \
(PWMMR1 & PWMMR1_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the PWMMR1 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMR1_VALUE( Value ) \
{\
PWMMR1 = Value; \
}


/*
**---------------------------------------------------------------------------
**  PWM Match Register 2
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the PWMMR2 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PWMMR2_VALUE \
(PWMMR2 & PWMMR2_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the PWMMR2 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMR2_VALUE( Value ) \
{\
PWMMR2 = Value; \
}


/*
**---------------------------------------------------------------------------
**  PWM Match Register 3
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the PWMMR3 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PWMMR3_VALUE \
(PWMMR3 & PWMMR3_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the PWMMR3 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMR3_VALUE( Value ) \
{\
PWMMR3 = Value; \
}


/*
**---------------------------------------------------------------------------
**  PWM Match Register 4
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the PWMMR4 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PWMMR4_VALUE \
(PWMMR4 & PWMMR4_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the PWMMR4 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMR4_VALUE( Value ) \
{\
PWMMR4 = Value; \
}


/*
**---------------------------------------------------------------------------
**  PWM Match Register 5
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the PWMMR5 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PWMMR5_VALUE \
(PWMMR5 & PWMMR5_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the PWMMR5 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMR5_VALUE( Value ) \
{\
PWMMR5 = Value; \
}


/*
**---------------------------------------------------------------------------
**  PWM Match Register 6
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the PWMMR6 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PWMMR6_VALUE \
(PWMMR6 & PWMMR6_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the PWMMR6 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMMR6_VALUE( Value ) \
{\
PWMMR6 = Value; \
}


/*
**---------------------------------------------------------------------------
**  PWM Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENA6 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMPCR_ENA6_DISABLED        Disabled
**      PWMPCR_ENA6_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PWMPCR_ENA6 \
(PWMPCR & PWMPCR_ENA6)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENA6 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      PWMPCR_ENA6_DISABLED        Disabled
**      PWMPCR_ENA6_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMPCR_ENA6( Value ) \
{\
PWMPCR &= ~(PWMPCR_ENA6 & ~Value); \
PWMPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENA6 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMPCR_ENA6 \
(PWMPCR |= PWMPCR_ENA6)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENA6 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMPCR_ENA6 \
(PWMPCR &= ~PWMPCR_ENA6)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENA5 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMPCR_ENA5_DISABLED        Disabled
**      PWMPCR_ENA5_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PWMPCR_ENA5 \
(PWMPCR & PWMPCR_ENA5)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENA5 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      PWMPCR_ENA5_DISABLED        Disabled
**      PWMPCR_ENA5_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMPCR_ENA5( Value ) \
{\
PWMPCR &= ~(PWMPCR_ENA5 & ~Value); \
PWMPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENA5 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMPCR_ENA5 \
(PWMPCR |= PWMPCR_ENA5)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENA5 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMPCR_ENA5 \
(PWMPCR &= ~PWMPCR_ENA5)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENA4 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMPCR_ENA4_DISABLED        Disabled
**      PWMPCR_ENA4_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PWMPCR_ENA4 \
(PWMPCR & PWMPCR_ENA4)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENA4 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      PWMPCR_ENA4_DISABLED        Disabled
**      PWMPCR_ENA4_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMPCR_ENA4( Value ) \
{\
PWMPCR &= ~(PWMPCR_ENA4 & ~Value); \
PWMPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENA4 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMPCR_ENA4 \
(PWMPCR |= PWMPCR_ENA4)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENA4 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMPCR_ENA4 \
(PWMPCR &= ~PWMPCR_ENA4)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENA3 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMPCR_ENA3_DISABLED        Disabled
**      PWMPCR_ENA3_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PWMPCR_ENA3 \
(PWMPCR & PWMPCR_ENA3)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENA3 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      PWMPCR_ENA3_DISABLED        Disabled
**      PWMPCR_ENA3_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMPCR_ENA3( Value ) \
{\
PWMPCR &= ~(PWMPCR_ENA3 & ~Value); \
PWMPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENA3 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMPCR_ENA3 \
(PWMPCR |= PWMPCR_ENA3)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENA3 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMPCR_ENA3 \
(PWMPCR &= ~PWMPCR_ENA3)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENA2 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMPCR_ENA2_DISABLED        Disabled
**      PWMPCR_ENA2_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PWMPCR_ENA2 \
(PWMPCR & PWMPCR_ENA2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENA2 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      PWMPCR_ENA2_DISABLED        Disabled
**      PWMPCR_ENA2_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMPCR_ENA2( Value ) \
{\
PWMPCR &= ~(PWMPCR_ENA2 & ~Value); \
PWMPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENA2 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMPCR_ENA2 \
(PWMPCR |= PWMPCR_ENA2)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENA2 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMPCR_ENA2 \
(PWMPCR &= ~PWMPCR_ENA2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENA1 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMPCR_ENA1_DISABLED        Disabled
**      PWMPCR_ENA1_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PWMPCR_ENA1 \
(PWMPCR & PWMPCR_ENA1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENA1 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      PWMPCR_ENA1_DISABLED        Disabled
**      PWMPCR_ENA1_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMPCR_ENA1( Value ) \
{\
PWMPCR &= ~(PWMPCR_ENA1 & ~Value); \
PWMPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENA1 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMPCR_ENA1 \
(PWMPCR |= PWMPCR_ENA1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENA1 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMPCR_ENA1 \
(PWMPCR &= ~PWMPCR_ENA1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SEL6 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMPCR_SEL6_SINGLE          Single edge
**      PWMPCR_SEL6_DOUBLE          Double edge
**
**===========================================================================
*/
#define READ_PWMPCR_SEL6 \
(PWMPCR & PWMPCR_SEL6)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the SEL6 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      PWMPCR_SEL6_SINGLE          Single edge
**      PWMPCR_SEL6_DOUBLE          Double edge
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMPCR_SEL6( Value ) \
{\
PWMPCR &= ~(PWMPCR_SEL6 & ~Value); \
PWMPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit SEL6 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMPCR_SEL6 \
(PWMPCR |= PWMPCR_SEL6)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit SEL6 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMPCR_SEL6 \
(PWMPCR &= ~PWMPCR_SEL6)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SEL5 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMPCR_SEL5_SINGLE          Single edge
**      PWMPCR_SEL5_DOUBLE          Double edge
**
**===========================================================================
*/
#define READ_PWMPCR_SEL5 \
(PWMPCR & PWMPCR_SEL5)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the SEL5 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      PWMPCR_SEL5_SINGLE          Single edge
**      PWMPCR_SEL5_DOUBLE          Double edge
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMPCR_SEL5( Value ) \
{\
PWMPCR &= ~(PWMPCR_SEL5 & ~Value); \
PWMPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit SEL5 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMPCR_SEL5 \
(PWMPCR |= PWMPCR_SEL5)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit SEL5 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMPCR_SEL5 \
(PWMPCR &= ~PWMPCR_SEL5)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SEL4 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMPCR_SEL4_SINGLE          Single edge
**      PWMPCR_SEL4_DOUBLE          Double edge
**
**===========================================================================
*/
#define READ_PWMPCR_SEL4 \
(PWMPCR & PWMPCR_SEL4)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the SEL4 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      PWMPCR_SEL4_SINGLE          Single edge
**      PWMPCR_SEL4_DOUBLE          Double edge
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMPCR_SEL4( Value ) \
{\
PWMPCR &= ~(PWMPCR_SEL4 & ~Value); \
PWMPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit SEL4 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMPCR_SEL4 \
(PWMPCR |= PWMPCR_SEL4)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit SEL4 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMPCR_SEL4 \
(PWMPCR &= ~PWMPCR_SEL4)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SEL3 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMPCR_SEL3_SINGLE          Single edge
**      PWMPCR_SEL3_DOUBLE          Double edge
**
**===========================================================================
*/
#define READ_PWMPCR_SEL3 \
(PWMPCR & PWMPCR_SEL3)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the SEL3 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      PWMPCR_SEL3_SINGLE          Single edge
**      PWMPCR_SEL3_DOUBLE          Double edge
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMPCR_SEL3( Value ) \
{\
PWMPCR &= ~(PWMPCR_SEL3 & ~Value); \
PWMPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit SEL3 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMPCR_SEL3 \
(PWMPCR |= PWMPCR_SEL3)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit SEL3 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMPCR_SEL3 \
(PWMPCR &= ~PWMPCR_SEL3)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SEL2 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMPCR_SEL2_SINGLE          Single edge
**      PWMPCR_SEL2_DOUBLE          Double edge
**
**===========================================================================
*/
#define READ_PWMPCR_SEL2 \
(PWMPCR & PWMPCR_SEL2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the SEL2 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      PWMPCR_SEL2_SINGLE          Single edge
**      PWMPCR_SEL2_DOUBLE          Double edge
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMPCR_SEL2( Value ) \
{\
PWMPCR &= ~(PWMPCR_SEL2 & ~Value); \
PWMPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit SEL2 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMPCR_SEL2 \
(PWMPCR |= PWMPCR_SEL2)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit SEL2 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMPCR_SEL2 \
(PWMPCR &= ~PWMPCR_SEL2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SEL1 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMPCR_SEL1_SINGLE          Single edge
**      PWMPCR_SEL1_DOUBLE          Double edge
**
**===========================================================================
*/
#define READ_PWMPCR_SEL1 \
(PWMPCR & PWMPCR_SEL1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the SEL1 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      PWMPCR_SEL1_SINGLE          Single edge
**      PWMPCR_SEL1_DOUBLE          Double edge
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMPCR_SEL1( Value ) \
{\
PWMPCR &= ~(PWMPCR_SEL1 & ~Value); \
PWMPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit SEL1 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMPCR_SEL1 \
(PWMPCR |= PWMPCR_SEL1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit SEL1 bit field
**      in the PWMPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMPCR_SEL1 \
(PWMPCR &= ~PWMPCR_SEL1)


/*
**---------------------------------------------------------------------------
**  PWM Latch Enable Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EM6L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMLER_EM6L_DISABLED        Disabled
**      PWMLER_EM6L_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PWMLER_EM6L \
(PWMLER & PWMLER_EM6L)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EM6L bit field
**      in the PWMLER register.
**
**  Parameters:
**      PWMLER_EM6L_DISABLED        Disabled
**      PWMLER_EM6L_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMLER_EM6L( Value ) \
{\
PWMLER &= ~(PWMLER_EM6L & ~Value); \
PWMLER |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EM6L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMLER_EM6L \
(PWMLER |= PWMLER_EM6L)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EM6L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMLER_EM6L \
(PWMLER &= ~PWMLER_EM6L)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EM5L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMLER_EM5L_DISABLED        Disabled
**      PWMLER_EM5L_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PWMLER_EM5L \
(PWMLER & PWMLER_EM5L)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EM5L bit field
**      in the PWMLER register.
**
**  Parameters:
**      PWMLER_EM5L_DISABLED        Disabled
**      PWMLER_EM5L_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMLER_EM5L( Value ) \
{\
PWMLER &= ~(PWMLER_EM5L & ~Value); \
PWMLER |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EM5L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMLER_EM5L \
(PWMLER |= PWMLER_EM5L)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EM5L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMLER_EM5L \
(PWMLER &= ~PWMLER_EM5L)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EM4L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMLER_EM4L_DISABLED        Disabled
**      PWMLER_EM4L_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PWMLER_EM4L \
(PWMLER & PWMLER_EM4L)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EM4L bit field
**      in the PWMLER register.
**
**  Parameters:
**      PWMLER_EM4L_DISABLED        Disabled
**      PWMLER_EM4L_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMLER_EM4L( Value ) \
{\
PWMLER &= ~(PWMLER_EM4L & ~Value); \
PWMLER |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EM4L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMLER_EM4L \
(PWMLER |= PWMLER_EM4L)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EM4L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMLER_EM4L \
(PWMLER &= ~PWMLER_EM4L)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EM3L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMLER_EM3L_DISABLED        Disabled
**      PWMLER_EM3L_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PWMLER_EM3L \
(PWMLER & PWMLER_EM3L)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EM3L bit field
**      in the PWMLER register.
**
**  Parameters:
**      PWMLER_EM3L_DISABLED        Disabled
**      PWMLER_EM3L_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMLER_EM3L( Value ) \
{\
PWMLER &= ~(PWMLER_EM3L & ~Value); \
PWMLER |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EM3L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMLER_EM3L \
(PWMLER |= PWMLER_EM3L)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EM3L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMLER_EM3L \
(PWMLER &= ~PWMLER_EM3L)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EM2L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMLER_EM2L_DISABLED        Disabled
**      PWMLER_EM2L_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PWMLER_EM2L \
(PWMLER & PWMLER_EM2L)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EM2L bit field
**      in the PWMLER register.
**
**  Parameters:
**      PWMLER_EM2L_DISABLED        Disabled
**      PWMLER_EM2L_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMLER_EM2L( Value ) \
{\
PWMLER &= ~(PWMLER_EM2L & ~Value); \
PWMLER |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EM2L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMLER_EM2L \
(PWMLER |= PWMLER_EM2L)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EM2L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMLER_EM2L \
(PWMLER &= ~PWMLER_EM2L)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EM1L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMLER_EM1L_DISABLED        Disabled
**      PWMLER_EM1L_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PWMLER_EM1L \
(PWMLER & PWMLER_EM1L)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EM1L bit field
**      in the PWMLER register.
**
**  Parameters:
**      PWMLER_EM1L_DISABLED        Disabled
**      PWMLER_EM1L_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMLER_EM1L( Value ) \
{\
PWMLER &= ~(PWMLER_EM1L & ~Value); \
PWMLER |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EM1L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMLER_EM1L \
(PWMLER |= PWMLER_EM1L)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EM1L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMLER_EM1L \
(PWMLER &= ~PWMLER_EM1L)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EM0L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      PWMLER_EM0L_DISABLED        Disabled
**      PWMLER_EM0L_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PWMLER_EM0L \
(PWMLER & PWMLER_EM0L)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EM0L bit field
**      in the PWMLER register.
**
**  Parameters:
**      PWMLER_EM0L_DISABLED        Disabled
**      PWMLER_EM0L_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PWMLER_EM0L( Value ) \
{\
PWMLER &= ~(PWMLER_EM0L & ~Value); \
PWMLER |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EM0L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PWMLER_EM0L \
(PWMLER |= PWMLER_EM0L)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EM0L bit field
**      in the PWMLER register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PWMLER_EM0L \
(PWMLER &= ~PWMLER_EM0L)


/*
**---------------------------------------------------------------------------
**  I2C Control Set Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the I2EN bit field
**      in the I2CONSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      I2CONSET_I2EN_DISABLED      Disabled
**      I2CONSET_I2EN_ENABLED       Enabled
**
**===========================================================================
*/
#define READ_I2CONSET_I2EN \
(I2CONSET & I2CONSET_I2EN)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the I2EN bit field
**      in the I2CONSET register.
**
**  Parameters:
**      I2CONSET_I2EN_DISABLED      Disabled
**      I2CONSET_I2EN_ENABLED       Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_I2CONSET_I2EN( Value ) \
{\
I2CONSET &= ~(I2CONSET_I2EN & ~Value); \
I2CONSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit I2EN bit field
**      in the I2CONSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_I2CONSET_I2EN \
(I2CONSET |= I2CONSET_I2EN)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit I2EN bit field
**      in the I2CONSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_I2CONSET_I2EN \
(I2CONSET &= ~I2CONSET_I2EN)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the STA bit field
**      in the I2CONSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      I2CONSET_STA_NO_START       No start
**      I2CONSET_STA_START          Start
**
**===========================================================================
*/
#define READ_I2CONSET_STA \
(I2CONSET & I2CONSET_STA)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit STA bit field
**      in the I2CONSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_I2CONSET_STA \
(I2CONSET |= I2CONSET_STA)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the STO bit field
**      in the I2CONSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      I2CONSET_STO_NO_STOP        No stop
**      I2CONSET_STO_STOP           Stop
**
**===========================================================================
*/
#define READ_I2CONSET_STO \
(I2CONSET & I2CONSET_STO)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit STO bit field
**      in the I2CONSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_I2CONSET_STO \
(I2CONSET |= I2CONSET_STO)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SI bit field
**      in the I2CONSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      I2CONSET_SI_NO_INTERRUPT    No interrupt
**      I2CONSET_SI_INTERRUPT       Interrupt
**
**===========================================================================
*/
#define READ_I2CONSET_SI \
(I2CONSET & I2CONSET_SI)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit SI bit field
**      in the I2CONSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_I2CONSET_SI \
(I2CONSET |= I2CONSET_SI)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the AA bit field
**      in the I2CONSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      I2CONSET_AA_NO_ACK          Not Acknowledge (Not Acknowledge will be sent when data byte is received)
**      I2CONSET_AA_ACK             Acknowledge (Acknowledge will be sent if certain conditions occur)
**
**===========================================================================
*/
#define READ_I2CONSET_AA \
(I2CONSET & I2CONSET_AA)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit AA bit field
**      in the I2CONSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_I2CONSET_AA \
(I2CONSET |= I2CONSET_AA)


/*
**---------------------------------------------------------------------------
**  I2C Status Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the STATUS bit field
**      in the I2STAT register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_I2STAT_STATUS \
(I2STAT & I2STAT_STATUS)


/*
**---------------------------------------------------------------------------
**  I2C Data Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DATA bit field
**      in the I2DAT register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_I2DAT_DATA \
(I2DAT & I2DAT_DATA)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DATA bit field
**      in the I2DAT register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_I2DAT_DATA( Value ) \
{\
I2DAT &= ~(I2DAT_DATA & ~Value); \
I2DAT |= Value; \
}


/*
**---------------------------------------------------------------------------
**  I2C Slave Address Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDR bit field
**      in the I2ADR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_I2ADR_ADDR \
(I2ADR & I2ADR_ADDR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDR bit field
**      in the I2ADR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_I2ADR_ADDR( Value ) \
{\
I2ADR &= ~(I2ADR_ADDR & ~Value); \
I2ADR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the GC bit field
**      in the I2ADR register.
**
**  Parameters:
**      None
**
**  Return values:
**      I2ADR_GC_NOT_GENERAL        Not general call
**      I2ADR_GC_GENERAL            General call received
**
**===========================================================================
*/
#define READ_I2ADR_GC \
(I2ADR & I2ADR_GC)


/*
**---------------------------------------------------------------------------
**  I2C SCL Duty Cycle High Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the COUNT bit field
**      in the I2SCLH register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_I2SCLH_COUNT \
(I2SCLH & I2SCLH_COUNT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the COUNT bit field
**      in the I2SCLH register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_I2SCLH_COUNT( Value ) \
{\
I2SCLH &= ~(I2SCLH_COUNT & ~Value); \
I2SCLH |= Value; \
}


/*
**---------------------------------------------------------------------------
**  I2C SCL Duty Cycle Low Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the COUNT bit field
**      in the I2SCLL register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_I2SCLL_COUNT \
(I2SCLL & I2SCLL_COUNT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the COUNT bit field
**      in the I2SCLL register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_I2SCLL_COUNT( Value ) \
{\
I2SCLL &= ~(I2SCLL_COUNT & ~Value); \
I2SCLL |= Value; \
}


/*
**---------------------------------------------------------------------------
**  I2C Control Clear Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the I2ENC bit field
**      in the I2CONCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      I2CONCLR_I2ENC_NO_EFFECT    No effect
**      I2CONCLR_I2ENC_CLEAR        Clear  (I2C Disabled)
**
**===========================================================================
*/
#define READ_I2CONCLR_I2ENC \
(I2CONCLR & I2CONCLR_I2ENC)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit I2ENC bit field
**      in the I2CONCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_I2CONCLR_I2ENC \
(I2CONCLR |= I2CONCLR_I2ENC)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the STAC bit field
**      in the I2CONCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      I2CONCLR_STAC_NO_EFFECT     No effect
**      I2CONCLR_STAC_CLEAR         Clear start
**
**===========================================================================
*/
#define READ_I2CONCLR_STAC \
(I2CONCLR & I2CONCLR_STAC)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit STAC bit field
**      in the I2CONCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_I2CONCLR_STAC \
(I2CONCLR |= I2CONCLR_STAC)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SIC bit field
**      in the I2CONCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      I2CONCLR_SIC_NO_EFFECT      No effect
**      I2CONCLR_SIC_CLEAR          Clear interrupt
**
**===========================================================================
*/
#define READ_I2CONCLR_SIC \
(I2CONCLR & I2CONCLR_SIC)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit SIC bit field
**      in the I2CONCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_I2CONCLR_SIC \
(I2CONCLR |= I2CONCLR_SIC)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the AAC bit field
**      in the I2CONCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      I2CONCLR_AAC_NO_EFFECT      No effect
**      I2CONCLR_AAC_CLEAR          Clear acknowledge
**
**===========================================================================
*/
#define READ_I2CONCLR_AAC \
(I2CONCLR & I2CONCLR_AAC)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit AAC bit field
**      in the I2CONCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_I2CONCLR_AAC \
(I2CONCLR |= I2CONCLR_AAC)


/*
**---------------------------------------------------------------------------
**  SPI Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SPIE bit field
**      in the SPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      SPCR_SPIE_DISABLED          Disabled
**      SPCR_SPIE_ENABLED           Enabled
**
**===========================================================================
*/
#define READ_SPCR_SPIE \
(SPCR & SPCR_SPIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the SPIE bit field
**      in the SPCR register.
**
**  Parameters:
**      SPCR_SPIE_DISABLED          Disabled
**      SPCR_SPIE_ENABLED           Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_SPCR_SPIE( Value ) \
{\
SPCR &= ~(SPCR_SPIE & ~Value); \
SPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit SPIE bit field
**      in the SPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_SPCR_SPIE \
(SPCR |= SPCR_SPIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit SPIE bit field
**      in the SPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_SPCR_SPIE \
(SPCR &= ~SPCR_SPIE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the LSBF bit field
**      in the SPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      SPCR_LSBF_MSB_FIRST         MSB first
**      SPCR_LSBF_LSB_FIRST         LSB first
**
**===========================================================================
*/
#define READ_SPCR_LSBF \
(SPCR & SPCR_LSBF)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the LSBF bit field
**      in the SPCR register.
**
**  Parameters:
**      SPCR_LSBF_MSB_FIRST         MSB first
**      SPCR_LSBF_LSB_FIRST         LSB first
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_SPCR_LSBF( Value ) \
{\
SPCR &= ~(SPCR_LSBF & ~Value); \
SPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit LSBF bit field
**      in the SPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_SPCR_LSBF \
(SPCR |= SPCR_LSBF)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit LSBF bit field
**      in the SPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_SPCR_LSBF \
(SPCR &= ~SPCR_LSBF)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MSTR bit field
**      in the SPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      SPCR_MSTR_SLAVE             Slave
**      SPCR_MSTR_MASTER            Master
**
**===========================================================================
*/
#define READ_SPCR_MSTR \
(SPCR & SPCR_MSTR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MSTR bit field
**      in the SPCR register.
**
**  Parameters:
**      SPCR_MSTR_SLAVE             Slave
**      SPCR_MSTR_MASTER            Master
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_SPCR_MSTR( Value ) \
{\
SPCR &= ~(SPCR_MSTR & ~Value); \
SPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit MSTR bit field
**      in the SPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_SPCR_MSTR \
(SPCR |= SPCR_MSTR)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit MSTR bit field
**      in the SPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_SPCR_MSTR \
(SPCR &= ~SPCR_MSTR)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CPOL bit field
**      in the SPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      SPCR_CPOL_HIGH              Active high
**      SPCR_CPOL_LOW               Active low
**
**===========================================================================
*/
#define READ_SPCR_CPOL \
(SPCR & SPCR_CPOL)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CPOL bit field
**      in the SPCR register.
**
**  Parameters:
**      SPCR_CPOL_HIGH              Active high
**      SPCR_CPOL_LOW               Active low
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_SPCR_CPOL( Value ) \
{\
SPCR &= ~(SPCR_CPOL & ~Value); \
SPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CPOL bit field
**      in the SPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_SPCR_CPOL \
(SPCR |= SPCR_CPOL)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CPOL bit field
**      in the SPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_SPCR_CPOL \
(SPCR &= ~SPCR_CPOL)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CPHA bit field
**      in the SPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      SPCR_CPHA_FIRST             Data sampled on first clock edge
**      SPCR_CPHA_SECOND            Data sampled on second clock edge
**
**===========================================================================
*/
#define READ_SPCR_CPHA \
(SPCR & SPCR_CPHA)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CPHA bit field
**      in the SPCR register.
**
**  Parameters:
**      SPCR_CPHA_FIRST             Data sampled on first clock edge
**      SPCR_CPHA_SECOND            Data sampled on second clock edge
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_SPCR_CPHA( Value ) \
{\
SPCR &= ~(SPCR_CPHA & ~Value); \
SPCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CPHA bit field
**      in the SPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_SPCR_CPHA \
(SPCR |= SPCR_CPHA)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CPHA bit field
**      in the SPCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_SPCR_CPHA \
(SPCR &= ~SPCR_CPHA)


/*
**---------------------------------------------------------------------------
**  SPI Status Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SPIF bit field
**      in the SPSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      SPSR_SPIF_NOT_COMPLETE      Not complete
**      SPSR_SPIF_COMPLETE          Complete
**
**===========================================================================
*/
#define READ_SPSR_SPIF \
(SPSR & SPSR_SPIF)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the WCOL bit field
**      in the SPSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      SPSR_WCOL_NO_COLLISION      No collision
**      SPSR_WCOL_COLLISION         Collision
**
**===========================================================================
*/
#define READ_SPSR_WCOL \
(SPSR & SPSR_WCOL)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ROVR bit field
**      in the SPSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      SPSR_ROVR_NO_OVERRUN        No overrun
**      SPSR_ROVR_OVERRUN           Overrun
**
**===========================================================================
*/
#define READ_SPSR_ROVR \
(SPSR & SPSR_ROVR)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MODF bit field
**      in the SPSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      SPSR_MODF_NO_ERROR          No error
**      SPSR_MODF_ERROR             Error
**
**===========================================================================
*/
#define READ_SPSR_MODF \
(SPSR & SPSR_MODF)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ABRT bit field
**      in the SPSR register.
**
**  Parameters:
**      None
**
**  Return values:
**      SPSR_ABRT_NO_ABORT          No abort
**      SPSR_ABRT_ABORT             Abort
**
**===========================================================================
*/
#define READ_SPSR_ABRT \
(SPSR & SPSR_ABRT)


/*
**---------------------------------------------------------------------------
**  SPI Data Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DATA bit field
**      in the SPDR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_SPDR_DATA \
(SPDR & SPDR_DATA)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DATA bit field
**      in the SPDR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_SPDR_DATA( Value ) \
{\
SPDR &= ~(SPDR_DATA & ~Value); \
SPDR |= Value; \
}


/*
**---------------------------------------------------------------------------
**  SPI Clock Counter Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the COUNTER bit field
**      in the SPCCR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_SPCCR_COUNTER \
(SPCCR & SPCCR_COUNTER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the COUNTER bit field
**      in the SPCCR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_SPCCR_COUNTER( Value ) \
{\
SPCCR &= ~(SPCCR_COUNTER & ~Value); \
SPCCR |= Value; \
}


/*
**---------------------------------------------------------------------------
**  SPI Interrupt Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SPIINT bit field
**      in the SPINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      SPINT_SPIINT_NOT_COMPLETE   Not complete
**      SPINT_SPIINT_COMPLETE       Complete
**
**===========================================================================
*/
#define READ_SPINT_SPIINT \
(SPINT & SPINT_SPIINT)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit SPIINT bit field
**      in the SPINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_SPINT_SPIINT \
(SPINT |= SPINT_SPIINT)


/*
**---------------------------------------------------------------------------
**  Interrupt Location Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the RTCALF bit field
**      in the ILR register.
**
**  Parameters:
**      None
**
**  Return values:
**      ILR_RTCALF_NO_INTERRUPT     No interrupt
**      ILR_RTCALF_INTERRUPT        Interrupt
**
**===========================================================================
*/
#define READ_ILR_RTCALF \
(ILR & ILR_RTCALF)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit RTCALF bit field
**      in the ILR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_ILR_RTCALF \
(ILR |= ILR_RTCALF)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the RTCCIF bit field
**      in the ILR register.
**
**  Parameters:
**      None
**
**  Return values:
**      ILR_RTCCIF_NO_INTERRUPT     No interrupt
**      ILR_RTCCIF_INTERRUPT        Interrupt
**
**===========================================================================
*/
#define READ_ILR_RTCCIF \
(ILR & ILR_RTCCIF)


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit RTCCIF bit field
**      in the ILR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_ILR_RTCCIF \
(ILR |= ILR_RTCCIF)


/*
**---------------------------------------------------------------------------
**  Clock Tick Counnter
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the COUNTER bit field
**      in the CTC register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_CTC_COUNTER \
(CTC & CTC_COUNTER)


/*
**---------------------------------------------------------------------------
**  Clock Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CTTEST bit field
**      in the CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      CCR_CTTEST_NORMAL           Normal operation
**
**===========================================================================
*/
#define READ_CCR_CTTEST \
(CCR & CCR_CTTEST)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CTTEST bit field
**      in the CCR register.
**
**  Parameters:
**      CCR_CTTEST_NORMAL           Normal operation
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_CCR_CTTEST( Value ) \
{\
CCR &= ~(CCR_CTTEST & ~Value); \
CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CTCRST bit field
**      in the CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      CCR_CTCRST_NO_RESET         No reset
**      CCR_CTCRST_RESET            Generate reset
**
**===========================================================================
*/
#define READ_CCR_CTCRST \
(CCR & CCR_CTCRST)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CTCRST bit field
**      in the CCR register.
**
**  Parameters:
**      CCR_CTCRST_NO_RESET         No reset
**      CCR_CTCRST_RESET            Generate reset
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_CCR_CTCRST( Value ) \
{\
CCR &= ~(CCR_CTCRST & ~Value); \
CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CTCRST bit field
**      in the CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_CCR_CTCRST \
(CCR |= CCR_CTCRST)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CTCRST bit field
**      in the CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_CCR_CTCRST \
(CCR &= ~CCR_CTCRST)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CLKEN bit field
**      in the CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      CCR_CLKEN_DISABLED          Disabled
**      CCR_CLKEN_ENABLED           Enabled
**
**===========================================================================
*/
#define READ_CCR_CLKEN \
(CCR & CCR_CLKEN)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CLKEN bit field
**      in the CCR register.
**
**  Parameters:
**      CCR_CLKEN_DISABLED          Disabled
**      CCR_CLKEN_ENABLED           Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_CCR_CLKEN( Value ) \
{\
CCR &= ~(CCR_CLKEN & ~Value); \
CCR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit CLKEN bit field
**      in the CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_CCR_CLKEN \
(CCR |= CCR_CLKEN)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit CLKEN bit field
**      in the CCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_CCR_CLKEN \
(CCR &= ~CCR_CLKEN)


/*
**---------------------------------------------------------------------------
**  Counter Increment Interrupt Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the IMYEAR bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      CIIR_IMYEAR_DISABLED        Disabled
**      CIIR_IMYEAR_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_CIIR_IMYEAR \
(CIIR & CIIR_IMYEAR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the IMYEAR bit field
**      in the CIIR register.
**
**  Parameters:
**      CIIR_IMYEAR_DISABLED        Disabled
**      CIIR_IMYEAR_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_CIIR_IMYEAR( Value ) \
{\
CIIR &= ~(CIIR_IMYEAR & ~Value); \
CIIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit IMYEAR bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_CIIR_IMYEAR \
(CIIR |= CIIR_IMYEAR)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit IMYEAR bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_CIIR_IMYEAR \
(CIIR &= ~CIIR_IMYEAR)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the IMMON bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      CIIR_IMMON_DISABLED         Disabled
**      CIIR_IMMON_ENABLED          Enabled
**
**===========================================================================
*/
#define READ_CIIR_IMMON \
(CIIR & CIIR_IMMON)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the IMMON bit field
**      in the CIIR register.
**
**  Parameters:
**      CIIR_IMMON_DISABLED         Disabled
**      CIIR_IMMON_ENABLED          Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_CIIR_IMMON( Value ) \
{\
CIIR &= ~(CIIR_IMMON & ~Value); \
CIIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit IMMON bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_CIIR_IMMON \
(CIIR |= CIIR_IMMON)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit IMMON bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_CIIR_IMMON \
(CIIR &= ~CIIR_IMMON)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the IMDOY bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      CIIR_IMDOY_DISABLED         Disabled
**      CIIR_IMDOY_ENABLED          Enabled
**
**===========================================================================
*/
#define READ_CIIR_IMDOY \
(CIIR & CIIR_IMDOY)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the IMDOY bit field
**      in the CIIR register.
**
**  Parameters:
**      CIIR_IMDOY_DISABLED         Disabled
**      CIIR_IMDOY_ENABLED          Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_CIIR_IMDOY( Value ) \
{\
CIIR &= ~(CIIR_IMDOY & ~Value); \
CIIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit IMDOY bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_CIIR_IMDOY \
(CIIR |= CIIR_IMDOY)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit IMDOY bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_CIIR_IMDOY \
(CIIR &= ~CIIR_IMDOY)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the IMDOW bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      CIIR_IMDOW_DISABLED         Disabled
**      CIIR_IMDOW_ENABLED          Enabled
**
**===========================================================================
*/
#define READ_CIIR_IMDOW \
(CIIR & CIIR_IMDOW)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the IMDOW bit field
**      in the CIIR register.
**
**  Parameters:
**      CIIR_IMDOW_DISABLED         Disabled
**      CIIR_IMDOW_ENABLED          Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_CIIR_IMDOW( Value ) \
{\
CIIR &= ~(CIIR_IMDOW & ~Value); \
CIIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit IMDOW bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_CIIR_IMDOW \
(CIIR |= CIIR_IMDOW)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit IMDOW bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_CIIR_IMDOW \
(CIIR &= ~CIIR_IMDOW)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the IMDOM bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      CIIR_IMDOM_DISABLED         Disabled
**      CIIR_IMDOM_ENABLED          Enabled
**
**===========================================================================
*/
#define READ_CIIR_IMDOM \
(CIIR & CIIR_IMDOM)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the IMDOM bit field
**      in the CIIR register.
**
**  Parameters:
**      CIIR_IMDOM_DISABLED         Disabled
**      CIIR_IMDOM_ENABLED          Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_CIIR_IMDOM( Value ) \
{\
CIIR &= ~(CIIR_IMDOM & ~Value); \
CIIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit IMDOM bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_CIIR_IMDOM \
(CIIR |= CIIR_IMDOM)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit IMDOM bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_CIIR_IMDOM \
(CIIR &= ~CIIR_IMDOM)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the IMHOUR bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      CIIR_IMHOUR_DISABLED        Disabled
**      CIIR_IMHOUR_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_CIIR_IMHOUR \
(CIIR & CIIR_IMHOUR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the IMHOUR bit field
**      in the CIIR register.
**
**  Parameters:
**      CIIR_IMHOUR_DISABLED        Disabled
**      CIIR_IMHOUR_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_CIIR_IMHOUR( Value ) \
{\
CIIR &= ~(CIIR_IMHOUR & ~Value); \
CIIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit IMHOUR bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_CIIR_IMHOUR \
(CIIR |= CIIR_IMHOUR)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit IMHOUR bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_CIIR_IMHOUR \
(CIIR &= ~CIIR_IMHOUR)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the IMMIN bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      CIIR_IMMIN_DISABLED         Disabled
**      CIIR_IMMIN_ENABLED          Enabled
**
**===========================================================================
*/
#define READ_CIIR_IMMIN \
(CIIR & CIIR_IMMIN)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the IMMIN bit field
**      in the CIIR register.
**
**  Parameters:
**      CIIR_IMMIN_DISABLED         Disabled
**      CIIR_IMMIN_ENABLED          Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_CIIR_IMMIN( Value ) \
{\
CIIR &= ~(CIIR_IMMIN & ~Value); \
CIIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit IMMIN bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_CIIR_IMMIN \
(CIIR |= CIIR_IMMIN)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit IMMIN bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_CIIR_IMMIN \
(CIIR &= ~CIIR_IMMIN)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the IMSEC bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      CIIR_IMSEC_DISABLED         Disabled
**      CIIR_IMSEC_ENABLED          Enabled
**
**===========================================================================
*/
#define READ_CIIR_IMSEC \
(CIIR & CIIR_IMSEC)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the IMSEC bit field
**      in the CIIR register.
**
**  Parameters:
**      CIIR_IMSEC_DISABLED         Disabled
**      CIIR_IMSEC_ENABLED          Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_CIIR_IMSEC( Value ) \
{\
CIIR &= ~(CIIR_IMSEC & ~Value); \
CIIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit IMSEC bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_CIIR_IMSEC \
(CIIR |= CIIR_IMSEC)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit IMSEC bit field
**      in the CIIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_CIIR_IMSEC \
(CIIR &= ~CIIR_IMSEC)


/*
**---------------------------------------------------------------------------
**  Alarm Mask Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the AMRYEAR bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      AMR_AMRYEAR_ENABLED         Enabled
**      AMR_AMRYEAR_DISABLED        Disabled
**
**===========================================================================
*/
#define READ_AMR_AMRYEAR \
(AMR & AMR_AMRYEAR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the AMRYEAR bit field
**      in the AMR register.
**
**  Parameters:
**      AMR_AMRYEAR_ENABLED         Enabled
**      AMR_AMRYEAR_DISABLED        Disabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_AMR_AMRYEAR( Value ) \
{\
AMR &= ~(AMR_AMRYEAR & ~Value); \
AMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit AMRYEAR bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_AMR_AMRYEAR \
(AMR |= AMR_AMRYEAR)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit AMRYEAR bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_AMR_AMRYEAR \
(AMR &= ~AMR_AMRYEAR)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the AMRMON bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      AMR_AMRMON_ENABLED          Enabled
**      AMR_AMRMON_DISABLED         Disabled
**
**===========================================================================
*/
#define READ_AMR_AMRMON \
(AMR & AMR_AMRMON)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the AMRMON bit field
**      in the AMR register.
**
**  Parameters:
**      AMR_AMRMON_ENABLED          Enabled
**      AMR_AMRMON_DISABLED         Disabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_AMR_AMRMON( Value ) \
{\
AMR &= ~(AMR_AMRMON & ~Value); \
AMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit AMRMON bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_AMR_AMRMON \
(AMR |= AMR_AMRMON)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit AMRMON bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_AMR_AMRMON \
(AMR &= ~AMR_AMRMON)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the AMRDOY bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      AMR_AMRDOY_ENABLED          Enabled
**      AMR_AMRDOY_DISABLED         Disabled
**
**===========================================================================
*/
#define READ_AMR_AMRDOY \
(AMR & AMR_AMRDOY)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the AMRDOY bit field
**      in the AMR register.
**
**  Parameters:
**      AMR_AMRDOY_ENABLED          Enabled
**      AMR_AMRDOY_DISABLED         Disabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_AMR_AMRDOY( Value ) \
{\
AMR &= ~(AMR_AMRDOY & ~Value); \
AMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit AMRDOY bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_AMR_AMRDOY \
(AMR |= AMR_AMRDOY)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit AMRDOY bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_AMR_AMRDOY \
(AMR &= ~AMR_AMRDOY)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the AMRDOW bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      AMR_AMRDOW_ENABLED          Enabled
**      AMR_AMRDOW_DISABLED         Disabled
**
**===========================================================================
*/
#define READ_AMR_AMRDOW \
(AMR & AMR_AMRDOW)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the AMRDOW bit field
**      in the AMR register.
**
**  Parameters:
**      AMR_AMRDOW_ENABLED          Enabled
**      AMR_AMRDOW_DISABLED         Disabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_AMR_AMRDOW( Value ) \
{\
AMR &= ~(AMR_AMRDOW & ~Value); \
AMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit AMRDOW bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_AMR_AMRDOW \
(AMR |= AMR_AMRDOW)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit AMRDOW bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_AMR_AMRDOW \
(AMR &= ~AMR_AMRDOW)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the AMRDOM bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      AMR_AMRDOM_ENABLED          Enabled
**      AMR_AMRDOM_DISABLED         Disabled
**
**===========================================================================
*/
#define READ_AMR_AMRDOM \
(AMR & AMR_AMRDOM)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the AMRDOM bit field
**      in the AMR register.
**
**  Parameters:
**      AMR_AMRDOM_ENABLED          Enabled
**      AMR_AMRDOM_DISABLED         Disabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_AMR_AMRDOM( Value ) \
{\
AMR &= ~(AMR_AMRDOM & ~Value); \
AMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit AMRDOM bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_AMR_AMRDOM \
(AMR |= AMR_AMRDOM)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit AMRDOM bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_AMR_AMRDOM \
(AMR &= ~AMR_AMRDOM)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the AMRHOUR bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      AMR_AMRHOUR_ENABLED         Enabled
**      AMR_AMRHOUR_DISABLED        Disabled
**
**===========================================================================
*/
#define READ_AMR_AMRHOUR \
(AMR & AMR_AMRHOUR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the AMRHOUR bit field
**      in the AMR register.
**
**  Parameters:
**      AMR_AMRHOUR_ENABLED         Enabled
**      AMR_AMRHOUR_DISABLED        Disabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_AMR_AMRHOUR( Value ) \
{\
AMR &= ~(AMR_AMRHOUR & ~Value); \
AMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit AMRHOUR bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_AMR_AMRHOUR \
(AMR |= AMR_AMRHOUR)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit AMRHOUR bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_AMR_AMRHOUR \
(AMR &= ~AMR_AMRHOUR)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the AMRMIN bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      AMR_AMRMIN_ENABLED          Enabled
**      AMR_AMRMIN_DISABLED         Disabled
**
**===========================================================================
*/
#define READ_AMR_AMRMIN \
(AMR & AMR_AMRMIN)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the AMRMIN bit field
**      in the AMR register.
**
**  Parameters:
**      AMR_AMRMIN_ENABLED          Enabled
**      AMR_AMRMIN_DISABLED         Disabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_AMR_AMRMIN( Value ) \
{\
AMR &= ~(AMR_AMRMIN & ~Value); \
AMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit AMRMIN bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_AMR_AMRMIN \
(AMR |= AMR_AMRMIN)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit AMRMIN bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_AMR_AMRMIN \
(AMR &= ~AMR_AMRMIN)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the AMRSEC bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      AMR_AMRSEC_ENABLED          Enabled
**      AMR_AMRSEC_DISABLED         Disabled
**
**===========================================================================
*/
#define READ_AMR_AMRSEC \
(AMR & AMR_AMRSEC)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the AMRSEC bit field
**      in the AMR register.
**
**  Parameters:
**      AMR_AMRSEC_ENABLED          Enabled
**      AMR_AMRSEC_DISABLED         Disabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_AMR_AMRSEC( Value ) \
{\
AMR &= ~(AMR_AMRSEC & ~Value); \
AMR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit AMRSEC bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_AMR_AMRSEC \
(AMR |= AMR_AMRSEC)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit AMRSEC bit field
**      in the AMR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_AMR_AMRSEC \
(AMR &= ~AMR_AMRSEC)


/*
**---------------------------------------------------------------------------
**  Consolidated Time Register 0
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DOW bit field
**      in the CTIME0 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_CTIME0_DOW \
(CTIME0 & CTIME0_DOW)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the HOUR bit field
**      in the CTIME0 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_CTIME0_HOUR \
(CTIME0 & CTIME0_HOUR)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MIN bit field
**      in the CTIME0 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_CTIME0_MIN \
(CTIME0 & CTIME0_MIN)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SEC bit field
**      in the CTIME0 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_CTIME0_SEC \
(CTIME0 & CTIME0_SEC)


/*
**---------------------------------------------------------------------------
**  Consolidated Time Register 1
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the YEAR bit field
**      in the CTIME1 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_CTIME1_YEAR \
(CTIME1 & CTIME1_YEAR)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MON bit field
**      in the CTIME1 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_CTIME1_MON \
(CTIME1 & CTIME1_MON)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DOM bit field
**      in the CTIME1 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_CTIME1_DOM \
(CTIME1 & CTIME1_DOM)


/*
**---------------------------------------------------------------------------
**  Consolidated Time Register 2
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DOY bit field
**      in the CTIME2 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_CTIME2_DOY \
(CTIME2 & CTIME2_DOY)


/*
**---------------------------------------------------------------------------
**  Seconds Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SEC bit field
**      in the SEC register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_SEC_SEC \
(SEC & SEC_SEC)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the SEC bit field
**      in the SEC register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_SEC_SEC( Value ) \
{\
SEC &= ~(SEC_SEC & ~Value); \
SEC |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Minutes Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MIN bit field
**      in the MIN register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_MIN_MIN \
(MIN & MIN_MIN)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MIN bit field
**      in the MIN register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_MIN_MIN( Value ) \
{\
MIN &= ~(MIN_MIN & ~Value); \
MIN |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Hours Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the HOUR bit field
**      in the HOUR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_HOUR_HOUR \
(HOUR & HOUR_HOUR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the HOUR bit field
**      in the HOUR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_HOUR_HOUR( Value ) \
{\
HOUR &= ~(HOUR_HOUR & ~Value); \
HOUR |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Day of Month Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DOM bit field
**      in the DOM register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_DOM_DOM \
(DOM & DOM_DOM)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DOM bit field
**      in the DOM register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_DOM_DOM( Value ) \
{\
DOM &= ~(DOM_DOM & ~Value); \
DOM |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Day of Week Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DOW bit field
**      in the DOW register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_DOW_DOW \
(DOW & DOW_DOW)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DOW bit field
**      in the DOW register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_DOW_DOW( Value ) \
{\
DOW &= ~(DOW_DOW & ~Value); \
DOW |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Day of Year Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DOY bit field
**      in the DOY register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_DOY_DOY \
(DOY & DOY_DOY)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DOY bit field
**      in the DOY register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_DOY_DOY( Value ) \
{\
DOY &= ~(DOY_DOY & ~Value); \
DOY |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Months Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MON bit field
**      in the MONTH register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_MONTH_MON \
(MONTH & MONTH_MON)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MON bit field
**      in the MONTH register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_MONTH_MON( Value ) \
{\
MONTH &= ~(MONTH_MON & ~Value); \
MONTH |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Years Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the YEAR bit field
**      in the YEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_YEAR_YEAR \
(YEAR & YEAR_YEAR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the YEAR bit field
**      in the YEAR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_YEAR_YEAR( Value ) \
{\
YEAR &= ~(YEAR_YEAR & ~Value); \
YEAR |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Alarm value for Seconds
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the SEC bit field
**      in the ALSEC register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_ALSEC_SEC \
(ALSEC & ALSEC_SEC)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the SEC bit field
**      in the ALSEC register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_ALSEC_SEC( Value ) \
{\
ALSEC &= ~(ALSEC_SEC & ~Value); \
ALSEC |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Alarm value for Minutes
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MIN bit field
**      in the ALMIN register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_ALMIN_MIN \
(ALMIN & ALMIN_MIN)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MIN bit field
**      in the ALMIN register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_ALMIN_MIN( Value ) \
{\
ALMIN &= ~(ALMIN_MIN & ~Value); \
ALMIN |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Alarm value for Hours
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the HOUR bit field
**      in the ALHOUR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_ALHOUR_HOUR \
(ALHOUR & ALHOUR_HOUR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the HOUR bit field
**      in the ALHOUR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_ALHOUR_HOUR( Value ) \
{\
ALHOUR &= ~(ALHOUR_HOUR & ~Value); \
ALHOUR |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Alarm value for Day of Month
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DOM bit field
**      in the ALDOM register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_ALDOM_DOM \
(ALDOM & ALDOM_DOM)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DOM bit field
**      in the ALDOM register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_ALDOM_DOM( Value ) \
{\
ALDOM &= ~(ALDOM_DOM & ~Value); \
ALDOM |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Alarm value for Day of Week
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DOW bit field
**      in the ALDOW register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_ALDOW_DOW \
(ALDOW & ALDOW_DOW)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DOW bit field
**      in the ALDOW register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_ALDOW_DOW( Value ) \
{\
ALDOW &= ~(ALDOW_DOW & ~Value); \
ALDOW |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Alarm value for Day of Year
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the DOY bit field
**      in the ALDOY register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_ALDOY_DOY \
(ALDOY & ALDOY_DOY)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the DOY bit field
**      in the ALDOY register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_ALDOY_DOY( Value ) \
{\
ALDOY &= ~(ALDOY_DOY & ~Value); \
ALDOY |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Alarm value for Month
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MON bit field
**      in the ALMON register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_ALMON_MON \
(ALMON & ALMON_MON)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MON bit field
**      in the ALMON register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_ALMON_MON( Value ) \
{\
ALMON &= ~(ALMON_MON & ~Value); \
ALMON |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Alarm value for Year
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the YEAR bit field
**      in the ALYEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_ALYEAR_YEAR \
(ALYEAR & ALYEAR_YEAR)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the YEAR bit field
**      in the ALYEAR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_ALYEAR_YEAR( Value ) \
{\
ALYEAR &= ~(ALYEAR_YEAR & ~Value); \
ALYEAR |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Prescaler value, integer portion
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the PREINT register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PREINT_VALUE \
(PREINT & PREINT_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the PREINT register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PREINT_VALUE( Value ) \
{\
PREINT &= ~(PREINT_VALUE & ~Value); \
PREINT |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Prescaler value, fraction portion
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VALUE bit field
**      in the PREFRAC register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PREFRAC_VALUE \
(PREFRAC & PREFRAC_VALUE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VALUE bit field
**      in the PREFRAC register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PREFRAC_VALUE( Value ) \
{\
PREFRAC &= ~(PREFRAC_VALUE & ~Value); \
PREFRAC |= Value; \
}


/*
**---------------------------------------------------------------------------
**  GPIO Pin Value Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_31 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_31_LOW             Low
**      IOPIN_P0_31_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_31 \
(IOPIN & IOPIN_P0_31)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_31 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_31_LOW             Low
**      IOPIN_P0_31_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_31( Value ) \
{\
IOPIN &= ~(IOPIN_P0_31 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_31 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_31 \
(IOPIN |= IOPIN_P0_31)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_31 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_31 \
(IOPIN &= ~IOPIN_P0_31)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_30 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_30_LOW             Low
**      IOPIN_P0_30_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_30 \
(IOPIN & IOPIN_P0_30)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_30 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_30_LOW             Low
**      IOPIN_P0_30_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_30( Value ) \
{\
IOPIN &= ~(IOPIN_P0_30 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_30 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_30 \
(IOPIN |= IOPIN_P0_30)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_30 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_30 \
(IOPIN &= ~IOPIN_P0_30)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_29 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_29_LOW             Low
**      IOPIN_P0_29_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_29 \
(IOPIN & IOPIN_P0_29)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_29 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_29_LOW             Low
**      IOPIN_P0_29_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_29( Value ) \
{\
IOPIN &= ~(IOPIN_P0_29 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_29 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_29 \
(IOPIN |= IOPIN_P0_29)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_29 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_29 \
(IOPIN &= ~IOPIN_P0_29)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_28 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_28_LOW             Low
**      IOPIN_P0_28_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_28 \
(IOPIN & IOPIN_P0_28)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_28 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_28_LOW             Low
**      IOPIN_P0_28_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_28( Value ) \
{\
IOPIN &= ~(IOPIN_P0_28 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_28 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_28 \
(IOPIN |= IOPIN_P0_28)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_28 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_28 \
(IOPIN &= ~IOPIN_P0_28)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_27 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_27_LOW             Low
**      IOPIN_P0_27_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_27 \
(IOPIN & IOPIN_P0_27)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_27 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_27_LOW             Low
**      IOPIN_P0_27_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_27( Value ) \
{\
IOPIN &= ~(IOPIN_P0_27 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_27 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_27 \
(IOPIN |= IOPIN_P0_27)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_27 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_27 \
(IOPIN &= ~IOPIN_P0_27)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_26 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_26_LOW             Low
**      IOPIN_P0_26_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_26 \
(IOPIN & IOPIN_P0_26)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_26 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_26_LOW             Low
**      IOPIN_P0_26_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_26( Value ) \
{\
IOPIN &= ~(IOPIN_P0_26 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_26 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_26 \
(IOPIN |= IOPIN_P0_26)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_26 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_26 \
(IOPIN &= ~IOPIN_P0_26)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_25 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_25_LOW             Low
**      IOPIN_P0_25_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_25 \
(IOPIN & IOPIN_P0_25)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_25 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_25_LOW             Low
**      IOPIN_P0_25_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_25( Value ) \
{\
IOPIN &= ~(IOPIN_P0_25 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_25 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_25 \
(IOPIN |= IOPIN_P0_25)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_25 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_25 \
(IOPIN &= ~IOPIN_P0_25)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_24 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_24_LOW             Low
**      IOPIN_P0_24_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_24 \
(IOPIN & IOPIN_P0_24)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_24 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_24_LOW             Low
**      IOPIN_P0_24_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_24( Value ) \
{\
IOPIN &= ~(IOPIN_P0_24 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_24 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_24 \
(IOPIN |= IOPIN_P0_24)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_24 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_24 \
(IOPIN &= ~IOPIN_P0_24)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_23 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_23_LOW             Low
**      IOPIN_P0_23_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_23 \
(IOPIN & IOPIN_P0_23)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_23 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_23_LOW             Low
**      IOPIN_P0_23_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_23( Value ) \
{\
IOPIN &= ~(IOPIN_P0_23 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_23 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_23 \
(IOPIN |= IOPIN_P0_23)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_23 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_23 \
(IOPIN &= ~IOPIN_P0_23)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_22 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_22_LOW             Low
**      IOPIN_P0_22_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_22 \
(IOPIN & IOPIN_P0_22)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_22 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_22_LOW             Low
**      IOPIN_P0_22_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_22( Value ) \
{\
IOPIN &= ~(IOPIN_P0_22 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_22 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_22 \
(IOPIN |= IOPIN_P0_22)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_22 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_22 \
(IOPIN &= ~IOPIN_P0_22)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_21 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_21_LOW             Low
**      IOPIN_P0_21_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_21 \
(IOPIN & IOPIN_P0_21)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_21 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_21_LOW             Low
**      IOPIN_P0_21_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_21( Value ) \
{\
IOPIN &= ~(IOPIN_P0_21 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_21 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_21 \
(IOPIN |= IOPIN_P0_21)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_21 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_21 \
(IOPIN &= ~IOPIN_P0_21)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_20 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_20_LOW             Low
**      IOPIN_P0_20_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_20 \
(IOPIN & IOPIN_P0_20)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_20 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_20_LOW             Low
**      IOPIN_P0_20_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_20( Value ) \
{\
IOPIN &= ~(IOPIN_P0_20 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_20 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_20 \
(IOPIN |= IOPIN_P0_20)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_20 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_20 \
(IOPIN &= ~IOPIN_P0_20)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_19 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_19_LOW             Low
**      IOPIN_P0_19_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_19 \
(IOPIN & IOPIN_P0_19)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_19 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_19_LOW             Low
**      IOPIN_P0_19_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_19( Value ) \
{\
IOPIN &= ~(IOPIN_P0_19 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_19 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_19 \
(IOPIN |= IOPIN_P0_19)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_19 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_19 \
(IOPIN &= ~IOPIN_P0_19)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_18 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_18_LOW             Low
**      IOPIN_P0_18_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_18 \
(IOPIN & IOPIN_P0_18)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_18 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_18_LOW             Low
**      IOPIN_P0_18_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_18( Value ) \
{\
IOPIN &= ~(IOPIN_P0_18 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_18 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_18 \
(IOPIN |= IOPIN_P0_18)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_18 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_18 \
(IOPIN &= ~IOPIN_P0_18)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_17 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_17_LOW             Low
**      IOPIN_P0_17_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_17 \
(IOPIN & IOPIN_P0_17)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_17 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_17_LOW             Low
**      IOPIN_P0_17_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_17( Value ) \
{\
IOPIN &= ~(IOPIN_P0_17 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_17 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_17 \
(IOPIN |= IOPIN_P0_17)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_17 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_17 \
(IOPIN &= ~IOPIN_P0_17)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_16 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_16_LOW             Low
**      IOPIN_P0_16_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_16 \
(IOPIN & IOPIN_P0_16)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_16 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_16_LOW             Low
**      IOPIN_P0_16_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_16( Value ) \
{\
IOPIN &= ~(IOPIN_P0_16 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_16 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_16 \
(IOPIN |= IOPIN_P0_16)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_16 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_16 \
(IOPIN &= ~IOPIN_P0_16)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_15 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_15_LOW             Low
**      IOPIN_P0_15_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_15 \
(IOPIN & IOPIN_P0_15)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_15 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_15_LOW             Low
**      IOPIN_P0_15_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_15( Value ) \
{\
IOPIN &= ~(IOPIN_P0_15 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_15 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_15 \
(IOPIN |= IOPIN_P0_15)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_15 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_15 \
(IOPIN &= ~IOPIN_P0_15)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_14 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_14_LOW             Low
**      IOPIN_P0_14_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_14 \
(IOPIN & IOPIN_P0_14)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_14 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_14_LOW             Low
**      IOPIN_P0_14_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_14( Value ) \
{\
IOPIN &= ~(IOPIN_P0_14 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_14 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_14 \
(IOPIN |= IOPIN_P0_14)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_14 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_14 \
(IOPIN &= ~IOPIN_P0_14)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_13 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_13_LOW             Low
**      IOPIN_P0_13_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_13 \
(IOPIN & IOPIN_P0_13)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_13 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_13_LOW             Low
**      IOPIN_P0_13_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_13( Value ) \
{\
IOPIN &= ~(IOPIN_P0_13 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_13 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_13 \
(IOPIN |= IOPIN_P0_13)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_13 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_13 \
(IOPIN &= ~IOPIN_P0_13)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_12 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_12_LOW             Low
**      IOPIN_P0_12_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_12 \
(IOPIN & IOPIN_P0_12)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_12 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_12_LOW             Low
**      IOPIN_P0_12_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_12( Value ) \
{\
IOPIN &= ~(IOPIN_P0_12 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_12 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_12 \
(IOPIN |= IOPIN_P0_12)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_12 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_12 \
(IOPIN &= ~IOPIN_P0_12)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_11 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_11_LOW             Low
**      IOPIN_P0_11_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_11 \
(IOPIN & IOPIN_P0_11)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_11 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_11_LOW             Low
**      IOPIN_P0_11_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_11( Value ) \
{\
IOPIN &= ~(IOPIN_P0_11 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_11 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_11 \
(IOPIN |= IOPIN_P0_11)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_11 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_11 \
(IOPIN &= ~IOPIN_P0_11)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_10 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_10_LOW             Low
**      IOPIN_P0_10_HIGH            High
**
**===========================================================================
*/
#define READ_IOPIN_P0_10 \
(IOPIN & IOPIN_P0_10)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_10 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_10_LOW             Low
**      IOPIN_P0_10_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_10( Value ) \
{\
IOPIN &= ~(IOPIN_P0_10 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_10 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_10 \
(IOPIN |= IOPIN_P0_10)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_10 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_10 \
(IOPIN &= ~IOPIN_P0_10)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_9 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_9_LOW              Low
**      IOPIN_P0_9_HIGH             High
**
**===========================================================================
*/
#define READ_IOPIN_P0_9 \
(IOPIN & IOPIN_P0_9)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_9 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_9_LOW              Low
**      IOPIN_P0_9_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_9( Value ) \
{\
IOPIN &= ~(IOPIN_P0_9 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_9 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_9 \
(IOPIN |= IOPIN_P0_9)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_9 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_9 \
(IOPIN &= ~IOPIN_P0_9)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_8 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_8_LOW              Low
**      IOPIN_P0_8_HIGH             High
**
**===========================================================================
*/
#define READ_IOPIN_P0_8 \
(IOPIN & IOPIN_P0_8)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_8 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_8_LOW              Low
**      IOPIN_P0_8_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_8( Value ) \
{\
IOPIN &= ~(IOPIN_P0_8 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_8 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_8 \
(IOPIN |= IOPIN_P0_8)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_8 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_8 \
(IOPIN &= ~IOPIN_P0_8)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_7 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_7_LOW              Low
**      IOPIN_P0_7_HIGH             High
**
**===========================================================================
*/
#define READ_IOPIN_P0_7 \
(IOPIN & IOPIN_P0_7)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_7 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_7_LOW              Low
**      IOPIN_P0_7_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_7( Value ) \
{\
IOPIN &= ~(IOPIN_P0_7 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_7 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_7 \
(IOPIN |= IOPIN_P0_7)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_7 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_7 \
(IOPIN &= ~IOPIN_P0_7)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_6 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_6_LOW              Low
**      IOPIN_P0_6_HIGH             High
**
**===========================================================================
*/
#define READ_IOPIN_P0_6 \
(IOPIN & IOPIN_P0_6)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_6 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_6_LOW              Low
**      IOPIN_P0_6_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_6( Value ) \
{\
IOPIN &= ~(IOPIN_P0_6 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_6 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_6 \
(IOPIN |= IOPIN_P0_6)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_6 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_6 \
(IOPIN &= ~IOPIN_P0_6)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_5 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_5_LOW              Low
**      IOPIN_P0_5_HIGH             High
**
**===========================================================================
*/
#define READ_IOPIN_P0_5 \
(IOPIN & IOPIN_P0_5)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_5 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_5_LOW              Low
**      IOPIN_P0_5_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_5( Value ) \
{\
IOPIN &= ~(IOPIN_P0_5 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_5 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_5 \
(IOPIN |= IOPIN_P0_5)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_5 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_5 \
(IOPIN &= ~IOPIN_P0_5)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_4 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_4_LOW              Low
**      IOPIN_P0_4_HIGH             High
**
**===========================================================================
*/
#define READ_IOPIN_P0_4 \
(IOPIN & IOPIN_P0_4)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_4 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_4_LOW              Low
**      IOPIN_P0_4_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_4( Value ) \
{\
IOPIN &= ~(IOPIN_P0_4 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_4 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_4 \
(IOPIN |= IOPIN_P0_4)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_4 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_4 \
(IOPIN &= ~IOPIN_P0_4)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_3 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_3_LOW              Low
**      IOPIN_P0_3_HIGH             High
**
**===========================================================================
*/
#define READ_IOPIN_P0_3 \
(IOPIN & IOPIN_P0_3)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_3 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_3_LOW              Low
**      IOPIN_P0_3_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_3( Value ) \
{\
IOPIN &= ~(IOPIN_P0_3 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_3 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_3 \
(IOPIN |= IOPIN_P0_3)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_3 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_3 \
(IOPIN &= ~IOPIN_P0_3)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_2 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_2_LOW              Low
**      IOPIN_P0_2_HIGH             High
**
**===========================================================================
*/
#define READ_IOPIN_P0_2 \
(IOPIN & IOPIN_P0_2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_2 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_2_LOW              Low
**      IOPIN_P0_2_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_2( Value ) \
{\
IOPIN &= ~(IOPIN_P0_2 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_2 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_2 \
(IOPIN |= IOPIN_P0_2)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_2 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_2 \
(IOPIN &= ~IOPIN_P0_2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_1 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_1_LOW              Low
**      IOPIN_P0_1_HIGH             High
**
**===========================================================================
*/
#define READ_IOPIN_P0_1 \
(IOPIN & IOPIN_P0_1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_1 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_1_LOW              Low
**      IOPIN_P0_1_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_1( Value ) \
{\
IOPIN &= ~(IOPIN_P0_1 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_1 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_1 \
(IOPIN |= IOPIN_P0_1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_1 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_1 \
(IOPIN &= ~IOPIN_P0_1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_0 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOPIN_P0_0_LOW              Low
**      IOPIN_P0_0_HIGH             High
**
**===========================================================================
*/
#define READ_IOPIN_P0_0 \
(IOPIN & IOPIN_P0_0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_0 bit field
**      in the IOPIN register.
**
**  Parameters:
**      IOPIN_P0_0_LOW              Low
**      IOPIN_P0_0_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOPIN_P0_0( Value ) \
{\
IOPIN &= ~(IOPIN_P0_0 & ~Value); \
IOPIN |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_0 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOPIN_P0_0 \
(IOPIN |= IOPIN_P0_0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_0 bit field
**      in the IOPIN register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOPIN_P0_0 \
(IOPIN &= ~IOPIN_P0_0)


/*
**---------------------------------------------------------------------------
**  GPIO Output Set Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_31 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_31_LOW             Low
**      IOSET_P0_31_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_31 \
(IOSET & IOSET_P0_31)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_31 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_31_LOW             Low
**      IOSET_P0_31_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_31( Value ) \
{\
IOSET &= ~(IOSET_P0_31 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_31 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_31 \
(IOSET |= IOSET_P0_31)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_31 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_31 \
(IOSET &= ~IOSET_P0_31)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_30 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_30_LOW             Low
**      IOSET_P0_30_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_30 \
(IOSET & IOSET_P0_30)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_30 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_30_LOW             Low
**      IOSET_P0_30_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_30( Value ) \
{\
IOSET &= ~(IOSET_P0_30 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_30 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_30 \
(IOSET |= IOSET_P0_30)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_30 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_30 \
(IOSET &= ~IOSET_P0_30)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_29 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_29_LOW             Low
**      IOSET_P0_29_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_29 \
(IOSET & IOSET_P0_29)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_29 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_29_LOW             Low
**      IOSET_P0_29_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_29( Value ) \
{\
IOSET &= ~(IOSET_P0_29 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_29 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_29 \
(IOSET |= IOSET_P0_29)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_29 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_29 \
(IOSET &= ~IOSET_P0_29)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_28 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_28_LOW             Low
**      IOSET_P0_28_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_28 \
(IOSET & IOSET_P0_28)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_28 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_28_LOW             Low
**      IOSET_P0_28_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_28( Value ) \
{\
IOSET &= ~(IOSET_P0_28 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_28 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_28 \
(IOSET |= IOSET_P0_28)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_28 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_28 \
(IOSET &= ~IOSET_P0_28)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_27 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_27_LOW             Low
**      IOSET_P0_27_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_27 \
(IOSET & IOSET_P0_27)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_27 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_27_LOW             Low
**      IOSET_P0_27_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_27( Value ) \
{\
IOSET &= ~(IOSET_P0_27 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_27 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_27 \
(IOSET |= IOSET_P0_27)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_27 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_27 \
(IOSET &= ~IOSET_P0_27)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_26 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_26_LOW             Low
**      IOSET_P0_26_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_26 \
(IOSET & IOSET_P0_26)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_26 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_26_LOW             Low
**      IOSET_P0_26_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_26( Value ) \
{\
IOSET &= ~(IOSET_P0_26 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_26 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_26 \
(IOSET |= IOSET_P0_26)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_26 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_26 \
(IOSET &= ~IOSET_P0_26)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_25 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_25_LOW             Low
**      IOSET_P0_25_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_25 \
(IOSET & IOSET_P0_25)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_25 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_25_LOW             Low
**      IOSET_P0_25_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_25( Value ) \
{\
IOSET &= ~(IOSET_P0_25 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_25 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_25 \
(IOSET |= IOSET_P0_25)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_25 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_25 \
(IOSET &= ~IOSET_P0_25)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_24 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_24_LOW             Low
**      IOSET_P0_24_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_24 \
(IOSET & IOSET_P0_24)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_24 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_24_LOW             Low
**      IOSET_P0_24_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_24( Value ) \
{\
IOSET &= ~(IOSET_P0_24 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_24 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_24 \
(IOSET |= IOSET_P0_24)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_24 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_24 \
(IOSET &= ~IOSET_P0_24)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_23 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_23_LOW             Low
**      IOSET_P0_23_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_23 \
(IOSET & IOSET_P0_23)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_23 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_23_LOW             Low
**      IOSET_P0_23_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_23( Value ) \
{\
IOSET &= ~(IOSET_P0_23 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_23 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_23 \
(IOSET |= IOSET_P0_23)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_23 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_23 \
(IOSET &= ~IOSET_P0_23)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_22 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_22_LOW             Low
**      IOSET_P0_22_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_22 \
(IOSET & IOSET_P0_22)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_22 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_22_LOW             Low
**      IOSET_P0_22_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_22( Value ) \
{\
IOSET &= ~(IOSET_P0_22 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_22 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_22 \
(IOSET |= IOSET_P0_22)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_22 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_22 \
(IOSET &= ~IOSET_P0_22)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_21 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_21_LOW             Low
**      IOSET_P0_21_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_21 \
(IOSET & IOSET_P0_21)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_21 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_21_LOW             Low
**      IOSET_P0_21_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_21( Value ) \
{\
IOSET &= ~(IOSET_P0_21 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_21 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_21 \
(IOSET |= IOSET_P0_21)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_21 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_21 \
(IOSET &= ~IOSET_P0_21)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_20 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_20_LOW             Low
**      IOSET_P0_20_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_20 \
(IOSET & IOSET_P0_20)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_20 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_20_LOW             Low
**      IOSET_P0_20_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_20( Value ) \
{\
IOSET &= ~(IOSET_P0_20 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_20 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_20 \
(IOSET |= IOSET_P0_20)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_20 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_20 \
(IOSET &= ~IOSET_P0_20)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_19 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_19_LOW             Low
**      IOSET_P0_19_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_19 \
(IOSET & IOSET_P0_19)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_19 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_19_LOW             Low
**      IOSET_P0_19_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_19( Value ) \
{\
IOSET &= ~(IOSET_P0_19 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_19 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_19 \
(IOSET |= IOSET_P0_19)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_19 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_19 \
(IOSET &= ~IOSET_P0_19)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_18 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_18_LOW             Low
**      IOSET_P0_18_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_18 \
(IOSET & IOSET_P0_18)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_18 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_18_LOW             Low
**      IOSET_P0_18_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_18( Value ) \
{\
IOSET &= ~(IOSET_P0_18 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_18 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_18 \
(IOSET |= IOSET_P0_18)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_18 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_18 \
(IOSET &= ~IOSET_P0_18)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_17 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_17_LOW             Low
**      IOSET_P0_17_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_17 \
(IOSET & IOSET_P0_17)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_17 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_17_LOW             Low
**      IOSET_P0_17_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_17( Value ) \
{\
IOSET &= ~(IOSET_P0_17 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_17 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_17 \
(IOSET |= IOSET_P0_17)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_17 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_17 \
(IOSET &= ~IOSET_P0_17)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_16 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_16_LOW             Low
**      IOSET_P0_16_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_16 \
(IOSET & IOSET_P0_16)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_16 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_16_LOW             Low
**      IOSET_P0_16_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_16( Value ) \
{\
IOSET &= ~(IOSET_P0_16 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_16 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_16 \
(IOSET |= IOSET_P0_16)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_16 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_16 \
(IOSET &= ~IOSET_P0_16)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_15 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_15_LOW             Low
**      IOSET_P0_15_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_15 \
(IOSET & IOSET_P0_15)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_15 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_15_LOW             Low
**      IOSET_P0_15_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_15( Value ) \
{\
IOSET &= ~(IOSET_P0_15 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_15 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_15 \
(IOSET |= IOSET_P0_15)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_15 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_15 \
(IOSET &= ~IOSET_P0_15)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_14 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_14_LOW             Low
**      IOSET_P0_14_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_14 \
(IOSET & IOSET_P0_14)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_14 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_14_LOW             Low
**      IOSET_P0_14_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_14( Value ) \
{\
IOSET &= ~(IOSET_P0_14 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_14 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_14 \
(IOSET |= IOSET_P0_14)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_14 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_14 \
(IOSET &= ~IOSET_P0_14)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_13 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_13_LOW             Low
**      IOSET_P0_13_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_13 \
(IOSET & IOSET_P0_13)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_13 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_13_LOW             Low
**      IOSET_P0_13_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_13( Value ) \
{\
IOSET &= ~(IOSET_P0_13 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_13 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_13 \
(IOSET |= IOSET_P0_13)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_13 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_13 \
(IOSET &= ~IOSET_P0_13)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_12 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_12_LOW             Low
**      IOSET_P0_12_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_12 \
(IOSET & IOSET_P0_12)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_12 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_12_LOW             Low
**      IOSET_P0_12_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_12( Value ) \
{\
IOSET &= ~(IOSET_P0_12 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_12 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_12 \
(IOSET |= IOSET_P0_12)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_12 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_12 \
(IOSET &= ~IOSET_P0_12)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_11 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_11_LOW             Low
**      IOSET_P0_11_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_11 \
(IOSET & IOSET_P0_11)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_11 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_11_LOW             Low
**      IOSET_P0_11_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_11( Value ) \
{\
IOSET &= ~(IOSET_P0_11 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_11 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_11 \
(IOSET |= IOSET_P0_11)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_11 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_11 \
(IOSET &= ~IOSET_P0_11)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_10 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_10_LOW             Low
**      IOSET_P0_10_HIGH            High
**
**===========================================================================
*/
#define READ_IOSET_P0_10 \
(IOSET & IOSET_P0_10)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_10 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_10_LOW             Low
**      IOSET_P0_10_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_10( Value ) \
{\
IOSET &= ~(IOSET_P0_10 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_10 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_10 \
(IOSET |= IOSET_P0_10)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_10 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_10 \
(IOSET &= ~IOSET_P0_10)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_9 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_9_LOW              Low
**      IOSET_P0_9_HIGH             High
**
**===========================================================================
*/
#define READ_IOSET_P0_9 \
(IOSET & IOSET_P0_9)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_9 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_9_LOW              Low
**      IOSET_P0_9_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_9( Value ) \
{\
IOSET &= ~(IOSET_P0_9 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_9 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_9 \
(IOSET |= IOSET_P0_9)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_9 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_9 \
(IOSET &= ~IOSET_P0_9)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_8 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_8_LOW              Low
**      IOSET_P0_8_HIGH             High
**
**===========================================================================
*/
#define READ_IOSET_P0_8 \
(IOSET & IOSET_P0_8)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_8 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_8_LOW              Low
**      IOSET_P0_8_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_8( Value ) \
{\
IOSET &= ~(IOSET_P0_8 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_8 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_8 \
(IOSET |= IOSET_P0_8)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_8 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_8 \
(IOSET &= ~IOSET_P0_8)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_7 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_7_LOW              Low
**      IOSET_P0_7_HIGH             High
**
**===========================================================================
*/
#define READ_IOSET_P0_7 \
(IOSET & IOSET_P0_7)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_7 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_7_LOW              Low
**      IOSET_P0_7_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_7( Value ) \
{\
IOSET &= ~(IOSET_P0_7 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_7 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_7 \
(IOSET |= IOSET_P0_7)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_7 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_7 \
(IOSET &= ~IOSET_P0_7)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_6 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_6_LOW              Low
**      IOSET_P0_6_HIGH             High
**
**===========================================================================
*/
#define READ_IOSET_P0_6 \
(IOSET & IOSET_P0_6)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_6 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_6_LOW              Low
**      IOSET_P0_6_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_6( Value ) \
{\
IOSET &= ~(IOSET_P0_6 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_6 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_6 \
(IOSET |= IOSET_P0_6)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_6 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_6 \
(IOSET &= ~IOSET_P0_6)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_5 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_5_LOW              Low
**      IOSET_P0_5_HIGH             High
**
**===========================================================================
*/
#define READ_IOSET_P0_5 \
(IOSET & IOSET_P0_5)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_5 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_5_LOW              Low
**      IOSET_P0_5_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_5( Value ) \
{\
IOSET &= ~(IOSET_P0_5 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_5 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_5 \
(IOSET |= IOSET_P0_5)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_5 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_5 \
(IOSET &= ~IOSET_P0_5)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_4 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_4_LOW              Low
**      IOSET_P0_4_HIGH             High
**
**===========================================================================
*/
#define READ_IOSET_P0_4 \
(IOSET & IOSET_P0_4)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_4 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_4_LOW              Low
**      IOSET_P0_4_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_4( Value ) \
{\
IOSET &= ~(IOSET_P0_4 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_4 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_4 \
(IOSET |= IOSET_P0_4)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_4 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_4 \
(IOSET &= ~IOSET_P0_4)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_3 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_3_LOW              Low
**      IOSET_P0_3_HIGH             High
**
**===========================================================================
*/
#define READ_IOSET_P0_3 \
(IOSET & IOSET_P0_3)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_3 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_3_LOW              Low
**      IOSET_P0_3_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_3( Value ) \
{\
IOSET &= ~(IOSET_P0_3 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_3 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_3 \
(IOSET |= IOSET_P0_3)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_3 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_3 \
(IOSET &= ~IOSET_P0_3)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_2 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_2_LOW              Low
**      IOSET_P0_2_HIGH             High
**
**===========================================================================
*/
#define READ_IOSET_P0_2 \
(IOSET & IOSET_P0_2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_2 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_2_LOW              Low
**      IOSET_P0_2_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_2( Value ) \
{\
IOSET &= ~(IOSET_P0_2 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_2 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_2 \
(IOSET |= IOSET_P0_2)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_2 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_2 \
(IOSET &= ~IOSET_P0_2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_1 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_1_LOW              Low
**      IOSET_P0_1_HIGH             High
**
**===========================================================================
*/
#define READ_IOSET_P0_1 \
(IOSET & IOSET_P0_1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_1 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_1_LOW              Low
**      IOSET_P0_1_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_1( Value ) \
{\
IOSET &= ~(IOSET_P0_1 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_1 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_1 \
(IOSET |= IOSET_P0_1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_1 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_1 \
(IOSET &= ~IOSET_P0_1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_0 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOSET_P0_0_LOW              Low
**      IOSET_P0_0_HIGH             High
**
**===========================================================================
*/
#define READ_IOSET_P0_0 \
(IOSET & IOSET_P0_0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_0 bit field
**      in the IOSET register.
**
**  Parameters:
**      IOSET_P0_0_LOW              Low
**      IOSET_P0_0_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOSET_P0_0( Value ) \
{\
IOSET &= ~(IOSET_P0_0 & ~Value); \
IOSET |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_0 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOSET_P0_0 \
(IOSET |= IOSET_P0_0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_0 bit field
**      in the IOSET register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOSET_P0_0 \
(IOSET &= ~IOSET_P0_0)


/*
**---------------------------------------------------------------------------
**  GPIO Direction Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_31 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_31_INPUT           Input
**      IODIR_P0_31_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_31 \
(IODIR & IODIR_P0_31)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_31 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_31_INPUT           Input
**      IODIR_P0_31_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_31( Value ) \
{\
IODIR &= ~(IODIR_P0_31 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_31 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_31 \
(IODIR |= IODIR_P0_31)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_31 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_31 \
(IODIR &= ~IODIR_P0_31)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_30 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_30_INPUT           Input
**      IODIR_P0_30_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_30 \
(IODIR & IODIR_P0_30)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_30 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_30_INPUT           Input
**      IODIR_P0_30_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_30( Value ) \
{\
IODIR &= ~(IODIR_P0_30 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_30 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_30 \
(IODIR |= IODIR_P0_30)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_30 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_30 \
(IODIR &= ~IODIR_P0_30)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_29 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_29_INPUT           Input
**      IODIR_P0_29_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_29 \
(IODIR & IODIR_P0_29)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_29 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_29_INPUT           Input
**      IODIR_P0_29_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_29( Value ) \
{\
IODIR &= ~(IODIR_P0_29 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_29 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_29 \
(IODIR |= IODIR_P0_29)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_29 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_29 \
(IODIR &= ~IODIR_P0_29)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_28 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_28_INPUT           Input
**      IODIR_P0_28_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_28 \
(IODIR & IODIR_P0_28)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_28 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_28_INPUT           Input
**      IODIR_P0_28_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_28( Value ) \
{\
IODIR &= ~(IODIR_P0_28 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_28 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_28 \
(IODIR |= IODIR_P0_28)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_28 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_28 \
(IODIR &= ~IODIR_P0_28)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_27 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_27_INPUT           Input
**      IODIR_P0_27_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_27 \
(IODIR & IODIR_P0_27)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_27 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_27_INPUT           Input
**      IODIR_P0_27_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_27( Value ) \
{\
IODIR &= ~(IODIR_P0_27 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_27 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_27 \
(IODIR |= IODIR_P0_27)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_27 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_27 \
(IODIR &= ~IODIR_P0_27)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_26 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_26_INPUT           Input
**      IODIR_P0_26_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_26 \
(IODIR & IODIR_P0_26)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_26 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_26_INPUT           Input
**      IODIR_P0_26_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_26( Value ) \
{\
IODIR &= ~(IODIR_P0_26 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_26 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_26 \
(IODIR |= IODIR_P0_26)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_26 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_26 \
(IODIR &= ~IODIR_P0_26)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_25 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_25_INPUT           Input
**      IODIR_P0_25_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_25 \
(IODIR & IODIR_P0_25)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_25 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_25_INPUT           Input
**      IODIR_P0_25_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_25( Value ) \
{\
IODIR &= ~(IODIR_P0_25 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_25 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_25 \
(IODIR |= IODIR_P0_25)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_25 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_25 \
(IODIR &= ~IODIR_P0_25)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_24 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_24_INPUT           Input
**      IODIR_P0_24_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_24 \
(IODIR & IODIR_P0_24)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_24 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_24_INPUT           Input
**      IODIR_P0_24_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_24( Value ) \
{\
IODIR &= ~(IODIR_P0_24 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_24 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_24 \
(IODIR |= IODIR_P0_24)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_24 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_24 \
(IODIR &= ~IODIR_P0_24)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_23 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_23_INPUT           Input
**      IODIR_P0_23_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_23 \
(IODIR & IODIR_P0_23)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_23 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_23_INPUT           Input
**      IODIR_P0_23_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_23( Value ) \
{\
IODIR &= ~(IODIR_P0_23 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_23 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_23 \
(IODIR |= IODIR_P0_23)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_23 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_23 \
(IODIR &= ~IODIR_P0_23)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_22 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_22_INPUT           Input
**      IODIR_P0_22_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_22 \
(IODIR & IODIR_P0_22)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_22 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_22_INPUT           Input
**      IODIR_P0_22_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_22( Value ) \
{\
IODIR &= ~(IODIR_P0_22 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_22 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_22 \
(IODIR |= IODIR_P0_22)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_22 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_22 \
(IODIR &= ~IODIR_P0_22)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_21 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_21_INPUT           Input
**      IODIR_P0_21_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_21 \
(IODIR & IODIR_P0_21)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_21 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_21_INPUT           Input
**      IODIR_P0_21_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_21( Value ) \
{\
IODIR &= ~(IODIR_P0_21 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_21 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_21 \
(IODIR |= IODIR_P0_21)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_21 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_21 \
(IODIR &= ~IODIR_P0_21)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_20 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_20_INPUT           Input
**      IODIR_P0_20_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_20 \
(IODIR & IODIR_P0_20)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_20 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_20_INPUT           Input
**      IODIR_P0_20_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_20( Value ) \
{\
IODIR &= ~(IODIR_P0_20 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_20 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_20 \
(IODIR |= IODIR_P0_20)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_20 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_20 \
(IODIR &= ~IODIR_P0_20)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_19 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_19_INPUT           Input
**      IODIR_P0_19_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_19 \
(IODIR & IODIR_P0_19)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_19 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_19_INPUT           Input
**      IODIR_P0_19_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_19( Value ) \
{\
IODIR &= ~(IODIR_P0_19 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_19 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_19 \
(IODIR |= IODIR_P0_19)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_19 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_19 \
(IODIR &= ~IODIR_P0_19)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_18 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_18_INPUT           Input
**      IODIR_P0_18_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_18 \
(IODIR & IODIR_P0_18)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_18 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_18_INPUT           Input
**      IODIR_P0_18_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_18( Value ) \
{\
IODIR &= ~(IODIR_P0_18 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_18 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_18 \
(IODIR |= IODIR_P0_18)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_18 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_18 \
(IODIR &= ~IODIR_P0_18)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_17 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_17_INPUT           Input
**      IODIR_P0_17_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_17 \
(IODIR & IODIR_P0_17)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_17 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_17_INPUT           Input
**      IODIR_P0_17_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_17( Value ) \
{\
IODIR &= ~(IODIR_P0_17 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_17 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_17 \
(IODIR |= IODIR_P0_17)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_17 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_17 \
(IODIR &= ~IODIR_P0_17)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_16 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_16_INPUT           Input
**      IODIR_P0_16_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_16 \
(IODIR & IODIR_P0_16)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_16 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_16_INPUT           Input
**      IODIR_P0_16_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_16( Value ) \
{\
IODIR &= ~(IODIR_P0_16 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_16 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_16 \
(IODIR |= IODIR_P0_16)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_16 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_16 \
(IODIR &= ~IODIR_P0_16)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_15 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_15_INPUT           Input
**      IODIR_P0_15_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_15 \
(IODIR & IODIR_P0_15)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_15 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_15_INPUT           Input
**      IODIR_P0_15_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_15( Value ) \
{\
IODIR &= ~(IODIR_P0_15 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_15 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_15 \
(IODIR |= IODIR_P0_15)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_15 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_15 \
(IODIR &= ~IODIR_P0_15)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_14 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_14_INPUT           Input
**      IODIR_P0_14_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_14 \
(IODIR & IODIR_P0_14)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_14 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_14_INPUT           Input
**      IODIR_P0_14_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_14( Value ) \
{\
IODIR &= ~(IODIR_P0_14 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_14 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_14 \
(IODIR |= IODIR_P0_14)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_14 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_14 \
(IODIR &= ~IODIR_P0_14)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_13 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_13_INPUT           Input
**      IODIR_P0_13_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_13 \
(IODIR & IODIR_P0_13)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_13 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_13_INPUT           Input
**      IODIR_P0_13_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_13( Value ) \
{\
IODIR &= ~(IODIR_P0_13 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_13 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_13 \
(IODIR |= IODIR_P0_13)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_13 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_13 \
(IODIR &= ~IODIR_P0_13)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_12 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_12_INPUT           Input
**      IODIR_P0_12_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_12 \
(IODIR & IODIR_P0_12)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_12 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_12_INPUT           Input
**      IODIR_P0_12_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_12( Value ) \
{\
IODIR &= ~(IODIR_P0_12 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_12 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_12 \
(IODIR |= IODIR_P0_12)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_12 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_12 \
(IODIR &= ~IODIR_P0_12)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_11 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_11_INPUT           Input
**      IODIR_P0_11_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_11 \
(IODIR & IODIR_P0_11)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_11 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_11_INPUT           Input
**      IODIR_P0_11_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_11( Value ) \
{\
IODIR &= ~(IODIR_P0_11 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_11 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_11 \
(IODIR |= IODIR_P0_11)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_11 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_11 \
(IODIR &= ~IODIR_P0_11)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_10 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_10_INPUT           Input
**      IODIR_P0_10_OUTPUT          Output
**
**===========================================================================
*/
#define READ_IODIR_P0_10 \
(IODIR & IODIR_P0_10)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_10 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_10_INPUT           Input
**      IODIR_P0_10_OUTPUT          Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_10( Value ) \
{\
IODIR &= ~(IODIR_P0_10 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_10 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_10 \
(IODIR |= IODIR_P0_10)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_10 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_10 \
(IODIR &= ~IODIR_P0_10)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_9 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_9_INPUT            Input
**      IODIR_P0_9_OUTPUT           Output
**
**===========================================================================
*/
#define READ_IODIR_P0_9 \
(IODIR & IODIR_P0_9)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_9 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_9_INPUT            Input
**      IODIR_P0_9_OUTPUT           Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_9( Value ) \
{\
IODIR &= ~(IODIR_P0_9 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_9 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_9 \
(IODIR |= IODIR_P0_9)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_9 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_9 \
(IODIR &= ~IODIR_P0_9)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_8 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_8_INPUT            Input
**      IODIR_P0_8_OUTPUT           Output
**
**===========================================================================
*/
#define READ_IODIR_P0_8 \
(IODIR & IODIR_P0_8)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_8 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_8_INPUT            Input
**      IODIR_P0_8_OUTPUT           Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_8( Value ) \
{\
IODIR &= ~(IODIR_P0_8 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_8 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_8 \
(IODIR |= IODIR_P0_8)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_8 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_8 \
(IODIR &= ~IODIR_P0_8)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_7 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_7_INPUT            Input
**      IODIR_P0_7_OUTPUT           Output
**
**===========================================================================
*/
#define READ_IODIR_P0_7 \
(IODIR & IODIR_P0_7)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_7 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_7_INPUT            Input
**      IODIR_P0_7_OUTPUT           Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_7( Value ) \
{\
IODIR &= ~(IODIR_P0_7 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_7 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_7 \
(IODIR |= IODIR_P0_7)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_7 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_7 \
(IODIR &= ~IODIR_P0_7)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_6 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_6_INPUT            Input
**      IODIR_P0_6_OUTPUT           Output
**
**===========================================================================
*/
#define READ_IODIR_P0_6 \
(IODIR & IODIR_P0_6)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_6 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_6_INPUT            Input
**      IODIR_P0_6_OUTPUT           Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_6( Value ) \
{\
IODIR &= ~(IODIR_P0_6 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_6 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_6 \
(IODIR |= IODIR_P0_6)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_6 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_6 \
(IODIR &= ~IODIR_P0_6)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_5 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_5_INPUT            Input
**      IODIR_P0_5_OUTPUT           Output
**
**===========================================================================
*/
#define READ_IODIR_P0_5 \
(IODIR & IODIR_P0_5)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_5 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_5_INPUT            Input
**      IODIR_P0_5_OUTPUT           Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_5( Value ) \
{\
IODIR &= ~(IODIR_P0_5 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_5 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_5 \
(IODIR |= IODIR_P0_5)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_5 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_5 \
(IODIR &= ~IODIR_P0_5)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_4 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_4_INPUT            Input
**      IODIR_P0_4_OUTPUT           Output
**
**===========================================================================
*/
#define READ_IODIR_P0_4 \
(IODIR & IODIR_P0_4)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_4 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_4_INPUT            Input
**      IODIR_P0_4_OUTPUT           Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_4( Value ) \
{\
IODIR &= ~(IODIR_P0_4 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_4 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_4 \
(IODIR |= IODIR_P0_4)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_4 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_4 \
(IODIR &= ~IODIR_P0_4)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_3 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_3_INPUT            Input
**      IODIR_P0_3_OUTPUT           Output
**
**===========================================================================
*/
#define READ_IODIR_P0_3 \
(IODIR & IODIR_P0_3)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_3 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_3_INPUT            Input
**      IODIR_P0_3_OUTPUT           Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_3( Value ) \
{\
IODIR &= ~(IODIR_P0_3 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_3 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_3 \
(IODIR |= IODIR_P0_3)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_3 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_3 \
(IODIR &= ~IODIR_P0_3)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_2 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_2_INPUT            Input
**      IODIR_P0_2_OUTPUT           Output
**
**===========================================================================
*/
#define READ_IODIR_P0_2 \
(IODIR & IODIR_P0_2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_2 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_2_INPUT            Input
**      IODIR_P0_2_OUTPUT           Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_2( Value ) \
{\
IODIR &= ~(IODIR_P0_2 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_2 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_2 \
(IODIR |= IODIR_P0_2)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_2 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_2 \
(IODIR &= ~IODIR_P0_2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_1 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_1_INPUT            Input
**      IODIR_P0_1_OUTPUT           Output
**
**===========================================================================
*/
#define READ_IODIR_P0_1 \
(IODIR & IODIR_P0_1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_1 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_1_INPUT            Input
**      IODIR_P0_1_OUTPUT           Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_1( Value ) \
{\
IODIR &= ~(IODIR_P0_1 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_1 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_1 \
(IODIR |= IODIR_P0_1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_1 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_1 \
(IODIR &= ~IODIR_P0_1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_0 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IODIR_P0_0_INPUT            Input
**      IODIR_P0_0_OUTPUT           Output
**
**===========================================================================
*/
#define READ_IODIR_P0_0 \
(IODIR & IODIR_P0_0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_0 bit field
**      in the IODIR register.
**
**  Parameters:
**      IODIR_P0_0_INPUT            Input
**      IODIR_P0_0_OUTPUT           Output
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IODIR_P0_0( Value ) \
{\
IODIR &= ~(IODIR_P0_0 & ~Value); \
IODIR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_0 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IODIR_P0_0 \
(IODIR |= IODIR_P0_0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_0 bit field
**      in the IODIR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IODIR_P0_0 \
(IODIR &= ~IODIR_P0_0)


/*
**---------------------------------------------------------------------------
**  GPIO output set register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_31 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_31_LOW             Low
**      IOCLR_P0_31_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_31 \
(IOCLR & IOCLR_P0_31)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_31 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_31_LOW             Low
**      IOCLR_P0_31_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_31( Value ) \
{\
IOCLR &= ~(IOCLR_P0_31 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_31 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_31 \
(IOCLR |= IOCLR_P0_31)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_31 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_31 \
(IOCLR &= ~IOCLR_P0_31)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_30 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_30_LOW             Low
**      IOCLR_P0_30_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_30 \
(IOCLR & IOCLR_P0_30)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_30 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_30_LOW             Low
**      IOCLR_P0_30_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_30( Value ) \
{\
IOCLR &= ~(IOCLR_P0_30 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_30 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_30 \
(IOCLR |= IOCLR_P0_30)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_30 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_30 \
(IOCLR &= ~IOCLR_P0_30)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_29 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_29_LOW             Low
**      IOCLR_P0_29_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_29 \
(IOCLR & IOCLR_P0_29)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_29 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_29_LOW             Low
**      IOCLR_P0_29_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_29( Value ) \
{\
IOCLR &= ~(IOCLR_P0_29 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_29 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_29 \
(IOCLR |= IOCLR_P0_29)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_29 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_29 \
(IOCLR &= ~IOCLR_P0_29)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_28 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_28_LOW             Low
**      IOCLR_P0_28_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_28 \
(IOCLR & IOCLR_P0_28)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_28 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_28_LOW             Low
**      IOCLR_P0_28_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_28( Value ) \
{\
IOCLR &= ~(IOCLR_P0_28 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_28 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_28 \
(IOCLR |= IOCLR_P0_28)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_28 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_28 \
(IOCLR &= ~IOCLR_P0_28)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_27 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_27_LOW             Low
**      IOCLR_P0_27_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_27 \
(IOCLR & IOCLR_P0_27)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_27 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_27_LOW             Low
**      IOCLR_P0_27_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_27( Value ) \
{\
IOCLR &= ~(IOCLR_P0_27 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_27 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_27 \
(IOCLR |= IOCLR_P0_27)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_27 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_27 \
(IOCLR &= ~IOCLR_P0_27)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_26 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_26_LOW             Low
**      IOCLR_P0_26_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_26 \
(IOCLR & IOCLR_P0_26)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_26 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_26_LOW             Low
**      IOCLR_P0_26_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_26( Value ) \
{\
IOCLR &= ~(IOCLR_P0_26 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_26 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_26 \
(IOCLR |= IOCLR_P0_26)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_26 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_26 \
(IOCLR &= ~IOCLR_P0_26)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_25 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_25_LOW             Low
**      IOCLR_P0_25_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_25 \
(IOCLR & IOCLR_P0_25)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_25 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_25_LOW             Low
**      IOCLR_P0_25_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_25( Value ) \
{\
IOCLR &= ~(IOCLR_P0_25 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_25 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_25 \
(IOCLR |= IOCLR_P0_25)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_25 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_25 \
(IOCLR &= ~IOCLR_P0_25)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_24 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_24_LOW             Low
**      IOCLR_P0_24_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_24 \
(IOCLR & IOCLR_P0_24)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_24 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_24_LOW             Low
**      IOCLR_P0_24_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_24( Value ) \
{\
IOCLR &= ~(IOCLR_P0_24 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_24 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_24 \
(IOCLR |= IOCLR_P0_24)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_24 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_24 \
(IOCLR &= ~IOCLR_P0_24)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_23 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_23_LOW             Low
**      IOCLR_P0_23_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_23 \
(IOCLR & IOCLR_P0_23)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_23 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_23_LOW             Low
**      IOCLR_P0_23_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_23( Value ) \
{\
IOCLR &= ~(IOCLR_P0_23 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_23 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_23 \
(IOCLR |= IOCLR_P0_23)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_23 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_23 \
(IOCLR &= ~IOCLR_P0_23)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_22 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_22_LOW             Low
**      IOCLR_P0_22_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_22 \
(IOCLR & IOCLR_P0_22)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_22 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_22_LOW             Low
**      IOCLR_P0_22_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_22( Value ) \
{\
IOCLR &= ~(IOCLR_P0_22 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_22 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_22 \
(IOCLR |= IOCLR_P0_22)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_22 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_22 \
(IOCLR &= ~IOCLR_P0_22)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_21 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_21_LOW             Low
**      IOCLR_P0_21_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_21 \
(IOCLR & IOCLR_P0_21)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_21 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_21_LOW             Low
**      IOCLR_P0_21_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_21( Value ) \
{\
IOCLR &= ~(IOCLR_P0_21 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_21 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_21 \
(IOCLR |= IOCLR_P0_21)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_21 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_21 \
(IOCLR &= ~IOCLR_P0_21)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_20 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_20_LOW             Low
**      IOCLR_P0_20_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_20 \
(IOCLR & IOCLR_P0_20)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_20 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_20_LOW             Low
**      IOCLR_P0_20_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_20( Value ) \
{\
IOCLR &= ~(IOCLR_P0_20 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_20 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_20 \
(IOCLR |= IOCLR_P0_20)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_20 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_20 \
(IOCLR &= ~IOCLR_P0_20)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_19 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_19_LOW             Low
**      IOCLR_P0_19_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_19 \
(IOCLR & IOCLR_P0_19)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_19 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_19_LOW             Low
**      IOCLR_P0_19_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_19( Value ) \
{\
IOCLR &= ~(IOCLR_P0_19 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_19 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_19 \
(IOCLR |= IOCLR_P0_19)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_19 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_19 \
(IOCLR &= ~IOCLR_P0_19)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_18 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_18_LOW             Low
**      IOCLR_P0_18_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_18 \
(IOCLR & IOCLR_P0_18)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_18 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_18_LOW             Low
**      IOCLR_P0_18_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_18( Value ) \
{\
IOCLR &= ~(IOCLR_P0_18 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_18 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_18 \
(IOCLR |= IOCLR_P0_18)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_18 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_18 \
(IOCLR &= ~IOCLR_P0_18)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_17 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_17_LOW             Low
**      IOCLR_P0_17_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_17 \
(IOCLR & IOCLR_P0_17)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_17 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_17_LOW             Low
**      IOCLR_P0_17_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_17( Value ) \
{\
IOCLR &= ~(IOCLR_P0_17 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_17 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_17 \
(IOCLR |= IOCLR_P0_17)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_17 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_17 \
(IOCLR &= ~IOCLR_P0_17)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_16 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_16_LOW             Low
**      IOCLR_P0_16_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_16 \
(IOCLR & IOCLR_P0_16)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_16 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_16_LOW             Low
**      IOCLR_P0_16_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_16( Value ) \
{\
IOCLR &= ~(IOCLR_P0_16 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_16 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_16 \
(IOCLR |= IOCLR_P0_16)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_16 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_16 \
(IOCLR &= ~IOCLR_P0_16)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_15 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_15_LOW             Low
**      IOCLR_P0_15_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_15 \
(IOCLR & IOCLR_P0_15)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_15 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_15_LOW             Low
**      IOCLR_P0_15_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_15( Value ) \
{\
IOCLR &= ~(IOCLR_P0_15 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_15 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_15 \
(IOCLR |= IOCLR_P0_15)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_15 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_15 \
(IOCLR &= ~IOCLR_P0_15)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_14 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_14_LOW             Low
**      IOCLR_P0_14_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_14 \
(IOCLR & IOCLR_P0_14)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_14 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_14_LOW             Low
**      IOCLR_P0_14_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_14( Value ) \
{\
IOCLR &= ~(IOCLR_P0_14 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_14 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_14 \
(IOCLR |= IOCLR_P0_14)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_14 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_14 \
(IOCLR &= ~IOCLR_P0_14)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_13 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_13_LOW             Low
**      IOCLR_P0_13_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_13 \
(IOCLR & IOCLR_P0_13)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_13 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_13_LOW             Low
**      IOCLR_P0_13_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_13( Value ) \
{\
IOCLR &= ~(IOCLR_P0_13 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_13 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_13 \
(IOCLR |= IOCLR_P0_13)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_13 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_13 \
(IOCLR &= ~IOCLR_P0_13)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_12 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_12_LOW             Low
**      IOCLR_P0_12_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_12 \
(IOCLR & IOCLR_P0_12)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_12 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_12_LOW             Low
**      IOCLR_P0_12_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_12( Value ) \
{\
IOCLR &= ~(IOCLR_P0_12 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_12 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_12 \
(IOCLR |= IOCLR_P0_12)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_12 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_12 \
(IOCLR &= ~IOCLR_P0_12)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_11 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_11_LOW             Low
**      IOCLR_P0_11_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_11 \
(IOCLR & IOCLR_P0_11)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_11 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_11_LOW             Low
**      IOCLR_P0_11_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_11( Value ) \
{\
IOCLR &= ~(IOCLR_P0_11 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_11 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_11 \
(IOCLR |= IOCLR_P0_11)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_11 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_11 \
(IOCLR &= ~IOCLR_P0_11)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_10 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_10_LOW             Low
**      IOCLR_P0_10_HIGH            High
**
**===========================================================================
*/
#define READ_IOCLR_P0_10 \
(IOCLR & IOCLR_P0_10)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_10 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_10_LOW             Low
**      IOCLR_P0_10_HIGH            High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_10( Value ) \
{\
IOCLR &= ~(IOCLR_P0_10 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_10 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_10 \
(IOCLR |= IOCLR_P0_10)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_10 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_10 \
(IOCLR &= ~IOCLR_P0_10)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_9 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_9_LOW              Low
**      IOCLR_P0_9_HIGH             High
**
**===========================================================================
*/
#define READ_IOCLR_P0_9 \
(IOCLR & IOCLR_P0_9)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_9 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_9_LOW              Low
**      IOCLR_P0_9_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_9( Value ) \
{\
IOCLR &= ~(IOCLR_P0_9 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_9 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_9 \
(IOCLR |= IOCLR_P0_9)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_9 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_9 \
(IOCLR &= ~IOCLR_P0_9)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_8 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_8_LOW              Low
**      IOCLR_P0_8_HIGH             High
**
**===========================================================================
*/
#define READ_IOCLR_P0_8 \
(IOCLR & IOCLR_P0_8)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_8 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_8_LOW              Low
**      IOCLR_P0_8_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_8( Value ) \
{\
IOCLR &= ~(IOCLR_P0_8 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_8 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_8 \
(IOCLR |= IOCLR_P0_8)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_8 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_8 \
(IOCLR &= ~IOCLR_P0_8)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_7 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_7_LOW              Low
**      IOCLR_P0_7_HIGH             High
**
**===========================================================================
*/
#define READ_IOCLR_P0_7 \
(IOCLR & IOCLR_P0_7)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_7 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_7_LOW              Low
**      IOCLR_P0_7_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_7( Value ) \
{\
IOCLR &= ~(IOCLR_P0_7 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_7 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_7 \
(IOCLR |= IOCLR_P0_7)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_7 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_7 \
(IOCLR &= ~IOCLR_P0_7)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_6 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_6_LOW              Low
**      IOCLR_P0_6_HIGH             High
**
**===========================================================================
*/
#define READ_IOCLR_P0_6 \
(IOCLR & IOCLR_P0_6)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_6 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_6_LOW              Low
**      IOCLR_P0_6_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_6( Value ) \
{\
IOCLR &= ~(IOCLR_P0_6 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_6 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_6 \
(IOCLR |= IOCLR_P0_6)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_6 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_6 \
(IOCLR &= ~IOCLR_P0_6)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_5 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_5_LOW              Low
**      IOCLR_P0_5_HIGH             High
**
**===========================================================================
*/
#define READ_IOCLR_P0_5 \
(IOCLR & IOCLR_P0_5)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_5 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_5_LOW              Low
**      IOCLR_P0_5_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_5( Value ) \
{\
IOCLR &= ~(IOCLR_P0_5 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_5 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_5 \
(IOCLR |= IOCLR_P0_5)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_5 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_5 \
(IOCLR &= ~IOCLR_P0_5)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_4 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_4_LOW              Low
**      IOCLR_P0_4_HIGH             High
**
**===========================================================================
*/
#define READ_IOCLR_P0_4 \
(IOCLR & IOCLR_P0_4)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_4 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_4_LOW              Low
**      IOCLR_P0_4_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_4( Value ) \
{\
IOCLR &= ~(IOCLR_P0_4 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_4 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_4 \
(IOCLR |= IOCLR_P0_4)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_4 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_4 \
(IOCLR &= ~IOCLR_P0_4)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_3 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_3_LOW              Low
**      IOCLR_P0_3_HIGH             High
**
**===========================================================================
*/
#define READ_IOCLR_P0_3 \
(IOCLR & IOCLR_P0_3)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_3 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_3_LOW              Low
**      IOCLR_P0_3_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_3( Value ) \
{\
IOCLR &= ~(IOCLR_P0_3 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_3 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_3 \
(IOCLR |= IOCLR_P0_3)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_3 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_3 \
(IOCLR &= ~IOCLR_P0_3)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_2 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_2_LOW              Low
**      IOCLR_P0_2_HIGH             High
**
**===========================================================================
*/
#define READ_IOCLR_P0_2 \
(IOCLR & IOCLR_P0_2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_2 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_2_LOW              Low
**      IOCLR_P0_2_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_2( Value ) \
{\
IOCLR &= ~(IOCLR_P0_2 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_2 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_2 \
(IOCLR |= IOCLR_P0_2)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_2 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_2 \
(IOCLR &= ~IOCLR_P0_2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_1 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_1_LOW              Low
**      IOCLR_P0_1_HIGH             High
**
**===========================================================================
*/
#define READ_IOCLR_P0_1 \
(IOCLR & IOCLR_P0_1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_1 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_1_LOW              Low
**      IOCLR_P0_1_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_1( Value ) \
{\
IOCLR &= ~(IOCLR_P0_1 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_1 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_1 \
(IOCLR |= IOCLR_P0_1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_1 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_1 \
(IOCLR &= ~IOCLR_P0_1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_0 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      IOCLR_P0_0_LOW              Low
**      IOCLR_P0_0_HIGH             High
**
**===========================================================================
*/
#define READ_IOCLR_P0_0 \
(IOCLR & IOCLR_P0_0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_0 bit field
**      in the IOCLR register.
**
**  Parameters:
**      IOCLR_P0_0_LOW              Low
**      IOCLR_P0_0_HIGH             High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_IOCLR_P0_0( Value ) \
{\
IOCLR &= ~(IOCLR_P0_0 & ~Value); \
IOCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit P0_0 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_IOCLR_P0_0 \
(IOCLR |= IOCLR_P0_0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit P0_0 bit field
**      in the IOCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_IOCLR_P0_0 \
(IOCLR &= ~IOCLR_P0_0)


/*
**---------------------------------------------------------------------------
**  Pin Function Select Register 0
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_15 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_15_PORT0_15      GPIO Port 0.15
**      PINSEL0_P0_15_RI1           RI1 (UART1)
**      PINSEL0_P0_15_EINT2         EINT2 (INTR)
**
**===========================================================================
*/
#define READ_PINSEL0_P0_15 \
(PINSEL0 & PINSEL0_P0_15)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_15 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_15_PORT0_15      GPIO Port 0.15
**      PINSEL0_P0_15_RI1           RI1 (UART1)
**      PINSEL0_P0_15_EINT2         EINT2 (INTR)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_15( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_15 & ~Value); \
PINSEL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_14 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_14_PORT0_14      GPIO Port 0.14
**      PINSEL0_P0_14_DCD1          DCD1 (UART1)
**      PINSEL0_P0_14_EINT1         EINT1 (INTR)
**
**===========================================================================
*/
#define READ_PINSEL0_P0_14 \
(PINSEL0 & PINSEL0_P0_14)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_14 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_14_PORT0_14      GPIO Port 0.14
**      PINSEL0_P0_14_DCD1          DCD1 (UART1)
**      PINSEL0_P0_14_EINT1         EINT1 (INTR)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_14( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_14 & ~Value); \
PINSEL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_13 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_13_PORT0_13      GPIO Port 0.13
**      PINSEL0_P0_13_DTR1          DTR1 (UART1)
**      PINSEL0_P0_13_MAT1_1        Match 1.1 (Timer 1)
**
**===========================================================================
*/
#define READ_PINSEL0_P0_13 \
(PINSEL0 & PINSEL0_P0_13)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_13 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_13_PORT0_13      GPIO Port 0.13
**      PINSEL0_P0_13_DTR1          DTR1 (UART1)
**      PINSEL0_P0_13_MAT1_1        Match 1.1 (Timer 1)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_13( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_13 & ~Value); \
PINSEL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_12 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_12_PORT0_12      GPIO Port 0.12
**      PINSEL0_P0_12_DSR1          DSR1 (UART1)
**      PINSEL0_P0_12_MAT1_0        Match 1.0 (Timer 1)
**
**===========================================================================
*/
#define READ_PINSEL0_P0_12 \
(PINSEL0 & PINSEL0_P0_12)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_12 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_12_PORT0_12      GPIO Port 0.12
**      PINSEL0_P0_12_DSR1          DSR1 (UART1)
**      PINSEL0_P0_12_MAT1_0        Match 1.0 (Timer 1)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_12( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_12 & ~Value); \
PINSEL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_11 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_11_PORT0_11      GPIO Port 0.11
**      PINSEL0_P0_11_CTS1          CTS1 (UART1)
**      PINSEL0_P0_11_CAP1_1        Capture 1.1 (Timer 1)
**
**===========================================================================
*/
#define READ_PINSEL0_P0_11 \
(PINSEL0 & PINSEL0_P0_11)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_11 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_11_PORT0_11      GPIO Port 0.11
**      PINSEL0_P0_11_CTS1          CTS1 (UART1)
**      PINSEL0_P0_11_CAP1_1        Capture 1.1 (Timer 1)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_11( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_11 & ~Value); \
PINSEL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_10 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_10_PORT0_10      GPIO Port 0.10
**      PINSEL0_P0_10_RTS1          RTS1  (UART1)
**      PINSEL0_P0_10_CAP1_0        Capture 1.0 (Timer 1)
**
**===========================================================================
*/
#define READ_PINSEL0_P0_10 \
(PINSEL0 & PINSEL0_P0_10)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_10 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_10_PORT0_10      GPIO Port 0.10
**      PINSEL0_P0_10_RTS1          RTS1  (UART1)
**      PINSEL0_P0_10_CAP1_0        Capture 1.0 (Timer 1)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_10( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_10 & ~Value); \
PINSEL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_9 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_9_PORT0_9        GPIO Port 0.9
**      PINSEL0_P0_9_RXD1           RxD1 (UART1)
**      PINSEL0_P0_9_PWM6           PWM6
**
**===========================================================================
*/
#define READ_PINSEL0_P0_9 \
(PINSEL0 & PINSEL0_P0_9)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_9 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_9_PORT0_9        GPIO Port 0.9
**      PINSEL0_P0_9_RXD1           RxD1 (UART1)
**      PINSEL0_P0_9_PWM6           PWM6
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_9( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_9 & ~Value); \
PINSEL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_8 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_8_PORT0_8        GPIO Port 0.8
**      PINSEL0_P0_8_TXD1           TxD1 (UART1)
**      PINSEL0_P0_8_PWM4           PWM4
**
**===========================================================================
*/
#define READ_PINSEL0_P0_8 \
(PINSEL0 & PINSEL0_P0_8)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_8 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_8_PORT0_8        GPIO Port 0.8
**      PINSEL0_P0_8_TXD1           TxD1 (UART1)
**      PINSEL0_P0_8_PWM4           PWM4
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_8( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_8 & ~Value); \
PINSEL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_7 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_7_PORT0_7        GPIO Port 0.7
**      PINSEL0_P0_7_SSEL           SSEL (SPI)
**      PINSEL0_P0_7_PWM2           PWM2
**
**===========================================================================
*/
#define READ_PINSEL0_P0_7 \
(PINSEL0 & PINSEL0_P0_7)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_7 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_7_PORT0_7        GPIO Port 0.7
**      PINSEL0_P0_7_SSEL           SSEL (SPI)
**      PINSEL0_P0_7_PWM2           PWM2
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_7( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_7 & ~Value); \
PINSEL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_6 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_6_PORT0_6        GPIO Port 0.6
**      PINSEL0_P0_6_MOSI           MOSI (SPI)
**      PINSEL0_P0_6_CAP0_2         Capture 0.2 (Timer 0)
**
**===========================================================================
*/
#define READ_PINSEL0_P0_6 \
(PINSEL0 & PINSEL0_P0_6)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_6 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_6_PORT0_6        GPIO Port 0.6
**      PINSEL0_P0_6_MOSI           MOSI (SPI)
**      PINSEL0_P0_6_CAP0_2         Capture 0.2 (Timer 0)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_6( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_6 & ~Value); \
PINSEL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_5 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_5_PORT0_5        GPIO Port 0.5
**      PINSEL0_P0_5_MISO           MISO (SPI)
**      PINSEL0_P0_5_MAT0_1         Match 0.1 (Timer 0)
**
**===========================================================================
*/
#define READ_PINSEL0_P0_5 \
(PINSEL0 & PINSEL0_P0_5)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_5 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_5_PORT0_5        GPIO Port 0.5
**      PINSEL0_P0_5_MISO           MISO (SPI)
**      PINSEL0_P0_5_MAT0_1         Match 0.1 (Timer 0)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_5( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_5 & ~Value); \
PINSEL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_4 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_4_PORT0_4        GPIO Port 0.4
**      PINSEL0_P0_4_SCK            SCK (SPI)
**      PINSEL0_P0_4_CAP0_1         Capture 0.1 (Timer 0)
**
**===========================================================================
*/
#define READ_PINSEL0_P0_4 \
(PINSEL0 & PINSEL0_P0_4)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_4 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_4_PORT0_4        GPIO Port 0.4
**      PINSEL0_P0_4_SCK            SCK (SPI)
**      PINSEL0_P0_4_CAP0_1         Capture 0.1 (Timer 0)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_4( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_4 & ~Value); \
PINSEL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_3 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_3_PORT0_3        GPIO Port 0.3
**      PINSEL0_P0_3_SDA            SDA (I2C)
**      PINSEL0_P0_3_MAT0_0         Match 0.0 (Timer 0)
**
**===========================================================================
*/
#define READ_PINSEL0_P0_3 \
(PINSEL0 & PINSEL0_P0_3)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_3 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_3_PORT0_3        GPIO Port 0.3
**      PINSEL0_P0_3_SDA            SDA (I2C)
**      PINSEL0_P0_3_MAT0_0         Match 0.0 (Timer 0)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_3( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_3 & ~Value); \
PINSEL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_2 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_2_PORT0_2        GPIO Port 0.2
**      PINSEL0_P0_2_SCL            SCL (I2C)
**      PINSEL0_P0_2_CAP0_0         Capture 0.0 (Timer 0)
**
**===========================================================================
*/
#define READ_PINSEL0_P0_2 \
(PINSEL0 & PINSEL0_P0_2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_2 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_2_PORT0_2        GPIO Port 0.2
**      PINSEL0_P0_2_SCL            SCL (I2C)
**      PINSEL0_P0_2_CAP0_0         Capture 0.0 (Timer 0)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_2( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_2 & ~Value); \
PINSEL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_1 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_1_PORT0_1        GPIO Port 0.1
**      PINSEL0_P0_1_RXD0           RxD0 (UART0)
**      PINSEL0_P0_1_PWM3           PWM3
**
**===========================================================================
*/
#define READ_PINSEL0_P0_1 \
(PINSEL0 & PINSEL0_P0_1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_1 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_1_PORT0_1        GPIO Port 0.1
**      PINSEL0_P0_1_RXD0           RxD0 (UART0)
**      PINSEL0_P0_1_PWM3           PWM3
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_1( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_1 & ~Value); \
PINSEL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_0 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL0_P0_0_PORT0_0        GPIO Port 0.0
**      PINSEL0_P0_0_TXD0           TxD0 (UART0)
**      PINSEL0_P0_0_PWM1           PWM1
**
**===========================================================================
*/
#define READ_PINSEL0_P0_0 \
(PINSEL0 & PINSEL0_P0_0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_0 bit field
**      in the PINSEL0 register.
**
**  Parameters:
**      PINSEL0_P0_0_PORT0_0        GPIO Port 0.0
**      PINSEL0_P0_0_TXD0           TxD0 (UART0)
**      PINSEL0_P0_0_PWM1           PWM1
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL0_P0_0( Value ) \
{\
PINSEL0 &= ~(PINSEL0_P0_0 & ~Value); \
PINSEL0 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Pin Function Select Register 1
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_31 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_31_PORT0_31      GPIO Port 0.31
**      PINSEL1_P0_31_TDO           TDO (JTAG)
**
**===========================================================================
*/
#define READ_PINSEL1_P0_31 \
(PINSEL1 & PINSEL1_P0_31)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_31 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_31_PORT0_31      GPIO Port 0.31
**      PINSEL1_P0_31_TDO           TDO (JTAG)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_31( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_31 & ~Value); \
PINSEL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_30 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_30_PORT0_30      GPIO Port 0.30
**      PINSEL1_P0_30_TDI           TDI (JTAG)
**
**===========================================================================
*/
#define READ_PINSEL1_P0_30 \
(PINSEL1 & PINSEL1_P0_30)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_30 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_30_PORT0_30      GPIO Port 0.30
**      PINSEL1_P0_30_TDI           TDI (JTAG)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_30( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_30 & ~Value); \
PINSEL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_29 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_29_PORT0_29      GPIO Port 0.29
**      PINSEL1_P0_29_TCK           TCK (JTAG)
**
**===========================================================================
*/
#define READ_PINSEL1_P0_29 \
(PINSEL1 & PINSEL1_P0_29)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_29 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_29_PORT0_29      GPIO Port 0.29
**      PINSEL1_P0_29_TCK           TCK (JTAG)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_29( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_29 & ~Value); \
PINSEL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_28 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_28_PORT0_28      GPIO Port 0.28
**      PINSEL1_P0_28_TMS           TMS (JTAG)
**
**===========================================================================
*/
#define READ_PINSEL1_P0_28 \
(PINSEL1 & PINSEL1_P0_28)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_28 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_28_PORT0_28      GPIO Port 0.28
**      PINSEL1_P0_28_TMS           TMS (JTAG)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_28( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_28 & ~Value); \
PINSEL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_27 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_27_PORT0_27      GPIO Port 0.27
**      PINSEL1_P0_27_TRST          TRST (JTAG)
**
**===========================================================================
*/
#define READ_PINSEL1_P0_27 \
(PINSEL1 & PINSEL1_P0_27)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_27 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_27_PORT0_27      GPIO Port 0.27
**      PINSEL1_P0_27_TRST          TRST (JTAG)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_27( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_27 & ~Value); \
PINSEL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_26 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_26_PORT0_26      GPIO Port 0.26
**
**===========================================================================
*/
#define READ_PINSEL1_P0_26 \
(PINSEL1 & PINSEL1_P0_26)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_26 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_26_PORT0_26      GPIO Port 0.26
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_26( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_26 & ~Value); \
PINSEL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_25 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_25_PORT0_25      GPIO Port 0.25
**
**===========================================================================
*/
#define READ_PINSEL1_P0_25 \
(PINSEL1 & PINSEL1_P0_25)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_25 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_25_PORT0_25      GPIO Port 0.25
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_25( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_25 & ~Value); \
PINSEL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_24 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_24_PORT0_24      GPIO Port 0.24
**
**===========================================================================
*/
#define READ_PINSEL1_P0_24 \
(PINSEL1 & PINSEL1_P0_24)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_24 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_24_PORT0_24      GPIO Port 0.24
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_24( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_24 & ~Value); \
PINSEL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_23 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_23_PORT0_23      GPIO Port 0.23
**
**===========================================================================
*/
#define READ_PINSEL1_P0_23 \
(PINSEL1 & PINSEL1_P0_23)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_23 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_23_PORT0_23      GPIO Port 0.23
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_23( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_23 & ~Value); \
PINSEL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_22 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_22_PORT0_22      GPIO Port 0.22
**
**===========================================================================
*/
#define READ_PINSEL1_P0_22 \
(PINSEL1 & PINSEL1_P0_22)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_22 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_22_PORT0_22      GPIO Port 0.22
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_22( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_22 & ~Value); \
PINSEL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_21 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_21_PORT0_21      GPIO Port 0.21
**      PINSEL1_P0_21_PWM5          PWM5
**
**===========================================================================
*/
#define READ_PINSEL1_P0_21 \
(PINSEL1 & PINSEL1_P0_21)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_21 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_21_PORT0_21      GPIO Port 0.21
**      PINSEL1_P0_21_PWM5          PWM5
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_21( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_21 & ~Value); \
PINSEL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_20 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_20_PORT0_20      GPIO Port 0.20
**      PINSEL1_P0_20_MAT1_3        Match 1.3 (Timer 1)
**
**===========================================================================
*/
#define READ_PINSEL1_P0_20 \
(PINSEL1 & PINSEL1_P0_20)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_20 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_20_PORT0_20      GPIO Port 0.20
**      PINSEL1_P0_20_MAT1_3        Match 1.3 (Timer 1)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_20( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_20 & ~Value); \
PINSEL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_19 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_19_PORT0_19      GPIO Port 0.19
**      PINSEL1_P0_19_MAT1_2        Match 1.2 (Timer 1)
**
**===========================================================================
*/
#define READ_PINSEL1_P0_19 \
(PINSEL1 & PINSEL1_P0_19)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_19 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_19_PORT0_19      GPIO Port 0.19
**      PINSEL1_P0_19_MAT1_2        Match 1.2 (Timer 1)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_19( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_19 & ~Value); \
PINSEL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_18 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_18_PORT0_18      GPIO Port 0.18
**      PINSEL1_P0_18_CAP1_3        Capture 1.3 (Timer 1)
**
**===========================================================================
*/
#define READ_PINSEL1_P0_18 \
(PINSEL1 & PINSEL1_P0_18)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_18 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_18_PORT0_18      GPIO Port 0.18
**      PINSEL1_P0_18_CAP1_3        Capture 1.3 (Timer 1)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_18( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_18 & ~Value); \
PINSEL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_17 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_17_PORT0_17      GPIO Port 0.17
**      PINSEL1_P0_17_CAP1_2        Capture 1.2 (Timer 1)
**
**===========================================================================
*/
#define READ_PINSEL1_P0_17 \
(PINSEL1 & PINSEL1_P0_17)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_17 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_17_PORT0_17      GPIO Port 0.17
**      PINSEL1_P0_17_CAP1_2        Capture 1.2 (Timer 1)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_17( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_17 & ~Value); \
PINSEL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the P0_16 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      PINSEL1_P0_16_PORT0_16      GPIO Port 0.16
**      PINSEL1_P0_16_EINT0         EINT0 (INTR)
**      PINSEL1_P0_16_MAT0_2        Match 0.2 (Timer 0)
**
**===========================================================================
*/
#define READ_PINSEL1_P0_16 \
(PINSEL1 & PINSEL1_P0_16)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the P0_16 bit field
**      in the PINSEL1 register.
**
**  Parameters:
**      PINSEL1_P0_16_PORT0_16      GPIO Port 0.16
**      PINSEL1_P0_16_EINT0         EINT0 (INTR)
**      PINSEL1_P0_16_MAT0_2        Match 0.2 (Timer 0)
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PINSEL1_P0_16( Value ) \
{\
PINSEL1 &= ~(PINSEL1_P0_16 & ~Value); \
PINSEL1 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  MAM Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MODECTRL bit field
**      in the MAMCR register.
**
**  Parameters:
**      None
**
**  Return values:
**      MAMCR_MODECTRL_DISABLED     MAM disabled
**      MAMCR_MODECTRL_PARTIALLY    MAM partially enabled
**      MAMCR_MODECTRL_ENABLED      MAM fully enabled
**
**===========================================================================
*/
#define READ_MAMCR_MODECTRL \
(MAMCR & MAMCR_MODECTRL)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MODECTRL bit field
**      in the MAMCR register.
**
**  Parameters:
**      MAMCR_MODECTRL_DISABLED     MAM disabled
**      MAMCR_MODECTRL_PARTIALLY    MAM partially enabled
**      MAMCR_MODECTRL_ENABLED      MAM fully enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_MAMCR_MODECTRL( Value ) \
{\
MAMCR &= ~(MAMCR_MODECTRL & ~Value); \
MAMCR |= Value; \
}


/*
**---------------------------------------------------------------------------
**  MAM Timing Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the CYCLES bit field
**      in the MAMTIM register.
**
**  Parameters:
**      None
**
**  Return values:
**      MAMTIM_CYCLES_ONE           1 processor clock
**      MAMTIM_CYCLES_TWO           2 processor clock
**      MAMTIM_CYCLES_THREE         3 processor clock
**      MAMTIM_CYCLES_FOUR          4 processor clock
**      MAMTIM_CYCLES_FIVE          5 processor clock
**      MAMTIM_CYCLES_SIX           6 processor clock
**      MAMTIM_CYCLES_SEVEN         7 processor clock
**
**===========================================================================
*/
#define READ_MAMTIM_CYCLES \
(MAMTIM & MAMTIM_CYCLES)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the CYCLES bit field
**      in the MAMTIM register.
**
**  Parameters:
**      MAMTIM_CYCLES_ONE           1 processor clock
**      MAMTIM_CYCLES_TWO           2 processor clock
**      MAMTIM_CYCLES_THREE         3 processor clock
**      MAMTIM_CYCLES_FOUR          4 processor clock
**      MAMTIM_CYCLES_FIVE          5 processor clock
**      MAMTIM_CYCLES_SIX           6 processor clock
**      MAMTIM_CYCLES_SEVEN         7 processor clock
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_MAMTIM_CYCLES( Value ) \
{\
MAMTIM &= ~(MAMTIM_CYCLES & ~Value); \
MAMTIM |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Memory Mapping Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MAP bit field
**      in the MEMMAP register.
**
**  Parameters:
**      None
**
**  Return values:
**      MEMMAP_MAP_BOOT             Boot loader mode
**      MEMMAP_MAP_FLASH            Flash mode
**      MEMMAP_MAP_RAM              RAM mode
**
**===========================================================================
*/
#define READ_MEMMAP_MAP \
(MEMMAP & MEMMAP_MAP)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MAP bit field
**      in the MEMMAP register.
**
**  Parameters:
**      MEMMAP_MAP_BOOT             Boot loader mode
**      MEMMAP_MAP_FLASH            Flash mode
**      MEMMAP_MAP_RAM              RAM mode
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_MEMMAP_MAP( Value ) \
{\
MEMMAP &= ~(MEMMAP_MAP & ~Value); \
MEMMAP |= Value; \
}


/*
**---------------------------------------------------------------------------
**  PLL Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PLLC bit field
**      in the PLLCON register.
**
**  Parameters:
**      None
**
**  Return values:
**      PLLCON_PLLC_DISCONNECTED    Disconnected
**      PLLCON_PLLC_CONNECTED       Connected
**
**===========================================================================
*/
#define READ_PLLCON_PLLC \
(PLLCON & PLLCON_PLLC)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PLLC bit field
**      in the PLLCON register.
**
**  Parameters:
**      PLLCON_PLLC_DISCONNECTED    Disconnected
**      PLLCON_PLLC_CONNECTED       Connected
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PLLCON_PLLC( Value ) \
{\
PLLCON &= ~(PLLCON_PLLC & ~Value); \
PLLCON |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit PLLC bit field
**      in the PLLCON register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PLLCON_PLLC \
(PLLCON |= PLLCON_PLLC)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit PLLC bit field
**      in the PLLCON register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PLLCON_PLLC \
(PLLCON &= ~PLLCON_PLLC)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PLLE bit field
**      in the PLLCON register.
**
**  Parameters:
**      None
**
**  Return values:
**      PLLCON_PLLE_DISABLED        Disabled
**      PLLCON_PLLE_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PLLCON_PLLE \
(PLLCON & PLLCON_PLLE)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PLLE bit field
**      in the PLLCON register.
**
**  Parameters:
**      PLLCON_PLLE_DISABLED        Disabled
**      PLLCON_PLLE_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PLLCON_PLLE( Value ) \
{\
PLLCON &= ~(PLLCON_PLLE & ~Value); \
PLLCON |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit PLLE bit field
**      in the PLLCON register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PLLCON_PLLE \
(PLLCON |= PLLCON_PLLE)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit PLLE bit field
**      in the PLLCON register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PLLCON_PLLE \
(PLLCON &= ~PLLCON_PLLE)


/*
**---------------------------------------------------------------------------
**  PLL Configuration Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PSEL bit field
**      in the PLLCFG register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PLLCFG_PSEL \
(PLLCFG & PLLCFG_PSEL)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PSEL bit field
**      in the PLLCFG register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PLLCFG_PSEL( Value ) \
{\
PLLCFG &= ~(PLLCFG_PSEL & ~Value); \
PLLCFG |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MSEL bit field
**      in the PLLCFG register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PLLCFG_MSEL \
(PLLCFG & PLLCFG_MSEL)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the MSEL bit field
**      in the PLLCFG register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PLLCFG_MSEL( Value ) \
{\
PLLCFG &= ~(PLLCFG_MSEL & ~Value); \
PLLCFG |= Value; \
}


/*
**---------------------------------------------------------------------------
**  PLL Status Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PLOCK bit field
**      in the PLLSTAT register.
**
**  Parameters:
**      None
**
**  Return values:
**      PLLSTAT_PLOCK_UNLOCKED      Unlocked
**      PLLSTAT_PLOCK_LOCKED        Locked
**
**===========================================================================
*/
#define READ_PLLSTAT_PLOCK \
(PLLSTAT & PLLSTAT_PLOCK)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PLLC bit field
**      in the PLLSTAT register.
**
**  Parameters:
**      None
**
**  Return values:
**      PLLSTAT_PLLC_DISCONNECTED   Disconnected
**      PLLSTAT_PLLC_CONNECTED      Connected
**
**===========================================================================
*/
#define READ_PLLSTAT_PLLC \
(PLLSTAT & PLLSTAT_PLLC)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PLLE bit field
**      in the PLLSTAT register.
**
**  Parameters:
**      None
**
**  Return values:
**      PLLSTAT_PLLE_DISABLED       Disabled
**      PLLSTAT_PLLE_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_PLLSTAT_PLLE \
(PLLSTAT & PLLSTAT_PLLE)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PSEL bit field
**      in the PLLSTAT register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PLLSTAT_PSEL \
(PLLSTAT & PLLSTAT_PSEL)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the MSEL bit field
**      in the PLLSTAT register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_PLLSTAT_MSEL \
(PLLSTAT & PLLSTAT_MSEL)


/*
**---------------------------------------------------------------------------
**  PLL Feed Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the FEED bit field
**      in the PLLFEED register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PLLFEED_FEED( Value ) \
{\
PLLFEED &= ~(PLLFEED_FEED & ~Value); \
PLLFEED |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Power Control Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PD bit field
**      in the PCON register.
**
**  Parameters:
**      None
**
**  Return values:
**      PCON_PD_DISABLED            Disabled
**      PCON_PD_ENABLED             Enabled
**
**===========================================================================
*/
#define READ_PCON_PD \
(PCON & PCON_PD)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PD bit field
**      in the PCON register.
**
**  Parameters:
**      PCON_PD_DISABLED            Disabled
**      PCON_PD_ENABLED             Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PCON_PD( Value ) \
{\
PCON &= ~(PCON_PD & ~Value); \
PCON |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit PD bit field
**      in the PCON register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PCON_PD \
(PCON |= PCON_PD)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit PD bit field
**      in the PCON register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PCON_PD \
(PCON &= ~PCON_PD)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the IDL bit field
**      in the PCON register.
**
**  Parameters:
**      None
**
**  Return values:
**      PCON_IDL_DISABLED           Disabled
**      PCON_IDL_ENABLED            Enabled
**
**===========================================================================
*/
#define READ_PCON_IDL \
(PCON & PCON_IDL)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the IDL bit field
**      in the PCON register.
**
**  Parameters:
**      PCON_IDL_DISABLED           Disabled
**      PCON_IDL_ENABLED            Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PCON_IDL( Value ) \
{\
PCON &= ~(PCON_IDL & ~Value); \
PCON |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit IDL bit field
**      in the PCON register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PCON_IDL \
(PCON |= PCON_IDL)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit IDL bit field
**      in the PCON register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PCON_IDL \
(PCON &= ~PCON_IDL)


/*
**---------------------------------------------------------------------------
**  Power Control for Peripherals Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PCRTC bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      PCONP_PCRTC_DISABLED        Disabled
**      PCONP_PCRTC_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PCONP_PCRTC \
(PCONP & PCONP_PCRTC)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PCRTC bit field
**      in the PCONP register.
**
**  Parameters:
**      PCONP_PCRTC_DISABLED        Disabled
**      PCONP_PCRTC_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PCONP_PCRTC( Value ) \
{\
PCONP &= ~(PCONP_PCRTC & ~Value); \
PCONP |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit PCRTC bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PCONP_PCRTC \
(PCONP |= PCONP_PCRTC)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit PCRTC bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PCONP_PCRTC \
(PCONP &= ~PCONP_PCRTC)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PCSPI bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      PCONP_PCSPI_DISABLED        Disabled
**      PCONP_PCSPI_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PCONP_PCSPI \
(PCONP & PCONP_PCSPI)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PCSPI bit field
**      in the PCONP register.
**
**  Parameters:
**      PCONP_PCSPI_DISABLED        Disabled
**      PCONP_PCSPI_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PCONP_PCSPI( Value ) \
{\
PCONP &= ~(PCONP_PCSPI & ~Value); \
PCONP |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit PCSPI bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PCONP_PCSPI \
(PCONP |= PCONP_PCSPI)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit PCSPI bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PCONP_PCSPI \
(PCONP &= ~PCONP_PCSPI)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PCI2C bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      PCONP_PCI2C_DISABLED        Disabled
**      PCONP_PCI2C_ENABLED         Enabled
**
**===========================================================================
*/
#define READ_PCONP_PCI2C \
(PCONP & PCONP_PCI2C)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PCI2C bit field
**      in the PCONP register.
**
**  Parameters:
**      PCONP_PCI2C_DISABLED        Disabled
**      PCONP_PCI2C_ENABLED         Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PCONP_PCI2C( Value ) \
{\
PCONP &= ~(PCONP_PCI2C & ~Value); \
PCONP |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit PCI2C bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PCONP_PCI2C \
(PCONP |= PCONP_PCI2C)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit PCI2C bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PCONP_PCI2C \
(PCONP &= ~PCONP_PCI2C)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PCPWM0 bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      PCONP_PCPWM0_DISABLED       Disabled
**      PCONP_PCPWM0_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_PCONP_PCPWM0 \
(PCONP & PCONP_PCPWM0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PCPWM0 bit field
**      in the PCONP register.
**
**  Parameters:
**      PCONP_PCPWM0_DISABLED       Disabled
**      PCONP_PCPWM0_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PCONP_PCPWM0( Value ) \
{\
PCONP &= ~(PCONP_PCPWM0 & ~Value); \
PCONP |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit PCPWM0 bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PCONP_PCPWM0 \
(PCONP |= PCONP_PCPWM0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit PCPWM0 bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PCONP_PCPWM0 \
(PCONP &= ~PCONP_PCPWM0)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PCURT1 bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      PCONP_PCURT1_DISABLED       Disabled
**      PCONP_PCURT1_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_PCONP_PCURT1 \
(PCONP & PCONP_PCURT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PCURT1 bit field
**      in the PCONP register.
**
**  Parameters:
**      PCONP_PCURT1_DISABLED       Disabled
**      PCONP_PCURT1_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PCONP_PCURT1( Value ) \
{\
PCONP &= ~(PCONP_PCURT1 & ~Value); \
PCONP |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit PCURT1 bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PCONP_PCURT1 \
(PCONP |= PCONP_PCURT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit PCURT1 bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PCONP_PCURT1 \
(PCONP &= ~PCONP_PCURT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PCURT0 bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      PCONP_PCURT0_DISABLED       Disabled
**      PCONP_PCURT0_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_PCONP_PCURT0 \
(PCONP & PCONP_PCURT0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PCURT0 bit field
**      in the PCONP register.
**
**  Parameters:
**      PCONP_PCURT0_DISABLED       Disabled
**      PCONP_PCURT0_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PCONP_PCURT0( Value ) \
{\
PCONP &= ~(PCONP_PCURT0 & ~Value); \
PCONP |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit PCURT0 bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PCONP_PCURT0 \
(PCONP |= PCONP_PCURT0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit PCURT0 bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PCONP_PCURT0 \
(PCONP &= ~PCONP_PCURT0)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PCTIM1 bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      PCONP_PCTIM1_DISABLED       Disabled
**      PCONP_PCTIM1_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_PCONP_PCTIM1 \
(PCONP & PCONP_PCTIM1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PCTIM1 bit field
**      in the PCONP register.
**
**  Parameters:
**      PCONP_PCTIM1_DISABLED       Disabled
**      PCONP_PCTIM1_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PCONP_PCTIM1( Value ) \
{\
PCONP &= ~(PCONP_PCTIM1 & ~Value); \
PCONP |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit PCTIM1 bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PCONP_PCTIM1 \
(PCONP |= PCONP_PCTIM1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit PCTIM1 bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PCONP_PCTIM1 \
(PCONP &= ~PCONP_PCTIM1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PCTIM0 bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      PCONP_PCTIM0_DISABLED       Disabled
**      PCONP_PCTIM0_ENABLED        Enabled
**
**===========================================================================
*/
#define READ_PCONP_PCTIM0 \
(PCONP & PCONP_PCTIM0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PCTIM0 bit field
**      in the PCONP register.
**
**  Parameters:
**      PCONP_PCTIM0_DISABLED       Disabled
**      PCONP_PCTIM0_ENABLED        Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_PCONP_PCTIM0( Value ) \
{\
PCONP &= ~(PCONP_PCTIM0 & ~Value); \
PCONP |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit PCTIM0 bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_PCONP_PCTIM0 \
(PCONP |= PCONP_PCTIM0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit PCTIM0 bit field
**      in the PCONP register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_PCONP_PCTIM0 \
(PCONP &= ~PCONP_PCTIM0)


/*
**---------------------------------------------------------------------------
**  VPB Divider Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the VPBDIV bit field
**      in the VPBDIV register.
**
**  Parameters:
**      None
**
**  Return values:
**      VPBDIV_VPBDIV_DIV_1         VPB bus clock is same as the processor clock
**      VPBDIV_VPBDIV_DIV_2         VPB bus clock is 1/2 of the processor clock
**      VPBDIV_VPBDIV_DIV_4         VPB bus clock is 1/4 of the processor clock
**
**===========================================================================
*/
#define READ_VPBDIV_VPBDIV \
(VPBDIV & VPBDIV_VPBDIV)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the VPBDIV bit field
**      in the VPBDIV register.
**
**  Parameters:
**      VPBDIV_VPBDIV_DIV_1         VPB bus clock is same as the processor clock
**      VPBDIV_VPBDIV_DIV_2         VPB bus clock is 1/2 of the processor clock
**      VPBDIV_VPBDIV_DIV_4         VPB bus clock is 1/4 of the processor clock
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VPBDIV_VPBDIV( Value ) \
{\
VPBDIV &= ~(VPBDIV_VPBDIV & ~Value); \
VPBDIV |= Value; \
}


/*
**---------------------------------------------------------------------------
**  External Interrupt Flag Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EINT2 bit field
**      in the EXTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      EXTINT_EINT2_NO_INTERRUPT   No interrupt
**      EXTINT_EINT2_INTERRUPT      Interrupt
**
**===========================================================================
*/
#define READ_EXTINT_EINT2 \
(EXTINT & EXTINT_EINT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EINT2 bit field
**      in the EXTINT register.
**
**  Parameters:
**      EXTINT_EINT2_NO_INTERRUPT   No interrupt
**      EXTINT_EINT2_INTERRUPT      Interrupt
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_EXTINT_EINT2( Value ) \
{\
EXTINT &= ~(EXTINT_EINT2 & ~Value); \
EXTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EINT2 bit field
**      in the EXTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_EXTINT_EINT2 \
(EXTINT |= EXTINT_EINT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EINT2 bit field
**      in the EXTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_EXTINT_EINT2 \
(EXTINT &= ~EXTINT_EINT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EINT1 bit field
**      in the EXTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      EXTINT_EINT1_NO_INTERRUPT   No interrupt
**      EXTINT_EINT1_INTERRUPT      Interrupt
**
**===========================================================================
*/
#define READ_EXTINT_EINT1 \
(EXTINT & EXTINT_EINT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EINT1 bit field
**      in the EXTINT register.
**
**  Parameters:
**      EXTINT_EINT1_NO_INTERRUPT   No interrupt
**      EXTINT_EINT1_INTERRUPT      Interrupt
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_EXTINT_EINT1( Value ) \
{\
EXTINT &= ~(EXTINT_EINT1 & ~Value); \
EXTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EINT1 bit field
**      in the EXTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_EXTINT_EINT1 \
(EXTINT |= EXTINT_EINT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EINT1 bit field
**      in the EXTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_EXTINT_EINT1 \
(EXTINT &= ~EXTINT_EINT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EINT0 bit field
**      in the EXTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      EXTINT_EINT0_NO_INTERRUPT   No interrupt
**      EXTINT_EINT0_INTERRUPT      Interrupt
**
**===========================================================================
*/
#define READ_EXTINT_EINT0 \
(EXTINT & EXTINT_EINT0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EINT0 bit field
**      in the EXTINT register.
**
**  Parameters:
**      EXTINT_EINT0_NO_INTERRUPT   No interrupt
**      EXTINT_EINT0_INTERRUPT      Interrupt
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_EXTINT_EINT0( Value ) \
{\
EXTINT &= ~(EXTINT_EINT0 & ~Value); \
EXTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EINT0 bit field
**      in the EXTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_EXTINT_EINT0 \
(EXTINT |= EXTINT_EINT0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EINT0 bit field
**      in the EXTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_EXTINT_EINT0 \
(EXTINT &= ~EXTINT_EINT0)


/*
**---------------------------------------------------------------------------
**  External Interrupt Wakeup Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EXTWAKE2 bit field
**      in the EXTWAKE register.
**
**  Parameters:
**      None
**
**  Return values:
**      EXTWAKE_EXTWAKE2_DISABLED   Disabled
**      EXTWAKE_EXTWAKE2_ENABLED    Enabled
**
**===========================================================================
*/
#define READ_EXTWAKE_EXTWAKE2 \
(EXTWAKE & EXTWAKE_EXTWAKE2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EXTWAKE2 bit field
**      in the EXTWAKE register.
**
**  Parameters:
**      EXTWAKE_EXTWAKE2_DISABLED   Disabled
**      EXTWAKE_EXTWAKE2_ENABLED    Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_EXTWAKE_EXTWAKE2( Value ) \
{\
EXTWAKE &= ~(EXTWAKE_EXTWAKE2 & ~Value); \
EXTWAKE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EXTWAKE2 bit field
**      in the EXTWAKE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_EXTWAKE_EXTWAKE2 \
(EXTWAKE |= EXTWAKE_EXTWAKE2)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EXTWAKE2 bit field
**      in the EXTWAKE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_EXTWAKE_EXTWAKE2 \
(EXTWAKE &= ~EXTWAKE_EXTWAKE2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EXTWAKE1 bit field
**      in the EXTWAKE register.
**
**  Parameters:
**      None
**
**  Return values:
**      EXTWAKE_EXTWAKE1_DISABLED   Disabled
**      EXTWAKE_EXTWAKE1_ENABLED    Enabled
**
**===========================================================================
*/
#define READ_EXTWAKE_EXTWAKE1 \
(EXTWAKE & EXTWAKE_EXTWAKE1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EXTWAKE1 bit field
**      in the EXTWAKE register.
**
**  Parameters:
**      EXTWAKE_EXTWAKE1_DISABLED   Disabled
**      EXTWAKE_EXTWAKE1_ENABLED    Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_EXTWAKE_EXTWAKE1( Value ) \
{\
EXTWAKE &= ~(EXTWAKE_EXTWAKE1 & ~Value); \
EXTWAKE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EXTWAKE1 bit field
**      in the EXTWAKE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_EXTWAKE_EXTWAKE1 \
(EXTWAKE |= EXTWAKE_EXTWAKE1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EXTWAKE1 bit field
**      in the EXTWAKE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_EXTWAKE_EXTWAKE1 \
(EXTWAKE &= ~EXTWAKE_EXTWAKE1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the EXTWAKE0 bit field
**      in the EXTWAKE register.
**
**  Parameters:
**      None
**
**  Return values:
**      EXTWAKE_EXTWAKE0_DISABLED   Disabled
**      EXTWAKE_EXTWAKE0_ENABLED    Enabled
**
**===========================================================================
*/
#define READ_EXTWAKE_EXTWAKE0 \
(EXTWAKE & EXTWAKE_EXTWAKE0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the EXTWAKE0 bit field
**      in the EXTWAKE register.
**
**  Parameters:
**      EXTWAKE_EXTWAKE0_DISABLED   Disabled
**      EXTWAKE_EXTWAKE0_ENABLED    Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_EXTWAKE_EXTWAKE0( Value ) \
{\
EXTWAKE &= ~(EXTWAKE_EXTWAKE0 & ~Value); \
EXTWAKE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit EXTWAKE0 bit field
**      in the EXTWAKE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_EXTWAKE_EXTWAKE0 \
(EXTWAKE |= EXTWAKE_EXTWAKE0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit EXTWAKE0 bit field
**      in the EXTWAKE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_EXTWAKE_EXTWAKE0 \
(EXTWAKE &= ~EXTWAKE_EXTWAKE0)


/*
**---------------------------------------------------------------------------
**  IRQ Status Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT31 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT31 \
(VICIRQSTATUS & VICIRQSTATUS_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT30 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT30 \
(VICIRQSTATUS & VICIRQSTATUS_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT29 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT29 \
(VICIRQSTATUS & VICIRQSTATUS_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT28 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT28 \
(VICIRQSTATUS & VICIRQSTATUS_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT27 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT27 \
(VICIRQSTATUS & VICIRQSTATUS_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT26 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT26 \
(VICIRQSTATUS & VICIRQSTATUS_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT25 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT25 \
(VICIRQSTATUS & VICIRQSTATUS_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT24 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT24 \
(VICIRQSTATUS & VICIRQSTATUS_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT23 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT23 \
(VICIRQSTATUS & VICIRQSTATUS_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT22 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT22 \
(VICIRQSTATUS & VICIRQSTATUS_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT21 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT21 \
(VICIRQSTATUS & VICIRQSTATUS_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT20 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT20 \
(VICIRQSTATUS & VICIRQSTATUS_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT19 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT19 \
(VICIRQSTATUS & VICIRQSTATUS_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT18 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT18 \
(VICIRQSTATUS & VICIRQSTATUS_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT17 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT17 \
(VICIRQSTATUS & VICIRQSTATUS_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT16 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT16 \
(VICIRQSTATUS & VICIRQSTATUS_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT15 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT15 \
(VICIRQSTATUS & VICIRQSTATUS_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT14 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT14 \
(VICIRQSTATUS & VICIRQSTATUS_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT13 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT13 \
(VICIRQSTATUS & VICIRQSTATUS_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT12 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT12 \
(VICIRQSTATUS & VICIRQSTATUS_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT11 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT11 \
(VICIRQSTATUS & VICIRQSTATUS_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT10 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT10 \
(VICIRQSTATUS & VICIRQSTATUS_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT9 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT9 \
(VICIRQSTATUS & VICIRQSTATUS_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT8 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT8 \
(VICIRQSTATUS & VICIRQSTATUS_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT7 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT7 \
(VICIRQSTATUS & VICIRQSTATUS_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT6 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT6 \
(VICIRQSTATUS & VICIRQSTATUS_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT5 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT5 \
(VICIRQSTATUS & VICIRQSTATUS_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT4 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT4 \
(VICIRQSTATUS & VICIRQSTATUS_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT3 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT3 \
(VICIRQSTATUS & VICIRQSTATUS_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT2 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT2 \
(VICIRQSTATUS & VICIRQSTATUS_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT1 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT1 \
(VICIRQSTATUS & VICIRQSTATUS_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT0 bit field
**      in the VICIRQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICIRQSTATUS_INT0 \
(VICIRQSTATUS & VICIRQSTATUS_INT0)


/*
**---------------------------------------------------------------------------
**  FIQ Status Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT31 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT31 \
(VICFIQSTATUS & VICFIQSTATUS_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT30 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT30 \
(VICFIQSTATUS & VICFIQSTATUS_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT29 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT29 \
(VICFIQSTATUS & VICFIQSTATUS_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT28 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT28 \
(VICFIQSTATUS & VICFIQSTATUS_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT27 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT27 \
(VICFIQSTATUS & VICFIQSTATUS_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT26 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT26 \
(VICFIQSTATUS & VICFIQSTATUS_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT25 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT25 \
(VICFIQSTATUS & VICFIQSTATUS_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT24 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT24 \
(VICFIQSTATUS & VICFIQSTATUS_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT23 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT23 \
(VICFIQSTATUS & VICFIQSTATUS_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT22 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT22 \
(VICFIQSTATUS & VICFIQSTATUS_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT21 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT21 \
(VICFIQSTATUS & VICFIQSTATUS_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT20 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT20 \
(VICFIQSTATUS & VICFIQSTATUS_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT19 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT19 \
(VICFIQSTATUS & VICFIQSTATUS_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT18 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT18 \
(VICFIQSTATUS & VICFIQSTATUS_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT17 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT17 \
(VICFIQSTATUS & VICFIQSTATUS_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT16 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT16 \
(VICFIQSTATUS & VICFIQSTATUS_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT15 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT15 \
(VICFIQSTATUS & VICFIQSTATUS_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT14 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT14 \
(VICFIQSTATUS & VICFIQSTATUS_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT13 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT13 \
(VICFIQSTATUS & VICFIQSTATUS_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT12 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT12 \
(VICFIQSTATUS & VICFIQSTATUS_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT11 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT11 \
(VICFIQSTATUS & VICFIQSTATUS_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT10 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT10 \
(VICFIQSTATUS & VICFIQSTATUS_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT9 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT9 \
(VICFIQSTATUS & VICFIQSTATUS_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT8 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT8 \
(VICFIQSTATUS & VICFIQSTATUS_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT7 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT7 \
(VICFIQSTATUS & VICFIQSTATUS_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT6 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT6 \
(VICFIQSTATUS & VICFIQSTATUS_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT5 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT5 \
(VICFIQSTATUS & VICFIQSTATUS_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT4 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT4 \
(VICFIQSTATUS & VICFIQSTATUS_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT3 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT3 \
(VICFIQSTATUS & VICFIQSTATUS_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT2 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT2 \
(VICFIQSTATUS & VICFIQSTATUS_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT1 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT1 \
(VICFIQSTATUS & VICFIQSTATUS_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT0 bit field
**      in the VICFIQSTATUS register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICFIQSTATUS_INT0 \
(VICFIQSTATUS & VICFIQSTATUS_INT0)


/*
**---------------------------------------------------------------------------
**  VIQ Raw Interrupt Status Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT31 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT31 \
(VICRAWINTR & VICRAWINTR_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT30 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT30 \
(VICRAWINTR & VICRAWINTR_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT29 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT29 \
(VICRAWINTR & VICRAWINTR_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT28 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT28 \
(VICRAWINTR & VICRAWINTR_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT27 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT27 \
(VICRAWINTR & VICRAWINTR_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT26 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT26 \
(VICRAWINTR & VICRAWINTR_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT25 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT25 \
(VICRAWINTR & VICRAWINTR_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT24 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT24 \
(VICRAWINTR & VICRAWINTR_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT23 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT23 \
(VICRAWINTR & VICRAWINTR_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT22 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT22 \
(VICRAWINTR & VICRAWINTR_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT21 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT21 \
(VICRAWINTR & VICRAWINTR_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT20 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT20 \
(VICRAWINTR & VICRAWINTR_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT19 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT19 \
(VICRAWINTR & VICRAWINTR_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT18 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT18 \
(VICRAWINTR & VICRAWINTR_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT17 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT17 \
(VICRAWINTR & VICRAWINTR_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT16 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT16 \
(VICRAWINTR & VICRAWINTR_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT15 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT15 \
(VICRAWINTR & VICRAWINTR_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT14 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT14 \
(VICRAWINTR & VICRAWINTR_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT13 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT13 \
(VICRAWINTR & VICRAWINTR_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT12 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT12 \
(VICRAWINTR & VICRAWINTR_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT11 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT11 \
(VICRAWINTR & VICRAWINTR_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT10 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT10 \
(VICRAWINTR & VICRAWINTR_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT9 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT9 \
(VICRAWINTR & VICRAWINTR_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT8 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT8 \
(VICRAWINTR & VICRAWINTR_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT7 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT7 \
(VICRAWINTR & VICRAWINTR_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT6 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT6 \
(VICRAWINTR & VICRAWINTR_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT5 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT5 \
(VICRAWINTR & VICRAWINTR_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT4 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT4 \
(VICRAWINTR & VICRAWINTR_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT3 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT3 \
(VICRAWINTR & VICRAWINTR_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT2 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT2 \
(VICRAWINTR & VICRAWINTR_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT1 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT1 \
(VICRAWINTR & VICRAWINTR_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT0 bit field
**      in the VICRAWINTR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICRAWINTR_INT0 \
(VICRAWINTR & VICRAWINTR_INT0)


/*
**---------------------------------------------------------------------------
**  Interrupt Select Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT31 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT31_IRQ      IRQ category
**      VICINTSELECT_INT31_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT31 \
(VICINTSELECT & VICINTSELECT_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT31 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT31_IRQ      IRQ category
**      VICINTSELECT_INT31_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT31( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT31 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT31 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT31 \
(VICINTSELECT |= VICINTSELECT_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT31 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT31 \
(VICINTSELECT &= ~VICINTSELECT_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT30 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT30_IRQ      IRQ category
**      VICINTSELECT_INT30_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT30 \
(VICINTSELECT & VICINTSELECT_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT30 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT30_IRQ      IRQ category
**      VICINTSELECT_INT30_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT30( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT30 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT30 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT30 \
(VICINTSELECT |= VICINTSELECT_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT30 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT30 \
(VICINTSELECT &= ~VICINTSELECT_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT29 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT29_IRQ      IRQ category
**      VICINTSELECT_INT29_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT29 \
(VICINTSELECT & VICINTSELECT_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT29 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT29_IRQ      IRQ category
**      VICINTSELECT_INT29_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT29( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT29 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT29 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT29 \
(VICINTSELECT |= VICINTSELECT_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT29 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT29 \
(VICINTSELECT &= ~VICINTSELECT_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT28 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT28_IRQ      IRQ category
**      VICINTSELECT_INT28_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT28 \
(VICINTSELECT & VICINTSELECT_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT28 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT28_IRQ      IRQ category
**      VICINTSELECT_INT28_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT28( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT28 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT28 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT28 \
(VICINTSELECT |= VICINTSELECT_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT28 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT28 \
(VICINTSELECT &= ~VICINTSELECT_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT27 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT27_IRQ      IRQ category
**      VICINTSELECT_INT27_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT27 \
(VICINTSELECT & VICINTSELECT_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT27 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT27_IRQ      IRQ category
**      VICINTSELECT_INT27_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT27( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT27 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT27 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT27 \
(VICINTSELECT |= VICINTSELECT_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT27 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT27 \
(VICINTSELECT &= ~VICINTSELECT_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT26 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT26_IRQ      IRQ category
**      VICINTSELECT_INT26_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT26 \
(VICINTSELECT & VICINTSELECT_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT26 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT26_IRQ      IRQ category
**      VICINTSELECT_INT26_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT26( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT26 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT26 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT26 \
(VICINTSELECT |= VICINTSELECT_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT26 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT26 \
(VICINTSELECT &= ~VICINTSELECT_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT25 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT25_IRQ      IRQ category
**      VICINTSELECT_INT25_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT25 \
(VICINTSELECT & VICINTSELECT_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT25 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT25_IRQ      IRQ category
**      VICINTSELECT_INT25_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT25( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT25 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT25 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT25 \
(VICINTSELECT |= VICINTSELECT_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT25 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT25 \
(VICINTSELECT &= ~VICINTSELECT_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT24 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT24_IRQ      IRQ category
**      VICINTSELECT_INT24_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT24 \
(VICINTSELECT & VICINTSELECT_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT24 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT24_IRQ      IRQ category
**      VICINTSELECT_INT24_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT24( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT24 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT24 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT24 \
(VICINTSELECT |= VICINTSELECT_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT24 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT24 \
(VICINTSELECT &= ~VICINTSELECT_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT23 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT23_IRQ      IRQ category
**      VICINTSELECT_INT23_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT23 \
(VICINTSELECT & VICINTSELECT_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT23 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT23_IRQ      IRQ category
**      VICINTSELECT_INT23_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT23( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT23 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT23 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT23 \
(VICINTSELECT |= VICINTSELECT_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT23 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT23 \
(VICINTSELECT &= ~VICINTSELECT_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT22 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT22_IRQ      IRQ category
**      VICINTSELECT_INT22_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT22 \
(VICINTSELECT & VICINTSELECT_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT22 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT22_IRQ      IRQ category
**      VICINTSELECT_INT22_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT22( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT22 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT22 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT22 \
(VICINTSELECT |= VICINTSELECT_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT22 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT22 \
(VICINTSELECT &= ~VICINTSELECT_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT21 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT21_IRQ      IRQ category
**      VICINTSELECT_INT21_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT21 \
(VICINTSELECT & VICINTSELECT_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT21 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT21_IRQ      IRQ category
**      VICINTSELECT_INT21_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT21( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT21 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT21 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT21 \
(VICINTSELECT |= VICINTSELECT_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT21 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT21 \
(VICINTSELECT &= ~VICINTSELECT_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT20 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT20_IRQ      IRQ category
**      VICINTSELECT_INT20_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT20 \
(VICINTSELECT & VICINTSELECT_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT20 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT20_IRQ      IRQ category
**      VICINTSELECT_INT20_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT20( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT20 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT20 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT20 \
(VICINTSELECT |= VICINTSELECT_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT20 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT20 \
(VICINTSELECT &= ~VICINTSELECT_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT19 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT19_IRQ      IRQ category
**      VICINTSELECT_INT19_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT19 \
(VICINTSELECT & VICINTSELECT_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT19 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT19_IRQ      IRQ category
**      VICINTSELECT_INT19_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT19( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT19 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT19 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT19 \
(VICINTSELECT |= VICINTSELECT_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT19 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT19 \
(VICINTSELECT &= ~VICINTSELECT_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT18 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT18_IRQ      IRQ category
**      VICINTSELECT_INT18_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT18 \
(VICINTSELECT & VICINTSELECT_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT18 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT18_IRQ      IRQ category
**      VICINTSELECT_INT18_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT18( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT18 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT18 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT18 \
(VICINTSELECT |= VICINTSELECT_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT18 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT18 \
(VICINTSELECT &= ~VICINTSELECT_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT17 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT17_IRQ      IRQ category
**      VICINTSELECT_INT17_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT17 \
(VICINTSELECT & VICINTSELECT_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT17 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT17_IRQ      IRQ category
**      VICINTSELECT_INT17_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT17( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT17 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT17 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT17 \
(VICINTSELECT |= VICINTSELECT_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT17 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT17 \
(VICINTSELECT &= ~VICINTSELECT_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT16 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT16_IRQ      IRQ category
**      VICINTSELECT_INT16_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT16 \
(VICINTSELECT & VICINTSELECT_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT16 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT16_IRQ      IRQ category
**      VICINTSELECT_INT16_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT16( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT16 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT16 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT16 \
(VICINTSELECT |= VICINTSELECT_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT16 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT16 \
(VICINTSELECT &= ~VICINTSELECT_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT15 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT15_IRQ      IRQ category
**      VICINTSELECT_INT15_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT15 \
(VICINTSELECT & VICINTSELECT_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT15 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT15_IRQ      IRQ category
**      VICINTSELECT_INT15_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT15( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT15 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT15 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT15 \
(VICINTSELECT |= VICINTSELECT_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT15 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT15 \
(VICINTSELECT &= ~VICINTSELECT_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT14 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT14_IRQ      IRQ category
**      VICINTSELECT_INT14_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT14 \
(VICINTSELECT & VICINTSELECT_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT14 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT14_IRQ      IRQ category
**      VICINTSELECT_INT14_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT14( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT14 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT14 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT14 \
(VICINTSELECT |= VICINTSELECT_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT14 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT14 \
(VICINTSELECT &= ~VICINTSELECT_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT13 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT13_IRQ      IRQ category
**      VICINTSELECT_INT13_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT13 \
(VICINTSELECT & VICINTSELECT_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT13 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT13_IRQ      IRQ category
**      VICINTSELECT_INT13_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT13( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT13 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT13 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT13 \
(VICINTSELECT |= VICINTSELECT_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT13 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT13 \
(VICINTSELECT &= ~VICINTSELECT_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT12 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT12_IRQ      IRQ category
**      VICINTSELECT_INT12_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT12 \
(VICINTSELECT & VICINTSELECT_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT12 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT12_IRQ      IRQ category
**      VICINTSELECT_INT12_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT12( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT12 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT12 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT12 \
(VICINTSELECT |= VICINTSELECT_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT12 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT12 \
(VICINTSELECT &= ~VICINTSELECT_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT11 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT11_IRQ      IRQ category
**      VICINTSELECT_INT11_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT11 \
(VICINTSELECT & VICINTSELECT_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT11 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT11_IRQ      IRQ category
**      VICINTSELECT_INT11_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT11( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT11 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT11 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT11 \
(VICINTSELECT |= VICINTSELECT_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT11 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT11 \
(VICINTSELECT &= ~VICINTSELECT_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT10 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT10_IRQ      IRQ category
**      VICINTSELECT_INT10_FIQ      FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT10 \
(VICINTSELECT & VICINTSELECT_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT10 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT10_IRQ      IRQ category
**      VICINTSELECT_INT10_FIQ      FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT10( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT10 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT10 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT10 \
(VICINTSELECT |= VICINTSELECT_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT10 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT10 \
(VICINTSELECT &= ~VICINTSELECT_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT9 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT9_IRQ       IRQ category
**      VICINTSELECT_INT9_FIQ       FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT9 \
(VICINTSELECT & VICINTSELECT_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT9 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT9_IRQ       IRQ category
**      VICINTSELECT_INT9_FIQ       FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT9( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT9 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT9 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT9 \
(VICINTSELECT |= VICINTSELECT_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT9 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT9 \
(VICINTSELECT &= ~VICINTSELECT_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT8 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT8_IRQ       IRQ category
**      VICINTSELECT_INT8_FIQ       FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT8 \
(VICINTSELECT & VICINTSELECT_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT8 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT8_IRQ       IRQ category
**      VICINTSELECT_INT8_FIQ       FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT8( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT8 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT8 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT8 \
(VICINTSELECT |= VICINTSELECT_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT8 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT8 \
(VICINTSELECT &= ~VICINTSELECT_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT7 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT7_IRQ       IRQ category
**      VICINTSELECT_INT7_FIQ       FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT7 \
(VICINTSELECT & VICINTSELECT_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT7 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT7_IRQ       IRQ category
**      VICINTSELECT_INT7_FIQ       FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT7( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT7 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT7 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT7 \
(VICINTSELECT |= VICINTSELECT_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT7 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT7 \
(VICINTSELECT &= ~VICINTSELECT_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT6 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT6_IRQ       IRQ category
**      VICINTSELECT_INT6_FIQ       FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT6 \
(VICINTSELECT & VICINTSELECT_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT6 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT6_IRQ       IRQ category
**      VICINTSELECT_INT6_FIQ       FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT6( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT6 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT6 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT6 \
(VICINTSELECT |= VICINTSELECT_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT6 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT6 \
(VICINTSELECT &= ~VICINTSELECT_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT5 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT5_IRQ       IRQ category
**      VICINTSELECT_INT5_FIQ       FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT5 \
(VICINTSELECT & VICINTSELECT_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT5 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT5_IRQ       IRQ category
**      VICINTSELECT_INT5_FIQ       FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT5( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT5 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT5 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT5 \
(VICINTSELECT |= VICINTSELECT_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT5 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT5 \
(VICINTSELECT &= ~VICINTSELECT_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT4 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT4_IRQ       IRQ category
**      VICINTSELECT_INT4_FIQ       FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT4 \
(VICINTSELECT & VICINTSELECT_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT4 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT4_IRQ       IRQ category
**      VICINTSELECT_INT4_FIQ       FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT4( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT4 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT4 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT4 \
(VICINTSELECT |= VICINTSELECT_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT4 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT4 \
(VICINTSELECT &= ~VICINTSELECT_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT3 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT3_IRQ       IRQ category
**      VICINTSELECT_INT3_FIQ       FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT3 \
(VICINTSELECT & VICINTSELECT_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT3 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT3_IRQ       IRQ category
**      VICINTSELECT_INT3_FIQ       FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT3( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT3 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT3 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT3 \
(VICINTSELECT |= VICINTSELECT_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT3 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT3 \
(VICINTSELECT &= ~VICINTSELECT_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT2 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT2_IRQ       IRQ category
**      VICINTSELECT_INT2_FIQ       FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT2 \
(VICINTSELECT & VICINTSELECT_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT2 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT2_IRQ       IRQ category
**      VICINTSELECT_INT2_FIQ       FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT2( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT2 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT2 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT2 \
(VICINTSELECT |= VICINTSELECT_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT2 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT2 \
(VICINTSELECT &= ~VICINTSELECT_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT1 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT1_IRQ       IRQ category
**      VICINTSELECT_INT1_FIQ       FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT1 \
(VICINTSELECT & VICINTSELECT_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT1 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT1_IRQ       IRQ category
**      VICINTSELECT_INT1_FIQ       FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT1( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT1 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT1 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT1 \
(VICINTSELECT |= VICINTSELECT_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT1 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT1 \
(VICINTSELECT &= ~VICINTSELECT_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT0 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTSELECT_INT0_IRQ       IRQ category
**      VICINTSELECT_INT0_FIQ       FIQ category
**
**===========================================================================
*/
#define READ_VICINTSELECT_INT0 \
(VICINTSELECT & VICINTSELECT_INT0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT0 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      VICINTSELECT_INT0_IRQ       IRQ category
**      VICINTSELECT_INT0_FIQ       FIQ category
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTSELECT_INT0( Value ) \
{\
VICINTSELECT &= ~(VICINTSELECT_INT0 & ~Value); \
VICINTSELECT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT0 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTSELECT_INT0 \
(VICINTSELECT |= VICINTSELECT_INT0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT0 bit field
**      in the VICINTSELECT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTSELECT_INT0 \
(VICINTSELECT &= ~VICINTSELECT_INT0)


/*
**---------------------------------------------------------------------------
**  Interrupt Enable Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT31 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT31_DISABLED Disabled
**      VICINTENABLE_INT31_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT31 \
(VICINTENABLE & VICINTENABLE_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT31 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT31_DISABLED Disabled
**      VICINTENABLE_INT31_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT31( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT31 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT31 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT31 \
(VICINTENABLE |= VICINTENABLE_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT31 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT31 \
(VICINTENABLE &= ~VICINTENABLE_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT30 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT30_DISABLED Disabled
**      VICINTENABLE_INT30_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT30 \
(VICINTENABLE & VICINTENABLE_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT30 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT30_DISABLED Disabled
**      VICINTENABLE_INT30_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT30( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT30 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT30 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT30 \
(VICINTENABLE |= VICINTENABLE_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT30 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT30 \
(VICINTENABLE &= ~VICINTENABLE_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT29 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT29_DISABLED Disabled
**      VICINTENABLE_INT29_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT29 \
(VICINTENABLE & VICINTENABLE_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT29 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT29_DISABLED Disabled
**      VICINTENABLE_INT29_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT29( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT29 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT29 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT29 \
(VICINTENABLE |= VICINTENABLE_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT29 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT29 \
(VICINTENABLE &= ~VICINTENABLE_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT28 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT28_DISABLED Disabled
**      VICINTENABLE_INT28_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT28 \
(VICINTENABLE & VICINTENABLE_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT28 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT28_DISABLED Disabled
**      VICINTENABLE_INT28_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT28( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT28 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT28 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT28 \
(VICINTENABLE |= VICINTENABLE_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT28 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT28 \
(VICINTENABLE &= ~VICINTENABLE_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT27 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT27_DISABLED Disabled
**      VICINTENABLE_INT27_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT27 \
(VICINTENABLE & VICINTENABLE_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT27 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT27_DISABLED Disabled
**      VICINTENABLE_INT27_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT27( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT27 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT27 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT27 \
(VICINTENABLE |= VICINTENABLE_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT27 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT27 \
(VICINTENABLE &= ~VICINTENABLE_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT26 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT26_DISABLED Disabled
**      VICINTENABLE_INT26_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT26 \
(VICINTENABLE & VICINTENABLE_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT26 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT26_DISABLED Disabled
**      VICINTENABLE_INT26_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT26( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT26 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT26 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT26 \
(VICINTENABLE |= VICINTENABLE_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT26 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT26 \
(VICINTENABLE &= ~VICINTENABLE_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT25 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT25_DISABLED Disabled
**      VICINTENABLE_INT25_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT25 \
(VICINTENABLE & VICINTENABLE_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT25 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT25_DISABLED Disabled
**      VICINTENABLE_INT25_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT25( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT25 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT25 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT25 \
(VICINTENABLE |= VICINTENABLE_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT25 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT25 \
(VICINTENABLE &= ~VICINTENABLE_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT24 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT24_DISABLED Disabled
**      VICINTENABLE_INT24_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT24 \
(VICINTENABLE & VICINTENABLE_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT24 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT24_DISABLED Disabled
**      VICINTENABLE_INT24_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT24( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT24 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT24 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT24 \
(VICINTENABLE |= VICINTENABLE_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT24 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT24 \
(VICINTENABLE &= ~VICINTENABLE_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT23 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT23_DISABLED Disabled
**      VICINTENABLE_INT23_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT23 \
(VICINTENABLE & VICINTENABLE_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT23 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT23_DISABLED Disabled
**      VICINTENABLE_INT23_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT23( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT23 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT23 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT23 \
(VICINTENABLE |= VICINTENABLE_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT23 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT23 \
(VICINTENABLE &= ~VICINTENABLE_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT22 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT22_DISABLED Disabled
**      VICINTENABLE_INT22_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT22 \
(VICINTENABLE & VICINTENABLE_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT22 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT22_DISABLED Disabled
**      VICINTENABLE_INT22_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT22( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT22 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT22 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT22 \
(VICINTENABLE |= VICINTENABLE_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT22 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT22 \
(VICINTENABLE &= ~VICINTENABLE_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT21 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT21_DISABLED Disabled
**      VICINTENABLE_INT21_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT21 \
(VICINTENABLE & VICINTENABLE_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT21 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT21_DISABLED Disabled
**      VICINTENABLE_INT21_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT21( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT21 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT21 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT21 \
(VICINTENABLE |= VICINTENABLE_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT21 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT21 \
(VICINTENABLE &= ~VICINTENABLE_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT20 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT20_DISABLED Disabled
**      VICINTENABLE_INT20_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT20 \
(VICINTENABLE & VICINTENABLE_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT20 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT20_DISABLED Disabled
**      VICINTENABLE_INT20_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT20( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT20 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT20 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT20 \
(VICINTENABLE |= VICINTENABLE_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT20 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT20 \
(VICINTENABLE &= ~VICINTENABLE_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT19 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT19_DISABLED Disabled
**      VICINTENABLE_INT19_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT19 \
(VICINTENABLE & VICINTENABLE_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT19 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT19_DISABLED Disabled
**      VICINTENABLE_INT19_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT19( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT19 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT19 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT19 \
(VICINTENABLE |= VICINTENABLE_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT19 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT19 \
(VICINTENABLE &= ~VICINTENABLE_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT18 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT18_DISABLED Disabled
**      VICINTENABLE_INT18_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT18 \
(VICINTENABLE & VICINTENABLE_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT18 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT18_DISABLED Disabled
**      VICINTENABLE_INT18_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT18( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT18 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT18 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT18 \
(VICINTENABLE |= VICINTENABLE_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT18 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT18 \
(VICINTENABLE &= ~VICINTENABLE_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT17 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT17_DISABLED Disabled
**      VICINTENABLE_INT17_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT17 \
(VICINTENABLE & VICINTENABLE_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT17 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT17_DISABLED Disabled
**      VICINTENABLE_INT17_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT17( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT17 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT17 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT17 \
(VICINTENABLE |= VICINTENABLE_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT17 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT17 \
(VICINTENABLE &= ~VICINTENABLE_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT16 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT16_DISABLED Disabled
**      VICINTENABLE_INT16_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT16 \
(VICINTENABLE & VICINTENABLE_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT16 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT16_DISABLED Disabled
**      VICINTENABLE_INT16_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT16( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT16 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT16 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT16 \
(VICINTENABLE |= VICINTENABLE_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT16 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT16 \
(VICINTENABLE &= ~VICINTENABLE_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT15 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT15_DISABLED Disabled
**      VICINTENABLE_INT15_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT15 \
(VICINTENABLE & VICINTENABLE_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT15 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT15_DISABLED Disabled
**      VICINTENABLE_INT15_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT15( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT15 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT15 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT15 \
(VICINTENABLE |= VICINTENABLE_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT15 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT15 \
(VICINTENABLE &= ~VICINTENABLE_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT14 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT14_DISABLED Disabled
**      VICINTENABLE_INT14_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT14 \
(VICINTENABLE & VICINTENABLE_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT14 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT14_DISABLED Disabled
**      VICINTENABLE_INT14_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT14( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT14 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT14 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT14 \
(VICINTENABLE |= VICINTENABLE_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT14 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT14 \
(VICINTENABLE &= ~VICINTENABLE_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT13 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT13_DISABLED Disabled
**      VICINTENABLE_INT13_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT13 \
(VICINTENABLE & VICINTENABLE_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT13 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT13_DISABLED Disabled
**      VICINTENABLE_INT13_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT13( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT13 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT13 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT13 \
(VICINTENABLE |= VICINTENABLE_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT13 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT13 \
(VICINTENABLE &= ~VICINTENABLE_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT12 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT12_DISABLED Disabled
**      VICINTENABLE_INT12_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT12 \
(VICINTENABLE & VICINTENABLE_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT12 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT12_DISABLED Disabled
**      VICINTENABLE_INT12_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT12( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT12 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT12 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT12 \
(VICINTENABLE |= VICINTENABLE_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT12 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT12 \
(VICINTENABLE &= ~VICINTENABLE_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT11 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT11_DISABLED Disabled
**      VICINTENABLE_INT11_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT11 \
(VICINTENABLE & VICINTENABLE_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT11 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT11_DISABLED Disabled
**      VICINTENABLE_INT11_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT11( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT11 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT11 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT11 \
(VICINTENABLE |= VICINTENABLE_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT11 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT11 \
(VICINTENABLE &= ~VICINTENABLE_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT10 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT10_DISABLED Disabled
**      VICINTENABLE_INT10_ENABLED  Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT10 \
(VICINTENABLE & VICINTENABLE_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT10 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT10_DISABLED Disabled
**      VICINTENABLE_INT10_ENABLED  Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT10( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT10 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT10 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT10 \
(VICINTENABLE |= VICINTENABLE_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT10 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT10 \
(VICINTENABLE &= ~VICINTENABLE_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT9 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT9_DISABLED  Disabled
**      VICINTENABLE_INT9_ENABLED   Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT9 \
(VICINTENABLE & VICINTENABLE_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT9 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT9_DISABLED  Disabled
**      VICINTENABLE_INT9_ENABLED   Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT9( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT9 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT9 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT9 \
(VICINTENABLE |= VICINTENABLE_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT9 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT9 \
(VICINTENABLE &= ~VICINTENABLE_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT8 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT8_DISABLED  Disabled
**      VICINTENABLE_INT8_ENABLED   Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT8 \
(VICINTENABLE & VICINTENABLE_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT8 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT8_DISABLED  Disabled
**      VICINTENABLE_INT8_ENABLED   Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT8( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT8 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT8 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT8 \
(VICINTENABLE |= VICINTENABLE_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT8 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT8 \
(VICINTENABLE &= ~VICINTENABLE_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT7 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT7_DISABLED  Disabled
**      VICINTENABLE_INT7_ENABLED   Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT7 \
(VICINTENABLE & VICINTENABLE_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT7 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT7_DISABLED  Disabled
**      VICINTENABLE_INT7_ENABLED   Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT7( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT7 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT7 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT7 \
(VICINTENABLE |= VICINTENABLE_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT7 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT7 \
(VICINTENABLE &= ~VICINTENABLE_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT6 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT6_DISABLED  Disabled
**      VICINTENABLE_INT6_ENABLED   Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT6 \
(VICINTENABLE & VICINTENABLE_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT6 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT6_DISABLED  Disabled
**      VICINTENABLE_INT6_ENABLED   Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT6( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT6 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT6 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT6 \
(VICINTENABLE |= VICINTENABLE_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT6 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT6 \
(VICINTENABLE &= ~VICINTENABLE_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT5 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT5_DISABLED  Disabled
**      VICINTENABLE_INT5_ENABLED   Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT5 \
(VICINTENABLE & VICINTENABLE_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT5 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT5_DISABLED  Disabled
**      VICINTENABLE_INT5_ENABLED   Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT5( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT5 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT5 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT5 \
(VICINTENABLE |= VICINTENABLE_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT5 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT5 \
(VICINTENABLE &= ~VICINTENABLE_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT4 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT4_DISABLED  Disabled
**      VICINTENABLE_INT4_ENABLED   Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT4 \
(VICINTENABLE & VICINTENABLE_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT4 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT4_DISABLED  Disabled
**      VICINTENABLE_INT4_ENABLED   Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT4( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT4 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT4 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT4 \
(VICINTENABLE |= VICINTENABLE_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT4 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT4 \
(VICINTENABLE &= ~VICINTENABLE_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT3 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT3_DISABLED  Disabled
**      VICINTENABLE_INT3_ENABLED   Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT3 \
(VICINTENABLE & VICINTENABLE_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT3 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT3_DISABLED  Disabled
**      VICINTENABLE_INT3_ENABLED   Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT3( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT3 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT3 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT3 \
(VICINTENABLE |= VICINTENABLE_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT3 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT3 \
(VICINTENABLE &= ~VICINTENABLE_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT2 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT2_DISABLED  Disabled
**      VICINTENABLE_INT2_ENABLED   Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT2 \
(VICINTENABLE & VICINTENABLE_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT2 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT2_DISABLED  Disabled
**      VICINTENABLE_INT2_ENABLED   Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT2( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT2 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT2 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT2 \
(VICINTENABLE |= VICINTENABLE_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT2 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT2 \
(VICINTENABLE &= ~VICINTENABLE_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT1 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT1_DISABLED  Disabled
**      VICINTENABLE_INT1_ENABLED   Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT1 \
(VICINTENABLE & VICINTENABLE_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT1 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT1_DISABLED  Disabled
**      VICINTENABLE_INT1_ENABLED   Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT1( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT1 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT1 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT1 \
(VICINTENABLE |= VICINTENABLE_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT1 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT1 \
(VICINTENABLE &= ~VICINTENABLE_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT0 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICINTENABLE_INT0_DISABLED  Disabled
**      VICINTENABLE_INT0_ENABLED   Enabled
**
**===========================================================================
*/
#define READ_VICINTENABLE_INT0 \
(VICINTENABLE & VICINTENABLE_INT0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT0 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      VICINTENABLE_INT0_DISABLED  Disabled
**      VICINTENABLE_INT0_ENABLED   Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENABLE_INT0( Value ) \
{\
VICINTENABLE &= ~(VICINTENABLE_INT0 & ~Value); \
VICINTENABLE |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT0 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENABLE_INT0 \
(VICINTENABLE |= VICINTENABLE_INT0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT0 bit field
**      in the VICINTENABLE register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENABLE_INT0 \
(VICINTENABLE &= ~VICINTENABLE_INT0)


/*
**---------------------------------------------------------------------------
**  Interrupt Enable Clear Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT31 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT31_LOW       Low
**      VICINTENCLR_INT31_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT31( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT31 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT31 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT31 \
(VICINTENCLR |= VICINTENCLR_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT31 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT31 \
(VICINTENCLR &= ~VICINTENCLR_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT30 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT30_LOW       Low
**      VICINTENCLR_INT30_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT30( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT30 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT30 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT30 \
(VICINTENCLR |= VICINTENCLR_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT30 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT30 \
(VICINTENCLR &= ~VICINTENCLR_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT29 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT29_LOW       Low
**      VICINTENCLR_INT29_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT29( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT29 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT29 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT29 \
(VICINTENCLR |= VICINTENCLR_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT29 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT29 \
(VICINTENCLR &= ~VICINTENCLR_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT28 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT28_LOW       Low
**      VICINTENCLR_INT28_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT28( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT28 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT28 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT28 \
(VICINTENCLR |= VICINTENCLR_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT28 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT28 \
(VICINTENCLR &= ~VICINTENCLR_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT27 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT27_LOW       Low
**      VICINTENCLR_INT27_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT27( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT27 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT27 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT27 \
(VICINTENCLR |= VICINTENCLR_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT27 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT27 \
(VICINTENCLR &= ~VICINTENCLR_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT26 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT26_LOW       Low
**      VICINTENCLR_INT26_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT26( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT26 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT26 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT26 \
(VICINTENCLR |= VICINTENCLR_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT26 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT26 \
(VICINTENCLR &= ~VICINTENCLR_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT25 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT25_LOW       Low
**      VICINTENCLR_INT25_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT25( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT25 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT25 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT25 \
(VICINTENCLR |= VICINTENCLR_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT25 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT25 \
(VICINTENCLR &= ~VICINTENCLR_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT24 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT24_LOW       Low
**      VICINTENCLR_INT24_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT24( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT24 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT24 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT24 \
(VICINTENCLR |= VICINTENCLR_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT24 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT24 \
(VICINTENCLR &= ~VICINTENCLR_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT23 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT23_LOW       Low
**      VICINTENCLR_INT23_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT23( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT23 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT23 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT23 \
(VICINTENCLR |= VICINTENCLR_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT23 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT23 \
(VICINTENCLR &= ~VICINTENCLR_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT22 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT22_LOW       Low
**      VICINTENCLR_INT22_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT22( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT22 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT22 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT22 \
(VICINTENCLR |= VICINTENCLR_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT22 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT22 \
(VICINTENCLR &= ~VICINTENCLR_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT21 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT21_LOW       Low
**      VICINTENCLR_INT21_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT21( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT21 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT21 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT21 \
(VICINTENCLR |= VICINTENCLR_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT21 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT21 \
(VICINTENCLR &= ~VICINTENCLR_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT20 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT20_LOW       Low
**      VICINTENCLR_INT20_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT20( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT20 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT20 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT20 \
(VICINTENCLR |= VICINTENCLR_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT20 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT20 \
(VICINTENCLR &= ~VICINTENCLR_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT19 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT19_LOW       Low
**      VICINTENCLR_INT19_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT19( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT19 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT19 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT19 \
(VICINTENCLR |= VICINTENCLR_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT19 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT19 \
(VICINTENCLR &= ~VICINTENCLR_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT18 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT18_LOW       Low
**      VICINTENCLR_INT18_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT18( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT18 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT18 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT18 \
(VICINTENCLR |= VICINTENCLR_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT18 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT18 \
(VICINTENCLR &= ~VICINTENCLR_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT17 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT17_LOW       Low
**      VICINTENCLR_INT17_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT17( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT17 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT17 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT17 \
(VICINTENCLR |= VICINTENCLR_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT17 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT17 \
(VICINTENCLR &= ~VICINTENCLR_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT16 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT16_LOW       Low
**      VICINTENCLR_INT16_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT16( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT16 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT16 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT16 \
(VICINTENCLR |= VICINTENCLR_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT16 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT16 \
(VICINTENCLR &= ~VICINTENCLR_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT15 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT15_LOW       Low
**      VICINTENCLR_INT15_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT15( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT15 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT15 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT15 \
(VICINTENCLR |= VICINTENCLR_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT15 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT15 \
(VICINTENCLR &= ~VICINTENCLR_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT14 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT14_LOW       Low
**      VICINTENCLR_INT14_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT14( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT14 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT14 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT14 \
(VICINTENCLR |= VICINTENCLR_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT14 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT14 \
(VICINTENCLR &= ~VICINTENCLR_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT13 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT13_LOW       Low
**      VICINTENCLR_INT13_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT13( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT13 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT13 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT13 \
(VICINTENCLR |= VICINTENCLR_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT13 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT13 \
(VICINTENCLR &= ~VICINTENCLR_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT12 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT12_LOW       Low
**      VICINTENCLR_INT12_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT12( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT12 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT12 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT12 \
(VICINTENCLR |= VICINTENCLR_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT12 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT12 \
(VICINTENCLR &= ~VICINTENCLR_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT11 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT11_LOW       Low
**      VICINTENCLR_INT11_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT11( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT11 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT11 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT11 \
(VICINTENCLR |= VICINTENCLR_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT11 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT11 \
(VICINTENCLR &= ~VICINTENCLR_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT10 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT10_LOW       Low
**      VICINTENCLR_INT10_HIGH      High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT10( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT10 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT10 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT10 \
(VICINTENCLR |= VICINTENCLR_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT10 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT10 \
(VICINTENCLR &= ~VICINTENCLR_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT9 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT9_LOW        Low
**      VICINTENCLR_INT9_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT9( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT9 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT9 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT9 \
(VICINTENCLR |= VICINTENCLR_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT9 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT9 \
(VICINTENCLR &= ~VICINTENCLR_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT8 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT8_LOW        Low
**      VICINTENCLR_INT8_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT8( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT8 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT8 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT8 \
(VICINTENCLR |= VICINTENCLR_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT8 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT8 \
(VICINTENCLR &= ~VICINTENCLR_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT7 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT7_LOW        Low
**      VICINTENCLR_INT7_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT7( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT7 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT7 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT7 \
(VICINTENCLR |= VICINTENCLR_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT7 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT7 \
(VICINTENCLR &= ~VICINTENCLR_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT6 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT6_LOW        Low
**      VICINTENCLR_INT6_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT6( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT6 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT6 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT6 \
(VICINTENCLR |= VICINTENCLR_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT6 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT6 \
(VICINTENCLR &= ~VICINTENCLR_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT5 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT5_LOW        Low
**      VICINTENCLR_INT5_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT5( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT5 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT5 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT5 \
(VICINTENCLR |= VICINTENCLR_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT5 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT5 \
(VICINTENCLR &= ~VICINTENCLR_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT4 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT4_LOW        Low
**      VICINTENCLR_INT4_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT4( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT4 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT4 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT4 \
(VICINTENCLR |= VICINTENCLR_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT4 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT4 \
(VICINTENCLR &= ~VICINTENCLR_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT3 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT3_LOW        Low
**      VICINTENCLR_INT3_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT3( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT3 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT3 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT3 \
(VICINTENCLR |= VICINTENCLR_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT3 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT3 \
(VICINTENCLR &= ~VICINTENCLR_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT2 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT2_LOW        Low
**      VICINTENCLR_INT2_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT2( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT2 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT2 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT2 \
(VICINTENCLR |= VICINTENCLR_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT2 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT2 \
(VICINTENCLR &= ~VICINTENCLR_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT1 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT1_LOW        Low
**      VICINTENCLR_INT1_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT1( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT1 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT1 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT1 \
(VICINTENCLR |= VICINTENCLR_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT1 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT1 \
(VICINTENCLR &= ~VICINTENCLR_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT0 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      VICINTENCLR_INT0_LOW        Low
**      VICINTENCLR_INT0_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICINTENCLR_INT0( Value ) \
{\
VICINTENCLR &= ~(VICINTENCLR_INT0 & ~Value); \
VICINTENCLR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT0 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICINTENCLR_INT0 \
(VICINTENCLR |= VICINTENCLR_INT0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT0 bit field
**      in the VICINTENCLR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICINTENCLR_INT0 \
(VICINTENCLR &= ~VICINTENCLR_INT0)


/*
**---------------------------------------------------------------------------
**  Software Interrupt Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT31 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT31_LOW        Low
**      VICSOFTINT_INT31_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT31 \
(VICSOFTINT & VICSOFTINT_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT31 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT31_LOW        Low
**      VICSOFTINT_INT31_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT31( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT31 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT31 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT31 \
(VICSOFTINT |= VICSOFTINT_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT31 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT31 \
(VICSOFTINT &= ~VICSOFTINT_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT30 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT30_LOW        Low
**      VICSOFTINT_INT30_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT30 \
(VICSOFTINT & VICSOFTINT_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT30 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT30_LOW        Low
**      VICSOFTINT_INT30_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT30( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT30 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT30 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT30 \
(VICSOFTINT |= VICSOFTINT_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT30 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT30 \
(VICSOFTINT &= ~VICSOFTINT_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT29 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT29_LOW        Low
**      VICSOFTINT_INT29_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT29 \
(VICSOFTINT & VICSOFTINT_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT29 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT29_LOW        Low
**      VICSOFTINT_INT29_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT29( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT29 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT29 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT29 \
(VICSOFTINT |= VICSOFTINT_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT29 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT29 \
(VICSOFTINT &= ~VICSOFTINT_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT28 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT28_LOW        Low
**      VICSOFTINT_INT28_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT28 \
(VICSOFTINT & VICSOFTINT_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT28 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT28_LOW        Low
**      VICSOFTINT_INT28_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT28( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT28 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT28 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT28 \
(VICSOFTINT |= VICSOFTINT_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT28 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT28 \
(VICSOFTINT &= ~VICSOFTINT_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT27 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT27_LOW        Low
**      VICSOFTINT_INT27_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT27 \
(VICSOFTINT & VICSOFTINT_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT27 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT27_LOW        Low
**      VICSOFTINT_INT27_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT27( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT27 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT27 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT27 \
(VICSOFTINT |= VICSOFTINT_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT27 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT27 \
(VICSOFTINT &= ~VICSOFTINT_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT26 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT26_LOW        Low
**      VICSOFTINT_INT26_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT26 \
(VICSOFTINT & VICSOFTINT_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT26 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT26_LOW        Low
**      VICSOFTINT_INT26_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT26( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT26 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT26 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT26 \
(VICSOFTINT |= VICSOFTINT_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT26 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT26 \
(VICSOFTINT &= ~VICSOFTINT_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT25 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT25_LOW        Low
**      VICSOFTINT_INT25_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT25 \
(VICSOFTINT & VICSOFTINT_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT25 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT25_LOW        Low
**      VICSOFTINT_INT25_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT25( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT25 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT25 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT25 \
(VICSOFTINT |= VICSOFTINT_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT25 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT25 \
(VICSOFTINT &= ~VICSOFTINT_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT24 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT24_LOW        Low
**      VICSOFTINT_INT24_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT24 \
(VICSOFTINT & VICSOFTINT_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT24 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT24_LOW        Low
**      VICSOFTINT_INT24_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT24( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT24 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT24 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT24 \
(VICSOFTINT |= VICSOFTINT_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT24 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT24 \
(VICSOFTINT &= ~VICSOFTINT_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT23 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT23_LOW        Low
**      VICSOFTINT_INT23_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT23 \
(VICSOFTINT & VICSOFTINT_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT23 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT23_LOW        Low
**      VICSOFTINT_INT23_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT23( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT23 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT23 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT23 \
(VICSOFTINT |= VICSOFTINT_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT23 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT23 \
(VICSOFTINT &= ~VICSOFTINT_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT22 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT22_LOW        Low
**      VICSOFTINT_INT22_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT22 \
(VICSOFTINT & VICSOFTINT_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT22 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT22_LOW        Low
**      VICSOFTINT_INT22_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT22( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT22 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT22 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT22 \
(VICSOFTINT |= VICSOFTINT_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT22 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT22 \
(VICSOFTINT &= ~VICSOFTINT_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT21 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT21_LOW        Low
**      VICSOFTINT_INT21_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT21 \
(VICSOFTINT & VICSOFTINT_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT21 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT21_LOW        Low
**      VICSOFTINT_INT21_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT21( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT21 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT21 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT21 \
(VICSOFTINT |= VICSOFTINT_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT21 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT21 \
(VICSOFTINT &= ~VICSOFTINT_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT20 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT20_LOW        Low
**      VICSOFTINT_INT20_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT20 \
(VICSOFTINT & VICSOFTINT_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT20 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT20_LOW        Low
**      VICSOFTINT_INT20_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT20( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT20 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT20 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT20 \
(VICSOFTINT |= VICSOFTINT_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT20 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT20 \
(VICSOFTINT &= ~VICSOFTINT_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT19 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT19_LOW        Low
**      VICSOFTINT_INT19_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT19 \
(VICSOFTINT & VICSOFTINT_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT19 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT19_LOW        Low
**      VICSOFTINT_INT19_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT19( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT19 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT19 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT19 \
(VICSOFTINT |= VICSOFTINT_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT19 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT19 \
(VICSOFTINT &= ~VICSOFTINT_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT18 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT18_LOW        Low
**      VICSOFTINT_INT18_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT18 \
(VICSOFTINT & VICSOFTINT_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT18 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT18_LOW        Low
**      VICSOFTINT_INT18_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT18( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT18 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT18 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT18 \
(VICSOFTINT |= VICSOFTINT_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT18 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT18 \
(VICSOFTINT &= ~VICSOFTINT_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT17 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT17_LOW        Low
**      VICSOFTINT_INT17_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT17 \
(VICSOFTINT & VICSOFTINT_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT17 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT17_LOW        Low
**      VICSOFTINT_INT17_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT17( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT17 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT17 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT17 \
(VICSOFTINT |= VICSOFTINT_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT17 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT17 \
(VICSOFTINT &= ~VICSOFTINT_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT16 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT16_LOW        Low
**      VICSOFTINT_INT16_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT16 \
(VICSOFTINT & VICSOFTINT_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT16 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT16_LOW        Low
**      VICSOFTINT_INT16_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT16( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT16 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT16 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT16 \
(VICSOFTINT |= VICSOFTINT_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT16 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT16 \
(VICSOFTINT &= ~VICSOFTINT_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT15 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT15_LOW        Low
**      VICSOFTINT_INT15_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT15 \
(VICSOFTINT & VICSOFTINT_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT15 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT15_LOW        Low
**      VICSOFTINT_INT15_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT15( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT15 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT15 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT15 \
(VICSOFTINT |= VICSOFTINT_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT15 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT15 \
(VICSOFTINT &= ~VICSOFTINT_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT14 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT14_LOW        Low
**      VICSOFTINT_INT14_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT14 \
(VICSOFTINT & VICSOFTINT_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT14 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT14_LOW        Low
**      VICSOFTINT_INT14_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT14( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT14 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT14 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT14 \
(VICSOFTINT |= VICSOFTINT_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT14 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT14 \
(VICSOFTINT &= ~VICSOFTINT_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT13 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT13_LOW        Low
**      VICSOFTINT_INT13_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT13 \
(VICSOFTINT & VICSOFTINT_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT13 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT13_LOW        Low
**      VICSOFTINT_INT13_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT13( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT13 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT13 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT13 \
(VICSOFTINT |= VICSOFTINT_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT13 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT13 \
(VICSOFTINT &= ~VICSOFTINT_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT12 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT12_LOW        Low
**      VICSOFTINT_INT12_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT12 \
(VICSOFTINT & VICSOFTINT_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT12 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT12_LOW        Low
**      VICSOFTINT_INT12_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT12( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT12 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT12 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT12 \
(VICSOFTINT |= VICSOFTINT_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT12 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT12 \
(VICSOFTINT &= ~VICSOFTINT_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT11 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT11_LOW        Low
**      VICSOFTINT_INT11_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT11 \
(VICSOFTINT & VICSOFTINT_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT11 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT11_LOW        Low
**      VICSOFTINT_INT11_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT11( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT11 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT11 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT11 \
(VICSOFTINT |= VICSOFTINT_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT11 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT11 \
(VICSOFTINT &= ~VICSOFTINT_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT10 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT10_LOW        Low
**      VICSOFTINT_INT10_HIGH       High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT10 \
(VICSOFTINT & VICSOFTINT_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT10 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT10_LOW        Low
**      VICSOFTINT_INT10_HIGH       High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT10( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT10 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT10 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT10 \
(VICSOFTINT |= VICSOFTINT_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT10 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT10 \
(VICSOFTINT &= ~VICSOFTINT_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT9 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT9_LOW         Low
**      VICSOFTINT_INT9_HIGH        High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT9 \
(VICSOFTINT & VICSOFTINT_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT9 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT9_LOW         Low
**      VICSOFTINT_INT9_HIGH        High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT9( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT9 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT9 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT9 \
(VICSOFTINT |= VICSOFTINT_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT9 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT9 \
(VICSOFTINT &= ~VICSOFTINT_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT8 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT8_LOW         Low
**      VICSOFTINT_INT8_HIGH        High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT8 \
(VICSOFTINT & VICSOFTINT_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT8 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT8_LOW         Low
**      VICSOFTINT_INT8_HIGH        High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT8( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT8 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT8 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT8 \
(VICSOFTINT |= VICSOFTINT_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT8 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT8 \
(VICSOFTINT &= ~VICSOFTINT_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT7 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT7_LOW         Low
**      VICSOFTINT_INT7_HIGH        High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT7 \
(VICSOFTINT & VICSOFTINT_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT7 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT7_LOW         Low
**      VICSOFTINT_INT7_HIGH        High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT7( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT7 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT7 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT7 \
(VICSOFTINT |= VICSOFTINT_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT7 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT7 \
(VICSOFTINT &= ~VICSOFTINT_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT6 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT6_LOW         Low
**      VICSOFTINT_INT6_HIGH        High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT6 \
(VICSOFTINT & VICSOFTINT_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT6 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT6_LOW         Low
**      VICSOFTINT_INT6_HIGH        High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT6( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT6 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT6 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT6 \
(VICSOFTINT |= VICSOFTINT_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT6 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT6 \
(VICSOFTINT &= ~VICSOFTINT_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT5 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT5_LOW         Low
**      VICSOFTINT_INT5_HIGH        High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT5 \
(VICSOFTINT & VICSOFTINT_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT5 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT5_LOW         Low
**      VICSOFTINT_INT5_HIGH        High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT5( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT5 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT5 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT5 \
(VICSOFTINT |= VICSOFTINT_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT5 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT5 \
(VICSOFTINT &= ~VICSOFTINT_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT4 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT4_LOW         Low
**      VICSOFTINT_INT4_HIGH        High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT4 \
(VICSOFTINT & VICSOFTINT_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT4 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT4_LOW         Low
**      VICSOFTINT_INT4_HIGH        High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT4( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT4 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT4 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT4 \
(VICSOFTINT |= VICSOFTINT_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT4 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT4 \
(VICSOFTINT &= ~VICSOFTINT_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT3 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT3_LOW         Low
**      VICSOFTINT_INT3_HIGH        High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT3 \
(VICSOFTINT & VICSOFTINT_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT3 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT3_LOW         Low
**      VICSOFTINT_INT3_HIGH        High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT3( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT3 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT3 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT3 \
(VICSOFTINT |= VICSOFTINT_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT3 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT3 \
(VICSOFTINT &= ~VICSOFTINT_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT2 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT2_LOW         Low
**      VICSOFTINT_INT2_HIGH        High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT2 \
(VICSOFTINT & VICSOFTINT_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT2 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT2_LOW         Low
**      VICSOFTINT_INT2_HIGH        High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT2( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT2 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT2 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT2 \
(VICSOFTINT |= VICSOFTINT_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT2 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT2 \
(VICSOFTINT &= ~VICSOFTINT_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT1 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT1_LOW         Low
**      VICSOFTINT_INT1_HIGH        High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT1 \
(VICSOFTINT & VICSOFTINT_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT1 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT1_LOW         Low
**      VICSOFTINT_INT1_HIGH        High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT1( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT1 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT1 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT1 \
(VICSOFTINT |= VICSOFTINT_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT1 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT1 \
(VICSOFTINT &= ~VICSOFTINT_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the INT0 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICSOFTINT_INT0_LOW         Low
**      VICSOFTINT_INT0_HIGH        High
**
**===========================================================================
*/
#define READ_VICSOFTINT_INT0 \
(VICSOFTINT & VICSOFTINT_INT0)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT0 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      VICSOFTINT_INT0_LOW         Low
**      VICSOFTINT_INT0_HIGH        High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINT_INT0( Value ) \
{\
VICSOFTINT &= ~(VICSOFTINT_INT0 & ~Value); \
VICSOFTINT |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT0 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINT_INT0 \
(VICSOFTINT |= VICSOFTINT_INT0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT0 bit field
**      in the VICSOFTINT register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINT_INT0 \
(VICSOFTINT &= ~VICSOFTINT_INT0)


/*
**---------------------------------------------------------------------------
**  Software Interrupt Clear Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT31 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT31_LOW   Low
**      VICSOFTINTCLEAR_INT31_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT31( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT31 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT31 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT31 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT31 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT31 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT31)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT30 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT30_LOW   Low
**      VICSOFTINTCLEAR_INT30_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT30( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT30 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT30 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT30 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT30 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT30 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT30)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT29 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT29_LOW   Low
**      VICSOFTINTCLEAR_INT29_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT29( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT29 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT29 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT29 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT29 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT29 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT29)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT28 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT28_LOW   Low
**      VICSOFTINTCLEAR_INT28_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT28( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT28 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT28 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT28 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT28 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT28 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT28)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT27 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT27_LOW   Low
**      VICSOFTINTCLEAR_INT27_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT27( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT27 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT27 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT27 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT27 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT27 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT27)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT26 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT26_LOW   Low
**      VICSOFTINTCLEAR_INT26_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT26( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT26 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT26 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT26 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT26 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT26 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT26)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT25 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT25_LOW   Low
**      VICSOFTINTCLEAR_INT25_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT25( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT25 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT25 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT25 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT25 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT25 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT25)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT24 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT24_LOW   Low
**      VICSOFTINTCLEAR_INT24_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT24( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT24 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT24 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT24 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT24 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT24 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT24)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT23 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT23_LOW   Low
**      VICSOFTINTCLEAR_INT23_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT23( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT23 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT23 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT23 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT23 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT23 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT23)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT22 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT22_LOW   Low
**      VICSOFTINTCLEAR_INT22_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT22( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT22 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT22 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT22 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT22 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT22 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT22)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT21 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT21_LOW   Low
**      VICSOFTINTCLEAR_INT21_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT21( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT21 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT21 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT21 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT21 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT21 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT21)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT20 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT20_LOW   Low
**      VICSOFTINTCLEAR_INT20_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT20( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT20 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT20 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT20 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT20 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT20 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT20)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT19 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT19_LOW   Low
**      VICSOFTINTCLEAR_INT19_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT19( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT19 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT19 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT19 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT19 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT19 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT19)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT18 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT18_LOW   Low
**      VICSOFTINTCLEAR_INT18_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT18( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT18 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT18 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT18 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT18 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT18 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT18)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT17 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT17_LOW   Low
**      VICSOFTINTCLEAR_INT17_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT17( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT17 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT17 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT17 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT17 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT17 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT17)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT16 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT16_LOW   Low
**      VICSOFTINTCLEAR_INT16_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT16( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT16 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT16 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT16 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT16 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT16 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT16)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT15 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT15_LOW   Low
**      VICSOFTINTCLEAR_INT15_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT15( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT15 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT15 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT15 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT15 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT15 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT15)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT14 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT14_LOW   Low
**      VICSOFTINTCLEAR_INT14_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT14( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT14 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT14 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT14 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT14 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT14 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT14)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT13 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT13_LOW   Low
**      VICSOFTINTCLEAR_INT13_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT13( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT13 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT13 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT13 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT13 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT13 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT13)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT12 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT12_LOW   Low
**      VICSOFTINTCLEAR_INT12_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT12( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT12 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT12 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT12 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT12 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT12 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT12)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT11 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT11_LOW   Low
**      VICSOFTINTCLEAR_INT11_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT11( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT11 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT11 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT11 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT11 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT11 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT11)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT10 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT10_LOW   Low
**      VICSOFTINTCLEAR_INT10_HIGH  High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT10( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT10 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT10 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT10 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT10 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT10 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT10)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT9 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT9_LOW    Low
**      VICSOFTINTCLEAR_INT9_HIGH   High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT9( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT9 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT9 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT9 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT9 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT9 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT9)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT8 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT8_LOW    Low
**      VICSOFTINTCLEAR_INT8_HIGH   High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT8( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT8 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT8 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT8 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT8 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT8 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT8)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT7 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT7_LOW    Low
**      VICSOFTINTCLEAR_INT7_HIGH   High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT7( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT7 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT7 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT7 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT7 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT7 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT7)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT6 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT6_LOW    Low
**      VICSOFTINTCLEAR_INT6_HIGH   High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT6( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT6 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT6 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT6 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT6 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT6 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT6)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT5 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT5_LOW    Low
**      VICSOFTINTCLEAR_INT5_HIGH   High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT5( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT5 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT5 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT5 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT5 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT5 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT5)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT4 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT4_LOW    Low
**      VICSOFTINTCLEAR_INT4_HIGH   High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT4( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT4 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT4 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT4 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT4 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT4 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT4)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT3 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT3_LOW    Low
**      VICSOFTINTCLEAR_INT3_HIGH   High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT3( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT3 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT3 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT3 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT3 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT3 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT3)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT2 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT2_LOW    Low
**      VICSOFTINTCLEAR_INT2_HIGH   High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT2( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT2 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT2 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT2 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT2 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT2 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT2)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT1 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT1_LOW    Low
**      VICSOFTINTCLEAR_INT1_HIGH   High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT1( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT1 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT1 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT1 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT1 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT1 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT1)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the INT0 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      VICSOFTINTCLEAR_INT0_LOW    Low
**      VICSOFTINTCLEAR_INT0_HIGH   High
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICSOFTINTCLEAR_INT0( Value ) \
{\
VICSOFTINTCLEAR &= ~(VICSOFTINTCLEAR_INT0 & ~Value); \
VICSOFTINTCLEAR |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit INT0 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICSOFTINTCLEAR_INT0 \
(VICSOFTINTCLEAR |= VICSOFTINTCLEAR_INT0)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit INT0 bit field
**      in the VICSOFTINTCLEAR register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICSOFTINTCLEAR_INT0 \
(VICSOFTINTCLEAR &= ~VICSOFTINTCLEAR_INT0)


/*
**---------------------------------------------------------------------------
**  Protection Enable Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the PROTECT bit field
**      in the VICPROTECTION register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICPROTECTION_PROTECT_USER_PRIVELEGED Access in User mode and Priveleged mode
**      VICPROTECTION_PROTECT_PRIVELEGED Access in Priveleged mode only
**
**===========================================================================
*/
#define READ_VICPROTECTION_PROTECT \
(VICPROTECTION & VICPROTECTION_PROTECT)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the PROTECT bit field
**      in the VICPROTECTION register.
**
**  Parameters:
**      VICPROTECTION_PROTECT_USER_PRIVELEGED Access in User mode and Priveleged mode
**      VICPROTECTION_PROTECT_PRIVELEGED Access in Priveleged mode only
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICPROTECTION_PROTECT( Value ) \
{\
VICPROTECTION &= ~(VICPROTECTION_PROTECT & ~Value); \
VICPROTECTION |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit PROTECT bit field
**      in the VICPROTECTION register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICPROTECTION_PROTECT \
(VICPROTECTION |= VICPROTECTION_PROTECT)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit PROTECT bit field
**      in the VICPROTECTION register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICPROTECTION_PROTECT \
(VICPROTECTION &= ~VICPROTECTION_PROTECT)


/*
**---------------------------------------------------------------------------
**  Vector Address Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR_ADDRESS \
(VICVECTADDR & VICVECTADDR_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR_ADDRESS( Value ) \
{\
VICVECTADDR = Value; \
}


/*
**---------------------------------------------------------------------------
**  Default Vector Address Register
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICDEFVECTADDR register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICDEFVECTADDR_ADDRESS \
(VICDEFVECTADDR & VICDEFVECTADDR_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICDEFVECTADDR register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICDEFVECTADDR_ADDRESS( Value ) \
{\
VICDEFVECTADDR = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 0
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR0 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR0_ADDRESS \
(VICVECTADDR0 & VICVECTADDR0_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR0 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR0_ADDRESS( Value ) \
{\
VICVECTADDR0 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 1
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR1 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR1_ADDRESS \
(VICVECTADDR1 & VICVECTADDR1_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR1 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR1_ADDRESS( Value ) \
{\
VICVECTADDR1 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 2
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR2 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR2_ADDRESS \
(VICVECTADDR2 & VICVECTADDR2_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR2 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR2_ADDRESS( Value ) \
{\
VICVECTADDR2 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 3
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR3 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR3_ADDRESS \
(VICVECTADDR3 & VICVECTADDR3_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR3 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR3_ADDRESS( Value ) \
{\
VICVECTADDR3 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 4
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR4 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR4_ADDRESS \
(VICVECTADDR4 & VICVECTADDR4_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR4 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR4_ADDRESS( Value ) \
{\
VICVECTADDR4 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 5
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR5 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR5_ADDRESS \
(VICVECTADDR5 & VICVECTADDR5_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR5 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR5_ADDRESS( Value ) \
{\
VICVECTADDR5 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 6
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR6 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR6_ADDRESS \
(VICVECTADDR6 & VICVECTADDR6_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR6 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR6_ADDRESS( Value ) \
{\
VICVECTADDR6 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 7
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR7 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR7_ADDRESS \
(VICVECTADDR7 & VICVECTADDR7_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR7 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR7_ADDRESS( Value ) \
{\
VICVECTADDR7 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 8
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR8 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR8_ADDRESS \
(VICVECTADDR8 & VICVECTADDR8_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR8 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR8_ADDRESS( Value ) \
{\
VICVECTADDR8 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 9
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR9 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR9_ADDRESS \
(VICVECTADDR9 & VICVECTADDR9_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR9 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR9_ADDRESS( Value ) \
{\
VICVECTADDR9 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 10
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR10 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR10_ADDRESS \
(VICVECTADDR10 & VICVECTADDR10_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR10 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR10_ADDRESS( Value ) \
{\
VICVECTADDR10 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 11
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR11 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR11_ADDRESS \
(VICVECTADDR11 & VICVECTADDR11_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR11 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR11_ADDRESS( Value ) \
{\
VICVECTADDR11 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 12
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR12 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR12_ADDRESS \
(VICVECTADDR12 & VICVECTADDR12_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR12 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR12_ADDRESS( Value ) \
{\
VICVECTADDR12 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 13
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR13 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR13_ADDRESS \
(VICVECTADDR13 & VICVECTADDR13_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR13 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR13_ADDRESS( Value ) \
{\
VICVECTADDR13 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 14
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR14 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR14_ADDRESS \
(VICVECTADDR14 & VICVECTADDR14_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR14 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR14_ADDRESS( Value ) \
{\
VICVECTADDR14 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Address Register 15
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ADDRESS bit field
**      in the VICVECTADDR15 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTADDR15_ADDRESS \
(VICVECTADDR15 & VICVECTADDR15_ADDRESS)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ADDRESS bit field
**      in the VICVECTADDR15 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTADDR15_ADDRESS( Value ) \
{\
VICVECTADDR15 = Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 0
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL0_ENABLED_DISABLED Disabled
**      VICVECTCNTL0_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL0_ENABLED \
(VICVECTCNTL0 & VICVECTCNTL0_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL0 register.
**
**  Parameters:
**      VICVECTCNTL0_ENABLED_DISABLED Disabled
**      VICVECTCNTL0_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL0_ENABLED( Value ) \
{\
VICVECTCNTL0 &= ~(VICVECTCNTL0_ENABLED & ~Value); \
VICVECTCNTL0 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL0_ENABLED \
(VICVECTCNTL0 |= VICVECTCNTL0_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL0_ENABLED \
(VICVECTCNTL0 &= ~VICVECTCNTL0_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL0 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL0_NUMBER \
(VICVECTCNTL0 & VICVECTCNTL0_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL0 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL0_NUMBER( Value ) \
{\
VICVECTCNTL0 &= ~(VICVECTCNTL0_NUMBER & ~Value); \
VICVECTCNTL0 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 1
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL1_ENABLED_DISABLED Disabled
**      VICVECTCNTL1_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL1_ENABLED \
(VICVECTCNTL1 & VICVECTCNTL1_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL1 register.
**
**  Parameters:
**      VICVECTCNTL1_ENABLED_DISABLED Disabled
**      VICVECTCNTL1_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL1_ENABLED( Value ) \
{\
VICVECTCNTL1 &= ~(VICVECTCNTL1_ENABLED & ~Value); \
VICVECTCNTL1 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL1_ENABLED \
(VICVECTCNTL1 |= VICVECTCNTL1_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL1_ENABLED \
(VICVECTCNTL1 &= ~VICVECTCNTL1_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL1 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL1_NUMBER \
(VICVECTCNTL1 & VICVECTCNTL1_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL1 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL1_NUMBER( Value ) \
{\
VICVECTCNTL1 &= ~(VICVECTCNTL1_NUMBER & ~Value); \
VICVECTCNTL1 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 2
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL2 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL2_ENABLED_DISABLED Disabled
**      VICVECTCNTL2_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL2_ENABLED \
(VICVECTCNTL2 & VICVECTCNTL2_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL2 register.
**
**  Parameters:
**      VICVECTCNTL2_ENABLED_DISABLED Disabled
**      VICVECTCNTL2_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL2_ENABLED( Value ) \
{\
VICVECTCNTL2 &= ~(VICVECTCNTL2_ENABLED & ~Value); \
VICVECTCNTL2 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL2 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL2_ENABLED \
(VICVECTCNTL2 |= VICVECTCNTL2_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL2 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL2_ENABLED \
(VICVECTCNTL2 &= ~VICVECTCNTL2_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL2 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL2_NUMBER \
(VICVECTCNTL2 & VICVECTCNTL2_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL2 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL2_NUMBER( Value ) \
{\
VICVECTCNTL2 &= ~(VICVECTCNTL2_NUMBER & ~Value); \
VICVECTCNTL2 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 3
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL3 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL3_ENABLED_DISABLED Disabled
**      VICVECTCNTL3_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL3_ENABLED \
(VICVECTCNTL3 & VICVECTCNTL3_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL3 register.
**
**  Parameters:
**      VICVECTCNTL3_ENABLED_DISABLED Disabled
**      VICVECTCNTL3_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL3_ENABLED( Value ) \
{\
VICVECTCNTL3 &= ~(VICVECTCNTL3_ENABLED & ~Value); \
VICVECTCNTL3 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL3 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL3_ENABLED \
(VICVECTCNTL3 |= VICVECTCNTL3_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL3 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL3_ENABLED \
(VICVECTCNTL3 &= ~VICVECTCNTL3_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL3 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL3_NUMBER \
(VICVECTCNTL3 & VICVECTCNTL3_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL3 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL3_NUMBER( Value ) \
{\
VICVECTCNTL3 &= ~(VICVECTCNTL3_NUMBER & ~Value); \
VICVECTCNTL3 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 4
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL4 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL4_ENABLED_DISABLED Disabled
**      VICVECTCNTL4_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL4_ENABLED \
(VICVECTCNTL4 & VICVECTCNTL4_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL4 register.
**
**  Parameters:
**      VICVECTCNTL4_ENABLED_DISABLED Disabled
**      VICVECTCNTL4_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL4_ENABLED( Value ) \
{\
VICVECTCNTL4 &= ~(VICVECTCNTL4_ENABLED & ~Value); \
VICVECTCNTL4 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL4 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL4_ENABLED \
(VICVECTCNTL4 |= VICVECTCNTL4_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL4 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL4_ENABLED \
(VICVECTCNTL4 &= ~VICVECTCNTL4_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL4 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL4_NUMBER \
(VICVECTCNTL4 & VICVECTCNTL4_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL4 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL4_NUMBER( Value ) \
{\
VICVECTCNTL4 &= ~(VICVECTCNTL4_NUMBER & ~Value); \
VICVECTCNTL4 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 5
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL5 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL5_ENABLED_DISABLED Disabled
**      VICVECTCNTL5_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL5_ENABLED \
(VICVECTCNTL5 & VICVECTCNTL5_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL5 register.
**
**  Parameters:
**      VICVECTCNTL5_ENABLED_DISABLED Disabled
**      VICVECTCNTL5_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL5_ENABLED( Value ) \
{\
VICVECTCNTL5 &= ~(VICVECTCNTL5_ENABLED & ~Value); \
VICVECTCNTL5 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL5 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL5_ENABLED \
(VICVECTCNTL5 |= VICVECTCNTL5_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL5 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL5_ENABLED \
(VICVECTCNTL5 &= ~VICVECTCNTL5_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL5 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL5_NUMBER \
(VICVECTCNTL5 & VICVECTCNTL5_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL5 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL5_NUMBER( Value ) \
{\
VICVECTCNTL5 &= ~(VICVECTCNTL5_NUMBER & ~Value); \
VICVECTCNTL5 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 6
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL6 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL6_ENABLED_DISABLED Disabled
**      VICVECTCNTL6_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL6_ENABLED \
(VICVECTCNTL6 & VICVECTCNTL6_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL6 register.
**
**  Parameters:
**      VICVECTCNTL6_ENABLED_DISABLED Disabled
**      VICVECTCNTL6_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL6_ENABLED( Value ) \
{\
VICVECTCNTL6 &= ~(VICVECTCNTL6_ENABLED & ~Value); \
VICVECTCNTL6 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL6 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL6_ENABLED \
(VICVECTCNTL6 |= VICVECTCNTL6_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL6 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL6_ENABLED \
(VICVECTCNTL6 &= ~VICVECTCNTL6_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL6 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL6_NUMBER \
(VICVECTCNTL6 & VICVECTCNTL6_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL6 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL6_NUMBER( Value ) \
{\
VICVECTCNTL6 &= ~(VICVECTCNTL6_NUMBER & ~Value); \
VICVECTCNTL6 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 7
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL7 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL7_ENABLED_DISABLED Disabled
**      VICVECTCNTL7_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL7_ENABLED \
(VICVECTCNTL7 & VICVECTCNTL7_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL7 register.
**
**  Parameters:
**      VICVECTCNTL7_ENABLED_DISABLED Disabled
**      VICVECTCNTL7_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL7_ENABLED( Value ) \
{\
VICVECTCNTL7 &= ~(VICVECTCNTL7_ENABLED & ~Value); \
VICVECTCNTL7 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL7 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL7_ENABLED \
(VICVECTCNTL7 |= VICVECTCNTL7_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL7 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL7_ENABLED \
(VICVECTCNTL7 &= ~VICVECTCNTL7_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL7 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL7_NUMBER \
(VICVECTCNTL7 & VICVECTCNTL7_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL7 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL7_NUMBER( Value ) \
{\
VICVECTCNTL7 &= ~(VICVECTCNTL7_NUMBER & ~Value); \
VICVECTCNTL7 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 8
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL8 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL8_ENABLED_DISABLED Disabled
**      VICVECTCNTL8_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL8_ENABLED \
(VICVECTCNTL8 & VICVECTCNTL8_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL8 register.
**
**  Parameters:
**      VICVECTCNTL8_ENABLED_DISABLED Disabled
**      VICVECTCNTL8_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL8_ENABLED( Value ) \
{\
VICVECTCNTL8 &= ~(VICVECTCNTL8_ENABLED & ~Value); \
VICVECTCNTL8 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL8 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL8_ENABLED \
(VICVECTCNTL8 |= VICVECTCNTL8_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL8 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL8_ENABLED \
(VICVECTCNTL8 &= ~VICVECTCNTL8_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL8 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL8_NUMBER \
(VICVECTCNTL8 & VICVECTCNTL8_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL8 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL8_NUMBER( Value ) \
{\
VICVECTCNTL8 &= ~(VICVECTCNTL8_NUMBER & ~Value); \
VICVECTCNTL8 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 9
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL9 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL9_ENABLED_DISABLED Disabled
**      VICVECTCNTL9_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL9_ENABLED \
(VICVECTCNTL9 & VICVECTCNTL9_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL9 register.
**
**  Parameters:
**      VICVECTCNTL9_ENABLED_DISABLED Disabled
**      VICVECTCNTL9_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL9_ENABLED( Value ) \
{\
VICVECTCNTL9 &= ~(VICVECTCNTL9_ENABLED & ~Value); \
VICVECTCNTL9 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL9 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL9_ENABLED \
(VICVECTCNTL9 |= VICVECTCNTL9_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL9 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL9_ENABLED \
(VICVECTCNTL9 &= ~VICVECTCNTL9_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL9 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL9_NUMBER \
(VICVECTCNTL9 & VICVECTCNTL9_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL9 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL9_NUMBER( Value ) \
{\
VICVECTCNTL9 &= ~(VICVECTCNTL9_NUMBER & ~Value); \
VICVECTCNTL9 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 10
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL10 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL10_ENABLED_DISABLED Disabled
**      VICVECTCNTL10_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL10_ENABLED \
(VICVECTCNTL10 & VICVECTCNTL10_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL10 register.
**
**  Parameters:
**      VICVECTCNTL10_ENABLED_DISABLED Disabled
**      VICVECTCNTL10_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL10_ENABLED( Value ) \
{\
VICVECTCNTL10 &= ~(VICVECTCNTL10_ENABLED & ~Value); \
VICVECTCNTL10 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL10 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL10_ENABLED \
(VICVECTCNTL10 |= VICVECTCNTL10_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL10 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL10_ENABLED \
(VICVECTCNTL10 &= ~VICVECTCNTL10_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL10 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL10_NUMBER \
(VICVECTCNTL10 & VICVECTCNTL10_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL10 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL10_NUMBER( Value ) \
{\
VICVECTCNTL10 &= ~(VICVECTCNTL10_NUMBER & ~Value); \
VICVECTCNTL10 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 11
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL11 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL11_ENABLED_DISABLED Disabled
**      VICVECTCNTL11_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL11_ENABLED \
(VICVECTCNTL11 & VICVECTCNTL11_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL11 register.
**
**  Parameters:
**      VICVECTCNTL11_ENABLED_DISABLED Disabled
**      VICVECTCNTL11_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL11_ENABLED( Value ) \
{\
VICVECTCNTL11 &= ~(VICVECTCNTL11_ENABLED & ~Value); \
VICVECTCNTL11 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL11 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL11_ENABLED \
(VICVECTCNTL11 |= VICVECTCNTL11_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL11 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL11_ENABLED \
(VICVECTCNTL11 &= ~VICVECTCNTL11_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL11 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL11_NUMBER \
(VICVECTCNTL11 & VICVECTCNTL11_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL11 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL11_NUMBER( Value ) \
{\
VICVECTCNTL11 &= ~(VICVECTCNTL11_NUMBER & ~Value); \
VICVECTCNTL11 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 12
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL12 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL12_ENABLED_DISABLED Disabled
**      VICVECTCNTL12_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL12_ENABLED \
(VICVECTCNTL12 & VICVECTCNTL12_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL12 register.
**
**  Parameters:
**      VICVECTCNTL12_ENABLED_DISABLED Disabled
**      VICVECTCNTL12_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL12_ENABLED( Value ) \
{\
VICVECTCNTL12 &= ~(VICVECTCNTL12_ENABLED & ~Value); \
VICVECTCNTL12 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL12 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL12_ENABLED \
(VICVECTCNTL12 |= VICVECTCNTL12_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL12 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL12_ENABLED \
(VICVECTCNTL12 &= ~VICVECTCNTL12_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL12 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL12_NUMBER \
(VICVECTCNTL12 & VICVECTCNTL12_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL12 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL12_NUMBER( Value ) \
{\
VICVECTCNTL12 &= ~(VICVECTCNTL12_NUMBER & ~Value); \
VICVECTCNTL12 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 13
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL13 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL13_ENABLED_DISABLED Disabled
**      VICVECTCNTL13_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL13_ENABLED \
(VICVECTCNTL13 & VICVECTCNTL13_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL13 register.
**
**  Parameters:
**      VICVECTCNTL13_ENABLED_DISABLED Disabled
**      VICVECTCNTL13_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL13_ENABLED( Value ) \
{\
VICVECTCNTL13 &= ~(VICVECTCNTL13_ENABLED & ~Value); \
VICVECTCNTL13 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL13 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL13_ENABLED \
(VICVECTCNTL13 |= VICVECTCNTL13_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL13 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL13_ENABLED \
(VICVECTCNTL13 &= ~VICVECTCNTL13_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL13 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL13_NUMBER \
(VICVECTCNTL13 & VICVECTCNTL13_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL13 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL13_NUMBER( Value ) \
{\
VICVECTCNTL13 &= ~(VICVECTCNTL13_NUMBER & ~Value); \
VICVECTCNTL13 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 14
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL14 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL14_ENABLED_DISABLED Disabled
**      VICVECTCNTL14_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL14_ENABLED \
(VICVECTCNTL14 & VICVECTCNTL14_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL14 register.
**
**  Parameters:
**      VICVECTCNTL14_ENABLED_DISABLED Disabled
**      VICVECTCNTL14_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL14_ENABLED( Value ) \
{\
VICVECTCNTL14 &= ~(VICVECTCNTL14_ENABLED & ~Value); \
VICVECTCNTL14 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL14 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL14_ENABLED \
(VICVECTCNTL14 |= VICVECTCNTL14_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL14 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL14_ENABLED \
(VICVECTCNTL14 &= ~VICVECTCNTL14_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL14 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL14_NUMBER \
(VICVECTCNTL14 & VICVECTCNTL14_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL14 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL14_NUMBER( Value ) \
{\
VICVECTCNTL14 &= ~(VICVECTCNTL14_NUMBER & ~Value); \
VICVECTCNTL14 |= Value; \
}


/*
**---------------------------------------------------------------------------
**  Vector Control Register 15
**---------------------------------------------------------------------------
*/


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the ENABLED bit field
**      in the VICVECTCNTL15 register.
**
**  Parameters:
**      None
**
**  Return values:
**      VICVECTCNTL15_ENABLED_DISABLED Disabled
**      VICVECTCNTL15_ENABLED_ENABLED Enabled
**
**===========================================================================
*/
#define READ_VICVECTCNTL15_ENABLED \
(VICVECTCNTL15 & VICVECTCNTL15_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the ENABLED bit field
**      in the VICVECTCNTL15 register.
**
**  Parameters:
**      VICVECTCNTL15_ENABLED_DISABLED Disabled
**      VICVECTCNTL15_ENABLED_ENABLED Enabled
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL15_ENABLED( Value ) \
{\
VICVECTCNTL15 &= ~(VICVECTCNTL15_ENABLED & ~Value); \
VICVECTCNTL15 |= Value; \
}


/*
**===========================================================================
**
**  Abstract:
**      This macro sets the 1-bit ENABLED bit field
**      in the VICVECTCNTL15 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define SET_VICVECTCNTL15_ENABLED \
(VICVECTCNTL15 |= VICVECTCNTL15_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro clears the 1-bit ENABLED bit field
**      in the VICVECTCNTL15 register.
**
**  Parameters:
**      None
**
**  Return values:
**      None
**
**===========================================================================
*/
#define CLEAR_VICVECTCNTL15_ENABLED \
(VICVECTCNTL15 &= ~VICVECTCNTL15_ENABLED)


/*
**===========================================================================
**
**  Abstract:
**      This macro gets the contents of the NUMBER bit field
**      in the VICVECTCNTL15 register.
**
**  Parameters:
**      None
**
**  Return values:
**
**===========================================================================
*/
#define READ_VICVECTCNTL15_NUMBER \
(VICVECTCNTL15 & VICVECTCNTL15_NUMBER)


/*
**===========================================================================
**
**  Abstract:
**      This macro writes new contents in the NUMBER bit field
**      in the VICVECTCNTL15 register.
**
**  Parameters:
**
**  Return values:
**      None
**
**===========================================================================
*/
#define WRITE_VICVECTCNTL15_NUMBER( Value ) \
{\
VICVECTCNTL15 &= ~(VICVECTCNTL15_NUMBER & ~Value); \
VICVECTCNTL15 |= Value; \
}

/*
**===========================================================================
**  3.3     Global type definitions
**===========================================================================
*/

/*
**===========================================================================
**  3.4     Global variables (defined in some implementation file)
**===========================================================================
*/

/*
**===========================================================================
**  4.      GLOBAL FUNCTIONS (defined in some implementation file)
**===========================================================================
*/


#endif /* Match the re-definition guard */

/*
**===========================================================================
** END OF FILE
**===========================================================================
*/ 
